CREATE TABLE `#__action_logs` (
  `id` int(10) UNSIGNED NOT NULL,
  `message_language_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `log_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `extension` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_id` int(11) NOT NULL DEFAULT 0,
  `item_id` int(11) NOT NULL DEFAULT 0,
  `ip_address` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0.0.0.0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__action_logs_extensions`
--

CREATE TABLE `#__action_logs_extensions` (
  `id` int(10) UNSIGNED NOT NULL,
  `extension` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__action_logs_extensions`
--

INSERT INTO `#__action_logs_extensions` (`id`, `extension`) VALUES
(1, 'com_banners'),
(2, 'com_cache'),
(3, 'com_categories'),
(4, 'com_config'),
(5, 'com_contact'),
(6, 'com_content'),
(7, 'com_installer'),
(8, 'com_media'),
(9, 'com_menus'),
(10, 'com_messages'),
(11, 'com_modules'),
(12, 'com_newsfeeds'),
(13, 'com_plugins'),
(14, 'com_redirect'),
(15, 'com_tags'),
(16, 'com_templates'),
(17, 'com_users'),
(18, 'com_checkin');

-- --------------------------------------------------------

--
-- Table structure for table `#__action_logs_users`
--

CREATE TABLE `#__action_logs_users` (
  `user_id` int(11) UNSIGNED NOT NULL,
  `notify` tinyint(1) UNSIGNED NOT NULL,
  `extensions` text COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__action_log_config`
--

CREATE TABLE `#__action_log_config` (
  `id` int(10) UNSIGNED NOT NULL,
  `type_title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `type_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `id_holder` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title_holder` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `table_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `text_prefix` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__action_log_config`
--

INSERT INTO `#__action_log_config` (`id`, `type_title`, `type_alias`, `id_holder`, `title_holder`, `table_name`, `text_prefix`) VALUES
(1, 'article', 'com_content.article', 'id', 'title', '#__content', 'PLG_ACTIONLOG_JOOMLA'),
(2, 'article', 'com_content.form', 'id', 'title', '#__content', 'PLG_ACTIONLOG_JOOMLA'),
(3, 'banner', 'com_banners.banner', 'id', 'name', '#__banners', 'PLG_ACTIONLOG_JOOMLA'),
(4, 'user_note', 'com_users.note', 'id', 'subject', '#__user_notes', 'PLG_ACTIONLOG_JOOMLA'),
(5, 'media', 'com_media.file', '', 'name', '', 'PLG_ACTIONLOG_JOOMLA'),
(6, 'category', 'com_categories.category', 'id', 'title', '#__categories', 'PLG_ACTIONLOG_JOOMLA'),
(7, 'menu', 'com_menus.menu', 'id', 'title', '#__menu_types', 'PLG_ACTIONLOG_JOOMLA'),
(8, 'menu_item', 'com_menus.item', 'id', 'title', '#__menu', 'PLG_ACTIONLOG_JOOMLA'),
(9, 'newsfeed', 'com_newsfeeds.newsfeed', 'id', 'name', '#__newsfeeds', 'PLG_ACTIONLOG_JOOMLA'),
(10, 'link', 'com_redirect.link', 'id', 'old_url', '#__redirect_links', 'PLG_ACTIONLOG_JOOMLA'),
(11, 'tag', 'com_tags.tag', 'id', 'title', '#__tags', 'PLG_ACTIONLOG_JOOMLA'),
(12, 'style', 'com_templates.style', 'id', 'title', '#__template_styles', 'PLG_ACTIONLOG_JOOMLA'),
(13, 'plugin', 'com_plugins.plugin', 'extension_id', 'name', '#__extensions', 'PLG_ACTIONLOG_JOOMLA'),
(14, 'component_config', 'com_config.component', 'extension_id', 'name', '', 'PLG_ACTIONLOG_JOOMLA'),
(15, 'contact', 'com_contact.contact', 'id', 'name', '#__contact_details', 'PLG_ACTIONLOG_JOOMLA'),
(16, 'module', 'com_modules.module', 'id', 'title', '#__modules', 'PLG_ACTIONLOG_JOOMLA'),
(17, 'access_level', 'com_users.level', 'id', 'title', '#__viewlevels', 'PLG_ACTIONLOG_JOOMLA'),
(18, 'banner_client', 'com_banners.client', 'id', 'name', '#__banner_clients', 'PLG_ACTIONLOG_JOOMLA'),
(19, 'application_config', 'com_config.application', '', 'name', '', 'PLG_ACTIONLOG_JOOMLA');

-- --------------------------------------------------------

--
-- Table structure for table `#__assets`
--

CREATE TABLE `#__assets` (
  `id` int(10) UNSIGNED NOT NULL COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set rgt.',
  `level` int(10) UNSIGNED NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'JSON encoded access control.'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__assets`
--

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(1, 0, 0, 161, 0, 'root.1', 'Root Asset', '{\"core.login.site\":{\"6\":1,\"2\":1,\"10\":1},\"core.login.admin\":{\"6\":1,\"10\":1},\"core.login.offline\":{\"6\":1,\"10\":1},\"core.admin\":{\"8\":1},\"core.manage\":{\"7\":1,\"10\":1},\"core.create\":{\"6\":1,\"3\":1,\"10\":1},\"core.delete\":{\"6\":1,\"10\":1},\"core.edit\":{\"6\":1,\"4\":1,\"10\":1},\"core.edit.state\":{\"6\":1,\"5\":1,\"10\":1},\"core.edit.own\":{\"6\":1,\"3\":1,\"10\":1},\"core.edit.value\":{\"10\":1},\"core.options\":{\"10\":1}}'),
(2, 1, 1, 2, 1, 'com_admin', 'com_admin', '{}'),
(3, 1, 3, 6, 1, 'com_banners', 'com_banners', '{\"core.admin\":{\"7\":1,\"10\":0},\"core.manage\":{\"6\":1,\"10\":0},\"core.options\":{\"10\":0},\"core.create\":{\"10\":0},\"core.delete\":{\"10\":0},\"core.edit\":{\"10\":0},\"core.edit.state\":{\"10\":0}}'),
(4, 1, 7, 8, 1, 'com_cache', 'com_cache', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),
(5, 1, 9, 10, 1, 'com_checkin', 'com_checkin', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),
(6, 1, 11, 12, 1, 'com_config', 'com_config', '{}'),
(7, 1, 13, 16, 1, 'com_contact', 'com_contact', '{\"core.admin\":{\"7\":1,\"10\":0},\"core.manage\":{\"6\":1,\"10\":0},\"core.options\":{\"10\":0},\"core.create\":{\"10\":0},\"core.delete\":{\"10\":0},\"core.edit\":{\"10\":0},\"core.edit.state\":{\"10\":0},\"core.edit.own\":{\"10\":0},\"core.edit.value\":{\"10\":0}}'),
(8, 1, 17, 32, 1, 'com_content', 'com_content', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.edit\":{\"4\":1},\"core.edit.state\":{\"5\":1}}'),
(9, 1, 33, 34, 1, 'com_cpanel', 'com_cpanel', '{}'),
(10, 1, 35, 36, 1, 'com_installer', 'com_installer', '{\"core.manage\":{\"7\":0,\"10\":0},\"core.delete\":{\"7\":0,\"10\":0},\"core.edit.state\":{\"7\":0,\"10\":0},\"core.admin\":{\"10\":0},\"core.options\":{\"10\":0}}'),
(11, 1, 37, 40, 1, 'com_languages', 'com_languages', '{\"core.admin\":{\"7\":1,\"10\":0},\"core.manage\":{\"10\":0},\"core.create\":{\"10\":0},\"core.delete\":{\"10\":0},\"core.edit\":{\"10\":0},\"core.edit.state\":{\"10\":0}}'),
(12, 1, 41, 42, 1, 'com_login', 'com_login', '{}'),
(13, 1, 43, 44, 1, 'com_mailto', 'com_mailto', '{}'),
(14, 1, 45, 46, 1, 'com_massmail', 'com_massmail', '{}'),
(15, 1, 47, 48, 1, 'com_media', 'com_media', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":{\"5\":1}}'),
(16, 1, 49, 58, 1, 'com_menus', 'com_menus', '{\"core.admin\":{\"7\":1}}'),
(17, 1, 59, 60, 1, 'com_messages', 'com_messages', '{\"core.admin\":{\"7\":1,\"10\":0},\"core.manage\":{\"7\":1,\"10\":0},\"core.create\":{\"10\":0},\"core.delete\":{\"10\":0},\"core.edit.state\":{\"10\":0}}'),
(18, 1, 61, 120, 1, 'com_modules', 'com_modules', '{\"core.admin\":{\"7\":1,\"10\":0},\"core.manage\":{\"10\":0},\"core.create\":{\"10\":0},\"core.delete\":{\"10\":0},\"core.edit\":{\"10\":0},\"core.edit.state\":{\"10\":0},\"module.edit.frontend\":{\"10\":0}}'),
(19, 1, 121, 124, 1, 'com_newsfeeds', 'com_newsfeeds', '{\"core.admin\":{\"7\":1,\"10\":0},\"core.manage\":{\"6\":1,\"10\":0},\"core.options\":{\"10\":0},\"core.create\":{\"10\":0},\"core.delete\":{\"10\":0},\"core.edit\":{\"10\":0},\"core.edit.state\":{\"10\":0},\"core.edit.own\":{\"10\":0}}'),
(20, 1, 125, 126, 1, 'com_plugins', 'com_plugins', '{\"core.admin\":{\"7\":1,\"10\":0},\"core.manage\":{\"10\":0},\"core.edit\":{\"10\":0},\"core.edit.state\":{\"10\":0}}'),
(21, 1, 127, 128, 1, 'com_redirect', 'com_redirect', '{\"core.admin\":{\"7\":1,\"10\":0},\"core.options\":{\"10\":0},\"core.manage\":{\"10\":0},\"core.create\":{\"10\":0},\"core.delete\":{\"10\":0},\"core.edit\":{\"10\":0},\"core.edit.state\":{\"10\":0}}'),
(22, 1, 129, 130, 1, 'com_search', 'com_search', '{\"core.admin\":{\"7\":1,\"10\":0},\"core.manage\":{\"6\":1,\"10\":0},\"core.options\":{\"10\":0},\"core.edit.state\":{\"10\":0}}'),
(23, 1, 131, 132, 1, 'com_templates', 'com_templates', '{\"core.admin\":{\"7\":1,\"10\":0},\"core.options\":{\"10\":0},\"core.manage\":{\"10\":0},\"core.create\":{\"10\":0},\"core.delete\":{\"10\":0},\"core.edit\":{\"10\":0},\"core.edit.state\":{\"10\":0}}'),
(24, 1, 133, 136, 1, 'com_users', 'com_users', '{\"core.admin\":{\"7\":1,\"10\":0},\"core.options\":{\"10\":0},\"core.create\":{\"10\":0},\"core.delete\":{\"10\":0},\"core.edit\":{\"10\":0},\"core.edit.state\":{\"10\":0},\"core.edit.value\":{\"10\":0},\"core.manage\":{\"10\":0}}'),
(26, 1, 137, 138, 1, 'com_wrapper', 'com_wrapper', '{}'),
(27, 8, 18, 21, 2, 'com_content.category.2', 'Uncategorised', '{}'),
(28, 3, 4, 5, 2, 'com_banners.category.3', 'Uncategorised', '{}'),
(29, 7, 14, 15, 2, 'com_contact.category.4', 'Uncategorised', '{}'),
(30, 19, 122, 123, 2, 'com_newsfeeds.category.5', 'Uncategorised', '{}'),
(32, 24, 134, 135, 2, 'com_users.category.7', 'Uncategorised', '{}'),
(33, 1, 139, 140, 1, 'com_finder', 'com_finder', '{\"core.admin\":{\"7\":1,\"10\":0},\"core.manage\":{\"6\":1,\"10\":0},\"core.options\":{\"10\":0},\"core.create\":{\"10\":0},\"core.delete\":{\"10\":0},\"core.edit\":{\"10\":0},\"core.edit.state\":{\"10\":0}}'),
(34, 1, 141, 142, 1, 'com_joomlaupdate', 'com_joomlaupdate', '{\"core.options\":{\"10\":0},\"core.manage\":{\"10\":0},\"core.delete\":{\"10\":0},\"core.edit.state\":{\"10\":0}}'),
(35, 1, 143, 144, 1, 'com_tags', 'com_tags', '{\"core.options\":{\"10\":0},\"core.manage\":{\"10\":0},\"core.create\":{\"10\":0},\"core.delete\":{\"10\":0},\"core.edit\":{\"10\":0},\"core.edit.state\":{\"10\":0}}'),
(36, 1, 145, 146, 1, 'com_contenthistory', 'com_contenthistory', '{}'),
(37, 1, 147, 148, 1, 'com_ajax', 'com_ajax', '{}'),
(38, 1, 149, 150, 1, 'com_postinstall', 'com_postinstall', '{\"core.manage\":{\"10\":0},\"core.edit.state\":{\"10\":0}}'),
(39, 18, 62, 63, 2, 'com_modules.module.1', ' Main menu ', '{}'),
(40, 18, 64, 65, 2, 'com_modules.module.2', 'Login', '{}'),
(41, 18, 66, 67, 2, 'com_modules.module.3', 'Popular Articles', '{}'),
(42, 18, 68, 69, 2, 'com_modules.module.4', 'Recently Added Articles', '{}'),
(43, 18, 70, 71, 2, 'com_modules.module.8', 'Toolbar', '{}'),
(44, 18, 72, 73, 2, 'com_modules.module.9', 'Quick Icons', '{}'),
(45, 18, 74, 75, 2, 'com_modules.module.10', 'Logged-in Users', '{}'),
(46, 18, 76, 77, 2, 'com_modules.module.12', 'Admin Menu', '{}'),
(47, 18, 78, 79, 2, 'com_modules.module.13', 'Admin Submenu', '{}'),
(48, 18, 80, 81, 2, 'com_modules.module.14', 'User Status', '{}'),
(49, 18, 82, 83, 2, 'com_modules.module.15', 'Title', '{}'),
(52, 18, 84, 85, 2, 'com_modules.module.79', 'Multilanguage status', '{}'),
(53, 18, 86, 87, 2, 'com_modules.module.86', 'Joomla Version', '{}'),
(54, 16, 50, 51, 2, 'com_menus.menu.1', 'Main menu', '{}'),
(55, 18, 88, 89, 2, 'com_modules.module.87', 'Sample Data', '{}'),
(56, 11, 38, 39, 2, 'com_languages.language.2', 'Persian (IR)', '{}'),
(57, 1, 151, 152, 1, 'com_jstar_shop', 'com_jstar_shop', '{\"core.manage\":{\"10\":1},\"core.create\":{\"10\":1},\"core.delete\":{\"10\":1},\"core.edit\":{\"10\":1},\"core.edit.state\":{\"10\":1},\"core.edit.own\":{\"10\":1},\"core.admin\":{\"10\":1}}'),
(63, 18, 90, 91, 2, 'com_modules.module.88', ' Compare products ', '{}'),
(64, 18, 92, 93, 2, 'com_modules.module.89', ' Cart ', '{}'),
(65, 1, 153, 154, 1, 'com_associations', 'com_associations', '{\"core.admin\":{\"10\":0},\"core.options\":{\"10\":0},\"core.manage\":{\"10\":0}}'),
(69, 18, 94, 95, 2, 'com_modules.module.90', 'Advanced search ', '{}'),
(70, 18, 96, 97, 2, 'com_modules.module.91', 'Similar products ', '{}'),
(81, 18, 98, 99, 2, 'com_modules.module.92', 'Related products', '{}'),
(85, 16, 52, 53, 2, 'com_menus.menu.2', 'hidden menu', '{}'),
(90, 16, 54, 55, 2, 'com_menus.menu.3', 'guarantee', '{}'),
(91, 8, 22, 31, 2, 'com_content.category.33', 'guarantee', '{}'),
(92, 91, 23, 24, 3, 'com_content.article.1', 'fast delivery', '{}'),
(93, 18, 100, 101, 2, 'com_modules.module.93', 'Guarantee ', '{}'),
(94, 91, 25, 26, 3, 'com_content.article.2', '24 hour support', '{}'),
(96, 91, 27, 28, 3, 'com_content.article.4', '7 days warranty returned', '{}'),
(97, 91, 29, 30, 3, 'com_content.article.5', 'guarantee', '{}'),
(109, 18, 102, 103, 2, 'com_modules.module.96', ' Footer ', '{}'),
(114, 1, 155, 156, 1, 'com_fields', 'com_fields', '{}'),
(122, 18, 104, 105, 2, 'com_modules.module.103', 'Text search', '{}'),
(123, 18, 106, 107, 2, 'com_modules.module.104', ' Login ', '{}'),
(124, 1, 157, 158, 1, 'com_privacy', 'com_privacy', '{}'),
(125, 1, 159, 160, 1, 'com_actionlogs', 'com_actionlogs', '{}'),
(152, 18, 108, 109, 2, 'com_modules.module.108', 'راهنمای خرید', '{}'),
(158, 18, 110, 111, 2, 'com_modules.module.109', 'خدمات مشتریان', '{}'),
(167, 27, 19, 20, 3, 'com_content.article.22', 'Contact Us', '{}'),
(170, 18, 112, 113, 2, 'com_modules.module.111', ' Special offers ', '{}'),
(171, 18, 114, 115, 2, 'com_modules.module.112', ' Home Products ', '{}'),
(173, 18, 116, 117, 2, 'com_modules.module.114', ' Mobile Menu ', '{}'),
(174, 18, 118, 119, 2, 'com_modules.module.115', 'User menu', '{}'),
(175, 16, 56, 57, 2, 'com_menus.menu.7', 'User menu', '{}');

-- --------------------------------------------------------

--
-- Table structure for table `#__associations`
--

CREATE TABLE `#__associations` (
  `id` int(11) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__banners`
--

CREATE TABLE `#__banners` (
  `id` int(11) NOT NULL,
  `cid` int(11) NOT NULL DEFAULT 0,
  `type` int(11) NOT NULL DEFAULT 0,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT 0,
  `impmade` int(11) NOT NULL DEFAULT 0,
  `clicks` int(11) NOT NULL DEFAULT 0,
  `clickurl` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `catid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `custombannercode` varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sticky` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `metakey` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT 0,
  `metakey_prefix` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT -1,
  `track_clicks` tinyint(4) NOT NULL DEFAULT -1,
  `track_impressions` tinyint(4) NOT NULL DEFAULT -1,
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `version` int(10) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__banner_clients`
--

CREATE TABLE `#__banner_clients` (
  `id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `contact` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `extrainfo` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT 0,
  `metakey_prefix` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT -1,
  `track_clicks` tinyint(4) NOT NULL DEFAULT -1,
  `track_impressions` tinyint(4) NOT NULL DEFAULT -1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__banner_tracks`
--

CREATE TABLE `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) UNSIGNED NOT NULL,
  `banner_id` int(10) UNSIGNED NOT NULL,
  `count` int(10) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__categories`
--

CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `lft` int(11) NOT NULL DEFAULT 0,
  `rgt` int(11) NOT NULL DEFAULT 0,
  `level` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `path` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `extension` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `params` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `metadesc` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `version` int(10) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__categories`
--

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(1, 0, 0, 0, 13, 0, '', 'system', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '{}', 105, '2018-07-13 12:33:45', 0, '0000-00-00 00:00:00', 0, '*', 1),
(2, 27, 1, 1, 2, 1, 'uncategorised', 'com_content', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 105, '2018-07-13 12:33:45', 0, '0000-00-00 00:00:00', 0, '*', 1),
(3, 28, 1, 3, 4, 1, 'uncategorised', 'com_banners', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 105, '2018-07-13 12:33:45', 0, '0000-00-00 00:00:00', 0, '*', 1),
(4, 29, 1, 5, 6, 1, 'uncategorised', 'com_contact', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 105, '2018-07-13 12:33:45', 0, '0000-00-00 00:00:00', 0, '*', 1),
(5, 30, 1, 7, 8, 1, 'uncategorised', 'com_newsfeeds', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 105, '2018-07-13 12:33:45', 0, '0000-00-00 00:00:00', 0, '*', 1),
(7, 32, 1, 9, 10, 1, 'uncategorised', 'com_users', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 105, '2018-07-13 12:33:45', 0, '0000-00-00 00:00:00', 0, '*', 1),
(33, 91, 1, 11, 12, 1, 'guarantee', 'com_content', 'guarantee', 'guarantee', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\",\"image_alt\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 105, '2018-10-03 23:13:02', 105, '2020-05-23 14:43:18', 0, '*', 1);

-- --------------------------------------------------------

--
-- Table structure for table `#__contact_details`
--

CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `con_position` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `suburb` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `postcode` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `telephone` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fax` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `misc` mediumtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email_to` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `default_con` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT 0,
  `catid` int(11) NOT NULL DEFAULT 0,
  `access` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `mobile` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `webpage` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sortname1` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sortname2` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sortname3` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `language` varchar(7) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `metakey` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `metadesc` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `metadata` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `featured` tinyint(3) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'Set if contact is featured.',
  `xreference` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `hits` int(10) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__content`
--

CREATE TABLE `#__content` (
  `id` int(10) UNSIGNED NOT NULL,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `introtext` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `fulltext` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `catid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `urls` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `attribs` varchar(5120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `version` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `metakey` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `metadesc` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `access` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `hits` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `metadata` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `featured` tinyint(3) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'Set if article is featured.',
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__content`
--

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(1, 92, 'fast delivery', 'fast-delivery', '<p style=\"text-align: justify;\"><span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. </p>', '', 1, 33, '2018-10-03 19:43:57', 105, '', '2020-05-23 14:39:11', 105, 0, '0000-00-00 00:00:00', '2018-10-03 19:43:57', '0000-00-00 00:00:00', '{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}', '{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}', '{\"article_layout\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_page_title\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', 5, 4, '', '', 1, 182, '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', 0, '*', '', ''),
(2, 94, '24 hour support', '24-hour-support', '<p style=\"text-align: justify;\"><span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. </p>', '', 1, 33, '2018-10-03 19:53:46', 105, '', '2020-05-23 14:40:15', 105, 0, '0000-00-00 00:00:00', '2018-10-03 19:53:46', '0000-00-00 00:00:00', '{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}', '{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}', '{\"article_layout\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_page_title\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', 4, 3, '', '', 1, 164, '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', 0, '*', '', ''),
(4, 96, '7 days warranty returned', '7-days-warranty-returned', '<p style=\"text-align: justify;\"><span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. </p>', '', 1, 33, '2018-10-03 20:00:48', 105, '', '2020-05-23 14:37:23', 105, 0, '0000-00-00 00:00:00', '2018-10-03 20:00:48', '0000-00-00 00:00:00', '{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}', '{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}', '{\"article_layout\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_page_title\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', 3, 1, '', '', 1, 152, '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', 0, '*', '', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(5, 97, 'guarantee', 'guarantee', '<p style=\"text-align: justify;\"><span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. <span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">This is an example</span></span>. </p>', '', 1, 33, '2018-10-03 20:02:29', 105, '', '2020-05-23 14:36:42', 105, 0, '0000-00-00 00:00:00', '2018-10-03 20:02:29', '0000-00-00 00:00:00', '{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}', '{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}', '{\"article_layout\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_page_title\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', 4, 0, '', '', 1, 169, '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', 0, '*', '', ''),
(22, 167, 'Contact Us', 'تماس-با-ما', '<p>site: <a title=\"IRjoomstar\" href=\"https://joomstar.ir\" target=\"_blank\" rel=\"noopener noreferrer\">https://joomstar.ir</a></p>\r\n<p>email: <a title=\"yousefi.data@gmail.com\" href=\"mailto: yousefi.data@gmail.com\">yousefi.data@gmail.com</a></p>', '', 1, 2, '2019-04-06 07:36:54', 105, '', '2020-05-23 14:33:58', 105, 0, '0000-00-00 00:00:00', '2019-04-06 07:36:54', '0000-00-00 00:00:00', '{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}', '{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}', '{\"article_layout\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_page_title\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', 7, 0, '', '', 1, 155, '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', 0, '*', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `#__contentitem_tag_map`
--

CREATE TABLE `#__contentitem_tag_map` (
  `type_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `core_content_id` int(10) UNSIGNED NOT NULL COMMENT 'PK from the core content table',
  `content_item_id` int(11) NOT NULL COMMENT 'PK from the content type table',
  `tag_id` int(10) UNSIGNED NOT NULL COMMENT 'PK from the tag table',
  `tag_date` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp() COMMENT 'Date of most recent save for this tag-item',
  `type_id` mediumint(8) NOT NULL COMMENT 'PK from the content_type table'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Maps items from content tables to tags';

-- --------------------------------------------------------

--
-- Table structure for table `#__content_frontpage`
--

CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__content_rating`
--

CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT 0,
  `rating_sum` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `rating_count` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `lastip` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__content_types`
--

CREATE TABLE `#__content_types` (
  `type_id` int(10) UNSIGNED NOT NULL,
  `type_title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `type_alias` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `table` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `rules` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `field_mappings` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `router` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `content_history_options` varchar(5120) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'JSON string for com_contenthistory options'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__content_types`
--

INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(1, 'Article', 'com_content.article', '{\"special\":{\"dbtable\":\"#__content\",\"key\":\"id\",\"type\":\"Content\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"state\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"introtext\", \"core_hits\":\"hits\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"attribs\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"urls\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"xreference\", \"asset_id\":\"asset_id\", \"note\":\"note\"}, \"special\":{\"fulltext\":\"fulltext\"}}', 'ContentHelperRoute::getArticleRoute', '{\"formFile\":\"administrator\\/components\\/com_content\\/models\\/forms\\/article.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\"],\"ignoreChanges\":[\"modified_by\", \"modified\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"ordering\"],\"convertToInt\":[\"publish_up\", \"publish_down\", \"featured\", \"ordering\"],\"displayLookup\":[{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"created_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"} ]}'),
(2, 'Contact', 'com_contact.contact', '{\"special\":{\"dbtable\":\"#__contact_details\",\"key\":\"id\",\"type\":\"Contact\",\"prefix\":\"ContactTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"name\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"address\", \"core_hits\":\"hits\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"image\", \"core_urls\":\"webpage\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"xreference\", \"asset_id\":\"null\"}, \"special\":{\"con_position\":\"con_position\",\"suburb\":\"suburb\",\"state\":\"state\",\"country\":\"country\",\"postcode\":\"postcode\",\"telephone\":\"telephone\",\"fax\":\"fax\",\"misc\":\"misc\",\"email_to\":\"email_to\",\"default_con\":\"default_con\",\"user_id\":\"user_id\",\"mobile\":\"mobile\",\"sortname1\":\"sortname1\",\"sortname2\":\"sortname2\",\"sortname3\":\"sortname3\"}}', 'ContactHelperRoute::getContactRoute', '{\"formFile\":\"administrator\\/components\\/com_contact\\/models\\/forms\\/contact.xml\",\"hideFields\":[\"default_con\",\"checked_out\",\"checked_out_time\",\"version\",\"xreference\"],\"ignoreChanges\":[\"modified_by\", \"modified\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"ordering\"],\"convertToInt\":[\"publish_up\", \"publish_down\", \"featured\", \"ordering\"], \"displayLookup\":[ {\"sourceColumn\":\"created_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"} ] }'),
(3, 'Newsfeed', 'com_newsfeeds.newsfeed', '{\"special\":{\"dbtable\":\"#__newsfeeds\",\"key\":\"id\",\"type\":\"Newsfeed\",\"prefix\":\"NewsfeedsTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"name\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"link\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"xreference\", \"asset_id\":\"null\"}, \"special\":{\"numarticles\":\"numarticles\",\"cache_time\":\"cache_time\",\"rtl\":\"rtl\"}}', 'NewsfeedsHelperRoute::getNewsfeedRoute', '{\"formFile\":\"administrator\\/components\\/com_newsfeeds\\/models\\/forms\\/newsfeed.xml\",\"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\"],\"ignoreChanges\":[\"modified_by\", \"modified\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"ordering\"],\"convertToInt\":[\"publish_up\", \"publish_down\", \"featured\", \"ordering\"],\"displayLookup\":[{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"created_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"} ]}'),
(4, 'User', 'com_users.user', '{\"special\":{\"dbtable\":\"#__users\",\"key\":\"id\",\"type\":\"User\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"name\",\"core_state\":\"null\",\"core_alias\":\"username\",\"core_created_time\":\"registerdate\",\"core_modified_time\":\"lastvisitDate\",\"core_body\":\"null\", \"core_hits\":\"null\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"access\":\"null\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"null\", \"core_language\":\"null\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"null\", \"core_ordering\":\"null\", \"core_metakey\":\"null\", \"core_metadesc\":\"null\", \"core_catid\":\"null\", \"core_xreference\":\"null\", \"asset_id\":\"null\"}, \"special\":{}}', 'UsersHelperRoute::getUserRoute', ''),
(5, 'Article Category', 'com_content.category', '{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\":{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}', 'ContentHelperRoute::getCategoryRoute', '{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"],\"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}'),
(6, 'Contact Category', 'com_contact.category', '{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\":{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}', 'ContactHelperRoute::getCategoryRoute', '{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"],\"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}'),
(7, 'Newsfeeds Category', 'com_newsfeeds.category', '{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\":{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}', 'NewsfeedsHelperRoute::getCategoryRoute', '{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"],\"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}'),
(8, 'Tag', 'com_tags.tag', '{\"special\":{\"dbtable\":\"#__tags\",\"key\":\"tag_id\",\"type\":\"Tag\",\"prefix\":\"TagsTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"urls\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"null\", \"core_xreference\":\"null\", \"asset_id\":\"null\"}, \"special\":{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\"}}', 'TagsHelperRoute::getTagRoute', '{\"formFile\":\"administrator\\/components\\/com_tags\\/models\\/forms\\/tag.xml\", \"hideFields\":[\"checked_out\",\"checked_out_time\",\"version\", \"lft\", \"rgt\", \"level\", \"path\", \"urls\", \"publish_up\", \"publish_down\"],\"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"],\"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}, {\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}, {\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}]}'),
(9, 'Banner', 'com_banners.banner', '{\"special\":{\"dbtable\":\"#__banners\",\"key\":\"id\",\"type\":\"Banner\",\"prefix\":\"BannersTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"name\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"description\", \"core_hits\":\"null\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"link\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"null\", \"asset_id\":\"null\"}, \"special\":{\"imptotal\":\"imptotal\", \"impmade\":\"impmade\", \"clicks\":\"clicks\", \"clickurl\":\"clickurl\", \"custombannercode\":\"custombannercode\", \"cid\":\"cid\", \"purchase_type\":\"purchase_type\", \"track_impressions\":\"track_impressions\", \"track_clicks\":\"track_clicks\"}}', '', '{\"formFile\":\"administrator\\/components\\/com_banners\\/models\\/forms\\/banner.xml\", \"hideFields\":[\"checked_out\",\"checked_out_time\",\"version\", \"reset\"],\"ignoreChanges\":[\"modified_by\", \"modified\", \"checked_out\", \"checked_out_time\", \"version\", \"imptotal\", \"impmade\", \"reset\"], \"convertToInt\":[\"publish_up\", \"publish_down\", \"ordering\"], \"displayLookup\":[{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}, {\"sourceColumn\":\"cid\",\"targetTable\":\"#__banner_clients\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}, {\"sourceColumn\":\"created_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"modified_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"} ]}'),
(10, 'Banners Category', 'com_banners.category', '{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\": {\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}', '', '{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"], \"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}'),
(11, 'Banner Client', 'com_banners.client', '{\"special\":{\"dbtable\":\"#__banner_clients\",\"key\":\"id\",\"type\":\"Client\",\"prefix\":\"BannersTable\"}}', '', '', '', '{\"formFile\":\"administrator\\/components\\/com_banners\\/models\\/forms\\/client.xml\", \"hideFields\":[\"checked_out\",\"checked_out_time\"], \"ignoreChanges\":[\"checked_out\", \"checked_out_time\"], \"convertToInt\":[], \"displayLookup\":[]}'),
(12, 'User Notes', 'com_users.note', '{\"special\":{\"dbtable\":\"#__user_notes\",\"key\":\"id\",\"type\":\"Note\",\"prefix\":\"UsersTable\"}}', '', '', '', '{\"formFile\":\"administrator\\/components\\/com_users\\/models\\/forms\\/note.xml\", \"hideFields\":[\"checked_out\",\"checked_out_time\", \"publish_up\", \"publish_down\"],\"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\"], \"convertToInt\":[\"publish_up\", \"publish_down\"],\"displayLookup\":[{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}, {\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}, {\"sourceColumn\":\"user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}, {\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}]}'),
(13, 'User Notes Category', 'com_users.category', '{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\":{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}', '', '{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"], \"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}, {\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}');

-- --------------------------------------------------------

--
-- Table structure for table `#__core_log_searches`
--

CREATE TABLE `#__core_log_searches` (
  `search_term` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__extensions`
--

CREATE TABLE `#__extensions` (
  `extension_id` int(11) NOT NULL,
  `package_id` int(11) NOT NULL DEFAULT 0 COMMENT 'Parent package ID for extensions installed as a package.',
  `name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `element` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `folder` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT 0,
  `access` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `protected` tinyint(3) NOT NULL DEFAULT 0,
  `manifest_cache` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `custom_data` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `system_data` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT 0,
  `state` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__extensions`
--

INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(1, 0, 'com_mailto', 'component', 'com_mailto', '', 0, 1, 1, 1, '{\"name\":\"com_mailto\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MAILTO_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mailto\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(2, 0, 'com_wrapper', 'component', 'com_wrapper', '', 0, 1, 1, 1, '{\"name\":\"com_wrapper\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_WRAPPER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"wrapper\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(3, 0, 'com_admin', 'component', 'com_admin', '', 1, 1, 1, 1, '{\"name\":\"com_admin\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_ADMIN_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(4, 0, 'com_banners', 'component', 'com_banners', '', 1, 1, 1, 0, '{\"name\":\"com_banners\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_BANNERS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"banners\"}', '{\"purchase_type\":\"3\",\"track_impressions\":\"0\",\"track_clicks\":\"0\",\"metakey_prefix\":\"\",\"save_history\":\"1\",\"history_limit\":10}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(5, 0, 'com_cache', 'component', 'com_cache', '', 1, 1, 1, 1, '{\"name\":\"com_cache\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CACHE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(6, 0, 'com_categories', 'component', 'com_categories', '', 1, 1, 1, 1, '{\"name\":\"com_categories\",\"type\":\"component\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(7, 0, 'com_checkin', 'component', 'com_checkin', '', 1, 1, 1, 1, '{\"name\":\"com_checkin\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CHECKIN_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(8, 0, 'com_contact', 'component', 'com_contact', '', 1, 1, 1, 0, '{\"name\":\"com_contact\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}', '{\"contact_layout\":\"_:default\",\"show_contact_category\":\"hide\",\"save_history\":\"1\",\"history_limit\":10,\"show_contact_list\":\"0\",\"presentation_style\":\"sliders\",\"show_tags\":\"1\",\"show_info\":\"1\",\"show_name\":\"1\",\"show_position\":\"1\",\"show_email\":\"0\",\"add_mailto_link\":\"1\",\"show_street_address\":\"1\",\"show_suburb\":\"1\",\"show_state\":\"1\",\"show_postcode\":\"1\",\"show_country\":\"1\",\"show_telephone\":\"1\",\"show_mobile\":\"1\",\"show_fax\":\"1\",\"show_webpage\":\"1\",\"show_image\":\"1\",\"image\":\"\",\"show_misc\":\"1\",\"allow_vcard\":\"0\",\"show_articles\":\"0\",\"articles_display_num\":\"10\",\"show_profile\":\"0\",\"show_user_custom_fields\":[\"-1\"],\"show_links\":\"0\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"contact_icons\":\"0\",\"icon_address\":\"\",\"icon_email\":\"\",\"icon_telephone\":\"\",\"icon_mobile\":\"\",\"icon_fax\":\"\",\"icon_misc\":\"\",\"category_layout\":\"_:default\",\"show_category_title\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"0\",\"maxLevel\":\"-1\",\"show_subcat_desc\":\"1\",\"show_empty_categories\":\"0\",\"show_cat_items\":\"1\",\"show_cat_tags\":\"1\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_subcat_desc_cat\":\"1\",\"show_empty_categories_cat\":\"0\",\"show_cat_items_cat\":\"1\",\"filter_field\":\"0\",\"show_pagination_limit\":\"0\",\"show_headings\":\"1\",\"show_image_heading\":\"0\",\"show_position_headings\":\"1\",\"show_email_headings\":\"0\",\"show_telephone_headings\":\"1\",\"show_mobile_headings\":\"0\",\"show_fax_headings\":\"0\",\"show_suburb_headings\":\"1\",\"show_state_headings\":\"1\",\"show_country_headings\":\"1\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"initial_sort\":\"ordering\",\"captcha\":\"\",\"show_email_form\":\"1\",\"show_email_copy\":\"0\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"1\",\"custom_reply\":\"0\",\"redirect\":\"\",\"show_feed_link\":\"1\",\"sef_advanced\":0,\"sef_ids\":0,\"custom_fields_enable\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(9, 0, 'com_cpanel', 'component', 'com_cpanel', '', 1, 1, 1, 1, '{\"name\":\"com_cpanel\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CPANEL_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10, 0, 'com_installer', 'component', 'com_installer', '', 1, 1, 1, 1, '{\"name\":\"com_installer\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_INSTALLER_XML_DESCRIPTION\",\"group\":\"\"}', '{\"show_jed_info\":\"1\",\"cachetimeout\":\"6\",\"minimum_stability\":\"4\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(11, 0, 'com_languages', 'component', 'com_languages', '', 1, 1, 1, 1, '{\"name\":\"com_languages\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\"}', '{\"site\":\"en-GB\",\"administrator\":\"en-GB\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(12, 0, 'com_login', 'component', 'com_login', '', 1, 1, 1, 1, '{\"name\":\"com_login\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(13, 0, 'com_media', 'component', 'com_media', '', 1, 1, 0, 1, '{\"name\":\"com_media\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MEDIA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"media\"}', '{\"upload_extensions\":\"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,TXT,XCF,XLS\",\"upload_maxsize\":\"10\",\"file_path\":\"images\",\"image_path\":\"images\",\"restrict_uploads\":\"1\",\"check_mime\":\"1\",\"image_extensions\":\"bmp,gif,jpg,png\",\"ignore_extensions\":\"\",\"upload_mime\":\"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip\",\"upload_mime_illegal\":\"text\\/html\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(14, 0, 'com_menus', 'component', 'com_menus', '', 1, 1, 1, 1, '{\"name\":\"com_menus\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MENUS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(15, 0, 'com_messages', 'component', 'com_messages', '', 1, 1, 1, 1, '{\"name\":\"com_messages\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MESSAGES_XML_DESCRIPTION\",\"group\":\"\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(16, 0, 'com_modules', 'component', 'com_modules', '', 1, 1, 1, 1, '{\"name\":\"com_modules\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MODULES_XML_DESCRIPTION\",\"group\":\"\"}', '{\"redirect_edit\":\"site\",\"adminlangfilter\":0}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(17, 0, 'com_newsfeeds', 'component', 'com_newsfeeds', '', 1, 1, 1, 0, '{\"name\":\"com_newsfeeds\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"newsfeeds\"}', '{\"newsfeed_layout\":\"_:default\",\"save_history\":\"1\",\"history_limit\":5,\"show_feed_image\":\"1\",\"show_feed_description\":\"1\",\"show_item_description\":\"1\",\"feed_character_count\":\"0\",\"feed_display_order\":\"des\",\"float_first\":\"right\",\"float_second\":\"right\",\"show_tags\":\"1\",\"category_layout\":\"_:default\",\"show_category_title\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"1\",\"maxLevel\":\"-1\",\"show_empty_categories\":\"0\",\"show_subcat_desc\":\"1\",\"show_cat_items\":\"1\",\"show_cat_tags\":\"1\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_items_cat\":\"1\",\"filter_field\":\"1\",\"show_pagination_limit\":\"1\",\"show_headings\":\"1\",\"show_articles\":\"0\",\"show_link\":\"1\",\"show_pagination\":\"1\",\"show_pagination_results\":\"1\",\"sef_advanced\":0,\"sef_ids\":0}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(18, 0, 'com_plugins', 'component', 'com_plugins', '', 1, 1, 1, 1, '{\"name\":\"com_plugins\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_PLUGINS_XML_DESCRIPTION\",\"group\":\"\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(19, 0, 'com_search', 'component', 'com_search', '', 1, 1, 1, 0, '{\"name\":\"com_search\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_SEARCH_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"search\"}', '{\"enabled\":\"0\",\"search_phrases\":\"1\",\"search_areas\":\"1\",\"show_date\":\"1\",\"opensearch_name\":\"\",\"opensearch_description\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(20, 0, 'com_templates', 'component', 'com_templates', '', 1, 1, 1, 1, '{\"name\":\"com_templates\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_TEMPLATES_XML_DESCRIPTION\",\"group\":\"\"}', '{\"template_positions_display\":\"0\",\"upload_limit\":\"10\",\"image_formats\":\"gif,bmp,jpg,jpeg,png\",\"source_formats\":\"txt,less,ini,xml,js,php,css,scss,sass\",\"font_formats\":\"woff,ttf,otf\",\"compressed_formats\":\"zip\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(22, 0, 'com_content', 'component', 'com_content', '', 1, 1, 0, 1, '{\"name\":\"com_content\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}', '{\"article_layout\":\"_:default\",\"show_title\":\"1\",\"link_titles\":\"0\",\"show_intro\":\"1\",\"info_block_position\":\"0\",\"info_block_show_title\":\"0\",\"show_category\":\"0\",\"link_category\":\"1\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_associations\":\"0\",\"flags\":\"1\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_readmore\":\"1\",\"show_readmore_title\":\"0\",\"readmore_limit\":\"100\",\"show_tags\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"1\",\"show_noauth\":\"0\",\"urls_position\":\"1\",\"captcha\":\"\",\"show_publishing_options\":\"1\",\"show_article_options\":\"1\",\"save_history\":\"1\",\"history_limit\":10,\"show_urls_images_frontend\":\"0\",\"show_urls_images_backend\":\"1\",\"targeta\":0,\"targetb\":0,\"targetc\":0,\"float_intro\":\"left\",\"float_fulltext\":\"left\",\"category_layout\":\"_:blog\",\"show_category_heading_title_text\":\"1\",\"show_category_title\":\"0\",\"show_description\":\"0\",\"show_description_image\":\"0\",\"maxLevel\":\"1\",\"show_empty_categories\":\"0\",\"show_no_articles\":\"1\",\"show_subcat_desc\":\"1\",\"show_cat_num_articles\":\"0\",\"show_cat_tags\":\"1\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_num_articles_cat\":\"1\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"0\",\"show_subcategory_content\":\"0\",\"show_pagination_limit\":\"1\",\"filter_field\":\"hide\",\"show_headings\":\"1\",\"list_show_date\":\"0\",\"date_format\":\"\",\"list_show_hits\":\"1\",\"list_show_author\":\"1\",\"orderby_pri\":\"order\",\"orderby_sec\":\"rdate\",\"order_date\":\"published\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_featured\":\"show\",\"show_feed_link\":\"1\",\"feed_summary\":\"0\",\"feed_show_readmore\":\"0\",\"sef_advanced\":0,\"sef_ids\":0,\"custom_fields_enable\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(23, 0, 'com_config', 'component', 'com_config', '', 1, 1, 0, 1, '{\"name\":\"com_config\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONFIG_XML_DESCRIPTION\",\"group\":\"\"}', '{\"filters\":{\"1\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"9\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"6\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"7\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"10\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"2\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"3\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"4\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"5\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"8\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"}}}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(24, 0, 'com_redirect', 'component', 'com_redirect', '', 1, 1, 0, 1, '{\"name\":\"com_redirect\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_REDIRECT_XML_DESCRIPTION\",\"group\":\"\"}', '{\"mode\":\"0\",\"separator\":\"|\",\"defaultImportState\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(25, 0, 'com_users', 'component', 'com_users', '', 1, 1, 0, 1, '{\"name\":\"com_users\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_USERS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"users\"}', '{\"allowUserRegistration\":\"0\",\"new_usertype\":\"2\",\"guest_usergroup\":\"9\",\"sendpassword\":\"0\",\"useractivation\":\"0\",\"mail_to_admin\":\"0\",\"captcha\":\"\",\"frontend_userparams\":\"0\",\"site_language\":\"0\",\"change_login_name\":\"0\",\"domains\":\"\",\"reset_count\":\"10\",\"reset_time\":\"1\",\"minimum_length\":\"4\",\"minimum_integers\":\"0\",\"minimum_symbols\":\"0\",\"minimum_uppercase\":\"0\",\"save_history\":\"1\",\"history_limit\":5,\"mailSubjectPrefix\":\"\",\"mailBodySuffix\":\"\",\"debugUsers\":\"1\",\"debugGroups\":\"1\",\"sef_advanced\":0,\"custom_fields_enable\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(27, 0, 'com_finder', 'component', 'com_finder', '', 1, 1, 0, 0, '{\"name\":\"com_finder\",\"type\":\"component\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_FINDER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"finder\"}', '{\"enabled\":\"0\",\"show_description\":\"1\",\"description_length\":255,\"allow_empty_query\":\"0\",\"show_url\":\"1\",\"show_autosuggest\":\"1\",\"show_suggested_query\":\"1\",\"show_explained_query\":\"1\",\"show_advanced\":\"1\",\"show_advanced_tips\":\"1\",\"expand_advanced\":\"0\",\"show_date_filters\":\"0\",\"sort_order\":\"relevance\",\"sort_direction\":\"desc\",\"highlight_terms\":\"1\",\"opensearch_name\":\"\",\"opensearch_description\":\"\",\"batch_size\":\"50\",\"memory_table_limit\":30000,\"title_multiplier\":\"1.7\",\"text_multiplier\":\"0.7\",\"meta_multiplier\":\"1.2\",\"path_multiplier\":\"2\",\"misc_multiplier\":\"0.3\",\"stem\":\"1\",\"stemmer\":\"snowball\",\"enable_logging\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(28, 0, 'com_joomlaupdate', 'component', 'com_joomlaupdate', '', 1, 1, 0, 1, '{\"name\":\"com_joomlaupdate\",\"type\":\"component\",\"creationDate\":\"February 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.2\",\"description\":\"COM_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\"}', '{\"updatesource\":\"default\",\"customurl\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(29, 0, 'com_tags', 'component', 'com_tags', '', 1, 1, 1, 1, '{\"name\":\"com_tags\",\"type\":\"component\",\"creationDate\":\"December 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"COM_TAGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tags\"}', '{\"tag_layout\":\"_:default\",\"save_history\":\"1\",\"history_limit\":5,\"show_tag_title\":\"0\",\"tag_list_show_tag_image\":\"0\",\"tag_list_show_tag_description\":\"0\",\"tag_list_image\":\"\",\"tag_list_orderby\":\"c.core_title\",\"tag_list_orderby_direction\":\"ASC\",\"show_headings\":\"0\",\"tag_list_show_date\":\"0\",\"tag_list_show_item_image\":\"0\",\"tag_list_show_item_description\":\"0\",\"tag_list_item_maximum_characters\":0,\"min_term_length\":\"3\",\"return_any_or_all\":\"1\",\"include_children\":\"0\",\"maximum\":200,\"tag_list_language_filter\":\"all\",\"tags_layout\":\"_:default\",\"all_tags_orderby\":\"title\",\"all_tags_orderby_direction\":\"ASC\",\"all_tags_show_tag_image\":\"0\",\"all_tags_show_tag_descripion\":\"0\",\"all_tags_tag_maximum_characters\":20,\"all_tags_show_tag_hits\":\"0\",\"filter_field\":\"1\",\"show_pagination_limit\":\"1\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"tag_field_ajax_mode\":\"1\",\"show_feed_link\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(30, 0, 'com_contenthistory', 'component', 'com_contenthistory', '', 1, 1, 1, 0, '{\"name\":\"com_contenthistory\",\"type\":\"component\",\"creationDate\":\"May 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_CONTENTHISTORY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contenthistory\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(31, 0, 'com_ajax', 'component', 'com_ajax', '', 1, 1, 1, 1, '{\"name\":\"com_ajax\",\"type\":\"component\",\"creationDate\":\"August 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_AJAX_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"ajax\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(32, 0, 'com_postinstall', 'component', 'com_postinstall', '', 1, 1, 1, 1, '{\"name\":\"com_postinstall\",\"type\":\"component\",\"creationDate\":\"September 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_POSTINSTALL_XML_DESCRIPTION\",\"group\":\"\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(33, 0, 'com_fields', 'component', 'com_fields', '', 1, 1, 1, 0, '{\"name\":\"com_fields\",\"type\":\"component\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"COM_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(34, 0, 'com_associations', 'component', 'com_associations', '', 1, 1, 1, 0, '{\"name\":\"com_associations\",\"type\":\"component\",\"creationDate\":\"January 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"COM_ASSOCIATIONS_XML_DESCRIPTION\",\"group\":\"\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(35, 0, 'com_privacy', 'component', 'com_privacy', '', 1, 1, 1, 1, '{\"name\":\"com_privacy\",\"type\":\"component\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"COM_PRIVACY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"privacy\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(36, 0, 'com_actionlogs', 'component', 'com_actionlogs', '', 1, 1, 1, 1, '{\"name\":\"com_actionlogs\",\"type\":\"component\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"COM_ACTIONLOGS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"ip_logging\":0,\"csv_delimiter\":\",\",\"loggable_extensions\":[\"com_banners\",\"com_cache\",\"com_categories\",\"com_checkin\",\"com_config\",\"com_contact\",\"com_content\",\"com_installer\",\"com_media\",\"com_menus\",\"com_messages\",\"com_modules\",\"com_newsfeeds\",\"com_plugins\",\"com_redirect\",\"com_tags\",\"com_templates\",\"com_users\"]}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(102, 0, 'LIB_PHPUTF8', 'library', 'phputf8', '', 0, 1, 1, 1, '{\"name\":\"LIB_PHPUTF8\",\"type\":\"library\",\"creationDate\":\"2006\",\"author\":\"Harry Fuecks\",\"copyright\":\"Copyright various authors\",\"authorEmail\":\"hfuecks@gmail.com\",\"authorUrl\":\"http:\\/\\/sourceforge.net\\/projects\\/phputf8\",\"version\":\"0.5\",\"description\":\"LIB_PHPUTF8_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"phputf8\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(103, 0, 'LIB_JOOMLA', 'library', 'joomla', '', 0, 1, 1, 1, '{\"name\":\"LIB_JOOMLA\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"https:\\/\\/www.joomla.org\",\"version\":\"13.1\",\"description\":\"LIB_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}', '{\"mediaversion\":\"6a35d465b0f3e792a3f65cf4d7170c9f\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(104, 0, 'LIB_IDNA', 'library', 'idna_convert', '', 0, 1, 1, 1, '{\"name\":\"LIB_IDNA\",\"type\":\"library\",\"creationDate\":\"2004\",\"author\":\"phlyLabs\",\"copyright\":\"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de\",\"authorEmail\":\"phlymail@phlylabs.de\",\"authorUrl\":\"http:\\/\\/phlylabs.de\",\"version\":\"0.8.0\",\"description\":\"LIB_IDNA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"idna_convert\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(105, 0, 'FOF', 'library', 'fof', '', 0, 1, 1, 1, '{\"name\":\"FOF\",\"type\":\"library\",\"creationDate\":\"2015-04-22 13:15:32\",\"author\":\"Nicholas K. Dionysopoulos \\/ Akeeba Ltd\",\"copyright\":\"(C)2011-2015 Nicholas K. Dionysopoulos\",\"authorEmail\":\"nicholas@akeebabackup.com\",\"authorUrl\":\"https:\\/\\/www.akeebabackup.com\",\"version\":\"2.4.3\",\"description\":\"LIB_FOF_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fof\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(106, 0, 'LIB_PHPASS', 'library', 'phpass', '', 0, 1, 1, 1, '{\"name\":\"LIB_PHPASS\",\"type\":\"library\",\"creationDate\":\"2004-2006\",\"author\":\"Solar Designer\",\"copyright\":\"\",\"authorEmail\":\"solar@openwall.com\",\"authorUrl\":\"http:\\/\\/www.openwall.com\\/phpass\\/\",\"version\":\"0.3\",\"description\":\"LIB_PHPASS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"phpass\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(200, 0, 'mod_articles_archive', 'module', 'mod_articles_archive', '', 0, 1, 1, 0, '{\"name\":\"mod_articles_archive\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_archive\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(201, 0, 'mod_articles_latest', 'module', 'mod_articles_latest', '', 0, 1, 1, 0, '{\"name\":\"mod_articles_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LATEST_NEWS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_latest\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(202, 0, 'mod_articles_popular', 'module', 'mod_articles_popular', '', 0, 1, 1, 0, '{\"name\":\"mod_articles_popular\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_popular\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(203, 0, 'mod_banners', 'module', 'mod_banners', '', 0, 1, 1, 0, '{\"name\":\"mod_banners\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_BANNERS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_banners\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(204, 0, 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', 0, 1, 1, 1, '{\"name\":\"mod_breadcrumbs\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_BREADCRUMBS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_breadcrumbs\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(205, 0, 'mod_custom', 'module', 'mod_custom', '', 0, 1, 1, 1, '{\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_custom\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(206, 0, 'mod_feed', 'module', 'mod_feed', '', 0, 1, 1, 0, '{\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_feed\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(207, 0, 'mod_footer', 'module', 'mod_footer', '', 0, 1, 1, 0, '{\"name\":\"mod_footer\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FOOTER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_footer\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(208, 0, 'mod_login', 'module', 'mod_login', '', 0, 1, 1, 1, '{\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_login\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(209, 0, 'mod_menu', 'module', 'mod_menu', '', 0, 1, 1, 1, '{\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_menu\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(210, 0, 'mod_articles_news', 'module', 'mod_articles_news', '', 0, 1, 1, 0, '{\"name\":\"mod_articles_news\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_NEWS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_news\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(211, 0, 'mod_random_image', 'module', 'mod_random_image', '', 0, 1, 1, 0, '{\"name\":\"mod_random_image\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_RANDOM_IMAGE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_random_image\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(212, 0, 'mod_related_items', 'module', 'mod_related_items', '', 0, 1, 1, 0, '{\"name\":\"mod_related_items\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_RELATED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_related_items\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(213, 0, 'mod_search', 'module', 'mod_search', '', 0, 1, 1, 0, '{\"name\":\"mod_search\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SEARCH_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_search\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(214, 0, 'mod_stats', 'module', 'mod_stats', '', 0, 1, 1, 0, '{\"name\":\"mod_stats\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_stats\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(215, 0, 'mod_syndicate', 'module', 'mod_syndicate', '', 0, 1, 1, 1, '{\"name\":\"mod_syndicate\",\"type\":\"module\",\"creationDate\":\"May 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SYNDICATE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_syndicate\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(216, 0, 'mod_users_latest', 'module', 'mod_users_latest', '', 0, 1, 1, 0, '{\"name\":\"mod_users_latest\",\"type\":\"module\",\"creationDate\":\"December 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_USERS_LATEST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_users_latest\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(218, 0, 'mod_whosonline', 'module', 'mod_whosonline', '', 0, 1, 1, 0, '{\"name\":\"mod_whosonline\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WHOSONLINE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_whosonline\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(219, 0, 'mod_wrapper', 'module', 'mod_wrapper', '', 0, 1, 1, 0, '{\"name\":\"mod_wrapper\",\"type\":\"module\",\"creationDate\":\"October 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WRAPPER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_wrapper\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(220, 0, 'mod_articles_category', 'module', 'mod_articles_category', '', 0, 1, 1, 0, '{\"name\":\"mod_articles_category\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_category\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(221, 0, 'mod_articles_categories', 'module', 'mod_articles_categories', '', 0, 1, 1, 0, '{\"name\":\"mod_articles_categories\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_categories\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(222, 0, 'mod_languages', 'module', 'mod_languages', '', 0, 1, 1, 1, '{\"name\":\"mod_languages\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"MOD_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_languages\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(223, 0, 'mod_finder', 'module', 'mod_finder', '', 0, 1, 0, 0, '{\"name\":\"mod_finder\",\"type\":\"module\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FINDER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_finder\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(300, 0, 'mod_custom', 'module', 'mod_custom', '', 1, 1, 1, 1, '{\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_custom\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(301, 0, 'mod_feed', 'module', 'mod_feed', '', 1, 1, 1, 0, '{\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_feed\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(302, 0, 'mod_latest', 'module', 'mod_latest', '', 1, 1, 1, 0, '{\"name\":\"mod_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LATEST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_latest\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(303, 0, 'mod_logged', 'module', 'mod_logged', '', 1, 1, 1, 0, '{\"name\":\"mod_logged\",\"type\":\"module\",\"creationDate\":\"January 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGGED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_logged\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(304, 0, 'mod_login', 'module', 'mod_login', '', 1, 1, 1, 1, '{\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"March 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_login\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(305, 0, 'mod_menu', 'module', 'mod_menu', '', 1, 1, 1, 0, '{\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_menu\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(307, 0, 'mod_popular', 'module', 'mod_popular', '', 1, 1, 1, 0, '{\"name\":\"mod_popular\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_popular\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(308, 0, 'mod_quickicon', 'module', 'mod_quickicon', '', 1, 1, 1, 1, '{\"name\":\"mod_quickicon\",\"type\":\"module\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_QUICKICON_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_quickicon\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(309, 0, 'mod_status', 'module', 'mod_status', '', 1, 1, 1, 0, '{\"name\":\"mod_status\",\"type\":\"module\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATUS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_status\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(310, 0, 'mod_submenu', 'module', 'mod_submenu', '', 1, 1, 1, 0, '{\"name\":\"mod_submenu\",\"type\":\"module\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SUBMENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_submenu\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(311, 0, 'mod_title', 'module', 'mod_title', '', 1, 1, 1, 0, '{\"name\":\"mod_title\",\"type\":\"module\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_TITLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_title\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(312, 0, 'mod_toolbar', 'module', 'mod_toolbar', '', 1, 1, 1, 1, '{\"name\":\"mod_toolbar\",\"type\":\"module\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_TOOLBAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_toolbar\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(313, 0, 'mod_multilangstatus', 'module', 'mod_multilangstatus', '', 1, 1, 1, 0, '{\"name\":\"mod_multilangstatus\",\"type\":\"module\",\"creationDate\":\"September 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MULTILANGSTATUS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_multilangstatus\"}', '{\"cache\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(314, 0, 'mod_version', 'module', 'mod_version', '', 1, 1, 1, 0, '{\"name\":\"mod_version\",\"type\":\"module\",\"creationDate\":\"January 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_VERSION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_version\"}', '{\"format\":\"short\",\"product\":\"1\",\"cache\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(315, 0, 'mod_stats_admin', 'module', 'mod_stats_admin', '', 1, 1, 1, 0, '{\"name\":\"mod_stats_admin\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_stats_admin\"}', '{\"serverinfo\":\"0\",\"siteinfo\":\"0\",\"counter\":\"0\",\"increase\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(316, 0, 'mod_tags_popular', 'module', 'mod_tags_popular', '', 0, 1, 1, 0, '{\"name\":\"mod_tags_popular\",\"type\":\"module\",\"creationDate\":\"January 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"MOD_TAGS_POPULAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_tags_popular\"}', '{\"maximum\":\"5\",\"timeframe\":\"alltime\",\"owncache\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(317, 0, 'mod_tags_similar', 'module', 'mod_tags_similar', '', 0, 1, 1, 0, '{\"name\":\"mod_tags_similar\",\"type\":\"module\",\"creationDate\":\"January 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"MOD_TAGS_SIMILAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_tags_similar\"}', '{\"maximum\":\"5\",\"matchtype\":\"any\",\"owncache\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(318, 0, 'mod_sampledata', 'module', 'mod_sampledata', '', 1, 1, 1, 0, '{\"name\":\"mod_sampledata\",\"type\":\"module\",\"creationDate\":\"July 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8.0\",\"description\":\"MOD_SAMPLEDATA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_sampledata\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(319, 0, 'mod_latestactions', 'module', 'mod_latestactions', '', 1, 1, 1, 0, '{\"name\":\"mod_latestactions\",\"type\":\"module\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"MOD_LATESTACTIONS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_latestactions\"}', '{}', '', '', 0, '1970-01-01 00:00:00', 0, 0),
(320, 0, 'mod_privacy_dashboard', 'module', 'mod_privacy_dashboard', '', 1, 1, 1, 0, '{\"name\":\"mod_privacy_dashboard\",\"type\":\"module\",\"creationDate\":\"June 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"MOD_PRIVACY_DASHBOARD_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_privacy_dashboard\"}', '{}', '', '', 0, '1970-01-01 00:00:00', 0, 0),
(400, 0, 'plg_authentication_gmail', 'plugin', 'gmail', 'authentication', 0, 0, 1, 0, '{\"name\":\"plg_authentication_gmail\",\"type\":\"plugin\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_GMAIL_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"gmail\"}', '{\"applysuffix\":\"0\",\"suffix\":\"\",\"verifypeer\":\"1\",\"user_blacklist\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(401, 0, 'plg_authentication_joomla', 'plugin', 'joomla', 'authentication', 0, 1, 1, 1, '{\"name\":\"plg_authentication_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_AUTH_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(402, 0, 'plg_authentication_ldap', 'plugin', 'ldap', 'authentication', 0, 0, 1, 0, '{\"name\":\"plg_authentication_ldap\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LDAP_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"ldap\"}', '{\"host\":\"\",\"port\":\"389\",\"use_ldapV3\":\"0\",\"negotiate_tls\":\"0\",\"no_referrals\":\"0\",\"auth_method\":\"bind\",\"base_dn\":\"\",\"search_string\":\"\",\"users_dn\":\"\",\"username\":\"admin\",\"password\":\"bobby7\",\"ldap_fullname\":\"fullName\",\"ldap_email\":\"mail\",\"ldap_uid\":\"uid\"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(403, 0, 'plg_content_contact', 'plugin', 'contact', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_contact\",\"type\":\"plugin\",\"creationDate\":\"January 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.2\",\"description\":\"PLG_CONTENT_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(404, 0, 'plg_content_emailcloak', 'plugin', 'emailcloak', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_emailcloak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"emailcloak\"}', '{\"mode\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(406, 0, 'plg_content_loadmodule', 'plugin', 'loadmodule', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_loadmodule\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LOADMODULE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"loadmodule\"}', '{\"style\":\"xhtml\"}', '', '', 0, '2011-09-18 15:22:50', 0, 0),
(407, 0, 'plg_content_pagebreak', 'plugin', 'pagebreak', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"pagebreak\"}', '{\"title\":\"1\",\"multipage_toc\":\"1\",\"showall\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(408, 0, 'plg_content_pagenavigation', 'plugin', 'pagenavigation', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_pagenavigation\",\"type\":\"plugin\",\"creationDate\":\"January 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_PAGENAVIGATION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"pagenavigation\"}', '{\"position\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(409, 0, 'plg_content_vote', 'plugin', 'vote', 'content', 0, 0, 1, 0, '{\"name\":\"plg_content_vote\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_VOTE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"vote\"}', '', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(410, 0, 'plg_editors_codemirror', 'plugin', 'codemirror', 'editors', 0, 1, 1, 1, '{\"name\":\"plg_editors_codemirror\",\"type\":\"plugin\",\"creationDate\":\"28 March 2011\",\"author\":\"Marijn Haverbeke\",\"copyright\":\"Copyright (C) 2014 - 2021 by Marijn Haverbeke <marijnh@gmail.com> and others\",\"authorEmail\":\"marijnh@gmail.com\",\"authorUrl\":\"https:\\/\\/codemirror.net\\/\",\"version\":\"5.60.0\",\"description\":\"PLG_CODEMIRROR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"codemirror\"}', '{\"lineNumbers\":\"1\",\"lineWrapping\":\"1\",\"matchTags\":\"1\",\"matchBrackets\":\"1\",\"marker-gutter\":\"1\",\"autoCloseTags\":\"1\",\"autoCloseBrackets\":\"1\",\"autoFocus\":\"1\",\"theme\":\"default\",\"tabmode\":\"indent\"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(411, 0, 'plg_editors_none', 'plugin', 'none', 'editors', 0, 1, 1, 1, '{\"name\":\"plg_editors_none\",\"type\":\"plugin\",\"creationDate\":\"September 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_NONE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"none\"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(412, 0, 'plg_editors_tinymce', 'plugin', 'tinymce', 'editors', 0, 1, 1, 0, '{\"name\":\"plg_editors_tinymce\",\"type\":\"plugin\",\"creationDate\":\"2005-2020\",\"author\":\"Tiny Technologies, Inc\",\"copyright\":\"Tiny Technologies, Inc\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"https:\\/\\/www.tiny.cloud\",\"version\":\"4.5.12\",\"description\":\"PLG_TINY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tinymce\"}', '{\"configuration\":{\"toolbars\":{\"2\":{\"toolbar1\":[\"bold\",\"underline\",\"strikethrough\",\"|\",\"undo\",\"redo\",\"|\",\"bullist\",\"numlist\",\"|\",\"pastetext\"]},\"1\":{\"menu\":[\"edit\",\"insert\",\"view\",\"format\",\"table\",\"tools\"],\"toolbar1\":[\"bold\",\"italic\",\"underline\",\"strikethrough\",\"|\",\"alignleft\",\"aligncenter\",\"alignright\",\"alignjustify\",\"|\",\"formatselect\",\"|\",\"bullist\",\"numlist\",\"|\",\"outdent\",\"indent\",\"|\",\"undo\",\"redo\",\"|\",\"link\",\"unlink\",\"anchor\",\"code\",\"|\",\"hr\",\"table\",\"|\",\"subscript\",\"superscript\",\"|\",\"charmap\",\"pastetext\",\"preview\"]},\"0\":{\"menu\":[\"edit\",\"insert\",\"view\",\"format\",\"table\",\"tools\"],\"toolbar1\":[\"bold\",\"italic\",\"underline\",\"strikethrough\",\"|\",\"alignleft\",\"aligncenter\",\"alignright\",\"alignjustify\",\"|\",\"styleselect\",\"|\",\"formatselect\",\"fontselect\",\"fontsizeselect\",\"|\",\"searchreplace\",\"|\",\"bullist\",\"numlist\",\"|\",\"outdent\",\"indent\",\"|\",\"undo\",\"redo\",\"|\",\"link\",\"unlink\",\"anchor\",\"image\",\"|\",\"code\",\"|\",\"forecolor\",\"backcolor\",\"|\",\"fullscreen\",\"|\",\"table\",\"|\",\"subscript\",\"superscript\",\"|\",\"charmap\",\"emoticons\",\"media\",\"hr\",\"ltr\",\"rtl\",\"|\",\"cut\",\"copy\",\"paste\",\"pastetext\",\"|\",\"visualchars\",\"visualblocks\",\"nonbreaking\",\"blockquote\",\"template\",\"|\",\"print\",\"preview\",\"codesample\",\"insertdatetime\",\"removeformat\"]}},\"setoptions\":{\"2\":{\"access\":[\"1\"],\"skin\":\"0\",\"skin_admin\":\"0\",\"mobile\":\"0\",\"drag_drop\":\"1\",\"path\":\"\",\"entity_encoding\":\"raw\",\"lang_mode\":\"1\",\"text_direction\":\"ltr\",\"content_css\":\"1\",\"content_css_custom\":\"\",\"relative_urls\":\"1\",\"newlines\":\"0\",\"use_config_textfilters\":\"0\",\"invalid_elements\":\"script,applet,iframe\",\"valid_elements\":\"\",\"extended_elements\":\"\",\"resizing\":\"1\",\"resize_horizontal\":\"1\",\"element_path\":\"1\",\"wordcount\":\"1\",\"image_advtab\":\"0\",\"advlist\":\"1\",\"contextmenu\":\"1\",\"custom_plugin\":\"\",\"custom_button\":\"\"},\"1\":{\"access\":[\"6\",\"2\"],\"skin\":\"0\",\"skin_admin\":\"0\",\"mobile\":\"0\",\"drag_drop\":\"1\",\"path\":\"\",\"entity_encoding\":\"raw\",\"lang_mode\":\"1\",\"text_direction\":\"ltr\",\"content_css\":\"1\",\"content_css_custom\":\"\",\"relative_urls\":\"1\",\"newlines\":\"0\",\"use_config_textfilters\":\"0\",\"invalid_elements\":\"script,applet,iframe\",\"valid_elements\":\"\",\"extended_elements\":\"\",\"resizing\":\"1\",\"resize_horizontal\":\"1\",\"element_path\":\"1\",\"wordcount\":\"1\",\"image_advtab\":\"0\",\"advlist\":\"1\",\"contextmenu\":\"1\",\"custom_plugin\":\"\",\"custom_button\":\"\"},\"0\":{\"access\":[\"7\",\"4\",\"8\"],\"skin\":\"0\",\"skin_admin\":\"0\",\"mobile\":\"0\",\"drag_drop\":\"1\",\"path\":\"\",\"entity_encoding\":\"raw\",\"lang_mode\":\"1\",\"text_direction\":\"ltr\",\"content_css\":\"1\",\"content_css_custom\":\"\",\"relative_urls\":\"1\",\"newlines\":\"0\",\"use_config_textfilters\":\"0\",\"invalid_elements\":\"script,applet,iframe\",\"valid_elements\":\"\",\"extended_elements\":\"\",\"resizing\":\"1\",\"resize_horizontal\":\"1\",\"element_path\":\"1\",\"wordcount\":\"1\",\"image_advtab\":\"1\",\"advlist\":\"1\",\"contextmenu\":\"1\",\"custom_plugin\":\"\",\"custom_button\":\"\"}}},\"sets_amount\":3,\"html_height\":\"200\",\"html_width\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(413, 0, 'plg_editors-xtd_article', 'plugin', 'article', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_article\",\"type\":\"plugin\",\"creationDate\":\"October 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_ARTICLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"article\"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(414, 0, 'plg_editors-xtd_image', 'plugin', 'image', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_image\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_IMAGE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"image\"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(415, 0, 'plg_editors-xtd_pagebreak', 'plugin', 'pagebreak', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"pagebreak\"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(416, 0, 'plg_editors-xtd_readmore', 'plugin', 'readmore', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_readmore\",\"type\":\"plugin\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_READMORE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"readmore\"}', '', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(417, 0, 'plg_search_categories', 'plugin', 'categories', 'search', 0, 1, 1, 0, '{\"name\":\"plg_search_categories\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"categories\"}', '{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(418, 0, 'plg_search_contacts', 'plugin', 'contacts', 'search', 0, 1, 1, 0, '{\"name\":\"plg_search_contacts\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CONTACTS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contacts\"}', '{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(419, 0, 'plg_search_content', 'plugin', 'content', 'search', 0, 1, 1, 0, '{\"name\":\"plg_search_content\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}', '{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(420, 0, 'plg_search_newsfeeds', 'plugin', 'newsfeeds', 'search', 0, 1, 1, 0, '{\"name\":\"plg_search_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"newsfeeds\"}', '{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(422, 0, 'plg_system_languagefilter', 'plugin', 'languagefilter', 'system', 0, 0, 1, 1, '{\"name\":\"plg_system_languagefilter\",\"type\":\"plugin\",\"creationDate\":\"July 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"languagefilter\"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(423, 0, 'plg_system_p3p', 'plugin', 'p3p', 'system', 0, 0, 1, 0, '{\"name\":\"plg_system_p3p\",\"type\":\"plugin\",\"creationDate\":\"September 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_P3P_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"p3p\"}', '{\"headers\":\"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM\"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(424, 0, 'plg_system_cache', 'plugin', 'cache', 'system', 0, 0, 1, 1, '{\"name\":\"plg_system_cache\",\"type\":\"plugin\",\"creationDate\":\"February 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CACHE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"cache\"}', '{\"browsercache\":\"0\",\"cachetime\":\"15\"}', '', '', 0, '0000-00-00 00:00:00', 9, 0),
(425, 0, 'plg_system_debug', 'plugin', 'debug', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_debug\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_DEBUG_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"debug\"}', '{\"profile\":\"1\",\"queries\":\"1\",\"memory\":\"1\",\"language_files\":\"1\",\"language_strings\":\"1\",\"strip-first\":\"1\",\"strip-prefix\":\"\",\"strip-suffix\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(426, 0, 'plg_system_log', 'plugin', 'log', 'system', 0, 1, 1, 1, '{\"name\":\"plg_system_log\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LOG_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"log\"}', '', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(427, 0, 'plg_system_redirect', 'plugin', 'redirect', 'system', 0, 0, 1, 1, '{\"name\":\"plg_system_redirect\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_REDIRECT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"redirect\"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(428, 0, 'plg_system_remember', 'plugin', 'remember', 'system', 0, 1, 1, 1, '{\"name\":\"plg_system_remember\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_REMEMBER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"remember\"}', '', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(429, 0, 'plg_system_sef', 'plugin', 'sef', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_sef\",\"type\":\"plugin\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEF_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sef\"}', '', '', '', 0, '0000-00-00 00:00:00', 8, 0),
(430, 0, 'plg_system_logout', 'plugin', 'logout', 'system', 0, 1, 1, 1, '{\"name\":\"plg_system_logout\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"logout\"}', '', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(431, 0, 'plg_user_contactcreator', 'plugin', 'contactcreator', 'user', 0, 0, 1, 0, '{\"name\":\"plg_user_contactcreator\",\"type\":\"plugin\",\"creationDate\":\"August 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTACTCREATOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contactcreator\"}', '{\"autowebpage\":\"\",\"category\":\"34\",\"autopublish\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(432, 0, 'plg_user_joomla', 'plugin', 'joomla', 'user', 0, 1, 1, 0, '{\"name\":\"plg_user_joomla\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_USER_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}', '{\"autoregister\":\"1\",\"mail_to_user\":\"1\",\"forceLogout\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(433, 0, 'plg_user_profile', 'plugin', 'profile', 'user', 0, 0, 1, 0, '{\"name\":\"plg_user_profile\",\"type\":\"plugin\",\"creationDate\":\"January 2008\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_USER_PROFILE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"profile\"}', '{\"register-require_address1\":\"1\",\"register-require_address2\":\"1\",\"register-require_city\":\"1\",\"register-require_region\":\"1\",\"register-require_country\":\"1\",\"register-require_postal_code\":\"1\",\"register-require_phone\":\"1\",\"register-require_website\":\"1\",\"register-require_favoritebook\":\"1\",\"register-require_aboutme\":\"1\",\"register-require_tos\":\"1\",\"register-require_dob\":\"1\",\"profile-require_address1\":\"1\",\"profile-require_address2\":\"1\",\"profile-require_city\":\"1\",\"profile-require_region\":\"1\",\"profile-require_country\":\"1\",\"profile-require_postal_code\":\"1\",\"profile-require_phone\":\"1\",\"profile-require_website\":\"1\",\"profile-require_favoritebook\":\"1\",\"profile-require_aboutme\":\"1\",\"profile-require_tos\":\"1\",\"profile-require_dob\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(434, 0, 'plg_extension_joomla', 'plugin', 'joomla', 'extension', 0, 1, 1, 1, '{\"name\":\"plg_extension_joomla\",\"type\":\"plugin\",\"creationDate\":\"May 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(435, 0, 'plg_content_joomla', 'plugin', 'joomla', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(436, 0, 'plg_system_languagecode', 'plugin', 'languagecode', 'system', 0, 0, 1, 0, '{\"name\":\"plg_system_languagecode\",\"type\":\"plugin\",\"creationDate\":\"November 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"languagecode\"}', '', '', '', 0, '0000-00-00 00:00:00', 10, 0),
(437, 0, 'plg_quickicon_joomlaupdate', 'plugin', 'joomlaupdate', 'quickicon', 0, 1, 1, 1, '{\"name\":\"plg_quickicon_joomlaupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomlaupdate\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(438, 0, 'plg_quickicon_extensionupdate', 'plugin', 'extensionupdate', 'quickicon', 0, 1, 1, 1, '{\"name\":\"plg_quickicon_extensionupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"extensionupdate\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(439, 0, 'plg_captcha_recaptcha', 'plugin', 'recaptcha', 'captcha', 0, 0, 1, 0, '{\"name\":\"plg_captcha_recaptcha\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.4.0\",\"description\":\"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"recaptcha\"}', '{\"public_key\":\"\",\"private_key\":\"\",\"theme\":\"clean\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(440, 0, 'plg_system_highlight', 'plugin', 'highlight', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_highlight\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"highlight\"}', '', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(441, 0, 'plg_content_finder', 'plugin', 'finder', 'content', 0, 0, 1, 0, '{\"name\":\"plg_content_finder\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_FINDER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"finder\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(442, 0, 'plg_finder_categories', 'plugin', 'categories', 'finder', 0, 1, 1, 0, '{\"name\":\"plg_finder_categories\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"categories\"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(443, 0, 'plg_finder_contacts', 'plugin', 'contacts', 'finder', 0, 1, 1, 0, '{\"name\":\"plg_finder_contacts\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CONTACTS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contacts\"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(444, 0, 'plg_finder_content', 'plugin', 'content', 'finder', 0, 1, 1, 0, '{\"name\":\"plg_finder_content\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(445, 0, 'plg_finder_newsfeeds', 'plugin', 'newsfeeds', 'finder', 0, 1, 1, 0, '{\"name\":\"plg_finder_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"newsfeeds\"}', '', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(447, 0, 'plg_finder_tags', 'plugin', 'tags', 'finder', 0, 1, 1, 0, '{\"name\":\"plg_finder_tags\",\"type\":\"plugin\",\"creationDate\":\"February 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_TAGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tags\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(448, 0, 'plg_twofactorauth_totp', 'plugin', 'totp', 'twofactorauth', 0, 0, 1, 0, '{\"name\":\"plg_twofactorauth_totp\",\"type\":\"plugin\",\"creationDate\":\"August 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"totp\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(449, 0, 'plg_authentication_cookie', 'plugin', 'cookie', 'authentication', 0, 1, 1, 0, '{\"name\":\"plg_authentication_cookie\",\"type\":\"plugin\",\"creationDate\":\"July 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_AUTH_COOKIE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"cookie\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(450, 0, 'plg_twofactorauth_yubikey', 'plugin', 'yubikey', 'twofactorauth', 0, 0, 1, 0, '{\"name\":\"plg_twofactorauth_yubikey\",\"type\":\"plugin\",\"creationDate\":\"September 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"yubikey\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(451, 0, 'plg_search_tags', 'plugin', 'tags', 'search', 0, 1, 1, 0, '{\"name\":\"plg_search_tags\",\"type\":\"plugin\",\"creationDate\":\"March 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_TAGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tags\"}', '{\"search_limit\":\"50\",\"show_tagged_items\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(452, 0, 'plg_system_updatenotification', 'plugin', 'updatenotification', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_updatenotification\",\"type\":\"plugin\",\"creationDate\":\"May 2015\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"PLG_SYSTEM_UPDATENOTIFICATION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"updatenotification\"}', '{\"lastrun\":1618496733}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(453, 0, 'plg_editors-xtd_module', 'plugin', 'module', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_module\",\"type\":\"plugin\",\"creationDate\":\"October 2015\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"PLG_MODULE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"module\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(454, 0, 'plg_system_stats', 'plugin', 'stats', 'system', 0, 0, 1, 0, '{\"name\":\"plg_system_stats\",\"type\":\"plugin\",\"creationDate\":\"November 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"PLG_SYSTEM_STATS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"stats\"}', 'null', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(455, 0, 'plg_installer_packageinstaller', 'plugin', 'packageinstaller', 'installer', 0, 1, 1, 1, '{\"name\":\"plg_installer_packageinstaller\",\"type\":\"plugin\",\"creationDate\":\"May 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.0\",\"description\":\"PLG_INSTALLER_PACKAGEINSTALLER_PLUGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"packageinstaller\"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(456, 0, 'PLG_INSTALLER_FOLDERINSTALLER', 'plugin', 'folderinstaller', 'installer', 0, 1, 1, 1, '{\"name\":\"PLG_INSTALLER_FOLDERINSTALLER\",\"type\":\"plugin\",\"creationDate\":\"May 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.0\",\"description\":\"PLG_INSTALLER_FOLDERINSTALLER_PLUGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"folderinstaller\"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(457, 0, 'PLG_INSTALLER_URLINSTALLER', 'plugin', 'urlinstaller', 'installer', 0, 1, 1, 1, '{\"name\":\"PLG_INSTALLER_URLINSTALLER\",\"type\":\"plugin\",\"creationDate\":\"May 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.0\",\"description\":\"PLG_INSTALLER_URLINSTALLER_PLUGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"urlinstaller\"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(458, 0, 'plg_quickicon_phpversioncheck', 'plugin', 'phpversioncheck', 'quickicon', 0, 1, 1, 1, '{\"name\":\"plg_quickicon_phpversioncheck\",\"type\":\"plugin\",\"creationDate\":\"August 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_QUICKICON_PHPVERSIONCHECK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"phpversioncheck\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(459, 0, 'plg_editors-xtd_menu', 'plugin', 'menu', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_menu\",\"type\":\"plugin\",\"creationDate\":\"August 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_EDITORS-XTD_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"menu\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(460, 0, 'plg_editors-xtd_contact', 'plugin', 'contact', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_contact\",\"type\":\"plugin\",\"creationDate\":\"October 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_EDITORS-XTD_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(461, 0, 'plg_system_fields', 'plugin', 'fields', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_fields\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_SYSTEM_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(462, 0, 'plg_fields_calendar', 'plugin', 'calendar', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_calendar\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_CALENDAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"calendar\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(463, 0, 'plg_fields_checkboxes', 'plugin', 'checkboxes', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_checkboxes\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_CHECKBOXES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"checkboxes\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(464, 0, 'plg_fields_color', 'plugin', 'color', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_color\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_COLOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"color\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(465, 0, 'plg_fields_editor', 'plugin', 'editor', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_editor\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_EDITOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"editor\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(466, 0, 'plg_fields_imagelist', 'plugin', 'imagelist', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_imagelist\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_IMAGELIST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"imagelist\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(467, 0, 'plg_fields_integer', 'plugin', 'integer', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_integer\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_INTEGER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"integer\"}', '{\"multiple\":\"0\",\"first\":\"1\",\"last\":\"100\",\"step\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(468, 0, 'plg_fields_list', 'plugin', 'list', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_list\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_LIST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"list\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(469, 0, 'plg_fields_media', 'plugin', 'media', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_media\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_MEDIA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"media\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(470, 0, 'plg_fields_radio', 'plugin', 'radio', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_radio\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_RADIO_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"radio\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(471, 0, 'plg_fields_sql', 'plugin', 'sql', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_sql\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_SQL_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sql\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(472, 0, 'plg_fields_text', 'plugin', 'text', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_text\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_TEXT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"text\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(473, 0, 'plg_fields_textarea', 'plugin', 'textarea', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_textarea\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_TEXTAREA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"textarea\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(474, 0, 'plg_fields_url', 'plugin', 'url', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_url\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_URL_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"url\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(475, 0, 'plg_fields_user', 'plugin', 'user', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_user\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_USER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"user\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(476, 0, 'plg_fields_usergrouplist', 'plugin', 'usergrouplist', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_usergrouplist\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_USERGROUPLIST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"usergrouplist\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(477, 0, 'plg_content_fields', 'plugin', 'fields', 'content', 0, 1, 1, 0, '{\"name\":\"plg_content_fields\",\"type\":\"plugin\",\"creationDate\":\"February 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_CONTENT_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(478, 0, 'plg_editors-xtd_fields', 'plugin', 'fields', 'editors-xtd', 0, 1, 1, 0, '{\"name\":\"plg_editors-xtd_fields\",\"type\":\"plugin\",\"creationDate\":\"February 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_EDITORS-XTD_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(479, 0, 'plg_sampledata_blog', 'plugin', 'blog', 'sampledata', 0, 1, 1, 0, '{\"name\":\"plg_sampledata_blog\",\"type\":\"plugin\",\"creationDate\":\"July 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8.0\",\"description\":\"PLG_SAMPLEDATA_BLOG_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"blog\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(480, 0, 'plg_system_sessiongc', 'plugin', 'sessiongc', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_sessiongc\",\"type\":\"plugin\",\"creationDate\":\"February 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8.6\",\"description\":\"PLG_SYSTEM_SESSIONGC_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sessiongc\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(481, 0, 'plg_fields_repeatable', 'plugin', 'repeatable', 'fields', 0, 1, 1, 0, '{\"name\":\"plg_fields_repeatable\",\"type\":\"plugin\",\"creationDate\":\"April 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_FIELDS_REPEATABLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"repeatable\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(482, 0, 'plg_content_confirmconsent', 'plugin', 'confirmconsent', 'content', 0, 0, 1, 0, '{\"name\":\"plg_content_confirmconsent\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_CONTENT_CONFIRMCONSENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"confirmconsent\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(483, 0, 'PLG_SYSTEM_ACTIONLOGS', 'plugin', 'actionlogs', 'system', 0, 0, 1, 0, '{\"name\":\"PLG_SYSTEM_ACTIONLOGS\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_SYSTEM_ACTIONLOGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"actionlogs\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(484, 0, 'PLG_ACTIONLOG_JOOMLA', 'plugin', 'joomla', 'actionlog', 0, 1, 1, 0, '{\"name\":\"PLG_ACTIONLOG_JOOMLA\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_ACTIONLOG_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(485, 0, 'plg_system_privacyconsent', 'plugin', 'privacyconsent', 'system', 0, 0, 1, 0, '{\"name\":\"plg_system_privacyconsent\",\"type\":\"plugin\",\"creationDate\":\"April 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_SYSTEM_PRIVACYCONSENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"privacyconsent\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(486, 0, 'plg_system_logrotation', 'plugin', 'logrotation', 'system', 0, 1, 1, 0, '{\"name\":\"plg_system_logrotation\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_SYSTEM_LOGROTATION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"logrotation\"}', '{\"lastrun\":1617952091}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(487, 0, 'plg_privacy_user', 'plugin', 'user', 'privacy', 0, 1, 1, 0, '{\"name\":\"plg_privacy_user\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_USER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"user\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(488, 0, 'plg_quickicon_privacycheck', 'plugin', 'privacycheck', 'quickicon', 0, 1, 1, 0, '{\"name\":\"plg_quickicon_privacycheck\",\"type\":\"plugin\",\"creationDate\":\"June 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_QUICKICON_PRIVACYCHECK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"privacycheck\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(489, 0, 'plg_user_terms', 'plugin', 'terms', 'user', 0, 0, 1, 0, '{\"name\":\"plg_user_terms\",\"type\":\"plugin\",\"creationDate\":\"June 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_USER_TERMS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"terms\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(490, 0, 'plg_privacy_contact', 'plugin', 'contact', 'privacy', 0, 1, 1, 0, '{\"name\":\"plg_privacy_contact\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(491, 0, 'plg_privacy_content', 'plugin', 'content', 'privacy', 0, 1, 1, 0, '{\"name\":\"plg_privacy_content\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(492, 0, 'plg_privacy_message', 'plugin', 'message', 'privacy', 0, 1, 1, 0, '{\"name\":\"plg_privacy_message\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_MESSAGE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"message\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(493, 0, 'plg_privacy_actionlogs', 'plugin', 'actionlogs', 'privacy', 0, 1, 1, 0, '{\"name\":\"plg_privacy_actionlogs\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_ACTIONLOGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"actionlogs\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(494, 0, 'plg_captcha_recaptcha_invisible', 'plugin', 'recaptcha_invisible', 'captcha', 0, 0, 1, 0, '{\"name\":\"plg_captcha_recaptcha_invisible\",\"type\":\"plugin\",\"creationDate\":\"November 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8\",\"description\":\"PLG_CAPTCHA_RECAPTCHA_INVISIBLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"recaptcha_invisible\"}', '{\"public_key\":\"\",\"private_key\":\"\",\"theme\":\"clean\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(495, 0, 'plg_privacy_consents', 'plugin', 'consents', 'privacy', 0, 1, 1, 0, '{\"name\":\"plg_privacy_consents\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_CONSENTS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"consents\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(503, 0, 'beez3', 'template', 'beez3', '', 0, 1, 1, 0, '{\"name\":\"beez3\",\"type\":\"template\",\"creationDate\":\"25 November 2009\",\"author\":\"Angie Radtke\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"a.radtke@derauftritt.de\",\"authorUrl\":\"http:\\/\\/www.der-auftritt.de\",\"version\":\"3.1.0\",\"description\":\"TPL_BEEZ3_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}', '{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"center\",\"templatecolor\":\"nature\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(504, 0, 'hathor', 'template', 'hathor', '', 1, 1, 1, 0, '{\"name\":\"hathor\",\"type\":\"template\",\"creationDate\":\"May 2010\",\"author\":\"Andrea Tarr\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"3.0.0\",\"description\":\"TPL_HATHOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}', '{\"showSiteName\":\"0\",\"colourChoice\":\"0\",\"boldText\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(506, 0, 'protostar', 'template', 'protostar', '', 0, 1, 1, 0, '{\"name\":\"protostar\",\"type\":\"template\",\"creationDate\":\"4\\/30\\/2012\",\"author\":\"Kyle Ledbetter\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"TPL_PROTOSTAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}', '{\"templateColor\":\"\",\"logoFile\":\"\",\"googleFont\":\"1\",\"googleFontName\":\"Open+Sans\",\"fluidContainer\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(507, 0, 'isis', 'template', 'isis', '', 1, 1, 1, 0, '{\"name\":\"isis\",\"type\":\"template\",\"creationDate\":\"3\\/30\\/2012\",\"author\":\"Kyle Ledbetter\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"TPL_ISIS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}', '{\"templateColor\":\"\",\"logoFile\":\"\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(600, 802, 'English (en-GB)', 'language', 'en-GB', '', 0, 1, 1, 1, '{\"name\":\"English (en-GB)\",\"type\":\"language\",\"creationDate\":\"April 2021\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.26\",\"description\":\"en-GB site language\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(601, 802, 'English (en-GB)', 'language', 'en-GB', '', 1, 1, 1, 1, '{\"name\":\"English (en-GB)\",\"type\":\"language\",\"creationDate\":\"April 2021\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.26\",\"description\":\"en-GB administrator language\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(700, 0, 'files_joomla', 'file', 'joomla', '', 0, 1, 1, 1, '{\"name\":\"files_joomla\",\"type\":\"file\",\"creationDate\":\"April 2021\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2020 Open Source Matters. All rights reserved\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.26\",\"description\":\"FILES_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(802, 0, 'English (en-GB) Language Pack', 'package', 'pkg_en-GB', '', 0, 1, 1, 1, '{\"name\":\"English (en-GB) Language Pack\",\"type\":\"package\",\"creationDate\":\"April 2021\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.26.1\",\"description\":\"en-GB language pack\",\"group\":\"\",\"filename\":\"pkg_en-GB\"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10003, 0, 'com_jstar_shop', 'component', 'com_jstar_shop', '', 1, 1, 0, 0, '{\"name\":\"com_jstar_shop\",\"type\":\"component\",\"creationDate\":\"Nov 2015\",\"author\":\"joomstar.ir\",\"copyright\":\"(C) 2005 - 2015 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"info@joomstar.ir\",\"authorUrl\":\"http:\\/\\/joomstar.ir\",\"version\":\"1.0.0\",\"description\":\"COM_JSTAR_SHOP_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"jstar_shop\"}', '{\"licencekey\":\"6dc655589efd989e5dd9dba3eef546d4f2c1a6a4\",\"cuntry\":\"USA\",\"steppay\":\"1\",\"method\":\"1\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10004, 0, 'mod_jstar_shop_compare', 'module', 'mod_jstar_shop_compare', '', 0, 1, 0, 0, '{\"name\":\"mod_jstar_shop_compare\",\"type\":\"module\",\"creationDate\":\"Jan 2014\",\"author\":\"\\u0646\\u0627\\u0645\\u0634\\u062e\\u0635\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"\",\"version\":\"1.0.0\",\"description\":\"MOD_JSTAR_SHOP_COMPARE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_jstar_shop_compare\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10005, 0, 'mod_jstar_shop_cart', 'module', 'mod_jstar_shop_cart', '', 0, 1, 0, 0, '{\"name\":\"mod_jstar_shop_cart\",\"type\":\"module\",\"creationDate\":\"Jan 2014\",\"author\":\"\\u0646\\u0627\\u0645\\u0634\\u062e\\u0635\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"\",\"version\":\"1.0.0\",\"description\":\"MOD_JSTAR_SHOP_CART_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_jstar_shop_cart\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10006, 0, 'mod_jstar_shop_search', 'module', 'mod_jstar_shop_search', '', 0, 1, 0, 0, '{\"name\":\"mod_jstar_shop_search\",\"type\":\"module\",\"creationDate\":\"Jan 2014\",\"author\":\"\\u0646\\u0627\\u0645\\u0634\\u062e\\u0635\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"\",\"version\":\"1.0.0\",\"description\":\"MOD_JSTAR_SHOP_COMPARE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_jstar_shop_search\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10007, 0, 'mod_jstar_shop_similars', 'module', 'mod_jstar_shop_similars', '', 0, 1, 0, 0, '{\"name\":\"mod_jstar_shop_similars\",\"type\":\"module\",\"creationDate\":\"Jan 2014\",\"author\":\"\\u0646\\u0627\\u0645\\u0634\\u062e\\u0635\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"\",\"version\":\"1.0.0\",\"description\":\"MOD_JSTAR_SHOP_COMPARE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_jstar_shop_similars\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10008, 0, 'mod_jstar_shop_tag', 'module', 'mod_jstar_shop_tag', '', 0, 1, 0, 0, '{\"name\":\"mod_jstar_shop_tag\",\"type\":\"module\",\"creationDate\":\"Jan 2014\",\"author\":\"\\u0646\\u0627\\u0645\\u0634\\u062e\\u0635\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"\",\"version\":\"1.0.0\",\"description\":\"MOD_JSTAR_SHOP_Tag_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_jstar_shop_tag\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10009, 0, 'joomstar', 'template', 'joomstar', '', 0, 1, 1, 0, '{\"name\":\"joomstar\",\"type\":\"template\",\"creationDate\":\"02 oct 2018\",\"author\":\"joomstar.ir\",\"copyright\":\"Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"info@joomstar.ir\",\"authorUrl\":\"http:\\/\\/www.joomstar.ir\",\"version\":\"3.8.0\",\"description\":\"TPL_JOOMSTAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10010, 0, 'mod_mobile_menu', 'module', 'mod_mobile_menu', '', 0, 1, 0, 0, '{\"name\":\"mod_mobile_menu\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_mobile_menu\"}', '{\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10011, 0, 'BT Login', 'module', 'mod_bt_login', '', 0, 1, 0, 0, '{\"name\":\"BT Login\",\"type\":\"module\",\"creationDate\":\"April 2012\",\"author\":\"BowThemes\",\"copyright\":\"Copyright (C) 2012 Bowthemes. All rights reserved.\",\"authorEmail\":\"support@bowthemes.com\",\"authorUrl\":\"http:\\/\\/www.bowthemes.com\",\"version\":\"2.6.4\",\"description\":\"MOD_BT_LOGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_bt_login\"}', '{\"align_option\":\"right\",\"display_type\":\"0\",\"mouse_event\":\"click\",\"login\":\"\",\"logout\":\"\",\"name\":\"0\",\"logout_button\":\"1\",\"enabled_registration\":\"1\",\"enabled_registration_tab\":\"1\",\"enabled_login_tab\":\"1\",\"tag_login_modal\":\"\",\"tag_register_modal\":\"\",\"module_id\":\"19\",\"module_position\":\"0\",\"use_captcha\":\"1\",\"integrated_component\":\"\",\"module_option\":\"0\",\"link_option\":\"\",\"loadJquery\":\"auto\",\"cache\":\"0\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10012, 0, 'JM Slideshow Responsive', 'module', 'mod_jmslideshow', '', 0, 1, 0, 0, '{\"name\":\"JM Slideshow Responsive\",\"type\":\"module\",\"creationDate\":\"Mar 2014\",\"author\":\"JoomlaMan.com\",\"copyright\":\"\\u00a9 2012-2014 JoomlaMan.com\",\"authorEmail\":\"info@joomlaman.com\",\"authorUrl\":\"www.joomlaman.com\",\"version\":\"2.0.5\",\"description\":\"\\n       fix bug : Slides stacking issues during loading. Added link to images. \\t\\n    \",\"group\":\"\",\"filename\":\"mod_jmslideshow\"}', '{\"jmslideshow_responsive\":\"1\",\"jmslideshow_width\":\"700\",\"jmslideshow_image_width\":\"700\",\"jmslideshow_image_height\":\"400\",\"jmslideshow_image_style\":\"1\",\"moduleclass_sfx\":\"\",\"slider_source\":\"0\",\"jmslideshow_k2_categories\":\"\",\"jmslideshow_hikashop_categories\":\"\",\"jmslideshow_image_source\":\"0\",\"jmslideshow_article_image_source\":\"3\",\"jmslideshow_ordering\":\"0\",\"jmslideshow_orderby\":\"0\",\"jmslideshow_count\":\"5\",\"jmslideshow_layout\":\"default\",\"jmslideshow_effect\":\"fade\",\"jmslideshow_speed\":\"500\",\"jmslideshow_auto\":\"1\",\"jmslideshow_timeout\":\"5000\",\"jmslideshow_caption_position\":\"topleft\",\"jmslideshow_caption_left\":\"30\",\"jmslideshow_caption_top\":\"30\",\"jmslideshow_caption_right\":\"30\",\"jmslideshow_caption_bottom\":\"30\",\"jmslideshow_caption_width\":\"500\",\"jmslideshow_desc_length\":\"150\",\"jmslideshow_desc_html\":\"\",\"jmslideshow_readmore_text\":\"Read more\",\"jmslideshow_show_nav_buttons\":\"1\",\"jmslideshow_show_pager\":\"1\",\"jmslideshow_pager_type\":\"1\",\"jmslideshow_pager_position\":\"bottomleft\",\"jmslideshow_image_thumbnail_width\":\"100\",\"jmslideshow_image_thumbnail_height\":\"65\",\"jmslideshow_pager_left\":\"30\",\"jmslideshow_pager_top\":\"30\",\"jmslideshow_pager_right\":\"30\",\"jmslideshow_pager_bottom\":\"30\",\"jmslideshow_include_jquery\":\"2\",\"jmslideshow_about\":\"MOD_JMSLIDESHOW_ABOUT_TAB_DESC\",\"jmslideshow_update\":\"UPDATE will be revealed later!\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10014, 0, 'mod_jstar_shop_search_txt', 'module', 'mod_jstar_shop_search_txt', '', 0, 1, 0, 0, '{\"name\":\"mod_jstar_shop_search_txt\",\"type\":\"module\",\"creationDate\":\"Jan 2018\",\"author\":\"http:\\/\\/goharweb.ir\",\"copyright\":\"Copyright (C) 2005 - 2018 Open Source Matters. All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"\",\"version\":\"1.0.0\",\"description\":\"MOD_JSTAR_SHOP_SEARCH_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_jstar_shop_search_txt\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10015, 0, 'mod_jstar_shop_login', 'module', 'mod_jstar_shop_login', '', 0, 1, 0, 0, '{\"name\":\"mod_jstar_shop_login\",\"type\":\"module\",\"creationDate\":\"Jan 2018\",\"author\":\"http:\\/\\/goharweb.ir\",\"copyright\":\"Copyright (C) 2005 - 2018 Open Source Matters. All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"\",\"version\":\"1.0.0\",\"description\":\"MOD_JSTAR_SHOP_LOGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_jstar_shop_login\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10016, 0, 'mod_jstar_shop_best', 'module', 'mod_jstar_shop_best', '', 0, 1, 0, 0, '{\"name\":\"mod_jstar_shop_best\",\"type\":\"module\",\"creationDate\":\"Jan 2018\",\"author\":\"http:\\/\\/goharweb.ir\",\"copyright\":\"Copyright (C) 2005 - 2018 Open Source Matters. All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"\",\"version\":\"1.0.0\",\"description\":\"MOD_JSTAR_SHOP_BEST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_jstar_shop_best\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10017, 0, 'mod_jstar_shop_amazing', 'module', 'mod_jstar_shop_amazing', '', 0, 1, 0, 0, '{\"name\":\"mod_jstar_shop_amazing\",\"type\":\"module\",\"creationDate\":\"Jan 2018\",\"author\":\"http:\\/\\/joomstar.ir\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"\",\"version\":\"1.0.0\",\"description\":\"Amazing\",\"group\":\"\",\"filename\":\"mod_jstar_shop_amazing\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10018, 0, 'JF Mobile Menu', 'module', 'mod_jf_mobilemenu', '', 0, 1, 0, 0, '{\"name\":\"JF Mobile Menu\",\"type\":\"module\",\"creationDate\":\"14.07.16\",\"author\":\"JoomForest.com\",\"copyright\":\"Copyright (C) 2011-2016 JoomForest.com, All rights reserved.\",\"authorEmail\":\"support@joomforest.com\",\"authorUrl\":\"http:\\/\\/www.joomforest.com\\/\",\"version\":\"1.3\",\"description\":\"JoomForest.com - JF Mobile Menu v1.3 (Module for Joomla!).<style type=\'text\\/css\'>.spacer{display:block;width:600px;height:20px;background:#ddd}.jf_size_width_medium{width:70%}<\\/style>\",\"group\":\"\",\"filename\":\"mod_jf_mobilemenu\"}', '{\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"jf_mm_fa\":\"0\",\"jf_fa_Sheet\":\"\\/\\/netdna.bootstrapcdn.com\\/font-awesome\\/4.5.0\\/css\\/font-awesome.min.css\",\"jf_mm_device\":\"4\",\"jf_mm_direction\":\"0\",\"jf_mm_title\":\"JF Mobile Menu\",\"jf_mm_btn\":\"fa-bars\",\"jf_mm_close\":\"fa-times\",\"jf_mm_back_txt\":\"Back\",\"jf_mm_back_pos\":\"0\",\"jf_mm_styles\":\"\",\"jf_mm_color_1\":\"#4A5052\",\"jf_mm_color_2\":\"#F5F5F5\",\"jf_mm_color_3\":\"#4A5052\",\"jf_mm_color_4\":\"#4A5052\",\"jf_mm_color_5\":\"#434749\",\"jf_mm_color_6\":\"#444444\",\"jf_mm_color_7\":\"#333333\",\"jf_mm_color_8\":\"#5A5E5F\",\"jf_mm_color_9\":\"#888888\",\"jf_mm_color_10\":\"#eeeeee\",\"jf_mm_color_11\":\"#202020\",\"jf_mm_i_1_ID\":\"\",\"jf_mm_i_1_Icon\":\"\",\"jf_mm_i_1_Style\":\"\",\"jf_mm_i_2_ID\":\"\",\"jf_mm_i_2_Icon\":\"\",\"jf_mm_i_2_Style\":\"\",\"jf_mm_i_3_ID\":\"\",\"jf_mm_i_3_Icon\":\"\",\"jf_mm_i_3_Style\":\"\",\"jf_mm_i_4_ID\":\"\",\"jf_mm_i_4_Icon\":\"\",\"jf_mm_i_4_Style\":\"\",\"jf_mm_i_5_ID\":\"\",\"jf_mm_i_5_Icon\":\"\",\"jf_mm_i_5_Style\":\"\",\"jf_mm_i_6_ID\":\"\",\"jf_mm_i_6_Icon\":\"\",\"jf_mm_i_6_Style\":\"\",\"jf_mm_i_7_ID\":\"\",\"jf_mm_i_7_Icon\":\"\",\"jf_mm_i_7_Style\":\"\",\"jf_mm_i_8_ID\":\"\",\"jf_mm_i_8_Icon\":\"\",\"jf_mm_i_8_Style\":\"\",\"jf_mm_i_9_ID\":\"\",\"jf_mm_i_9_Icon\":\"\",\"jf_mm_i_9_Style\":\"\",\"jf_mm_i_10_ID\":\"\",\"jf_mm_i_10_Icon\":\"\",\"jf_mm_i_10_Style\":\"\",\"jf_mm_i_11_ID\":\"\",\"jf_mm_i_11_Icon\":\"\",\"jf_mm_i_11_Style\":\"\",\"jf_mm_i_12_ID\":\"\",\"jf_mm_i_12_Icon\":\"\",\"jf_mm_i_12_Style\":\"\",\"jf_mm_i_13_ID\":\"\",\"jf_mm_i_13_Icon\":\"\",\"jf_mm_i_13_Style\":\"\",\"jf_mm_i_14_ID\":\"\",\"jf_mm_i_14_Icon\":\"\",\"jf_mm_i_14_Style\":\"\",\"jf_mm_i_15_ID\":\"\",\"jf_mm_i_15_Icon\":\"\",\"jf_mm_i_15_Style\":\"\",\"jf_mm_i_16_ID\":\"\",\"jf_mm_i_16_Icon\":\"\",\"jf_mm_i_16_Style\":\"\",\"jf_mm_i_17_ID\":\"\",\"jf_mm_i_17_Icon\":\"\",\"jf_mm_i_17_Style\":\"\",\"jf_mm_i_18_ID\":\"\",\"jf_mm_i_18_Icon\":\"\",\"jf_mm_i_18_Style\":\"\",\"jf_mm_i_19_ID\":\"\",\"jf_mm_i_19_Icon\":\"\",\"jf_mm_i_19_Style\":\"\",\"jf_mm_i_20_ID\":\"\",\"jf_mm_i_20_Icon\":\"\",\"jf_mm_i_20_Style\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10023, 0, 'SamplePayment', 'plugin', 'SamplePayment', 'jstar_shop_payments', 0, 1, 1, 0, '{\"name\":\"SamplePayment\",\"type\":\"plugin\",\"creationDate\":\"2020\",\"author\":\"IRjoomstar\",\"copyright\":\"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.\",\"authorEmail\":\"yousefi.data@gmail.com\",\"authorUrl\":\"www.joomstar.ir\",\"version\":\"1.0.0\",\"description\":\"SAMPLE PAYMENT\",\"group\":\"\",\"filename\":\"SamplePayment\"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `#__fields`
--

CREATE TABLE `#__fields` (
  `id` int(10) UNSIGNED NOT NULL,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `context` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `group_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `label` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `default_value` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'text',
  `note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT 0,
  `required` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `fieldparams` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `access` int(11) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__fields_categories`
--

CREATE TABLE `#__fields_categories` (
  `field_id` int(11) NOT NULL DEFAULT 0,
  `category_id` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__fields_groups`
--

CREATE TABLE `#__fields_groups` (
  `id` int(10) UNSIGNED NOT NULL,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `context` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `access` int(11) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__fields_values`
--

CREATE TABLE `#__fields_values` (
  `field_id` int(10) UNSIGNED NOT NULL,
  `item_id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Allow references to items which have strings as ids, eg. none db systems.',
  `value` text COLLATE utf8mb4_unicode_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_filters`
--

CREATE TABLE `#__finder_filters` (
  `filter_id` int(10) UNSIGNED NOT NULL,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT 1,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) UNSIGNED NOT NULL,
  `created_by_alias` varchar(255) NOT NULL,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `map_count` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `data` text NOT NULL,
  `params` mediumtext DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links`
--

CREATE TABLE `#__finder_links` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `url` varchar(255) NOT NULL,
  `route` varchar(255) NOT NULL,
  `title` varchar(400) DEFAULT NULL,
  `description` text DEFAULT NULL,
  `indexdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `md5sum` varchar(32) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 1,
  `state` int(5) DEFAULT 1,
  `access` int(5) DEFAULT 0,
  `language` varchar(8) NOT NULL,
  `publish_start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `list_price` double UNSIGNED NOT NULL DEFAULT 0,
  `sale_price` double UNSIGNED NOT NULL DEFAULT 0,
  `type_id` int(11) NOT NULL,
  `object` mediumblob NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms0`
--

CREATE TABLE `#__finder_links_terms0` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms1`
--

CREATE TABLE `#__finder_links_terms1` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms2`
--

CREATE TABLE `#__finder_links_terms2` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms3`
--

CREATE TABLE `#__finder_links_terms3` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms4`
--

CREATE TABLE `#__finder_links_terms4` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms5`
--

CREATE TABLE `#__finder_links_terms5` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms6`
--

CREATE TABLE `#__finder_links_terms6` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms7`
--

CREATE TABLE `#__finder_links_terms7` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms8`
--

CREATE TABLE `#__finder_links_terms8` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_terms9`
--

CREATE TABLE `#__finder_links_terms9` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_termsa`
--

CREATE TABLE `#__finder_links_termsa` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_termsb`
--

CREATE TABLE `#__finder_links_termsb` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_termsc`
--

CREATE TABLE `#__finder_links_termsc` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_termsd`
--

CREATE TABLE `#__finder_links_termsd` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_termse`
--

CREATE TABLE `#__finder_links_termse` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_links_termsf`
--

CREATE TABLE `#__finder_links_termsf` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `term_id` int(10) UNSIGNED NOT NULL,
  `weight` float UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_taxonomy`
--

CREATE TABLE `#__finder_taxonomy` (
  `id` int(10) UNSIGNED NOT NULL,
  `parent_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `title` varchar(255) NOT NULL,
  `state` tinyint(1) UNSIGNED NOT NULL DEFAULT 1,
  `access` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `ordering` tinyint(1) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `#__finder_taxonomy`
--

INSERT INTO `#__finder_taxonomy` (`id`, `parent_id`, `title`, `state`, `access`, `ordering`) VALUES
(1, 0, 'ROOT', 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_taxonomy_map`
--

CREATE TABLE `#__finder_taxonomy_map` (
  `link_id` int(10) UNSIGNED NOT NULL,
  `node_id` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_terms`
--

CREATE TABLE `#__finder_terms` (
  `term_id` int(10) UNSIGNED NOT NULL,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `phrase` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `weight` float UNSIGNED NOT NULL DEFAULT 0,
  `soundex` varchar(75) NOT NULL,
  `links` int(10) NOT NULL DEFAULT 0,
  `language` char(3) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_terms_common`
--

CREATE TABLE `#__finder_terms_common` (
  `term` varchar(75) NOT NULL,
  `language` varchar(3) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `#__finder_terms_common`
--

INSERT INTO `#__finder_terms_common` (`term`, `language`) VALUES
('a', 'en'),
('about', 'en'),
('after', 'en'),
('ago', 'en'),
('all', 'en'),
('am', 'en'),
('an', 'en'),
('and', 'en'),
('any', 'en'),
('are', 'en'),
('aren\'t', 'en'),
('as', 'en'),
('at', 'en'),
('be', 'en'),
('but', 'en'),
('by', 'en'),
('for', 'en'),
('from', 'en'),
('get', 'en'),
('go', 'en'),
('how', 'en'),
('if', 'en'),
('in', 'en'),
('into', 'en'),
('is', 'en'),
('isn\'t', 'en'),
('it', 'en'),
('its', 'en'),
('me', 'en'),
('more', 'en'),
('most', 'en'),
('must', 'en'),
('my', 'en'),
('new', 'en'),
('no', 'en'),
('none', 'en'),
('not', 'en'),
('nothing', 'en'),
('of', 'en'),
('off', 'en'),
('often', 'en'),
('old', 'en'),
('on', 'en'),
('onc', 'en'),
('once', 'en'),
('only', 'en'),
('or', 'en'),
('other', 'en'),
('our', 'en'),
('ours', 'en'),
('out', 'en'),
('over', 'en'),
('page', 'en'),
('she', 'en'),
('should', 'en'),
('small', 'en'),
('so', 'en'),
('some', 'en'),
('than', 'en'),
('thank', 'en'),
('that', 'en'),
('the', 'en'),
('their', 'en'),
('theirs', 'en'),
('them', 'en'),
('then', 'en'),
('there', 'en'),
('these', 'en'),
('they', 'en'),
('this', 'en'),
('those', 'en'),
('thus', 'en'),
('time', 'en'),
('times', 'en'),
('to', 'en'),
('too', 'en'),
('true', 'en'),
('under', 'en'),
('until', 'en'),
('up', 'en'),
('upon', 'en'),
('use', 'en'),
('user', 'en'),
('users', 'en'),
('version', 'en'),
('very', 'en'),
('via', 'en'),
('want', 'en'),
('was', 'en'),
('way', 'en'),
('were', 'en'),
('what', 'en'),
('when', 'en'),
('where', 'en'),
('which', 'en'),
('who', 'en'),
('whom', 'en'),
('whose', 'en'),
('why', 'en'),
('wide', 'en'),
('will', 'en'),
('with', 'en'),
('within', 'en'),
('without', 'en'),
('would', 'en'),
('yes', 'en'),
('yet', 'en'),
('you', 'en'),
('your', 'en'),
('yours', 'en');

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_tokens`
--

CREATE TABLE `#__finder_tokens` (
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `phrase` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `weight` float UNSIGNED NOT NULL DEFAULT 1,
  `context` tinyint(1) UNSIGNED NOT NULL DEFAULT 2,
  `language` char(3) NOT NULL DEFAULT ''
) ENGINE=MEMORY DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_tokens_aggregate`
--

CREATE TABLE `#__finder_tokens_aggregate` (
  `term_id` int(10) UNSIGNED NOT NULL,
  `map_suffix` char(1) NOT NULL,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `phrase` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `term_weight` float UNSIGNED NOT NULL,
  `context` tinyint(1) UNSIGNED NOT NULL DEFAULT 2,
  `context_weight` float UNSIGNED NOT NULL,
  `total_weight` float UNSIGNED NOT NULL,
  `language` char(3) NOT NULL DEFAULT ''
) ENGINE=MEMORY DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__finder_types`
--

CREATE TABLE `#__finder_types` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(100) NOT NULL,
  `mime` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_amazings`
--

CREATE TABLE `#__jstar_shop_amazings` (
  `id` int(11) NOT NULL,
  `title` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `pids` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `date1` datetime DEFAULT NULL,
  `date2` datetime DEFAULT NULL,
  `off` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `text` text COLLATE utf8_persian_ci DEFAULT NULL,
  `module` tinyint(1) NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_bankmsg`
--

CREATE TABLE `#__jstar_shop_bankmsg` (
  `id` int(11) NOT NULL,
  `code` varchar(255) DEFAULT NULL,
  `msg` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_cits`
--

CREATE TABLE `#__jstar_shop_cits` (
  `id` int(11) NOT NULL,
  `parentid` int(11) DEFAULT NULL,
  `level` int(11) DEFAULT NULL,
  `city` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `store` tinyint(1) NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_comments`
--

CREATE TABLE `#__jstar_shop_comments` (
  `id` int(11) NOT NULL,
  `product_id` int(11) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `comment` text DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_coupons`
--

CREATE TABLE `#__jstar_shop_coupons` (
  `id` int(11) NOT NULL,
  `code` varchar(255) DEFAULT NULL,
  `percent` varchar(255) DEFAULT NULL,
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `published` tinyint(1) DEFAULT NULL,
  `ordering` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_coupon_users`
--

CREATE TABLE `#__jstar_shop_coupon_users` (
  `id` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `percent` varchar(255) DEFAULT NULL,
  `published` tinyint(1) DEFAULT NULL,
  `ordering` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_customfields`
--

CREATE TABLE `#__jstar_shop_customfields` (
  `id` int(11) NOT NULL,
  `catid` int(11) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `group_id` int(11) DEFAULT NULL,
  `type` tinyint(1) DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  `main` tinyint(1) DEFAULT NULL,
  `multi` tinyint(1) NOT NULL DEFAULT 0,
  `fields` tinyint(1) NOT NULL DEFAULT 1,
  `search` tinyint(1) DEFAULT NULL,
  `published` tinyint(1) DEFAULT NULL,
  `ordering` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_feilds_products`
--

CREATE TABLE `#__jstar_shop_feilds_products` (
  `id` int(11) NOT NULL,
  `product_id` int(11) DEFAULT NULL,
  `field_id` int(11) DEFAULT NULL,
  `values` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_gifts`
--

CREATE TABLE `#__jstar_shop_gifts` (
  `id` int(11) NOT NULL,
  `title` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `catid` int(11) DEFAULT NULL,
  `img` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `products_id` text COLLATE utf8_persian_ci DEFAULT NULL,
  `feilds` text COLLATE utf8_persian_ci DEFAULT NULL,
  `price` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_group_fields`
--

CREATE TABLE `#__jstar_shop_group_fields` (
  `id` int(11) NOT NULL,
  `catid` int(11) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `published` tinyint(1) DEFAULT NULL,
  `ordering` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_interests`
--

CREATE TABLE `#__jstar_shop_interests` (
  `id` int(11) NOT NULL,
  `userid` int(11) DEFAULT NULL,
  `pid` int(11) DEFAULT NULL,
  `date` date DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `#__jstar_shop_interests`
--

INSERT INTO `#__jstar_shop_interests` (`id`, `userid`, `pid`, `date`) VALUES
(12, 106, 1, '2019-04-09'),
(14, 115, 28, '2020-04-28'),
(38, 115, 8, '2020-05-15'),
(36, 115, 20, '2020-05-13'),
(39, 115, 3, '2020-05-15'),
(35, 115, 11, '2020-05-13'),
(31, 115, 2, '2020-05-09'),
(40, 122, 1, '2020-05-22'),
(42, 129, 3, '2021-04-13'),
(43, 129, 1, '2021-04-13'),
(44, 129, 4, '2021-04-13');

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_multicosts`
--

CREATE TABLE `#__jstar_shop_multicosts` (
  `id` int(11) NOT NULL,
  `pid` int(11) DEFAULT NULL,
  `values` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `cost1` int(11) DEFAULT NULL,
  `cost2` int(11) DEFAULT NULL,
  `status` tinyint(1) DEFAULT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_orders`
--

CREATE TABLE `#__jstar_shop_orders` (
  `id` int(11) NOT NULL,
  `sh` varchar(255) CHARACTER SET utf8 COLLATE utf8_persian_ci DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `product_id` varchar(255) DEFAULT NULL,
  `fieldid` int(11) DEFAULT NULL,
  `count2` varchar(255) DEFAULT NULL,
  `coupon` varchar(255) DEFAULT NULL,
  `usercoupon` varchar(255) DEFAULT NULL,
  `amount` varchar(255) DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `giftid` varchar(255) DEFAULT NULL,
  `typePost` int(11) NOT NULL DEFAULT 0,
  `amazing` tinyint(1) NOT NULL DEFAULT 0,
  `amazing_off` int(3) NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_order_details`
--

CREATE TABLE `#__jstar_shop_order_details` (
  `id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `sh_order` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `state` int(11) DEFAULT NULL,
  `city` int(11) DEFAULT NULL,
  `address` text COLLATE utf8_persian_ci DEFAULT NULL,
  `postalcode` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `mobile` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `status` tinyint(1) DEFAULT NULL,
  `payment_method` tinyint(1) DEFAULT NULL,
  `bank` varchar(11) COLLATE utf8_persian_ci DEFAULT NULL,
  `RefID` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

--
-- Dumping data for table `#__jstar_shop_order_details`
--

INSERT INTO `#__jstar_shop_order_details` (`id`, `name`, `sh_order`, `state`, `city`, `address`, `postalcode`, `mobile`, `status`, `payment_method`, `bank`, `RefID`) VALUES
(84, 'محمد مهدی یوسفی', '15893952391', 0, 0, '', '', '09135810916', -2, -1, NULL, NULL),
(85, 'محمد مهدی یوسفی2', '15894955055', 153, 154, 'ooooo', '11111', '09356426227', 2, 1, NULL, NULL),
(86, 'محمد مهدی یوسفی2', '15895638593', 153, 154, 'ooooo', '11111', '09356426227', -2, -1, NULL, NULL),
(88, 'محمد مهدی یوسفی2', '15895805617', 153, 154, 'ooooo', '11111', '09356426227', -2, NULL, NULL, NULL),
(89, 'محمد مهدی یوسفی2', '15895805617', 153, 154, 'ooooo', '11111', '09356426227', -2, NULL, NULL, NULL),
(90, 'محمد مهدی یوسفی2', '15895820135', 153, 154, 'ooooo', '11111', '09356426227', 0, NULL, NULL, NULL),
(91, 'محمد مهدی یوسفی2', '15895820135', 153, 154, 'ooooo', '11111', '09356426227', 0, NULL, NULL, NULL),
(92, 'محمد مهدی یوسفی2', '15895820364', 153, 154, 'ooooo', '11111', '09356426227', -2, NULL, NULL, NULL),
(93, 'محمد مهدی یوسفی2', '15896437613', 153, 154, 'ooooo', '11111', '09356426227', -2, NULL, NULL, NULL),
(94, 'محمد مهدی یوسفی2', '15896437613', 153, 154, 'ooooo', '11111', '09356426227', -2, NULL, NULL, NULL),
(95, 'محمد مهدی یوسفی', '15901812322', 404, 408, '', '', '093', 0, NULL, NULL, NULL),
(96, 'محمد مهدی یوسفی', '15901812517', 406, 415, '', '', '093', -2, NULL, NULL, NULL),
(103, 'Scott', '15967500771', 404, 408, 'gfhhghfgh', 'fgjgjgjgj', '12345678', 0, -1, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_payks`
--

CREATE TABLE `#__jstar_shop_payks` (
  `id` int(11) NOT NULL,
  `code` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `name_family` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `mobile` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_payks_orders`
--

CREATE TABLE `#__jstar_shop_payks_orders` (
  `id` int(11) NOT NULL,
  `factor` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `payk_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_posts`
--

CREATE TABLE `#__jstar_shop_posts` (
  `id` int(11) NOT NULL,
  `title` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `type_post` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `cits` text COLLATE utf8_persian_ci DEFAULT NULL,
  `price1` int(11) DEFAULT NULL,
  `price2` int(11) DEFAULT NULL,
  `w1` int(11) DEFAULT NULL,
  `w2` int(11) DEFAULT NULL,
  `amount` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `comment` text COLLATE utf8_persian_ci DEFAULT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_price_categories`
--

CREATE TABLE `#__jstar_shop_price_categories` (
  `id` int(11) NOT NULL,
  `catid` int(11) DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  `type` tinyint(1) DEFAULT NULL,
  `ordering` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_products`
--

CREATE TABLE `#__jstar_shop_products` (
  `id` int(11) NOT NULL,
  `catid` int(11) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `multicost` tinyint(1) NOT NULL DEFAULT 0,
  `price` varchar(255) DEFAULT NULL,
  `off` int(11) DEFAULT NULL,
  `img1` varchar(255) DEFAULT NULL,
  `img2` varchar(255) DEFAULT NULL,
  `img3` varchar(255) DEFAULT NULL,
  `img4` varchar(255) DEFAULT NULL,
  `text2` text DEFAULT NULL,
  `metadesc` text DEFAULT NULL,
  `metakey` text DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `published` tinyint(1) DEFAULT NULL,
  `size` int(11) DEFAULT NULL,
  `w` varchar(255) DEFAULT NULL,
  `posts` varchar(255) DEFAULT NULL,
  `tag1` text DEFAULT NULL,
  `tag2` text DEFAULT NULL,
  `counttag` varchar(255) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `view` int(11) NOT NULL DEFAULT 0,
  `sales` int(11) NOT NULL DEFAULT 0,
  `best` tinyint(1) DEFAULT NULL,
  `ordering` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_recommends`
--

CREATE TABLE `#__jstar_shop_recommends` (
  `id` int(11) NOT NULL,
  `userid` int(11) DEFAULT NULL,
  `name_family` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `mobile` varchar(255) COLLATE utf8_persian_ci DEFAULT NULL,
  `recommend` text COLLATE utf8_persian_ci DEFAULT NULL,
  `date` date DEFAULT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_similars`
--

CREATE TABLE `#__jstar_shop_similars` (
  `id` int(11) NOT NULL,
  `catid` int(11) DEFAULT NULL,
  `products_id` text COLLATE utf8_persian_ci DEFAULT NULL,
  `feilds` text COLLATE utf8_persian_ci DEFAULT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__jstar_shop_users`
--

CREATE TABLE `#__jstar_shop_users` (
  `id` int(11) NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `mobile` varchar(255) DEFAULT NULL,
  `state` int(11) DEFAULT NULL,
  `city` int(11) DEFAULT NULL,
  `address` text DEFAULT NULL,
  `postal_code` varchar(255) DEFAULT NULL,
  `payam` text DEFAULT NULL,
  `ordering` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__languages`
--

CREATE TABLE `#__languages` (
  `lang_id` int(11) UNSIGNED NOT NULL,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `lang_code` char(7) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `title` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `title_native` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sef` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL,
  `metakey` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `metadesc` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `sitename` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT 0,
  `access` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__languages`
--

INSERT INTO `#__languages` (`lang_id`, `asset_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES
(1, 0, 'en-GB', 'English (en-GB)', 'English (United Kingdom)', 'en', 'en_gb', '', '', '', '', 1, 1, 2),
(2, 56, 'fa-IR', 'Persian (IR)', 'Persian (Iran)', 'fa', 'fa_ir', '', '', '', '', 0, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `#__menu`
--

CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL,
  `menutype` varchar(24) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `path` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'The published state of the menu link.',
  `parent_id` int(10) UNSIGNED NOT NULL DEFAULT 1 COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'The relative level in the tree.',
  `component_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'FK to #__users.id',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'The click behaviour of the link.',
  `access` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set rgt.',
  `home` tinyint(3) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__menu`
--

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(1, '', 'Menu_Item_Root', 'root', '', '', '', '', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, '', 0, '', 0, 65, 0, '*', 0),
(2, 'main', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', 1, 1, 1, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 13, 22, 0, '*', 1),
(3, 'main', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 14, 15, 0, '*', 1),
(4, 'main', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&extension=com_banners', 'component', 1, 2, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-cat', 0, '', 16, 17, 0, '*', 1),
(5, 'main', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-clients', 0, '', 18, 19, 0, '*', 1),
(6, 'main', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-tracks', 0, '', 20, 21, 0, '*', 1),
(7, 'main', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 25, 30, 0, '*', 1),
(8, 'main', 'com_contact_contacts', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact', 'component', 1, 7, 2, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 26, 27, 0, '*', 1),
(9, 'main', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&extension=com_contact', 'component', 1, 7, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact-cat', 0, '', 28, 29, 0, '*', 1),
(10, 'main', 'com_messages', 'Messaging', '', 'Messaging', 'index.php?option=com_messages', 'component', 1, 1, 1, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages', 0, '', 31, 34, 0, '*', 1),
(11, 'main', 'com_messages_add', 'New Private Message', '', 'Messaging/New Private Message', 'index.php?option=com_messages&task=message.add', 'component', 1, 10, 2, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-add', 0, '', 32, 33, 0, '*', 1),
(13, 'main', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', 1, 1, 1, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 35, 40, 0, '*', 1),
(14, 'main', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds', 'component', 1, 13, 2, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 36, 37, 0, '*', 1),
(15, 'main', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&extension=com_newsfeeds', 'component', 1, 13, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds-cat', 0, '', 38, 39, 0, '*', 1),
(16, 'main', 'com_redirect', 'Redirect', '', 'Redirect', 'index.php?option=com_redirect', 'component', 1, 1, 1, 24, 0, '0000-00-00 00:00:00', 0, 0, 'class:redirect', 0, '', 41, 42, 0, '*', 1),
(17, 'main', 'com_search', 'Basic Search', '', 'Basic Search', 'index.php?option=com_search', 'component', 1, 1, 1, 19, 0, '0000-00-00 00:00:00', 0, 0, 'class:search', 0, '', 43, 44, 0, '*', 1),
(18, 'main', 'com_finder', 'Smart Search', '', 'Smart Search', 'index.php?option=com_finder', 'component', 1, 1, 1, 27, 0, '0000-00-00 00:00:00', 0, 0, 'class:finder', 0, '', 45, 46, 0, '*', 1),
(19, 'main', 'com_joomlaupdate', 'Joomla! Update', '', 'Joomla! Update', 'index.php?option=com_joomlaupdate', 'component', 1, 1, 1, 28, 0, '0000-00-00 00:00:00', 0, 0, 'class:joomlaupdate', 0, '', 47, 48, 0, '*', 1),
(20, 'main', 'com_tags', 'Tags', '', 'Tags', 'index.php?option=com_tags', 'component', 1, 1, 1, 29, 0, '0000-00-00 00:00:00', 0, 1, 'class:tags', 0, '', 49, 50, 0, '', 1),
(21, 'main', 'com_postinstall', 'Post-installation messages', '', 'Post-installation messages', 'index.php?option=com_postinstall', 'component', 1, 1, 1, 32, 0, '0000-00-00 00:00:00', 0, 1, 'class:postinstall', 0, '', 51, 52, 0, '*', 1),
(22, 'main', 'com_associations', 'Multilingual Associations', '', 'Multilingual Associations', 'index.php?option=com_associations', 'component', 1, 1, 1, 34, 0, '0000-00-00 00:00:00', 0, 0, 'class:associations', 0, '', 53, 54, 0, '*', 1),
(102, 'main', 'COM_JSTAR_SHOP', 'com-jstar-shop', '', 'com-jstar-shop', 'index.php?option=com_jstar_shop', 'component', 1, 1, 1, 10003, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 55, 56, 0, '', 1),
(130, 'buy', 'Fast delivery', 'fast-delivery', '', 'fast-delivery', 'index.php?option=com_content&view=article&id=1', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"images\\/menus\\/free-shipping.png\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', 7, 8, 0, '*', 0),
(131, 'buy', '24-hour support', '24-hour-support', '', '24-hour-support', 'index.php?option=com_content&view=article&id=2', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"images\\/menus\\/24-7.png\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', 1, 2, 0, '*', 0),
(133, 'buy', '7 days warranty returned', '7-days-warranty-returned', '', '7-days-warranty-returned', 'index.php?option=com_content&view=article&id=4', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"images\\/menus\\/free-returns.png\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', 11, 12, 0, '*', 0),
(134, 'buy', 'Guarantee', 'guarantee', '', 'guarantee', 'index.php?option=com_content&view=article&id=5', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"images\\/menus\\/original.png\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', 5, 6, 0, '*', 0),
(163, 'hide-menu', 'Sign in', 'sign-in', '', 'sign-in', 'index.php?option=com_users&view=login', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"loginredirectchoice\":\"1\",\"login_redirect_url\":\"\",\"login_redirect_menuitem\":\"165\",\"logindescription_show\":\"1\",\"login_description\":\"\",\"login_image\":\"\",\"logoutredirectchoice\":\"1\",\"logout_redirect_url\":\"\",\"logout_redirect_menuitem\":\"165\",\"logoutdescription_show\":\"1\",\"logout_description\":\"\",\"logout_image\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', 23, 24, 0, '*', 0),
(164, 'hide-menu', 'Logout', 'logout', '', 'logout', 'index.php?option=com_users&view=login&layout=logout&task=user.menulogout', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 2, ' ', 0, '{\"logout\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', 9, 10, 0, '*', 0),
(165, 'mainmenu', 'home', 'e-commerce-solution-for-joomla', '', 'e-commerce-solution-for-joomla', 'index.php?option=com_jstar_shop&view=categories', 'component', 1, 1, 1, 10003, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"joomstar | joomla ecommerce solution\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', 3, 4, 1, '*', 0),
(191, 'usermenu', 'Profile', 'profile', '', 'profile', 'index.php?option=com_jstar_shop&view=profile', 'component', 1, 1, 1, 10003, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', 57, 58, 0, '*', 0),
(192, 'usermenu', 'Track orders', 'track-orders', '', 'track-orders', 'index.php?option=com_jstar_shop&view=orders', 'component', 1, 1, 1, 10003, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', 59, 60, 0, '*', 0),
(193, 'usermenu', 'Favorites', 'favorites', '', 'favorites', 'index.php?option=com_jstar_shop&view=user_interests', 'component', 1, 1, 1, 10003, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', 61, 62, 0, '*', 0),
(194, 'usermenu', 'Logout', 'exit', '', 'exit', 'index.php?option=com_users&view=login&layout=logout&task=user.menulogout', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{\"logout\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', 63, 64, 0, '*', 0);

-- --------------------------------------------------------

--
-- Table structure for table `#__menu_types`
--

CREATE TABLE `#__menu_types` (
  `id` int(10) UNSIGNED NOT NULL,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `menutype` varchar(24) COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(48) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `client_id` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__menu_types`
--

INSERT INTO `#__menu_types` (`id`, `asset_id`, `menutype`, `title`, `description`, `client_id`) VALUES
(1, 54, 'mainmenu', 'Main menu', 'The main menu for the site', 0),
(2, 85, 'hide-menu', 'hidden menu', 'hide menu', 0),
(3, 90, 'buy', 'guarantee', 'buy', 0),
(7, 175, 'usermenu', 'User menu', '', 0);

-- --------------------------------------------------------

--
-- Table structure for table `#__messages`
--

CREATE TABLE `#__messages` (
  `message_id` int(10) UNSIGNED NOT NULL,
  `user_id_from` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `user_id_to` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `folder_id` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT 0,
  `priority` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `subject` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__messages`
--

INSERT INTO `#__messages` (`message_id`, `user_id_from`, `user_id_to`, `folder_id`, `date_time`, `state`, `priority`, `subject`, `message`) VALUES
(23, 105, 105, 0, '2021-04-09 07:18:39', -2, 0, 'Error sending email', 'An error was encountered when sending the user registration email. The error is: Could not start mail function. The user who tried to register is: test');

-- --------------------------------------------------------

--
-- Table structure for table `#__messages_cfg`
--

CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `cfg_name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `cfg_value` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__messages_cfg`
--

INSERT INTO `#__messages_cfg` (`user_id`, `cfg_name`, `cfg_value`) VALUES
(105, 'auto_purge', '7'),
(105, 'lock', '0'),
(105, 'mail_on_new', '0');

-- --------------------------------------------------------

--
-- Table structure for table `#__modules`
--

CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL,
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `title` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `content` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `position` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `module` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `access` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `showtitle` tinyint(3) UNSIGNED NOT NULL DEFAULT 1,
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT 0,
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__modules`
--

INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(1, 39, ' Main menu ', '', '', 1, 'mainmenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{\"menutype\":\"mainmenu\",\"base\":\"\",\"startLevel\":1,\"endLevel\":0,\"showAllChildren\":1,\"tag_id\":\"\",\"class_sfx\":\"-nav\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"_menu\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(2, 40, 'Login', '', '', 1, 'login', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '', 1, '*'),
(3, 41, 'Popular Articles', '', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_popular', 3, 1, '{\"count\":\"5\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', 1, '*'),
(4, 42, 'Recently Added Articles', '', '', 4, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_latest', 3, 1, '{\"count\":\"5\",\"ordering\":\"c_dsc\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', 1, '*'),
(8, 43, 'Toolbar', '', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_toolbar', 3, 1, '', 1, '*'),
(9, 44, 'Quick Icons', '', '', 1, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_quickicon', 3, 1, '', 1, '*'),
(10, 45, 'Logged-in Users', '', '', 2, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_logged', 3, 1, '{\"count\":\"5\",\"name\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', 1, '*'),
(12, 46, 'Admin Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 3, 1, '{\"layout\":\"\",\"moduleclass_sfx\":\"\",\"shownew\":\"1\",\"showhelp\":\"1\",\"cache\":\"0\"}', 1, '*'),
(13, 47, 'Admin Submenu', '', '', 1, 'submenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_submenu', 3, 1, '', 1, '*'),
(14, 48, 'User Status', '', '', 2, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_status', 3, 1, '', 1, '*'),
(15, 49, 'Title', '', '', 1, 'title', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_title', 3, 1, '', 1, '*'),
(79, 52, 'Multilanguage status', '', '', 1, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_multilangstatus', 3, 1, '{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', 1, '*'),
(86, 53, 'Joomla Version', '', '', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_version', 3, 1, '{\"format\":\"short\",\"product\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', 1, '*'),
(87, 55, 'Sample Data', '', '', 0, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sampledata', 6, 1, '{}', 1, '*'),
(88, 63, ' Compare products ', '', '', 1, 'compare', 0, '0000-00-00 00:00:00', '2018-07-13 13:31:25', '0000-00-00 00:00:00', 1, 'mod_jstar_shop_compare', 1, 1, '{\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(89, 64, ' Cart ', '', '', 1, 'bagcart', 0, '0000-00-00 00:00:00', '2018-07-13 13:31:27', '0000-00-00 00:00:00', 1, 'mod_jstar_shop_cart', 1, 0, '{\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(90, 69, 'Advanced search ', '', '', 1, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_jstar_shop_search', 1, 1, '{\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(91, 70, 'Similar products ', '', '', 1, 'tag', 0, '0000-00-00 00:00:00', '2021-04-13 05:09:10', '0000-00-00 00:00:00', 1, 'mod_jstar_shop_similars', 1, 0, '{\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(92, 81, 'Related products', '', '', 1, 'tag', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_jstar_shop_tag', 1, 1, '{\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(93, 93, 'Guarantee ', '', '', 1, 'page1_txt1', 0, '0000-00-00 00:00:00', '2020-05-22 16:42:24', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{\"menutype\":\"buy\",\"base\":\"\",\"startLevel\":1,\"endLevel\":0,\"showAllChildren\":1,\"tag_id\":\"\",\"class_sfx\":\"-nav\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(96, 109, ' Footer ', '', '<p><strong>Copyright <a title=\"IRjoomstar\" href=\"https://joomstar.ir\" target=\"_blank\" rel=\"noopener noreferrer\">joomstar.ir</a> 2020</strong></p>\r\n<p>email: <a title=\"yousefi.data@gmail.com\" href=\"mailto: yousefi.data@gmail.com\">yousefi.data@gmail.com</a></p>', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(103, 122, 'Text search', '', '', 1, 'search_txt', 0, '0000-00-00 00:00:00', '2019-02-03 17:38:42', '0000-00-00 00:00:00', 1, 'mod_jstar_shop_search_txt', 1, 0, '{\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(104, 123, ' Login ', '', '', 1, 'login', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_jstar_shop_login', 1, 0, '{\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(111, 170, ' Special offers ', '', '', 1, 'amazing', 0, '0000-00-00 00:00:00', '2021-04-15 14:29:28', '0000-00-00 00:00:00', 1, 'mod_jstar_shop_amazing', 1, 0, '{\"image\":\"images\\/amazin_pic_ltr.jpg\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(112, 171, ' Home Products ', '', '', 1, 'best1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_jstar_shop_best', 1, 0, '{\"catid\":[52,53,56,57],\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(114, 173, ' Mobile Menu ', '', '', 1, 'mobile_menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_jf_mobilemenu', 1, 0, '{\"menutype\":\"mainmenu\",\"base\":\"\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"jf_mm_fa\":\"0\",\"jf_fa_Sheet\":\"\\/\\/netdna.bootstrapcdn.com\\/font-awesome\\/4.5.0\\/css\\/font-awesome.min.css\",\"jf_mm_device\":\"3\",\"jf_mm_direction\":\"1\",\"jf_mm_title\":\"joomstar\",\"jf_mm_btn\":\"fa-bars\",\"jf_mm_close\":\"fa-times\",\"jf_mm_back_txt\":\"Back\",\"jf_mm_back_pos\":\"0\",\"jf_mm_styles\":\"\",\"jf_mm_color_1\":\"#38b0ad\",\"jf_mm_color_2\":\"#f5f5f5\",\"jf_mm_color_3\":\"#b8303d\",\"jf_mm_color_4\":\"#ef394e\",\"jf_mm_color_5\":\"#38b0ad\",\"jf_mm_color_6\":\"#696969\",\"jf_mm_color_7\":\"#38b0ad\",\"jf_mm_color_8\":\"#7a2222\",\"jf_mm_color_9\":\"#ffffff\",\"jf_mm_color_10\":\"#ffffff\",\"jf_mm_color_11\":\"#202020\",\"jf_mm_i_1_ID\":\"\",\"jf_mm_i_1_Icon\":\"\",\"jf_mm_i_1_Img\":\"\",\"jf_mm_i_1_Style\":\"\",\"jf_mm_i_2_ID\":\"\",\"jf_mm_i_2_Icon\":\"\",\"jf_mm_i_2_Img\":\"\",\"jf_mm_i_2_Style\":\"\",\"jf_mm_i_3_ID\":\"\",\"jf_mm_i_3_Icon\":\"\",\"jf_mm_i_3_Img\":\"\",\"jf_mm_i_3_Style\":\"\",\"jf_mm_i_4_ID\":\"\",\"jf_mm_i_4_Icon\":\"\",\"jf_mm_i_4_Img\":\"\",\"jf_mm_i_4_Style\":\"\",\"jf_mm_i_5_ID\":\"\",\"jf_mm_i_5_Icon\":\"\",\"jf_mm_i_5_Img\":\"\",\"jf_mm_i_5_Style\":\"\",\"jf_mm_i_6_ID\":\"\",\"jf_mm_i_6_Icon\":\"\",\"jf_mm_i_6_Img\":\"\",\"jf_mm_i_6_Style\":\"\",\"jf_mm_i_7_ID\":\"\",\"jf_mm_i_7_Icon\":\"\",\"jf_mm_i_7_Img\":\"\",\"jf_mm_i_7_Style\":\"\",\"jf_mm_i_8_ID\":\"\",\"jf_mm_i_8_Icon\":\"\",\"jf_mm_i_8_Img\":\"\",\"jf_mm_i_8_Style\":\"\",\"jf_mm_i_9_ID\":\"\",\"jf_mm_i_9_Icon\":\"\",\"jf_mm_i_9_Img\":\"\",\"jf_mm_i_9_Style\":\"\",\"jf_mm_i_10_ID\":\"\",\"jf_mm_i_10_Icon\":\"\",\"jf_mm_i_10_Img\":\"\",\"jf_mm_i_10_Style\":\"\",\"jf_mm_i_11_ID\":\"\",\"jf_mm_i_11_Icon\":\"\",\"jf_mm_i_11_Img\":\"\",\"jf_mm_i_11_Style\":\"\",\"jf_mm_i_12_ID\":\"\",\"jf_mm_i_12_Icon\":\"\",\"jf_mm_i_12_Img\":\"\",\"jf_mm_i_12_Style\":\"\",\"jf_mm_i_13_ID\":\"\",\"jf_mm_i_13_Icon\":\"\",\"jf_mm_i_13_Img\":\"\",\"jf_mm_i_13_Style\":\"\",\"jf_mm_i_14_ID\":\"\",\"jf_mm_i_14_Icon\":\"\",\"jf_mm_i_14_Img\":\"\",\"jf_mm_i_14_Style\":\"\",\"jf_mm_i_15_ID\":\"\",\"jf_mm_i_15_Icon\":\"\",\"jf_mm_i_15_Img\":\"\",\"jf_mm_i_15_Style\":\"\",\"jf_mm_i_16_ID\":\"\",\"jf_mm_i_16_Icon\":\"\",\"jf_mm_i_16_Img\":\"\",\"jf_mm_i_16_Style\":\"\",\"jf_mm_i_17_ID\":\"\",\"jf_mm_i_17_Icon\":\"\",\"jf_mm_i_17_Img\":\"\",\"jf_mm_i_17_Style\":\"\",\"jf_mm_i_18_ID\":\"\",\"jf_mm_i_18_Icon\":\"\",\"jf_mm_i_18_Img\":\"\",\"jf_mm_i_18_Style\":\"\",\"jf_mm_i_19_ID\":\"\",\"jf_mm_i_19_Icon\":\"\",\"jf_mm_i_19_Img\":\"\",\"jf_mm_i_19_Style\":\"\",\"jf_mm_i_20_ID\":\"\",\"jf_mm_i_20_Icon\":\"\",\"jf_mm_i_20_Img\":\"\",\"jf_mm_i_20_Style\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*'),
(115, 174, 'User menu', '', '', 1, 'usermenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{\"menutype\":\"usermenu\",\"base\":\"\",\"startLevel\":1,\"endLevel\":0,\"showAllChildren\":1,\"tag_id\":\"\",\"class_sfx\":\"-nav\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', 0, '*');

-- --------------------------------------------------------

--
-- Table structure for table `#__modules_menu`
--

CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT 0,
  `menuid` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__modules_menu`
--

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES
(1, 0),
(2, 0),
(3, 0),
(4, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(12, 0),
(13, 0),
(14, 0),
(15, 0),
(79, 0),
(86, 0),
(87, 0),
(88, -180),
(88, -165),
(88, -164),
(88, -163),
(88, -134),
(88, -133),
(88, -131),
(88, -130),
(89, 0),
(90, 0),
(91, 0),
(92, 0),
(93, 0),
(96, 0),
(103, 0),
(104, 0),
(108, 0),
(109, 0),
(111, 165),
(112, 165),
(114, 0),
(115, 0);

-- --------------------------------------------------------

--
-- Table structure for table `#__newsfeeds`
--

CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT 0,
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `link` varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `numarticles` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `cache_time` int(10) UNSIGNED NOT NULL DEFAULT 3600,
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `rtl` tinyint(4) NOT NULL DEFAULT 0,
  `access` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `metakey` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `metadesc` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `metadata` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `xreference` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `version` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `hits` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `images` text COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__overrider`
--

CREATE TABLE `#__overrider` (
  `id` int(10) NOT NULL COMMENT 'Primary Key',
  `constant` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `string` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `file` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__postinstall_messages`
--

CREATE TABLE `#__postinstall_messages` (
  `postinstall_message_id` bigint(20) UNSIGNED NOT NULL,
  `extension_id` bigint(20) NOT NULL DEFAULT 700 COMMENT 'FK to #__extensions',
  `title_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Lang key for the title',
  `description_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Lang key for description',
  `action_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `language_extension` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'com_postinstall' COMMENT 'Extension holding lang keys',
  `language_client_id` tinyint(3) NOT NULL DEFAULT 1,
  `type` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'link' COMMENT 'Message type - message, link, action',
  `action_file` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT 'RAD URI to the PHP file containing action method',
  `action` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT 'Action method name or URL',
  `condition_file` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'RAD URI to file holding display condition method',
  `condition_method` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Display condition method, must return boolean',
  `version_introduced` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '3.2.0' COMMENT 'Version when this message was introduced',
  `enabled` tinyint(3) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__postinstall_messages`
--

INSERT INTO `#__postinstall_messages` (`postinstall_message_id`, `extension_id`, `title_key`, `description_key`, `action_key`, `language_extension`, `language_client_id`, `type`, `action_file`, `action`, `condition_file`, `condition_method`, `version_introduced`, `enabled`) VALUES
(1, 700, 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_TITLE', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_BODY', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_ACTION', 'plg_twofactorauth_totp', 1, 'action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_condition', '3.2.0', 1),
(2, 700, 'COM_CPANEL_WELCOME_BEGINNERS_TITLE', 'COM_CPANEL_WELCOME_BEGINNERS_MESSAGE', '', 'com_cpanel', 1, 'message', '', '', '', '', '3.2.0', 1),
(3, 700, 'COM_CPANEL_MSG_STATS_COLLECTION_TITLE', 'COM_CPANEL_MSG_STATS_COLLECTION_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/statscollection.php', 'admin_postinstall_statscollection_condition', '3.5.0', 1),
(4, 700, 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME', 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_BODY', 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_ACTION', 'plg_system_updatenotification', 1, 'action', 'site://plugins/system/updatenotification/postinstall/updatecachetime.php', 'updatecachetime_postinstall_action', 'site://plugins/system/updatenotification/postinstall/updatecachetime.php', 'updatecachetime_postinstall_condition', '3.6.3', 1),
(5, 700, 'COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_TITLE', 'COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/joomla40checks.php', 'admin_postinstall_joomla40checks_condition', '3.7.0', 1),
(6, 700, 'TPL_HATHOR_MESSAGE_POSTINSTALL_TITLE', 'TPL_HATHOR_MESSAGE_POSTINSTALL_BODY', 'TPL_HATHOR_MESSAGE_POSTINSTALL_ACTION', 'tpl_hathor', 1, 'action', 'admin://templates/hathor/postinstall/hathormessage.php', 'hathormessage_postinstall_action', 'admin://templates/hathor/postinstall/hathormessage.php', 'hathormessage_postinstall_condition', '3.7.0', 1),
(7, 700, 'PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_TITLE', 'PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_BODY', 'PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_ACTION', 'plg_captcha_recaptcha', 1, 'action', 'site://plugins/captcha/recaptcha/postinstall/actions.php', 'recaptcha_postinstall_action', 'site://plugins/captcha/recaptcha/postinstall/actions.php', 'recaptcha_postinstall_condition', '3.8.6', 1),
(8, 700, 'COM_ACTIONLOGS_POSTINSTALL_TITLE', 'COM_ACTIONLOGS_POSTINSTALL_BODY', '', 'com_actionlogs', 1, 'message', '', '', '', '', '3.9.0', 1),
(9, 700, 'COM_PRIVACY_POSTINSTALL_TITLE', 'COM_PRIVACY_POSTINSTALL_BODY', '', 'com_privacy', 1, 'message', '', '', '', '', '3.9.0', 1),
(10, 700, 'COM_CPANEL_MSG_ADDNOSNIFF_TITLE', 'COM_CPANEL_MSG_ADDNOSNIFF_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/addnosniff.php', 'admin_postinstall_addnosniff_condition', '3.9.3', 1),
(11, 700, 'COM_CPANEL_MSG_TEXTFILTER3919_TITLE', 'COM_CPANEL_MSG_TEXTFILTER3919_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/textfilter3919.php', 'admin_postinstall_textfilter3919_condition', '3.9.19', 1),
(12, 700, 'COM_CPANEL_MSG_HTACCESSSVG_TITLE', 'COM_CPANEL_MSG_HTACCESSSVG_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/htaccesssvg.php', 'admin_postinstall_htaccesssvg_condition', '3.9.21', 1),
(13, 700, 'COM_ADMIN_POSTINSTALL_MSG_HTACCESS_AUTOINDEX_TITLE', 'COM_ADMIN_POSTINSTALL_MSG_HTACCESS_AUTOINDEX_DESCRIPTION', '', 'com_admin', 1, 'message', '', '', NULL, NULL, '3.9.22', 1),
(14, 700, 'COM_ADMIN_POSTINSTALL_MSG_BEHIND_LOAD_BALANCER_TITLE', 'COM_ADMIN_POSTINSTALL_MSG_BEHIND_LOAD_BALANCER_DESCRIPTION', 'COM_ADMIN_POSTINSTALL_MSG_BEHIND_LOAD_BALANCER_ACTION', 'com_admin', 1, 'action', 'admin://components/com_admin/postinstall/behindproxy.php', 'behindproxy_postinstall_action', 'admin://components/com_admin/postinstall/behindproxy.php', 'admin_postinstall_behindproxy_condition', '3.9.26', 1);

-- --------------------------------------------------------

--
-- Table structure for table `#__privacy_consents`
--

CREATE TABLE `#__privacy_consents` (
  `id` int(10) UNSIGNED NOT NULL,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `state` int(10) NOT NULL DEFAULT 1,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `subject` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `body` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `remind` tinyint(4) NOT NULL DEFAULT 0,
  `token` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__privacy_requests`
--

CREATE TABLE `#__privacy_requests` (
  `id` int(10) UNSIGNED NOT NULL,
  `email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `requested_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `status` tinyint(4) NOT NULL DEFAULT 0,
  `request_type` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `confirm_token` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `confirm_token_created_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__redirect_links`
--

CREATE TABLE `#__redirect_links` (
  `id` int(10) UNSIGNED NOT NULL,
  `old_url` varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL,
  `new_url` varchar(2048) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `referer` varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `published` tinyint(4) NOT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `header` smallint(3) NOT NULL DEFAULT 301
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__schemas`
--

CREATE TABLE `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


--
-- Table structure for table `#__session`
--

CREATE TABLE `#__session` (
  `session_id` varbinary(192) NOT NULL,
  `client_id` tinyint(3) UNSIGNED DEFAULT NULL,
  `guest` tinyint(3) UNSIGNED DEFAULT 1,
  `time` int(11) NOT NULL DEFAULT 0,
  `data` mediumtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `userid` int(11) DEFAULT 0,
  `username` varchar(150) COLLATE utf8mb4_unicode_ci DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


-- Table structure for table `#__tags`
--

CREATE TABLE `#__tags` (
  `id` int(10) UNSIGNED NOT NULL,
  `parent_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `lft` int(11) NOT NULL DEFAULT 0,
  `rgt` int(11) NOT NULL DEFAULT 0,
  `level` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `path` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `metadesc` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `modified_user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `urls` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `hits` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL,
  `version` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__tags`
--

INSERT INTO `#__tags` (`id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `created_by_alias`, `modified_user_id`, `modified_time`, `images`, `urls`, `hits`, `language`, `version`, `publish_up`, `publish_down`) VALUES
(1, 0, 0, 1, 0, '', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 105, '2018-07-13 12:33:45', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `#__template_styles`
--

CREATE TABLE `#__template_styles` (
  `id` int(10) UNSIGNED NOT NULL,
  `template` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `client_id` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `home` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__template_styles`
--

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES
(4, 'beez3', 0, '0', 'Beez3 - Default', '{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"logo\":\"images\\/joomla_black.png\",\"sitetitle\":\"Joomla!\",\"sitedescription\":\"Open Source Content Management\",\"navposition\":\"left\",\"templatecolor\":\"personal\",\"html5\":\"0\"}'),
(5, 'hathor', 1, '0', 'Hathor - Default', '{\"showSiteName\":\"0\",\"colourChoice\":\"\",\"boldText\":\"0\"}'),
(7, 'protostar', 0, '0', 'protostar - Default', '{\"templateColor\":\"\",\"logoFile\":\"\",\"googleFont\":\"1\",\"googleFontName\":\"Open+Sans\",\"fluidContainer\":\"0\"}'),
(8, 'isis', 1, '1', 'isis - Default', '{\"templateColor\":\"\",\"logoFile\":\"\"}'),
(9, 'joomstar', 0, '1', 'joomstar - پیش فرض', '{}');

-- --------------------------------------------------------

--
-- Table structure for table `#__ucm_base`
--

CREATE TABLE `#__ucm_base` (
  `ucm_id` int(10) UNSIGNED NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__ucm_content`
--

CREATE TABLE `#__ucm_content` (
  `core_content_id` int(10) UNSIGNED NOT NULL,
  `core_type_alias` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `core_alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `core_body` mediumtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT 0,
  `core_checked_out_time` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_checked_out_user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `core_access` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `core_params` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `core_featured` tinyint(4) UNSIGNED NOT NULL DEFAULT 0,
  `core_metadata` varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `core_created_by_alias` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_modified_user_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `core_publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_content_item_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'ID from the individual type table',
  `asset_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `core_images` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `core_urls` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `core_hits` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `core_version` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `core_ordering` int(11) NOT NULL DEFAULT 0,
  `core_metakey` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `core_metadesc` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `core_catid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `core_xreference` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Contains core content data in name spaced fields';

-- --------------------------------------------------------

--
-- Table structure for table `#__ucm_history`
--

CREATE TABLE `#__ucm_history` (
  `version_id` int(10) UNSIGNED NOT NULL,
  `ucm_item_id` int(10) UNSIGNED NOT NULL,
  `ucm_type_id` int(10) UNSIGNED NOT NULL,
  `version_note` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor_user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `character_count` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0=auto delete; 1=keep'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__ucm_history`
--

INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(1, 33, 5, '', '2018-10-03 19:43:02', 105, 648, 'e9d7a95311b01045ad5fe384a6b91571400923fb', '{\"id\":33,\"asset_id\":91,\"parent_id\":\"1\",\"lft\":\"19\",\"rgt\":20,\"level\":1,\"path\":null,\"extension\":\"com_content\",\"title\":\"\\u0636\\u0645\\u0627\\u0646\\u062a \\u062e\\u0631\\u06cc\\u062f\",\"alias\":\"\\u0636\\u0645\\u0627\\u0646\\u062a-\\u062e\\u0631\\u06cc\\u062f\",\"note\":\"\",\"description\":\"\",\"published\":\"1\",\"checked_out\":null,\"checked_out_time\":null,\"access\":\"1\",\"params\":\"{\\\"category_layout\\\":\\\"\\\",\\\"image\\\":\\\"\\\",\\\"image_alt\\\":\\\"\\\"}\",\"metadesc\":\"\",\"metakey\":\"\",\"metadata\":\"{\\\"author\\\":\\\"\\\",\\\"robots\\\":\\\"\\\"}\",\"created_user_id\":\"105\",\"created_time\":\"2018-10-03 19:43:02\",\"modified_user_id\":null,\"modified_time\":\"2018-10-03 19:43:02\",\"hits\":\"0\",\"language\":\"*\",\"version\":null}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(2, 1, 1, '', '2018-10-03 19:43:57', 105, 48952, '5cf2962eae0f825c6171e2a76b29dcc96b246f34', '{\"id\":1,\"asset_id\":92,\"title\":\"\\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633\",\"alias\":\"\\u062a\\u062d\\u0648\\u06cc\\u0644-\\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633\",\"introtext\":\"<p style=\\\"text-align: justify;\\\">\\u062f\\u0631 \\u0631\\u0648\\u0632\\u0647\\u0627\\u06cc \\u0639\\u0627\\u062f\\u06cc\\u060c \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c \\u0637\\u0628\\u0642 \\u0631\\u0648\\u06cc\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0631 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<\\/p>\\r\\n<p style=\\\"text-align: justify;\\\">\\u0627\\u0633\\u062a\\u0627\\u0646 \\u062a\\u0647\\u0631\\u0627\\u0646<br \\/><br \\/>\\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627 \\u062f\\u0631 \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0645\\u0637\\u0627\\u0628\\u0642 \\u0628\\u0627\\u0632\\u0647 \\u0632\\u0645\\u0627\\u0646\\u06cc \\u06a9\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062b\\u0628\\u062a \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u0646\\u062f\\u060c \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062f\\u0627\\u062f\\u0647 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062f\\u0631 \\u0647\\u0645\\u0647 \\u0631\\u0648\\u0632\\u0647\\u0627\\u06cc \\u0647\\u0641\\u062a\\u0647 \\u0648\\u062c\\u0648\\u062f \\u062f\\u0627\\u0631\\u062f \\u0648 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u200c\\u200c\\u200c\\u0647\\u0627\\u06cc \\u0628\\u0627 \\u0627\\u0631\\u0632\\u0634 \\u0628\\u06cc\\u0634 \\u0627\\u0632 \\u06cc\\u06a9\\u0635\\u062f \\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u062f\\u0631 \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f.<br \\/>\\u062f\\u0631 \\u0627\\u06cc\\u0627\\u0645 \\u062c\\u0634\\u0646\\u0648\\u0627\\u0631\\u0647\\u060c \\u062c\\u0647\\u062a \\u0631\\u0641\\u0627\\u0647 \\u0648 \\u0622\\u0633\\u0648\\u062f\\u06af\\u06cc \\u062d\\u0627\\u0644 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0639\\u0632\\u06cc\\u0632 \\u0633\\u0627\\u06a9\\u0646 \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646\\u060c \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062a\\u0648\\u0633\\u0637 \\u067e\\u0633\\u062a (\\u0639\\u0644\\u0627\\u0648\\u0647 \\u0628\\u0631 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633) \\u0646\\u06cc\\u0632 \\u0648\\u062c\\u0648\\u062f \\u062e\\u0648\\u0627\\u0647\\u062f \\u062f\\u0627\\u0634\\u062a \\u0648 \\u0647\\u0645\\u0627\\u0646\\u0646\\u062f \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0627\\u0631\\u0632\\u0634 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u06cc\\u0634 \\u0627\\u0632 \\u06cc\\u06a9\\u0635\\u062f \\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u0628\\u0627\\u0634\\u062f \\u060c \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0622\\u0646 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0633\\u062a \\u0648\\u0644\\u06cc \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0631 \\u06cc\\u06a9\\u0635\\u062f\\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u0645\\u0637\\u0627\\u0628\\u0642 \\u062a\\u0639\\u0631\\u0641\\u0647 \\u067e\\u0633\\u062a \\u062f\\u0631 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062b\\u0628\\u062a \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f \\u0648 \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0622\\u0646\\u0644\\u0627\\u06cc\\u0646 (\\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc) \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0627 \\u0627\\u06cc\\u0646 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u0634\\u0648\\u0646\\u062f \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc \\u0627\\u0633\\u062a.<br \\/>\\u0627\\u06cc\\u0646 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627 \\u0628\\u0627 \\u0632\\u0645\\u0627\\u0646 \\u062a\\u0642\\u0631\\u06cc\\u0628\\u06cc \\u0628\\u06cc\\u0646 1 \\u062a\\u0627 4 \\u0631\\u0648\\u0632 \\u06a9\\u0627\\u0631\\u06cc \\u0648 \\u0628\\u0627 \\u0642\\u0627\\u0628\\u0644\\u06cc\\u062a \\u0631\\u0647\\u06af\\u06cc\\u0631\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0648 \\u0628\\u062f\\u0648\\u0646 \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0628\\u0627\\u0632\\u0647\\u200c\\u06cc \\u0632\\u0645\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u06a9\\u0631\\u062c<br \\/>\\u062a\\u0628\\u0631\\u06cc\\u0632\\u060c \\u06a9\\u0631\\u0645\\u0627\\u0646\\u0634\\u0627\\u0647\\u060c \\u0642\\u0645\\u060c \\u06cc\\u0632\\u062f\\u060c \\u0642\\u0632\\u0648\\u06cc\\u0646\\u060c \\u0632\\u0646\\u062c\\u0627\\u0646\\u060c \\u0627\\u0631\\u062f\\u0628\\u06cc\\u0644\\u060c \\u06af\\u0631\\u06af\\u0627\\u0646\\u060c \\u0627\\u0631\\u0648\\u0645\\u06cc\\u0647\\u060c \\u0627\\u0631\\u0627\\u06a9\\u060c \\u062e\\u0631\\u0645 \\u0622\\u0628\\u0627\\u062f<br \\/>\\u0645\\u0634\\u0647\\u062f\\u060c \\u0627\\u0647\\u0648\\u0627\\u0632\\u060c \\u0634\\u06cc\\u0631\\u0627\\u0632\\u060c \\u06a9\\u0631\\u0645\\u0627\\u0646\\u060c \\u0628\\u0646\\u062f\\u0631\\u0639\\u0628\\u0627\\u0633\\u060c \\u0632\\u0627\\u0647\\u062f\\u0627\\u0646<br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u0627\\u0635\\u0641\\u0647\\u0627\\u0646<br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u06af\\u06cc\\u0644\\u0627\\u0646<br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u0645\\u0627\\u0632\\u0646\\u062f\\u0631\\u0627\\u0646<br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u0647\\u0645\\u062f\\u0627\\u0646<br \\/>\\u0646\\u06a9\\u0627\\u062a<br \\/><br \\/>- \\u062f\\u0631 \\u0631\\u0627\\u0628\\u0637\\u0647 \\u0628\\u0627 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u062f\\u06cc\\u062c\\u06cc\\u200c\\u06a9\\u0627\\u0644\\u0627\\u060c \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u06cc\\u0646 \\u0645\\u0627\\u0645\\u0648\\u0631\\u0627\\u0646 \\u062a\\u0648\\u0632\\u06cc\\u0639 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u062a\\u0633\\u0647\\u06cc\\u0644 \\u0641\\u0631\\u0627\\u06cc\\u0646\\u062f \\u062e\\u0631\\u06cc\\u062f \\u0648 \\u0647\\u0645\\u0631\\u0627\\u0647\\u06cc \\u0628\\u06cc\\u0634\\u200c\\u062a\\u0631 \\u0628\\u0627 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646\\u060c \\u062a\\u0639\\u062f\\u0627\\u062f \\u0632\\u06cc\\u0627\\u062f\\u06cc \\u0627\\u0632 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627 \\u0631\\u0627 \\u062f\\u0631\\u0628 \\u0648\\u0627\\u062d\\u062f \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0645\\u06cc\\u200c\\u062f\\u0627\\u062f\\u0646\\u062f\\u060c \\u0627\\u0645\\u0627 \\u062f\\u0631\\u062d\\u0627\\u0644 \\u062d\\u0627\\u0636\\u0631 \\u0645\\u062d\\u0644 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u0647 \\u062f\\u0631\\u0628 \\u0627\\u0635\\u0644\\u06cc \\u0633\\u0627\\u062e\\u062a\\u0645\\u0627\\u0646 (\\u0645\\u0646\\u062a\\u0647\\u06cc \\u0628\\u0647 \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646) \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u067e\\u06cc\\u062f\\u0627 \\u06a9\\u0631\\u062f\\u0647 \\u0627\\u0633\\u062a. \\u062f\\u0644\\u06cc\\u0644 \\u0627\\u062a\\u062e\\u0627\\u0630 \\u0627\\u06cc\\u0646 \\u062a\\u0635\\u0645\\u06cc\\u0645 \\u0628\\u0647 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0634\\u06a9\\u0627\\u06cc\\u0627\\u062a \\u0645\\u062a\\u0639\\u062f\\u062f \\u0627\\u0632 \\u0645\\u062f\\u06cc\\u0631\\u0627\\u0646 \\u0633\\u0627\\u062e\\u062a\\u0645\\u0627\\u0646\\u200c\\u0647\\u0627\\u060c \\u0628\\u0631\\u062e\\u06cc \\u0645\\u062d\\u062f\\u0648\\u062f\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0648\\u062c\\u0648\\u062f \\u0648 \\u0627\\u062c\\u062a\\u0646\\u0627\\u0628 \\u0627\\u0632 \\u0645\\u0648\\u0627\\u0631\\u062f\\u06cc \\u06a9\\u0647 \\u0648\\u0631\\u0648\\u062f \\u0628\\u0647 \\u0633\\u0627\\u062e\\u062a\\u0645\\u0627\\u0646\\u200c\\u0647\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u062f \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u062f\\u060c \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f. \\u0627\\u0632 \\u062c\\u0645\\u0644\\u0647\\u200c\\u06cc \\u0627\\u06cc\\u0646 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646 \\u0628\\u0647 \\u0642\\u0648\\u0627\\u0646\\u06cc\\u0646 \\u0645\\u062d\\u062f\\u0648\\u062f\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0634\\u062e\\u0635\\u06cc \\u0648 \\u062e\\u0635\\u0648\\u0635\\u06cc\\u060c \\u0641\\u0636\\u0627\\u0647\\u0627\\u06cc \\u0645\\u0634\\u062a\\u0631\\u06a9 \\u0622\\u067e\\u0627\\u0631\\u062a\\u0645\\u0627\\u0646\\u200c\\u0647\\u0627 \\u0648 \\u0648\\u0631\\u0648\\u062f \\u0628\\u0647 \\u0628\\u0631\\u062e\\u06cc \\u0645\\u062c\\u062a\\u0645\\u0639\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0633\\u06a9\\u0648\\u0646\\u06cc\\u060c \\u0627\\u0645\\u0627\\u06a9\\u0646 \\u062a\\u062c\\u0627\\u0631\\u06cc\\u060c \\u0641\\u0631\\u0647\\u0646\\u06af\\u06cc \\u06cc\\u0627 \\u062f\\u0648\\u0644\\u062a\\u06cc\\u060c \\u0627\\u0634\\u0627\\u0631\\u0647 \\u06a9\\u0631\\u062f.<br \\/>\\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0641\\u0642\\u0637 \\u0634\\u0627\\u0645\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u200c\\u200c\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u0628\\u0627 \\u0627\\u0631\\u0632\\u0634 \\u0628\\u06cc\\u0634 \\u0627\\u0632 \\u06cc\\u06a9\\u0635\\u062f \\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u0648 \\u062f\\u0631 \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f. \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0631 \\u06cc\\u06a9\\u0635\\u062f \\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0647\\u0645\\u0647 \\u0646\\u0642\\u0627\\u0637 \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 4500 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u062b\\u0627\\u0628\\u062a \\u0627\\u0633\\u062a.<br \\/>- \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633\\u060c 8000 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u062b\\u0627\\u0628\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u0631 \\u0646\\u0642\\u0627\\u0637 \\u06a9\\u0634\\u0648\\u0631 \\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u062a\\u0639\\u0631\\u0641\\u0647 \\u067e\\u0633\\u062a \\u0627\\u0633\\u062a.<br \\/>- \\u0627\\u06af\\u0631 \\u0645\\u0628\\u0644\\u063a \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0632 \\u067e\\u06cc\\u0634 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0634\\u062f\\u0647 \\u0628\\u0627\\u0634\\u062f\\u060c \\u0635\\u0627\\u062d\\u0628 \\u067e\\u0631\\u0648\\u0641\\u0627\\u06cc\\u0644 \\u06cc\\u0627 \\u0634\\u062e\\u0635 \\u062f\\u06cc\\u06af\\u0631\\u06cc \\u06a9\\u0647 \\u0635\\u0627\\u062d\\u0628 \\u067e\\u0631\\u0648\\u0641\\u0627\\u06cc\\u0644 \\u0646\\u0627\\u0645\\u060c \\u0622\\u062f\\u0631\\u0633 \\u0648 \\u062a\\u0644\\u0641\\u0646 \\u0648\\u06cc \\u0631\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0631\\u062f\\u0647 \\u0627\\u0633\\u062a\\u060c \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0627\\u06cc\\u062f \\u06a9\\u0627\\u0631\\u062a \\u0634\\u0646\\u0627\\u0633\\u0627\\u06cc\\u06cc \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0645\\u0627\\u0646\\u0646\\u062f \\u06a9\\u0627\\u0631\\u062a \\u0645\\u0644\\u06cc \\u0647\\u0645\\u0631\\u0627\\u0647 \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u062f.<br \\/>- \\u0628\\u0647 \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u0627\\u0646 \\u06a9\\u0641\\u0634 \\u062a\\u0648\\u0635\\u06cc\\u0647 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f \\u0628\\u0631\\u0627\\u06cc \\u062a\\u0633\\u062a \\u0633\\u0627\\u06cc\\u0632 \\u0627\\u0632 \\u062f\\u0642\\u0627\\u06cc\\u0642\\u06cc \\u06a9\\u0647 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0627\\u062e\\u062a\\u06cc\\u0627\\u0631 \\u062f\\u0627\\u0631\\u0646\\u062f\\u060c \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u06a9\\u0646\\u0646\\u062f.<br \\/>- \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u062f\\u0631 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u062a\\u0637\\u0627\\u0628\\u0642 \\u062a\\u0639\\u062f\\u0627\\u062f \\u0627\\u0642\\u0644\\u0627\\u0645 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u0627 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631\\u060c \\u062f\\u0631 \\u062d\\u0636\\u0648\\u0631 \\u0647\\u0645\\u06a9\\u0627\\u0631\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u06a9\\u0646\\u062a\\u0631\\u0644 \\u0634\\u0648\\u062f.<br \\/>- \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0631\\u0639\\u062a \\u0648 \\u0633\\u0647\\u0648\\u0644\\u062a \\u0631\\u0633\\u06cc\\u062f\\u06af\\u06cc \\u0628\\u0647 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a\\u200c \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u062f\\u0631 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633\\u060c \\u062f\\u0631 \\u0632\\u0645\\u06cc\\u0646\\u0647 \\u0622\\u0633\\u06cc\\u0628\\u200f\\u200f \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0627\\u06a9\\u06cc\\u062f\\u0627\\u064b \\u062a\\u0648\\u0635\\u06cc\\u0647 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f \\u067e\\u0633 \\u0627\\u0632 \\u062a\\u06a9\\u0645\\u06cc\\u0644 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0648 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0648 \\u0638\\u0627\\u0647\\u0631\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a\\u06cc \\u062f\\u0631 \\u062d\\u0636\\u0648\\u0631 \\u0647\\u0645\\u06a9\\u0627\\u0631\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0686\\u06a9 \\u0634\\u0648\\u062f \\u06cc\\u0627 \\u0627\\u06cc\\u0646\\u06a9\\u0647 \\u0628\\u0647 \\u0645\\u062d\\u0636 \\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0622\\u0633\\u06cc\\u0628 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u060c \\u062f\\u0631 \\u0627\\u0648\\u0644\\u06cc\\u0646 \\u0641\\u0631\\u0635\\u062a \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u062a\\u0644\\u0641\\u0646 61930000 - 021 \\u062f\\u0627\\u062e\\u0644\\u06cc \\u0634\\u0645\\u0627\\u0631\\u0647 2\\u060c \\u06cc\\u0627 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0635\\u0641\\u062d\\u0647 \\\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\\\" \\u0627\\u06cc\\u0646 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0628\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u062f\\u06cc\\u062c\\u06cc\\u200c\\u06a9\\u0627\\u0644\\u0627 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0627\\u062f\\u0647 \\u0634\\u0648\\u062f.<br \\/>\\u062f\\u0627\\u062e\\u0644\\u06cc \\u0634\\u0645\\u0627\\u0631\\u0647 2\\u060c \\u06cc\\u0627 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0635\\u0641\\u062d\\u0647 \\\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\\\" \\u0627\\u06cc\\u0646 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0628\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u062f\\u06cc\\u062c\\u06cc\\u200c\\u06a9\\u0627\\u0644\\u0627 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0627\\u062f\\u0647 \\u0634\\u0648\\u062f.<br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u06af\\u0631\\u0648\\u0647 \\u0641\\u0631\\u0634 \\u062a\\u0648\\u0633\\u0637 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u062f\\u06cc\\u062c\\u06cc\\u200c\\u06a9\\u0627\\u0644\\u0627\\u060c \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631 \\u062d\\u0636\\u0648\\u0631 \\u0645\\u0627\\u0645\\u0648\\u0631 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634\\u060c \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0631\\u0631\\u0633\\u06cc \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0645\\u0634\\u06a9\\u0644 \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u0622\\u0646 \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc \\u06a9\\u0646\\u062f. \\u0628\\u062f\\u06cc\\u0647\\u06cc \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0628\\u0647 \\u0645\\u0646\\u0632\\u0644\\u0647 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0622\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0648\\u062f.<br \\/>- \\u0628\\u0627\\u0632 \\u06a9\\u0631\\u062f\\u0646 \\u062c\\u0639\\u0628\\u0647 \\u0648 \\u0646\\u0635\\u0628 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u0634\\u0648\\u0646\\u062f (\\u0645\\u0627\\u0646\\u0646\\u062f \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0638\\u0631\\u0641\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u06cc\\u062e\\u0686\\u0627\\u0644\\u060c \\u0641\\u0631\\u06cc\\u0632\\u0631\\u060c \\u0622\\u0628\\u0633\\u0631\\u062f\\u06a9\\u0646\\u060c \\u0645\\u0627\\u06cc\\u06a9\\u0631\\u0648\\u0648\\u06cc\\u0648 \\u0648 \\u0646\\u0638\\u06cc\\u0631 \\u0622\\u0646) \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0645\\u062c\\u0627\\u0632 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u0627\\u06cc\\u0646 \\u0645\\u0646\\u0638\\u0648\\u0631 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc \\u0645\\u062c\\u0627\\u0632 \\u0622\\u0646 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f. \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u06cc\\u0627 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0627\\u0632 \\u0628\\u06cc\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0631\\u0641\\u062a.<br \\/>- \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f \\u06cc\\u0627 \\u0645\\u0628\\u0644\\u063a \\u0622\\u0646\\u0647\\u0627 \\u0628\\u06cc\\u0634\\u062a\\u0631 \\u0627\\u0632 \\u0633\\u06cc \\u0645\\u06cc\\u0644\\u06cc\\u0648\\u0646 \\u0631\\u06cc\\u0627\\u0644 \\u0627\\u0633\\u062a\\u060c \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644\\u060c \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u062a\\u0633\\u0648\\u06cc\\u0647 \\u0634\\u0648\\u0646\\u062f.<br \\/>- \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062f\\u0631 \\u0627\\u0645\\u0627\\u06a9\\u0646 \\u0639\\u0645\\u0648\\u0645\\u06cc \\u0647\\u0645\\u0686\\u0648\\u0646 \\u06a9\\u0627\\u0641\\u0647\\u060c \\u06a9\\u0627\\u0641\\u06cc \\u0646\\u062a\\u060c \\u0631\\u0633\\u062a\\u0648\\u0631\\u0627\\u0646\\u060c \\u0647\\u062a\\u0644 \\u0648 \\u0645\\u0627\\u0646\\u0646\\u062f \\u0622\\u0646 \\u0627\\u0645\\u06a9\\u0627\\u0646\\u200c\\u067e\\u0630\\u06cc\\u0631 \\u0646\\u06cc\\u0633\\u062a \\u0648 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0622\\u062f\\u0631\\u0633 \\u062a\\u062d\\u0648\\u06cc\\u0644\\u060c \\u062f\\u0642\\u06cc\\u0642 \\u0648 \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0646\\u0627\\u062f \\u0628\\u0627\\u0634\\u062f.<br \\/>\\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u062e\\u0627\\u0631\\u062c \\u0627\\u0632 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u062f\\u06cc\\u062c\\u06cc\\u200c\\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0646\\u0638\\u0631 \\u06af\\u0631\\u0641\\u062a\\u0647 \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a.<br \\/>\\u067e\\u0633 \\u0627\\u0632 \\u067e\\u0631\\u062f\\u0627\\u0632\\u0634 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0648 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0628\\u0647 \\u067e\\u0633\\u062a\\u060c \\u0632\\u0645\\u0627\\u0646 \\u062a\\u0642\\u0631\\u06cc\\u0628\\u06cc \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0631\\u0633\\u0627\\u0644\\u06cc \\u0628\\u0646\\u0627 \\u0628\\u0647 \\u0645\\u062d\\u062f\\u0648\\u062f\\u0647 \\u062c\\u063a\\u0631\\u0627\\u0641\\u06cc\\u0627\\u06cc\\u06cc \\u0648 \\u0645\\u0642\\u0635\\u062f \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u06cc\\u0646 \\u0627 \\u062a\\u0627 4 \\u0631\\u0648\\u0632 \\u06a9\\u0627\\u0631\\u06cc \\u0627\\u0633\\u062a.<br \\/>\\u0628\\u0631\\u062e\\u06cc \\u0627\\u0632 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627 \\u062f\\u0631 \\u0641\\u0631\\u0648\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0648\\u06cc\\u0698\\u0647 \\u0648 \\u0637\\u0631\\u062d\\u200c\\u0647\\u0627\\u06cc \\u062a\\u0634\\u0648\\u06cc\\u0642\\u06cc \\u0641\\u0631\\u0648\\u0634 \\u0645\\u0645\\u06a9\\u0646 \\u0627\\u0633\\u062a \\u0641\\u0642\\u0637 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0634\\u0648\\u0646\\u062f\\u060c \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0627\\u06cc\\u0646 \\u0645\\u0648\\u0636\\u0648\\u0639 \\u062f\\u0631 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062b\\u0628\\u062a \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u06a9\\u0627\\u0631\\u0628\\u0631 \\u0645\\u06cc\\u200c\\u0631\\u0633\\u062f.<br \\/>\\u00a0<br \\/>\\u062f\\u0631 \\u0645\\u0648\\u0631\\u062f \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u06af\\u0631\\u0648\\u0647 \\u0641\\u0631\\u0634\\u060c \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0627\\u06cc\\u0631\\u0627\\u062f \\u062f\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u067e\\u0633\\u062a \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062f\\u0627\\u062f\\u0647 \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a\\u060c \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u0648\\u0638\\u0641 \\u0627\\u0633\\u062a \\u0647\\u0645\\u0627\\u0646 \\u0631\\u0648\\u0632 \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u0622\\u0646 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u06a9\\u0646\\u062f.<br \\/>\\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0645\\u0646\\u062a\\u0638\\u0631 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062e\\u0648\\u062f \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u067e\\u0633\\u062a \\u0647\\u0633\\u062a\\u06cc\\u062f\\u060c \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0645\\u0631\\u0633\\u0648\\u0644\\u0647 \\u0631\\u0627 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0633\\u0627\\u06cc\\u062a \\u0634\\u0631\\u06a9\\u062a \\u067e\\u0633\\u062a \\u0628\\u0647 \\u0622\\u062f\\u0631\\u0633 \\u0632\\u06cc\\u0631 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u06a9\\u0646\\u06cc\\u062f:<br \\/><br \\/>http:\\/\\/itemtracking.post.ir<br \\/>\\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u0633\\u0646\\u06af\\u06cc\\u0646 \\u06cc\\u0627 \\u062d\\u062c\\u06cc\\u0645<br \\/><br \\/>- \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062e\\u0627\\u0646\\u06af\\u06cc \\u0633\\u0646\\u06af\\u06cc\\u0646 \\u0648 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u062d\\u062c\\u06cc\\u0645 \\u06cc\\u0627 \\u0628\\u0632\\u0631\\u06af \\u0632\\u06cc\\u0631\\u060c \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u067e\\u0633\\u200c\\u06a9\\u0631\\u0627\\u06cc\\u0647 (\\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06a9\\u0627\\u0644\\u0627) \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u0644\\u0627\\u0632\\u0645 \\u0628\\u0647 \\u0630\\u06a9\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062e\\u0627\\u0646\\u06af\\u06cc \\u0630\\u06cc\\u0644\\u060c \\u062f\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0648 \\u062d\\u0648\\u0645\\u0647 (\\u0627\\u0633\\u0644\\u0627\\u0645 \\u0634\\u0647\\u0631\\u060c \\u0642\\u0631\\u0686\\u06a9\\u060c \\u0648\\u0631\\u0627\\u0645\\u06cc\\u0646\\u060c \\u0631\\u0628\\u0627\\u0637 \\u06a9\\u0631\\u06cc\\u0645\\u060c \\u0634\\u0647\\u0631 \\u0642\\u062f\\u0633\\u060c \\u0634\\u0647\\u0631\\u06cc\\u0627\\u0631\\u060c \\u0645\\u0644\\u0627\\u0631\\u062f\\u060c \\u0646\\u0633\\u06cc\\u0645 \\u0634\\u0647\\u0631\\u060c \\u067e\\u0627\\u06a9\\u062f\\u0634\\u062a\\u060c \\u0627\\u0646\\u062f\\u06cc\\u0634\\u0647\\u060c \\u0628\\u0627\\u0642\\u0631 \\u0634\\u0647\\u0631\\u060c \\u0686\\u0647\\u0627\\u0631\\u062f\\u0627\\u0646\\u06af\\u0647\\u060c \\u067e\\u06cc\\u0634\\u0648\\u0627\\u060c \\u067e\\u0631\\u062f\\u06cc\\u0633\\u060c \\u06a9\\u0647\\u0631\\u06cc\\u0632\\u06a9\\u060c \\u0641\\u0634\\u0645 \\u0648 \\u0634\\u0647\\u0631 \\u062c\\u062f\\u06cc\\u062f \\u067e\\u0631\\u0646\\u062f) \\u0648 \\u0628\\u06cc\\u0634\\u062a\\u0631 \\u0645\\u0646\\u0627\\u0637\\u0642 \\u0627\\u0633\\u062a\\u0627\\u0646 \\u0627\\u0644\\u0628\\u0631\\u0632 (\\u0628\\u0647 \\u063a\\u06cc\\u0631 \\u0627\\u0632 \\u0647\\u0634\\u062a\\u06af\\u0631\\u062f\\u060c \\u06a9\\u0631\\u062f\\u0627\\u0646\\u060c \\u0646\\u0638\\u0631\\u0622\\u0628\\u0627\\u062f \\u0648 \\u0628\\u0631\\u063a\\u0627\\u0646) \\u062a\\u0648\\u0633\\u0637 \\u062a\\u06cc\\u0645 \\u062a\\u0648\\u0632\\u06cc\\u0639 \\u062f\\u06cc\\u062c\\u06cc\\u200c\\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u0628\\u0647 \\u0637\\u0648\\u0631 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f.<br \\/>\\u00a0<br \\/>_ \\u06cc\\u062e\\u0686\\u0627\\u0644 \\u0641\\u0631\\u06cc\\u0632\\u0631<br \\/>_ \\u0633\\u0627\\u06cc\\u062f \\u0628\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062f<br \\/>_ \\u0627\\u062c\\u0627\\u0642 \\u06af\\u0627\\u0632<br \\/>_ \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0638\\u0631\\u0641\\u0634\\u0648\\u06cc\\u06cc<br \\/>_ \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u0634\\u0648\\u06cc\\u06cc<br \\/>_ \\u06a9\\u0648\\u0644\\u0631 \\u0622\\u0628\\u06cc<br \\/>_ \\u06a9\\u0648\\u0644\\u0631 \\u06af\\u0627\\u0632\\u06cc<br \\/>_ \\u06a9\\u062a\\u0627\\u0628\\u062e\\u0627\\u0646\\u0647 \\u0647\\u0627\\u06cc \\u062d\\u062c\\u06cc\\u0645<br \\/>_ \\u067e\\u06cc\\u0627\\u0646\\u0648<br \\/>_ \\u0645\\u06cc\\u0632 \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646<br \\/><br \\/>- \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u06cc\\u0646 \\u0646\\u0648\\u0639 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u060c \\u0628\\u0647 \\u062c\\u0632 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0648 \\u062d\\u0648\\u0645\\u0647\\u060c \\u062f\\u0631 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06cc\\u06a9 \\u0631\\u0648\\u0632\\u0647 \\u062f\\u06cc\\u062c\\u06cc\\u200c\\u06a9\\u0627\\u0644\\u0627 \\u0647\\u0633\\u062a\\u0646\\u062f\\u060c \\u0645\\u0634\\u0645\\u0648\\u0644 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u067e\\u0633 \\u06a9\\u0631\\u0627\\u06cc\\u0647 ( \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0645\\u0631\\u0633\\u0648\\u0644\\u0647) \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<br \\/>- \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0686\\u0646\\u06cc\\u0646 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc\\u06cc\\u060c \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644\\u060c \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u062a\\u0633\\u0648\\u06cc\\u0647 \\u0634\\u0648\\u0646\\u062f.<br \\/>- \\u0627\\u06af\\u0631 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0645\\u0634\\u0645\\u0648\\u0644 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0634\\u062f (\\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0628\\u0627 \\u0645\\u0628\\u0644\\u063a \\u0632\\u06cc\\u0631 100 \\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u062f\\u0631 \\u0631\\u0648\\u0634 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u06cc\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u06a9\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632 \\u06cc\\u0627 \\u062a\\u06cc\\u067e\\u0627\\u06a9\\u0633 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f) \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062f\\u0631 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u062f\\u0631\\u062c \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f \\u0648 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0645\\u0628\\u0644\\u063a \\u0627\\u0636\\u0627\\u0641\\u06cc \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u062e\\u0644\\u0641 \\u0645\\u062d\\u0633\\u0648\\u0628 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f. \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0686\\u0646\\u06cc\\u0646 \\u0645\\u0648\\u0627\\u0631\\u062f\\u06cc \\u0644\\u0637\\u0641\\u0627\\u064b \\u0645\\u0631\\u0627\\u062a\\u0628 \\u0631\\u0627 \\u062c\\u0647\\u062a \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0627\\u06cc\\u0645\\u06cc\\u0644 info@digikala.com \\u0628\\u0647 \\u062f\\u06cc\\u062c\\u06cc\\u200c\\u06a9\\u0627\\u0644\\u0627 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0647\\u06cc\\u062f.<br \\/>\\u0628\\u0647 \\u062f\\u06cc\\u062c\\u06cc\\u200c\\u06a9\\u0627\\u0644\\u0627 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0647\\u06cc\\u062f.<br \\/>- \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u06cc\\u0627 \\u0645\\u0627\\u0645\\u0648\\u0631\\u0627\\u0646 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062f\\u06cc\\u062c\\u06cc\\u200c\\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0646\\u0647\\u0627 \\u0645\\u0633\\u0648\\u0648\\u0644 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0647\\u0633\\u062a\\u0646\\u062f \\u0648 \\u0628\\u0627\\u0632 \\u06a9\\u0631\\u062f\\u0646 \\u062c\\u0639\\u0628\\u0647 \\u0648 \\u0646\\u0635\\u0628 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u0634\\u0648\\u0646\\u062f (\\u0645\\u0627\\u0646\\u0646\\u062f \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u0634\\u0648\\u06cc\\u06cc \\u0648 \\u0646\\u0638\\u06cc\\u0631 \\u0622\\u0646) \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0645\\u062c\\u0627\\u0632 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u0627\\u06cc\\u0646 \\u0645\\u0646\\u0638\\u0648\\u0631 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc \\u0645\\u062c\\u0627\\u0632 \\u0622\\u0646 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u062f. \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u06cc\\u0627 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0627\\u0632 \\u0628\\u06cc\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0631\\u0641\\u062a.<br \\/>\\u0627\\u06af\\u0631 \\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u062f\\u0641\\u062a\\u0631\\u0647\\u0627 \\u0648 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0646\\u06cc\\u0627\\u0632 \\u0628\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631 \\u062f\\u0627\\u0631\\u06cc\\u062f\\u060c \\u0628\\u0647 \\u0628\\u062e\\u0634 \\u0631\\u0648\\u0634 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u062f\\u0631 \\u0627\\u062f\\u0627\\u0645\\u0647 \\u0647\\u0645\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0645\\u0631\\u0627\\u062c\\u0639\\u0647 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>\\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0628\\u0631\\u0627\\u06cc \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062e\\u0627\\u0646\\u06af\\u06cc \\u0633\\u0646\\u06af\\u06cc\\u0646 \\u06cc\\u0627 \\u0628\\u0632\\u0631\\u06af \\u0645\\u0627\\u0646\\u0646\\u062f \\u06cc\\u062e\\u0686\\u0627\\u0644 \\u0645\\u0639\\u0645\\u0648\\u0644\\u06cc \\u0648 \\u0633\\u0627\\u06cc\\u062f\\u200c\\u0628\\u0627\\u06cc\\u200c\\u0633\\u0627\\u06cc\\u062f\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u200c\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0638\\u0631\\u0641\\u200c\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u0627\\u062c\\u0627\\u0642 \\u06af\\u0627\\u0632 \\u0648 \\u0641\\u0631\\u062a\\u0648\\u06a9\\u0627\\u0631\\u060c \\u067e\\u06cc\\u0627\\u0646\\u0648\\u060c \\u0645\\u06cc\\u0632 \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646 \\u060c\\u06a9\\u0648\\u0644\\u0631 \\u06af\\u0627\\u0632\\u06cc \\u060c \\u06a9\\u0648\\u0644\\u0631\\u0622\\u0628\\u06cc \\u060c\\u0645\\u0628\\u0644\\u0645\\u0627\\u0646 \\u0627\\u062f\\u0627\\u0631\\u06cc \\u0648 \\u063a\\u06cc\\u0631 \\u0627\\u062f\\u0627\\u0631\\u06cc\\u060c \\u06a9\\u062a\\u0627\\u0628\\u062e\\u0627\\u0646\\u0647\\u060c \\u0645\\u06cc\\u0632 \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646\\u060c \\u0645\\u06cc\\u0632 \\u06a9\\u0627\\u0645\\u067e\\u06cc\\u0648\\u062a\\u0631\\u060c \\u0645\\u06cc\\u0632 \\u062c\\u0644\\u0648\\u0645\\u0628\\u0644\\u06cc\\u060c \\u0645\\u06cc\\u0632 \\u0628\\u0631\\u0634\\u060c \\u0645\\u06cc\\u0632 \\u0646\\u0627\\u0647\\u0627\\u0631\\u062e\\u0648\\u0631\\u06cc \\u060c \\u0635\\u0646\\u062f\\u0644\\u06cc \\u0645\\u0627\\u0633\\u0627\\u0698\\u0648\\u0631\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0628\\u0627\\u0632\\u06cc \\u0628\\u0632\\u0631\\u06af\\u060c \\u062a\\u0631\\u062f\\u0645\\u06cc\\u0644\\u060c \\u0645\\u0648\\u062a\\u0648\\u0631\\u0628\\u0631\\u0642\\u060c \\u067e\\u0631\\u06cc\\u0646\\u062a\\u0631 \\u0648 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u06a9\\u067e\\u06cc \\u062d\\u062c\\u06cc\\u0645 \\u0648 \\u0627\\u06cc\\u0633\\u062a\\u0627\\u062f\\u0647 \\u0648 \\u0633\\u0627\\u06cc\\u0631 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647\\u200c\\u0647\\u0627\\u06cc \\u062d\\u062c\\u06cc\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0647\\u200c\\u0635\\u0648\\u0631\\u062a \\u067e\\u0633\\u200c\\u06a9\\u0631\\u0627\\u06cc\\u0647 (\\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0645\\u0631\\u0633\\u0648\\u0644\\u0647) \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/><br \\/>\\u0644\\u0637\\u0641\\u0627 \\u0628\\u0647 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0632\\u06cc\\u0631 \\u062f\\u0642\\u062a \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u06cc\\u062f:<br \\/><br \\/>- \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u062a\\u0646\\u0647\\u0627 \\u0645\\u0633\\u0648\\u0648\\u0644 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0627\\u0632 \\u06a9\\u0631\\u062f\\u0646 \\u062c\\u0639\\u0628\\u0647 \\u0648 \\u0646\\u0635\\u0628 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u0634\\u0648\\u0646\\u062f (\\u0645\\u0627\\u0646\\u0646\\u062f \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u0634\\u0648\\u06cc\\u06cc \\u0648 \\u0646\\u0638\\u06cc\\u0631 \\u0622\\u0646) \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0645\\u062c\\u0627\\u0632 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u0627\\u06cc\\u0646 \\u0645\\u0646\\u0638\\u0648\\u0631 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc \\u0645\\u062c\\u0627\\u0632 \\u0622\\u0646 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u062f. \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u06cc\\u0627 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0627\\u0632 \\u0628\\u06cc\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0631\\u0641\\u062a.<br \\/>- \\u0631\\u0648\\u0634 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u062a\\u0646\\u0647\\u0627 \\u0648\\u06cc\\u0698\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u0628\\u0632\\u0631\\u06af \\u0627\\u0633\\u062a \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u060c \\u0631\\u0648\\u0634 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u067e\\u06cc\\u062f\\u0627 \\u062e\\u0648\\u0627\\u0647\\u062f \\u06a9\\u0631\\u062f \\u0648 \\u062f\\u0633\\u062a\\u200c\\u06a9\\u0645 1 \\u0631\\u0648\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0631\\u0627 \\u0628\\u0647 \\u062a\\u0639\\u0648\\u06cc\\u0642 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0627\\u0646\\u062f\\u0627\\u062e\\u062a.<br \\/><br \\/>\\u0645\\u0631\\u0633\\u0648\\u0644\\u0627\\u062a \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u0646\\u0632\\u062f\\u06cc\\u06a9 \\u062a\\u0627 \\u06f2\\u06f4 \\u0633\\u0627\\u0639\\u062a\\u060c \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062f\\u0648\\u0631 \\u06f4\\u06f8 \\u0633\\u0627\\u0639\\u062a \\u0648 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062e\\u06cc\\u0644\\u06cc \\u062f\\u0648\\u0631 \\u062a\\u0627 \\u06f7\\u06f2 \\u0633\\u0627\\u0639\\u062a \\u062a\\u0648\\u0633\\u0637 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062e\\u0648\\u0627\\u0647\\u0646\\u062f \\u0634\\u062f. \\u062f\\u0641\\u062a\\u0631\\u0647\\u0627 \\u0648 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0628\\u0647 \\u0627\\u06cc\\u0646 \\u0634\\u0631\\u062d \\u0627\\u0633\\u062a:<br \\/><br \\/>\\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 (\\u0648 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u0646\\u0632\\u062f\\u06cc\\u06a9 \\u0628\\u0647 \\u0622\\u0646\\u0647\\u0627):<br \\/><br \\/>\\u0622\\u0628\\u0627\\u062f\\u0627\\u0646 - \\u0622\\u0628\\u06cc\\u06a9 - \\u0622\\u0628\\u0627\\u062f\\u0647 - \\u0622\\u0632\\u0627\\u062f\\u0634\\u0647\\u0631 - \\u0622\\u0633\\u062a\\u0627\\u0631\\u0627 \\u2013 \\u0622\\u0633\\u062a\\u0627\\u0646\\u0647 (\\u0627\\u0631\\u0627\\u06a9) - \\u0622\\u0633\\u062a\\u0627\\u0646\\u0647 \\u0627\\u0634\\u0631\\u0641\\u06cc\\u0647 - \\u0622\\u0634\\u062e\\u0627\\u0646\\u0647 ( \\u0628\\u062c\\u0646\\u0648\\u0631\\u062f) - \\u0622\\u0642\\u0627\\u062c\\u0627\\u0631\\u06cc - \\u0622\\u0642 \\u0642\\u0644\\u0627 - \\u0622\\u0645\\u0644 - \\u0627\\u0628\\u0647\\u0631 - \\u0627\\u0628\\u0631\\u06a9\\u0648\\u0647 - \\u0627\\u0631\\u0627\\u06a9 - \\u0627\\u0631\\u062f\\u06a9\\u0627\\u0646 - \\u0627\\u0631\\u062f\\u0628\\u06cc\\u0644 - \\u0627\\u0632\\u0646\\u0627 - \\u0627\\u0631\\u0633\\u0646\\u062c\\u0627\\u0646 - \\u0627\\u0633\\u0627\\u0644\\u0645 - \\u0627\\u0633\\u062f\\u0622\\u0628\\u0627\\u062f - \\u0627\\u0644\\u06cc\\u06af\\u0648\\u062f\\u0631\\u0632 - \\u0627\\u0646\\u062f\\u06cc\\u0645\\u0634\\u06a9 - \\u0627\\u0645\\u0644\\u0634 - \\u0627\\u0647\\u0631\\u0645 - \\u0627\\u0647\\u0648\\u0627\\u0632 - \\u0627\\u0631\\u0648\\u0645\\u06cc\\u0647 - \\u0627\\u0645\\u06cc\\u062f\\u06cc\\u0647 - \\u0627\\u062f\\u06cc\\u0645\\u06cc (\\u0632\\u0627\\u0628\\u0644) - \\u0627\\u0633\\u0644\\u0627\\u0645\\u200c\\u0622\\u0628\\u0627\\u062f \\u063a\\u0631\\u0628 - \\u0627\\u0633\\u0641\\u0631\\u0627\\u06cc\\u0646 - \\u0627\\u0634\\u0646\\u0648\\u06cc\\u0647 - \\u0627\\u0635\\u0641\\u0647\\u0627\\u0646 \\u0648 \\u062d\\u0648\\u0645\\u0647 - \\u0627\\u0642\\u0644\\u06cc\\u062f - \\u0627\\u06cc\\u0630\\u0647 - \\u0627\\u06cc\\u0644\\u0627\\u0645 - \\u0627\\u06cc\\u0648\\u0627\\u0646\\u200c\\u063a\\u0631\\u0628 - \\u0628\\u0627\\u0628\\u0644\\u0633\\u0631 - \\u0628\\u0627\\u0628\\u0644 - \\u0628\\u0627\\u063a\\u0645\\u0644\\u06a9 - \\u0628\\u0627\\u0646\\u0647 - \\u0628\\u0631\\u0627\\u0632\\u062c\\u0627\\u0646 - \\u0628\\u0631\\u0648\\u062c\\u0631\\u062f - \\u0628\\u0631\\u0648\\u062c\\u0646 - \\u0628\\u062c\\u0646\\u0648\\u0631\\u062f - \\u0628\\u0645 - \\u0628\\u0646\\u0627\\u0628 - \\u0628\\u0646\\u062f\\u0631 \\u0627\\u0645\\u0627\\u0645\\u200c\\u062e\\u0645\\u06cc\\u0646\\u06cc (\\u0633\\u0631\\u0628\\u0646\\u062f\\u0631) - \\u0628\\u0646\\u062f\\u0631 \\u0627\\u0646\\u0632\\u0644\\u06cc - \\u0628\\u0646\\u062f\\u0631\\u062a\\u0631\\u06a9\\u0645\\u0646 - \\u0628\\u0646\\u062f\\u0631\\u0639\\u0628\\u0627\\u0633 - \\u0628\\u0648\\u0627\\u0646\\u0627\\u062a (\\u0633\\u0648\\u0631\\u06cc\\u0627\\u0646) - \\u0628\\u0648\\u0634\\u0647\\u0631 - \\u0628\\u0648\\u06a9\\u0627\\u0646 - \\u0628\\u0647\\u0634\\u0647\\u0631 - \\u0628\\u06cc\\u0631\\u062c\\u0646\\u062f - \\u0628\\u06cc\\u062c\\u0627\\u0631 - \\u0628\\u0647\\u0628\\u0647\\u0627\\u0646 - \\u067e\\u0627\\u0633\\u0627\\u0631\\u06af\\u0627\\u062f - \\u067e\\u0627\\u0648\\u0647 - \\u067e\\u0631\\u0647\\u200c\\u0633\\u0631 - \\u067e\\u0644\\u062f\\u062e\\u062a\\u0631 - \\u067e\\u06cc\\u0631\\u0627\\u0646\\u0634\\u0647\\u0631 - \\u062a\\u0627\\u06a9\\u0633\\u062a\\u0627\\u0646 - \\u062a\\u0627\\u0644\\u0634 - \\u062a\\u0631\\u0628\\u062a \\u062d\\u06cc\\u062f\\u0631\\u06cc\\u0647 - \\u062a\\u0628\\u0631\\u06cc\\u0632 - \\u062a\\u0646\\u06a9\\u0627\\u0628\\u0646 - \\u062a\\u0648\\u06cc\\u0633\\u0631\\u06a9\\u0627\\u0646 - \\u062d\\u0645\\u06cc\\u062f\\u06cc\\u0647 - \\u062c\\u063a\\u062a\\u0627\\u06cc - \\u062c\\u0644\\u0641\\u0627 - \\u062c\\u0645 - \\u062c\\u0648\\u0627\\u0646\\u0631\\u0648\\u062f - \\u062c\\u0648\\u06cc\\u0646 - \\u062c\\u0648\\u06cc\\u0628\\u0627\\u0631 - \\u062c\\u0647\\u0631\\u0645 - \\u062c\\u06cc\\u0631\\u0641\\u062a - \\u0686\\u0627\\u0644\\u062f\\u0631\\u0627\\u0646 - \\u0686\\u0627\\u0644\\u0648\\u0633 - \\u062e\\u0627\\u0634 - \\u062e\\u0631\\u0645 \\u0622\\u0628\\u0627\\u062f - \\u062e\\u0631\\u0645 \\u0628\\u06cc\\u062f(\\u062f\\u0647\\u0628\\u06cc\\u062f) - \\u062e\\u0631\\u0645\\u062f\\u0631\\u0647 \\u2013 \\u062e\\u0631\\u0645\\u0634\\u0647\\u0631 - \\u062e\\u0645\\u06cc\\u0646 - \\u062e\\u0645\\u06cc\\u0646\\u06cc \\u0634\\u0647\\u0631 \\u2013 \\u062e\\u0646\\u062f\\u0627\\u0628 (\\u0627\\u0631\\u0627\\u06a9) - \\u062e\\u0648\\u0631\\u0645\\u0648\\u062c - \\u062e\\u0648\\u06cc - \\u062f\\u0627\\u0631\\u0627\\u0628 - \\u062f\\u0627\\u0645\\u063a\\u0627\\u0646 - \\u062f\\u0632\\u0641\\u0648\\u0644 - \\u062f\\u0634\\u062a \\u0645\\u0631\\u063a\\u0627\\u0628 - \\u062f\\u0648\\u0631\\u0648\\u062f - \\u062f\\u0644\\u06cc\\u062c\\u0627\\u0646 - \\u062f\\u0647\\u062f\\u0634\\u062a - \\u062f\\u0631\\u0647 \\u0634\\u0647\\u0631 - \\u062f\\u06cc\\u0648\\u0627\\u0646\\u062f\\u0631\\u0647 - \\u0631\\u0627\\u0645\\u0633\\u0631 - \\u0631\\u0627\\u0645\\u0634\\u06cc\\u0631 - \\u0631\\u0627\\u0645\\u0647\\u0631\\u0645\\u0632 - \\u0631\\u0634\\u062a - \\u0631\\u0641\\u0633\\u0646\\u062c\\u0627\\u0646 - \\u0631\\u0648\\u0627\\u0646\\u0633\\u0631 - \\u0631\\u0648\\u062f\\u0633\\u0631 - \\u0631\\u0648\\u0645\\u0634\\u06a9\\u0627\\u0646 - \\u0632\\u0627\\u0628\\u0644 \\u0648 \\u0632\\u0647\\u06a9 - \\u0632\\u0627\\u0647\\u062f\\u0627\\u0646 - \\u0632\\u0646\\u062c\\u0627\\u0646 - \\u0633\\u0627\\u0631\\u06cc - \\u0633\\u0627\\u0648\\u0647 - \\u0633\\u0628\\u0632\\u0648\\u0627\\u0631 - \\u0633\\u0631\\u0627\\u0628 - \\u0633\\u0631\\u067e\\u0644 \\u0630\\u0647\\u0627\\u0628 - \\u0633\\u0631\\u062f\\u0634\\u062a - \\u0633\\u0631\\u0648\\u0633\\u062a\\u0627\\u0646 - \\u0633\\u0639\\u0627\\u062f\\u062a \\u0634\\u0647\\u0631 - \\u0633\\u0642\\u0632 - \\u0633\\u0644\\u0637\\u0627\\u0646\\u06cc\\u0647 - \\u0633\\u0644\\u0645\\u0627\\u0633 - \\u0633\\u0645\\u0646\\u0627\\u0646 - \\u0633\\u0646\\u0642\\u0631\\u06a9\\u0644\\u06cc\\u0627\\u06cc\\u06cc - \\u0633\\u0646\\u0646\\u062f\\u062c - \\u0633\\u0648\\u0633\\u0646\\u06af\\u0631\\u062f - \\u0633\\u06cc\\u0631\\u062c\\u0627\\u0646 - \\u0633\\u06cc\\u0648\\u0646\\u062f - \\u0634\\u0627\\u062f\\u06af\\u0627\\u0646 - \\u0634\\u0627\\u0632\\u0646\\u062f - \\u0634\\u0627\\u0647\\u0631\\u0648\\u062f - \\u0634\\u0627\\u0647\\u06cc\\u0646 \\u0634\\u0647\\u0631 - \\u0634\\u0648\\u0634 - \\u0634\\u0648\\u0634\\u062a\\u0631 - \\u0634\\u0647\\u0631\\u0636\\u0627 - \\u0634\\u0647\\u0631\\u06a9\\u0631\\u062f - \\u0634\\u06cc\\u0631\\u0627\\u0632 - \\u0634\\u06cc\\u0631\\u0648\\u0627\\u0646 - \\u0635\\u0627\\u0626\\u06cc\\u0646 \\u0642\\u0644\\u0639\\u0647 - \\u0635\\u062d\\u0646\\u0647 - \\u0635\\u0648\\u0645\\u0639\\u0647 \\u0633\\u0631\\u0627 - \\u0639\\u0633\\u0644\\u0648\\u06cc\\u0647 - (\\u0645\\u0646\\u0637\\u0642\\u0647 \\u0648\\u06cc\\u0698\\u0647 \\u0627\\u0646\\u0631\\u0698\\u06cc \\u067e\\u0627\\u0631\\u0633) - \\u0639\\u0644\\u06cc\\u200c\\u0622\\u0628\\u0627\\u062f \\u06a9\\u062a\\u0648\\u0644 - \\u0641\\u0627\\u0645\\u0646\\u06cc\\u0646 - \\u0641\\u0633\\u0627 - \\u0641\\u0631\\u0645\\u0647\\u06cc\\u0646 (\\u0627\\u0631\\u0627\\u06a9) - \\u0641\\u0631\\u06cc\\u062f\\u0648\\u0646\\u06a9\\u0646\\u0627\\u0631 - \\u0641\\u0644\\u0627\\u0648\\u0631\\u062c\\u0627\\u0646 - \\u0641\\u0648\\u0644\\u0627\\u062f\\u0634\\u0647\\u0631 \\u0648 \\u0630\\u0648\\u0628 \\u0622\\u0647\\u0646 - \\u0641\\u0648\\u0645\\u0646 \\u2013 \\u0642\\u0627\\u062f\\u0631\\u0622\\u0628\\u0627\\u062f (\\u0633\\u0639\\u0627\\u062f\\u062a \\u0634\\u0647\\u0631) - \\u0642\\u0627\\u0626\\u0645 \\u0634\\u0647\\u0631 - \\u0642\\u0634\\u0645 - \\u0642\\u0631\\u0648\\u0647 - \\u0642\\u0632\\u0648\\u06cc\\u0646 - \\u0642\\u0635\\u0631\\u0634\\u06cc\\u0631\\u06cc\\u0646 - \\u0642\\u0645 - \\u0642\\u0648\\u0686\\u0627\\u0646 - \\u06a9\\u0627\\u0632\\u0631\\u0648\\u0646 - \\u06a9\\u0627\\u0634\\u0627\\u0646 - \\u06a9\\u0627\\u0634\\u0645\\u0631 - \\u06a9\\u0627\\u0645\\u06cc\\u0627\\u0631\\u0627\\u0646 - \\u06a9\\u0631\\u062f\\u06a9\\u0648\\u06cc - \\u06a9\\u0631\\u0645\\u0627\\u0646 - \\u06a9\\u0631\\u0645\\u0627\\u0646\\u0634\\u0627\\u0647 - \\u06a9\\u0644\\u0627\\u0686\\u0627\\u06cc \\u2013 \\u06a9\\u0645\\u06cc\\u062c\\u0627\\u0646 (\\u0627\\u0631\\u0627\\u06a9) - \\u06a9\\u0646\\u06af\\u0627\\u0648\\u0631 - \\u06a9\\u0646\\u06af\\u0627\\u0646 - \\u06a9\\u0647\\u0646\\u0648\\u062c - \\u06a9\\u0648\\u0647\\u062f\\u0634\\u062a - \\u06af\\u0627\\u0644\\u06cc\\u06a9\\u0634 - \\u06af\\u0686\\u0633\\u0627\\u0631\\u0627\\u0646 - \\u06af\\u0631\\u06af\\u0627\\u0646 - \\u06af\\u0644\\u067e\\u0627\\u06cc\\u06af\\u0627\\u0646 - \\u06af\\u0646\\u0628\\u062f\\u06a9\\u0627\\u0648\\u0648\\u0633 - \\u06af\\u06cc\\u0644\\u0627\\u0646 \\u063a\\u0631\\u0628 - \\u0644\\u0627\\u0631 - \\u0644\\u0627\\u0644\\u062c\\u06cc\\u0646 - \\u0644\\u0627\\u0647\\u06cc\\u062c\\u0627\\u0646 - \\u0644\\u0631\\u062f\\u06af\\u0627\\u0646 - \\u0644\\u0646\\u06af\\u0631\\u0648\\u062f - \\u0644\\u0648\\u0634\\u0627\\u0646 - \\u0644\\u06cc\\u0633\\u0627\\u0631 - \\u0645\\u0627\\u06a9\\u0648 - \\u0645\\u0627\\u0647\\u0634\\u0647\\u0631 - \\u0645\\u0628\\u0627\\u0631\\u06a9\\u0647 - \\u0645\\u062d\\u0644\\u0627\\u062a - \\u0645\\u062d\\u0645\\u0648\\u062f\\u0622\\u0628\\u0627\\u062f - \\u0645\\u0631\\u0627\\u063a\\u0647 - \\u0645\\u0631\\u0646\\u062f - \\u0645\\u0631\\u0648\\u062f\\u0634\\u062a - \\u0645\\u0631\\u06cc\\u0648\\u0627\\u0646 - \\u0645\\u0633\\u062c\\u062f \\u0633\\u0644\\u06cc\\u0645\\u0627\\u0646 - \\u0645\\u0634\\u0647\\u062f - \\u0645\\u0644\\u0627\\u06cc\\u0631 - \\u0645\\u0644\\u06a9\\u0627\\u0646 - \\u0645\\u0646\\u062c\\u06cc\\u0644 - \\u0645\\u0647\\u0627\\u0628\\u0627\\u062f \\u2013 \\u0645\\u0647\\u0627\\u062c\\u0631\\u0627\\u0646 (\\u0627\\u0631\\u0627\\u06a9) - \\u0645\\u0647\\u0631\\u0627\\u0646 - \\u0645\\u06cc\\u0627\\u0646\\u062f\\u0648\\u0622\\u0628 - \\u0645\\u06cc\\u0627\\u0646\\u06a9\\u0648\\u0647 - \\u0645\\u06cc\\u0627\\u0646\\u0647 - \\u0645\\u06cc\\u0628\\u062f - \\u0645\\u06cc\\u0646\\u0648\\u062f\\u0634\\u062a - \\u0645\\u06cc\\u0644\\u0627\\u062c\\u0631\\u062f (\\u0627\\u0631\\u0627\\u06a9) - \\u0646\\u062c\\u0641 \\u0622\\u0628\\u0627\\u062f - \\u0646\\u0631\\u0627\\u0642 - \\u0646\\u0638\\u0631\\u0622\\u0628\\u0627\\u062f - \\u0646\\u0642\\u0627\\u0628 - \\u0646\\u0642\\u062f\\u0647 - \\u0646\\u06a9\\u0627 - \\u0646\\u0648\\u0634\\u0647\\u0631 - \\u0646\\u0648\\u0631 - \\u0646\\u0648\\u0631\\u0622\\u0628\\u0627\\u062f \\u0644\\u0631\\u0633\\u062a\\u0627\\u0646 - \\u0646\\u0647\\u0628\\u0646\\u062f\\u0627\\u0646 - \\u0646\\u06cc\\u0634\\u0627\\u0628\\u0648\\u0631 - \\u0647\\u0627\\u062f\\u06cc \\u0634\\u0647\\u0631 - \\u0647\\u0627\\u0645\\u0648\\u0646 - \\u0647\\u0631\\u0633\\u06cc\\u0646 - \\u0647\\u0634\\u062a\\u200c\\u067e\\u0631 - \\u0647\\u0634\\u062a\\u06af\\u0631\\u062f - \\u0647\\u0641\\u062a\\u06a9\\u0644 - \\u0647\\u0645\\u062f\\u0627\\u0646 - \\u0647\\u0646\\u062f\\u06cc\\u062c\\u0627\\u0646 - \\u0647\\u0648\\u06cc\\u0632\\u0647 - \\u0647\\u06cc\\u0631\\u0645\\u0646\\u062f - \\u0647\\u06cc\\u062f\\u062c - \\u06cc\\u0627\\u0633\\u0648\\u062c - \\u06cc\\u0632\\u062f<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 19:43:57\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2018-10-03 19:43:57\",\"modified_by\":null,\"checked_out\":null,\"checked_out_time\":null,\"publish_up\":\"2018-10-03 19:43:57\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":1,\"ordering\":null,\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":null,\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(3, 2, 1, '', '2018-10-03 19:53:46', 105, 9099, '8ae046e247c4063ff23659cf9374a487224c4572', '{\"id\":2,\"asset_id\":94,\"title\":\"\\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc 24 \\u0633\\u0627\\u0639\\u062a\\u0647\",\"alias\":\"\\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc-24-\\u0633\\u0627\\u0639\\u062a\\u0647\",\"introtext\":\"<p style=\\\"text-align: justify;\\\">\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647<br \\/><br \\/>\\u06a9\\u0627\\u0631\\u0628\\u0631 \\u06af\\u0631\\u0627\\u0645\\u06cc\\u060c \\u0644\\u0637\\u0641\\u0627\\u064b \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0633\\u0648\\u0627\\u0644 \\u06cc\\u0627 \\u0627\\u0628\\u0647\\u0627\\u0645\\u06cc\\u060c \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u06cc\\u0627 \\u062a\\u0645\\u0627\\u0633 \\u062a\\u0644\\u0641\\u0646\\u06cc \\u0628\\u0627 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0628\\u062e\\u0634 \\u067e\\u0631\\u0633\\u0634\\u200f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u062f\\u0627\\u0648\\u0644 \\u0631\\u0627 \\u0645\\u0644\\u0627\\u062d\\u0638\\u0647 \\u0641\\u0631\\u0645\\u0627\\u06cc\\u06cc\\u062f \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u067e\\u0627\\u0633\\u062e \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0646\\u06cc\\u0627\\u0641\\u062a\\u06cc\\u062f\\u060c \\u0628\\u0627 \\u0645\\u0627 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f.<br \\/>\\u0631\\u0648\\u0632\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062f\\u0631 \\u0633\\u0627\\u0644 \\u062c\\u0627\\u0631\\u06cc \\u0628\\u0647 \\u062f\\u0644\\u06cc\\u0644 \\u062a\\u0639\\u0637\\u06cc\\u0644\\u06cc\\u060c \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0647\\u06cc\\u0686\\u200c\\u06af\\u0648\\u0646\\u0647 \\u067e\\u0627\\u0633\\u062e\\u06af\\u0648\\u06cc\\u06cc\\u060c \\u0633\\u0631\\u0648\\u06cc\\u0633\\u200c\\u062f\\u0647\\u06cc \\u0648 \\u062e\\u062f\\u0645\\u0627\\u062a\\u06cc \\u0646\\u062f\\u0627\\u0631\\u062f\\u060c \\u0628\\u0647 \\u0634\\u0631\\u062d \\u0632\\u06cc\\u0631 \\u0627\\u0633\\u062a:<br \\/><br \\/>\\u00a0\\u00a0\\u00a0 \\u06f1\\u06f3 \\u0641\\u0631\\u0648\\u0631\\u062f\\u06cc\\u0646<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f1\\u06f4 \\u062e\\u0631\\u062f\\u0627\\u062f<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f2\\u06f8 \\u0634\\u0647\\u0631\\u06cc\\u0648\\u0631 (\\u062a\\u0627\\u0633\\u0648\\u0639\\u0627)<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f2\\u06f9 \\u0634\\u0647\\u0631\\u06cc\\u0648\\u0631 (\\u0639\\u0627\\u0634\\u0648\\u0631\\u0627)<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f8 \\u0622\\u0628\\u0627\\u0646 (\\u0627\\u0631\\u0628\\u0639\\u06cc\\u0646)<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f1\\u06f6 \\u0622\\u0628\\u0627\\u0646 (\\u0631\\u062d\\u0644\\u062a \\u062d\\u0636\\u0631\\u062a \\u0631\\u0633\\u0648\\u0644 \\u0627\\u06a9\\u0631\\u0645)<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f2\\u06f2 \\u0628\\u0647\\u0645\\u0646<br \\/><br \\/>\\u062a\\u0644\\u0641\\u0646 \\u062a\\u0645\\u0627\\u0633 \\u0648 \\u0641\\u06a9\\u0633: 000000000 \\u0648 00000000 (\\u067e\\u0627\\u0633\\u062e\\u06af\\u0648\\u06cc\\u06cc \\u06f2\\u06f4 \\u0633\\u0627\\u0639\\u062a\\u0647\\u060c \\u0667 \\u0631\\u0648\\u0632 \\u0647\\u0641\\u062a\\u0647)<br \\/>\\u0631\\u0633\\u06cc\\u062f\\u06af\\u06cc \\u0628\\u0647 \\u0627\\u0646\\u062a\\u0642\\u0627\\u062f\\u0647\\u0627<br \\/><br \\/>\\u0645\\u0634\\u062a\\u0631\\u06cc \\u06af\\u0631\\u0627\\u0645\\u06cc\\u060c \\u0627\\u06af\\u0631 \\u0627\\u0646\\u062a\\u0642\\u0627\\u062f \\u06cc\\u0627 \\u0634\\u06a9\\u0627\\u06cc\\u062a\\u06cc \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062f\\u0627\\u0631\\u06cc\\u062f \\u0628\\u0631\\u0627\\u06cc \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u067e\\u0627\\u0633\\u062e \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u060c \\u0644\\u0637\\u0641\\u0627 \\u0628\\u0647 \\u0622\\u062f\\u0631\\u0633 complaint@test.com \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>\\u062f\\u0641\\u062a\\u0631 \\u0645\\u0631\\u06a9\\u0632\\u06cc:<br \\/><br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u062a\\u0647\\u0631\\u0627\\u0646 - \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 - \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 <br \\/>\\u0645\\u0631\\u06a9\\u0632 \\u0627\\u0645\\u0648\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646:<br \\/><br \\/>\\u0644\\u0637\\u0641\\u0627\\u064b \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u0648 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0622\\u0646 \\u0628\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u067e\\u0633\\u062a\\u060c \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0647 \\u0635\\u0646\\u062f\\u0648\\u0642 \\u067e\\u0633\\u062a\\u06cc 000000000\\u0627\\u0631\\u0633\\u0627\\u0644 \\u0646\\u0645\\u0627\\u06cc\\u06cc\\u062f.<br \\/>\\u00a0<br \\/><br \\/>\\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634:cs@test.com<br \\/>\\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634:cc@test.com<br \\/>\\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0633\\u0627\\u0632\\u0645\\u0627\\u0646\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647:info@test.com<br \\/>\\u062a\\u0648\\u062c\\u0647 \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u06cc\\u062f \\u06a9\\u0647 000000000000 \\u0648 000000000000 \\u062a\\u0646\\u0647\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0622\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u0627\\u0646 \\u0648 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u062e\\u0648\\u062f \\u067e\\u06cc\\u0627\\u0645\\u06a9 (\\u0627\\u0633 \\u0627\\u0645 \\u0627\\u0633) \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f. \\u0628\\u0646\\u0627\\u0628\\u0631\\u0627\\u06cc\\u0646 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u067e\\u06cc\\u0627\\u0645\\u06a9 \\u062a\\u062d\\u062a \\u0639\\u0646\\u0648\\u0627\\u0646 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0628\\u0627 \\u0647\\u0631 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u062f\\u06cc\\u06af\\u0631\\u06cc \\u062a\\u062e\\u0644\\u0641 \\u0648 \\u0633\\u0648\\u0621 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0646\\u0627\\u0645 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0686\\u0646\\u06cc\\u0646 \\u067e\\u06cc\\u0627\\u0645\\u06a9\\u06cc\\u060c \\u0644\\u0637\\u0641\\u0627\\u064b \\u062c\\u0647\\u062a \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u0622\\u0646 \\u0631\\u0627 \\u0628\\u0647 info@test.com \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0647\\u06cc\\u062f.<br \\/>\\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 000000000000 \\u0648 000000000000\\u060c \\u0633\\u0627\\u0645\\u0627\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u067e\\u06cc\\u0627\\u0645\\u06a9 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0648\\u0636\\u0639\\u06cc\\u062a \\u067e\\u0631\\u062f\\u0627\\u0632\\u0634 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u06cc\\u0627 \\u0631\\u0648\\u06cc\\u062f\\u0627\\u062f\\u0647\\u0627\\u060c \\u062e\\u062f\\u0645\\u0627\\u062a \\u0648 \\u0633\\u0631\\u0648\\u06cc\\u0633\\u200c\\u0647\\u0627\\u06cc \\u0648\\u06cc\\u0698\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0631\\u0627 \\u0628\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u0627\\u0646 \\u0645\\u06cc\\u200c\\u0631\\u0633\\u0627\\u0646\\u062f \\u0648 \\u0631\\u0648\\u0634\\u0646 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u067e\\u06cc\\u0627\\u0645\\u200c\\u0647\\u0627\\u06cc \\u0634\\u0645\\u0627 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0627\\u06cc\\u0646 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u0648\\u062c\\u0648\\u062f \\u0646\\u062f\\u0627\\u0631\\u062f.<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 19:53:46\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2018-10-03 19:53:46\",\"modified_by\":null,\"checked_out\":null,\"checked_out_time\":null,\"publish_up\":\"2018-10-03 19:53:46\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":1,\"ordering\":null,\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":null,\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(4, 1, 1, '', '2018-10-03 19:55:55', 105, 48813, '0684a39ec3362b2930387c8f99d2194caecfcf37', '{\"id\":1,\"asset_id\":\"92\",\"title\":\"\\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633\",\"alias\":\"\\u062a\\u062d\\u0648\\u06cc\\u0644-\\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633\",\"introtext\":\"<p style=\\\"text-align: justify;\\\">\\u062f\\u0631 \\u0631\\u0648\\u0632\\u0647\\u0627\\u06cc \\u0639\\u0627\\u062f\\u06cc\\u060c \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c \\u0637\\u0628\\u0642 \\u0631\\u0648\\u06cc\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0631 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<br \\/><br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u062a\\u0647\\u0631\\u0627\\u0646<br \\/><br \\/>\\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627 \\u062f\\u0631 \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0645\\u0637\\u0627\\u0628\\u0642 \\u0628\\u0627\\u0632\\u0647 \\u0632\\u0645\\u0627\\u0646\\u06cc \\u06a9\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062b\\u0628\\u062a \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u0646\\u062f\\u060c \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062f\\u0627\\u062f\\u0647 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062f\\u0631 \\u0647\\u0645\\u0647 \\u0631\\u0648\\u0632\\u0647\\u0627\\u06cc \\u0647\\u0641\\u062a\\u0647 \\u0648\\u062c\\u0648\\u062f \\u062f\\u0627\\u0631\\u062f \\u0648 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u200c\\u200c\\u200c\\u0647\\u0627\\u06cc \\u0628\\u0627 \\u0627\\u0631\\u0632\\u0634 \\u0628\\u06cc\\u0634 \\u0627\\u0632 \\u06cc\\u06a9\\u0635\\u062f \\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u062f\\u0631 \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f.<br \\/>\\u062f\\u0631 \\u0627\\u06cc\\u0627\\u0645 \\u062c\\u0634\\u0646\\u0648\\u0627\\u0631\\u0647\\u060c \\u062c\\u0647\\u062a \\u0631\\u0641\\u0627\\u0647 \\u0648 \\u0622\\u0633\\u0648\\u062f\\u06af\\u06cc \\u062d\\u0627\\u0644 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0639\\u0632\\u06cc\\u0632 \\u0633\\u0627\\u06a9\\u0646 \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646\\u060c \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062a\\u0648\\u0633\\u0637 \\u067e\\u0633\\u062a (\\u0639\\u0644\\u0627\\u0648\\u0647 \\u0628\\u0631 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633) \\u0646\\u06cc\\u0632 \\u0648\\u062c\\u0648\\u062f \\u062e\\u0648\\u0627\\u0647\\u062f \\u062f\\u0627\\u0634\\u062a \\u0648 \\u0647\\u0645\\u0627\\u0646\\u0646\\u062f \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0627\\u0631\\u0632\\u0634 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u06cc\\u0634 \\u0627\\u0632 \\u06cc\\u06a9\\u0635\\u062f \\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u0628\\u0627\\u0634\\u062f \\u060c \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0622\\u0646 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0633\\u062a \\u0648\\u0644\\u06cc \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0631 \\u06cc\\u06a9\\u0635\\u062f\\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u0645\\u0637\\u0627\\u0628\\u0642 \\u062a\\u0639\\u0631\\u0641\\u0647 \\u067e\\u0633\\u062a \\u062f\\u0631 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062b\\u0628\\u062a \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f \\u0648 \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0622\\u0646\\u0644\\u0627\\u06cc\\u0646 (\\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc) \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0627 \\u0627\\u06cc\\u0646 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u0634\\u0648\\u0646\\u062f \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc \\u0627\\u0633\\u062a.<br \\/>\\u0627\\u06cc\\u0646 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627 \\u0628\\u0627 \\u0632\\u0645\\u0627\\u0646 \\u062a\\u0642\\u0631\\u06cc\\u0628\\u06cc \\u0628\\u06cc\\u0646 1 \\u062a\\u0627 4 \\u0631\\u0648\\u0632 \\u06a9\\u0627\\u0631\\u06cc \\u0648 \\u0628\\u0627 \\u0642\\u0627\\u0628\\u0644\\u06cc\\u062a \\u0631\\u0647\\u06af\\u06cc\\u0631\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0648 \\u0628\\u062f\\u0648\\u0646 \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0628\\u0627\\u0632\\u0647\\u200c\\u06cc \\u0632\\u0645\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u06a9\\u0631\\u062c<br \\/>\\u062a\\u0628\\u0631\\u06cc\\u0632\\u060c \\u06a9\\u0631\\u0645\\u0627\\u0646\\u0634\\u0627\\u0647\\u060c \\u0642\\u0645\\u060c \\u06cc\\u0632\\u062f\\u060c \\u0642\\u0632\\u0648\\u06cc\\u0646\\u060c \\u0632\\u0646\\u062c\\u0627\\u0646\\u060c \\u0627\\u0631\\u062f\\u0628\\u06cc\\u0644\\u060c \\u06af\\u0631\\u06af\\u0627\\u0646\\u060c \\u0627\\u0631\\u0648\\u0645\\u06cc\\u0647\\u060c \\u0627\\u0631\\u0627\\u06a9\\u060c \\u062e\\u0631\\u0645 \\u0622\\u0628\\u0627\\u062f<br \\/>\\u0645\\u0634\\u0647\\u062f\\u060c \\u0627\\u0647\\u0648\\u0627\\u0632\\u060c \\u0634\\u06cc\\u0631\\u0627\\u0632\\u060c \\u06a9\\u0631\\u0645\\u0627\\u0646\\u060c \\u0628\\u0646\\u062f\\u0631\\u0639\\u0628\\u0627\\u0633\\u060c \\u0632\\u0627\\u0647\\u062f\\u0627\\u0646<br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u0627\\u0635\\u0641\\u0647\\u0627\\u0646<br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u06af\\u06cc\\u0644\\u0627\\u0646<br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u0645\\u0627\\u0632\\u0646\\u062f\\u0631\\u0627\\u0646<br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u0647\\u0645\\u062f\\u0627\\u0646<br \\/>\\u0646\\u06a9\\u0627\\u062a<br \\/><br \\/>- \\u062f\\u0631 \\u0631\\u0627\\u0628\\u0637\\u0647 \\u0628\\u0627 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u06cc\\u0646 \\u0645\\u0627\\u0645\\u0648\\u0631\\u0627\\u0646 \\u062a\\u0648\\u0632\\u06cc\\u0639 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u062a\\u0633\\u0647\\u06cc\\u0644 \\u0641\\u0631\\u0627\\u06cc\\u0646\\u062f \\u062e\\u0631\\u06cc\\u062f \\u0648 \\u0647\\u0645\\u0631\\u0627\\u0647\\u06cc \\u0628\\u06cc\\u0634\\u200c\\u062a\\u0631 \\u0628\\u0627 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646\\u060c \\u062a\\u0639\\u062f\\u0627\\u062f \\u0632\\u06cc\\u0627\\u062f\\u06cc \\u0627\\u0632 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627 \\u0631\\u0627 \\u062f\\u0631\\u0628 \\u0648\\u0627\\u062d\\u062f \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0645\\u06cc\\u200c\\u062f\\u0627\\u062f\\u0646\\u062f\\u060c \\u0627\\u0645\\u0627 \\u062f\\u0631\\u062d\\u0627\\u0644 \\u062d\\u0627\\u0636\\u0631 \\u0645\\u062d\\u0644 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u0647 \\u062f\\u0631\\u0628 \\u0627\\u0635\\u0644\\u06cc \\u0633\\u0627\\u062e\\u062a\\u0645\\u0627\\u0646 (\\u0645\\u0646\\u062a\\u0647\\u06cc \\u0628\\u0647 \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646) \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u067e\\u06cc\\u062f\\u0627 \\u06a9\\u0631\\u062f\\u0647 \\u0627\\u0633\\u062a. \\u062f\\u0644\\u06cc\\u0644 \\u0627\\u062a\\u062e\\u0627\\u0630 \\u0627\\u06cc\\u0646 \\u062a\\u0635\\u0645\\u06cc\\u0645 \\u0628\\u0647 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0634\\u06a9\\u0627\\u06cc\\u0627\\u062a \\u0645\\u062a\\u0639\\u062f\\u062f \\u0627\\u0632 \\u0645\\u062f\\u06cc\\u0631\\u0627\\u0646 \\u0633\\u0627\\u062e\\u062a\\u0645\\u0627\\u0646\\u200c\\u0647\\u0627\\u060c \\u0628\\u0631\\u062e\\u06cc \\u0645\\u062d\\u062f\\u0648\\u062f\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0648\\u062c\\u0648\\u062f \\u0648 \\u0627\\u062c\\u062a\\u0646\\u0627\\u0628 \\u0627\\u0632 \\u0645\\u0648\\u0627\\u0631\\u062f\\u06cc \\u06a9\\u0647 \\u0648\\u0631\\u0648\\u062f \\u0628\\u0647 \\u0633\\u0627\\u062e\\u062a\\u0645\\u0627\\u0646\\u200c\\u0647\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u062f \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u062f\\u060c \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f. \\u0627\\u0632 \\u062c\\u0645\\u0644\\u0647\\u200c\\u06cc \\u0627\\u06cc\\u0646 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646 \\u0628\\u0647 \\u0642\\u0648\\u0627\\u0646\\u06cc\\u0646 \\u0645\\u062d\\u062f\\u0648\\u062f\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0634\\u062e\\u0635\\u06cc \\u0648 \\u062e\\u0635\\u0648\\u0635\\u06cc\\u060c \\u0641\\u0636\\u0627\\u0647\\u0627\\u06cc \\u0645\\u0634\\u062a\\u0631\\u06a9 \\u0622\\u067e\\u0627\\u0631\\u062a\\u0645\\u0627\\u0646\\u200c\\u0647\\u0627 \\u0648 \\u0648\\u0631\\u0648\\u062f \\u0628\\u0647 \\u0628\\u0631\\u062e\\u06cc \\u0645\\u062c\\u062a\\u0645\\u0639\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0633\\u06a9\\u0648\\u0646\\u06cc\\u060c \\u0627\\u0645\\u0627\\u06a9\\u0646 \\u062a\\u062c\\u0627\\u0631\\u06cc\\u060c \\u0641\\u0631\\u0647\\u0646\\u06af\\u06cc \\u06cc\\u0627 \\u062f\\u0648\\u0644\\u062a\\u06cc\\u060c \\u0627\\u0634\\u0627\\u0631\\u0647 \\u06a9\\u0631\\u062f.<br \\/>\\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0641\\u0642\\u0637 \\u0634\\u0627\\u0645\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u200c\\u200c\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u0628\\u0627 \\u0627\\u0631\\u0632\\u0634 \\u0628\\u06cc\\u0634 \\u0627\\u0632 \\u06cc\\u06a9\\u0635\\u062f \\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u0648 \\u062f\\u0631 \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f. \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0631 \\u06cc\\u06a9\\u0635\\u062f \\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0647\\u0645\\u0647 \\u0646\\u0642\\u0627\\u0637 \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 4500 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u062b\\u0627\\u0628\\u062a \\u0627\\u0633\\u062a.<br \\/>- \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633\\u060c 8000 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u062b\\u0627\\u0628\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u0631 \\u0646\\u0642\\u0627\\u0637 \\u06a9\\u0634\\u0648\\u0631 \\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u062a\\u0639\\u0631\\u0641\\u0647 \\u067e\\u0633\\u062a \\u0627\\u0633\\u062a.<br \\/>- \\u0627\\u06af\\u0631 \\u0645\\u0628\\u0644\\u063a \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0632 \\u067e\\u06cc\\u0634 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0634\\u062f\\u0647 \\u0628\\u0627\\u0634\\u062f\\u060c \\u0635\\u0627\\u062d\\u0628 \\u067e\\u0631\\u0648\\u0641\\u0627\\u06cc\\u0644 \\u06cc\\u0627 \\u0634\\u062e\\u0635 \\u062f\\u06cc\\u06af\\u0631\\u06cc \\u06a9\\u0647 \\u0635\\u0627\\u062d\\u0628 \\u067e\\u0631\\u0648\\u0641\\u0627\\u06cc\\u0644 \\u0646\\u0627\\u0645\\u060c \\u0622\\u062f\\u0631\\u0633 \\u0648 \\u062a\\u0644\\u0641\\u0646 \\u0648\\u06cc \\u0631\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0631\\u062f\\u0647 \\u0627\\u0633\\u062a\\u060c \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0627\\u06cc\\u062f \\u06a9\\u0627\\u0631\\u062a \\u0634\\u0646\\u0627\\u0633\\u0627\\u06cc\\u06cc \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0645\\u0627\\u0646\\u0646\\u062f \\u06a9\\u0627\\u0631\\u062a \\u0645\\u0644\\u06cc \\u0647\\u0645\\u0631\\u0627\\u0647 \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u062f.<br \\/>- \\u0628\\u0647 \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u0627\\u0646 \\u06a9\\u0641\\u0634 \\u062a\\u0648\\u0635\\u06cc\\u0647 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f \\u0628\\u0631\\u0627\\u06cc \\u062a\\u0633\\u062a \\u0633\\u0627\\u06cc\\u0632 \\u0627\\u0632 \\u062f\\u0642\\u0627\\u06cc\\u0642\\u06cc \\u06a9\\u0647 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0627\\u062e\\u062a\\u06cc\\u0627\\u0631 \\u062f\\u0627\\u0631\\u0646\\u062f\\u060c \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u06a9\\u0646\\u0646\\u062f.<br \\/>- \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u062f\\u0631 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u062a\\u0637\\u0627\\u0628\\u0642 \\u062a\\u0639\\u062f\\u0627\\u062f \\u0627\\u0642\\u0644\\u0627\\u0645 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u0627 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631\\u060c \\u062f\\u0631 \\u062d\\u0636\\u0648\\u0631 \\u0647\\u0645\\u06a9\\u0627\\u0631\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u06a9\\u0646\\u062a\\u0631\\u0644 \\u0634\\u0648\\u062f.<br \\/>- \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0631\\u0639\\u062a \\u0648 \\u0633\\u0647\\u0648\\u0644\\u062a \\u0631\\u0633\\u06cc\\u062f\\u06af\\u06cc \\u0628\\u0647 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a\\u200c \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u062f\\u0631 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633\\u060c \\u062f\\u0631 \\u0632\\u0645\\u06cc\\u0646\\u0647 \\u0622\\u0633\\u06cc\\u0628\\u200f\\u200f \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0627\\u06a9\\u06cc\\u062f\\u0627\\u064b \\u062a\\u0648\\u0635\\u06cc\\u0647 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f \\u067e\\u0633 \\u0627\\u0632 \\u062a\\u06a9\\u0645\\u06cc\\u0644 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0648 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0648 \\u0638\\u0627\\u0647\\u0631\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a\\u06cc \\u062f\\u0631 \\u062d\\u0636\\u0648\\u0631 \\u0647\\u0645\\u06a9\\u0627\\u0631\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0686\\u06a9 \\u0634\\u0648\\u062f \\u06cc\\u0627 \\u0627\\u06cc\\u0646\\u06a9\\u0647 \\u0628\\u0647 \\u0645\\u062d\\u0636 \\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0622\\u0633\\u06cc\\u0628 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u060c \\u062f\\u0631 \\u0627\\u0648\\u0644\\u06cc\\u0646 \\u0641\\u0631\\u0635\\u062a \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u062a\\u0644\\u0641\\u0646 000000000 \\u062f\\u0627\\u062e\\u0644\\u06cc \\u0634\\u0645\\u0627\\u0631\\u0647 2\\u060c \\u06cc\\u0627 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0635\\u0641\\u062d\\u0647 \\\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\\\" \\u0627\\u06cc\\u0646 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0628\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0627\\u062f\\u0647 \\u0634\\u0648\\u062f.<br \\/>\\u062f\\u0627\\u062e\\u0644\\u06cc \\u0634\\u0645\\u0627\\u0631\\u0647 2\\u060c \\u06cc\\u0627 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0635\\u0641\\u062d\\u0647 \\\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\\\" \\u0627\\u06cc\\u0646 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0628\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0627\\u062f\\u0647 \\u0634\\u0648\\u062f.<br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u06af\\u0631\\u0648\\u0647 \\u0641\\u0631\\u0634 \\u062a\\u0648\\u0633\\u0637 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631 \\u062d\\u0636\\u0648\\u0631 \\u0645\\u0627\\u0645\\u0648\\u0631 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634\\u060c \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0631\\u0631\\u0633\\u06cc \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0645\\u0634\\u06a9\\u0644 \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u0622\\u0646 \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc \\u06a9\\u0646\\u062f. \\u0628\\u062f\\u06cc\\u0647\\u06cc \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0628\\u0647 \\u0645\\u0646\\u0632\\u0644\\u0647 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0622\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0648\\u062f.<br \\/>- \\u0628\\u0627\\u0632 \\u06a9\\u0631\\u062f\\u0646 \\u062c\\u0639\\u0628\\u0647 \\u0648 \\u0646\\u0635\\u0628 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u0634\\u0648\\u0646\\u062f (\\u0645\\u0627\\u0646\\u0646\\u062f \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0638\\u0631\\u0641\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u06cc\\u062e\\u0686\\u0627\\u0644\\u060c \\u0641\\u0631\\u06cc\\u0632\\u0631\\u060c \\u0622\\u0628\\u0633\\u0631\\u062f\\u06a9\\u0646\\u060c \\u0645\\u0627\\u06cc\\u06a9\\u0631\\u0648\\u0648\\u06cc\\u0648 \\u0648 \\u0646\\u0638\\u06cc\\u0631 \\u0622\\u0646) \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0645\\u062c\\u0627\\u0632 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u0627\\u06cc\\u0646 \\u0645\\u0646\\u0638\\u0648\\u0631 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc \\u0645\\u062c\\u0627\\u0632 \\u0622\\u0646 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f. \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u06cc\\u0627 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0627\\u0632 \\u0628\\u06cc\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0631\\u0641\\u062a.<br \\/>- \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f \\u06cc\\u0627 \\u0645\\u0628\\u0644\\u063a \\u0622\\u0646\\u0647\\u0627 \\u0628\\u06cc\\u0634\\u062a\\u0631 \\u0627\\u0632 \\u0633\\u06cc \\u0645\\u06cc\\u0644\\u06cc\\u0648\\u0646 \\u0631\\u06cc\\u0627\\u0644 \\u0627\\u0633\\u062a\\u060c \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644\\u060c \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u062a\\u0633\\u0648\\u06cc\\u0647 \\u0634\\u0648\\u0646\\u062f.<br \\/>- \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062f\\u0631 \\u0627\\u0645\\u0627\\u06a9\\u0646 \\u0639\\u0645\\u0648\\u0645\\u06cc \\u0647\\u0645\\u0686\\u0648\\u0646 \\u06a9\\u0627\\u0641\\u0647\\u060c \\u06a9\\u0627\\u0641\\u06cc \\u0646\\u062a\\u060c \\u0631\\u0633\\u062a\\u0648\\u0631\\u0627\\u0646\\u060c \\u0647\\u062a\\u0644 \\u0648 \\u0645\\u0627\\u0646\\u0646\\u062f \\u0622\\u0646 \\u0627\\u0645\\u06a9\\u0627\\u0646\\u200c\\u067e\\u0630\\u06cc\\u0631 \\u0646\\u06cc\\u0633\\u062a \\u0648 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0622\\u062f\\u0631\\u0633 \\u062a\\u062d\\u0648\\u06cc\\u0644\\u060c \\u062f\\u0642\\u06cc\\u0642 \\u0648 \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0646\\u0627\\u062f \\u0628\\u0627\\u0634\\u062f.<br \\/>\\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u062e\\u0627\\u0631\\u062c \\u0627\\u0632 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062f\\u0631 \\u0646\\u0638\\u0631 \\u06af\\u0631\\u0641\\u062a\\u0647 \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a.<br \\/>\\u067e\\u0633 \\u0627\\u0632 \\u067e\\u0631\\u062f\\u0627\\u0632\\u0634 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0648 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0628\\u0647 \\u067e\\u0633\\u062a\\u060c \\u0632\\u0645\\u0627\\u0646 \\u062a\\u0642\\u0631\\u06cc\\u0628\\u06cc \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0631\\u0633\\u0627\\u0644\\u06cc \\u0628\\u0646\\u0627 \\u0628\\u0647 \\u0645\\u062d\\u062f\\u0648\\u062f\\u0647 \\u062c\\u063a\\u0631\\u0627\\u0641\\u06cc\\u0627\\u06cc\\u06cc \\u0648 \\u0645\\u0642\\u0635\\u062f \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u06cc\\u0646 \\u0627 \\u062a\\u0627 4 \\u0631\\u0648\\u0632 \\u06a9\\u0627\\u0631\\u06cc \\u0627\\u0633\\u062a.<br \\/>\\u0628\\u0631\\u062e\\u06cc \\u0627\\u0632 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627 \\u062f\\u0631 \\u0641\\u0631\\u0648\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0648\\u06cc\\u0698\\u0647 \\u0648 \\u0637\\u0631\\u062d\\u200c\\u0647\\u0627\\u06cc \\u062a\\u0634\\u0648\\u06cc\\u0642\\u06cc \\u0641\\u0631\\u0648\\u0634 \\u0645\\u0645\\u06a9\\u0646 \\u0627\\u0633\\u062a \\u0641\\u0642\\u0637 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0634\\u0648\\u0646\\u062f\\u060c \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0627\\u06cc\\u0646 \\u0645\\u0648\\u0636\\u0648\\u0639 \\u062f\\u0631 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062b\\u0628\\u062a \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u06a9\\u0627\\u0631\\u0628\\u0631 \\u0645\\u06cc\\u200c\\u0631\\u0633\\u062f.<br \\/>\\u00a0<br \\/>\\u062f\\u0631 \\u0645\\u0648\\u0631\\u062f \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u06af\\u0631\\u0648\\u0647 \\u0641\\u0631\\u0634\\u060c \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0627\\u06cc\\u0631\\u0627\\u062f \\u062f\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u067e\\u0633\\u062a \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062f\\u0627\\u062f\\u0647 \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a\\u060c \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u0648\\u0638\\u0641 \\u0627\\u0633\\u062a \\u0647\\u0645\\u0627\\u0646 \\u0631\\u0648\\u0632 \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u0622\\u0646 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u06a9\\u0646\\u062f.<br \\/>\\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0645\\u0646\\u062a\\u0638\\u0631 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062e\\u0648\\u062f \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u067e\\u0633\\u062a \\u0647\\u0633\\u062a\\u06cc\\u062f\\u060c \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0645\\u0631\\u0633\\u0648\\u0644\\u0647 \\u0631\\u0627 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0633\\u0627\\u06cc\\u062a \\u0634\\u0631\\u06a9\\u062a \\u067e\\u0633\\u062a \\u0628\\u0647 \\u0622\\u062f\\u0631\\u0633 \\u0632\\u06cc\\u0631 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u06a9\\u0646\\u06cc\\u062f:<br \\/><br \\/>http:\\/\\/itemtracking.post.ir<br \\/>\\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u0633\\u0646\\u06af\\u06cc\\u0646 \\u06cc\\u0627 \\u062d\\u062c\\u06cc\\u0645<br \\/><br \\/>- \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062e\\u0627\\u0646\\u06af\\u06cc \\u0633\\u0646\\u06af\\u06cc\\u0646 \\u0648 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u062d\\u062c\\u06cc\\u0645 \\u06cc\\u0627 \\u0628\\u0632\\u0631\\u06af \\u0632\\u06cc\\u0631\\u060c \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u067e\\u0633\\u200c\\u06a9\\u0631\\u0627\\u06cc\\u0647 (\\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06a9\\u0627\\u0644\\u0627) \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u0644\\u0627\\u0632\\u0645 \\u0628\\u0647 \\u0630\\u06a9\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062e\\u0627\\u0646\\u06af\\u06cc \\u0630\\u06cc\\u0644\\u060c \\u062f\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0648 \\u062d\\u0648\\u0645\\u0647 (\\u0627\\u0633\\u0644\\u0627\\u0645 \\u0634\\u0647\\u0631\\u060c \\u0642\\u0631\\u0686\\u06a9\\u060c \\u0648\\u0631\\u0627\\u0645\\u06cc\\u0646\\u060c \\u0631\\u0628\\u0627\\u0637 \\u06a9\\u0631\\u06cc\\u0645\\u060c \\u0634\\u0647\\u0631 \\u0642\\u062f\\u0633\\u060c \\u0634\\u0647\\u0631\\u06cc\\u0627\\u0631\\u060c \\u0645\\u0644\\u0627\\u0631\\u062f\\u060c \\u0646\\u0633\\u06cc\\u0645 \\u0634\\u0647\\u0631\\u060c \\u067e\\u0627\\u06a9\\u062f\\u0634\\u062a\\u060c \\u0627\\u0646\\u062f\\u06cc\\u0634\\u0647\\u060c \\u0628\\u0627\\u0642\\u0631 \\u0634\\u0647\\u0631\\u060c \\u0686\\u0647\\u0627\\u0631\\u062f\\u0627\\u0646\\u06af\\u0647\\u060c \\u067e\\u06cc\\u0634\\u0648\\u0627\\u060c \\u067e\\u0631\\u062f\\u06cc\\u0633\\u060c \\u06a9\\u0647\\u0631\\u06cc\\u0632\\u06a9\\u060c \\u0641\\u0634\\u0645 \\u0648 \\u0634\\u0647\\u0631 \\u062c\\u062f\\u06cc\\u062f \\u067e\\u0631\\u0646\\u062f) \\u0648 \\u0628\\u06cc\\u0634\\u062a\\u0631 \\u0645\\u0646\\u0627\\u0637\\u0642 \\u0627\\u0633\\u062a\\u0627\\u0646 \\u0627\\u0644\\u0628\\u0631\\u0632 (\\u0628\\u0647 \\u063a\\u06cc\\u0631 \\u0627\\u0632 \\u0647\\u0634\\u062a\\u06af\\u0631\\u062f\\u060c \\u06a9\\u0631\\u062f\\u0627\\u0646\\u060c \\u0646\\u0638\\u0631\\u0622\\u0628\\u0627\\u062f \\u0648 \\u0628\\u0631\\u063a\\u0627\\u0646) \\u062a\\u0648\\u0633\\u0637 \\u062a\\u06cc\\u0645 \\u062a\\u0648\\u0632\\u06cc\\u0639 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0648 \\u0628\\u0647 \\u0637\\u0648\\u0631 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f.<br \\/>\\u00a0<br \\/>_ \\u06cc\\u062e\\u0686\\u0627\\u0644 \\u0641\\u0631\\u06cc\\u0632\\u0631<br \\/>_ \\u0633\\u0627\\u06cc\\u062f \\u0628\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062f<br \\/>_ \\u0627\\u062c\\u0627\\u0642 \\u06af\\u0627\\u0632<br \\/>_ \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0638\\u0631\\u0641\\u0634\\u0648\\u06cc\\u06cc<br \\/>_ \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u0634\\u0648\\u06cc\\u06cc<br \\/>_ \\u06a9\\u0648\\u0644\\u0631 \\u0622\\u0628\\u06cc<br \\/>_ \\u06a9\\u0648\\u0644\\u0631 \\u06af\\u0627\\u0632\\u06cc<br \\/>_ \\u06a9\\u062a\\u0627\\u0628\\u062e\\u0627\\u0646\\u0647 \\u0647\\u0627\\u06cc \\u062d\\u062c\\u06cc\\u0645<br \\/>_ \\u067e\\u06cc\\u0627\\u0646\\u0648<br \\/>_ \\u0645\\u06cc\\u0632 \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646<br \\/><br \\/>- \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u06cc\\u0646 \\u0646\\u0648\\u0639 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u060c \\u0628\\u0647 \\u062c\\u0632 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0648 \\u062d\\u0648\\u0645\\u0647\\u060c \\u062f\\u0631 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06cc\\u06a9 \\u0631\\u0648\\u0632\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0647\\u0633\\u062a\\u0646\\u062f\\u060c \\u0645\\u0634\\u0645\\u0648\\u0644 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u067e\\u0633 \\u06a9\\u0631\\u0627\\u06cc\\u0647 ( \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0645\\u0631\\u0633\\u0648\\u0644\\u0647) \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<br \\/>- \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0686\\u0646\\u06cc\\u0646 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc\\u06cc\\u060c \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644\\u060c \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u062a\\u0633\\u0648\\u06cc\\u0647 \\u0634\\u0648\\u0646\\u062f.<br \\/>- \\u0627\\u06af\\u0631 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0645\\u0634\\u0645\\u0648\\u0644 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0634\\u062f (\\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0628\\u0627 \\u0645\\u0628\\u0644\\u063a \\u0632\\u06cc\\u0631 100 \\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u062f\\u0631 \\u0631\\u0648\\u0634 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u06cc\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u06a9\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632 \\u06cc\\u0627 \\u062a\\u06cc\\u067e\\u0627\\u06a9\\u0633 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f) \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062f\\u0631 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u062f\\u0631\\u062c \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f \\u0648 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0645\\u0628\\u0644\\u063a \\u0627\\u0636\\u0627\\u0641\\u06cc \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u062e\\u0644\\u0641 \\u0645\\u062d\\u0633\\u0648\\u0628 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f. \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0686\\u0646\\u06cc\\u0646 \\u0645\\u0648\\u0627\\u0631\\u062f\\u06cc \\u0644\\u0637\\u0641\\u0627\\u064b \\u0645\\u0631\\u0627\\u062a\\u0628 \\u0631\\u0627 \\u062c\\u0647\\u062a \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0627\\u06cc\\u0645\\u06cc\\u0644 info@test.com \\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0647\\u06cc\\u062f.<br \\/>\\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0647\\u06cc\\u062f.<br \\/>- \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u06cc\\u0627 \\u0645\\u0627\\u0645\\u0648\\u0631\\u0627\\u0646 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062a\\u0646\\u0647\\u0627 \\u0645\\u0633\\u0648\\u0648\\u0644 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0647\\u0633\\u062a\\u0646\\u062f \\u0648 \\u0628\\u0627\\u0632 \\u06a9\\u0631\\u062f\\u0646 \\u062c\\u0639\\u0628\\u0647 \\u0648 \\u0646\\u0635\\u0628 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u0634\\u0648\\u0646\\u062f (\\u0645\\u0627\\u0646\\u0646\\u062f \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u0634\\u0648\\u06cc\\u06cc \\u0648 \\u0646\\u0638\\u06cc\\u0631 \\u0622\\u0646) \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0645\\u062c\\u0627\\u0632 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u0627\\u06cc\\u0646 \\u0645\\u0646\\u0638\\u0648\\u0631 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc \\u0645\\u062c\\u0627\\u0632 \\u0622\\u0646 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u062f. \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u06cc\\u0627 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0627\\u0632 \\u0628\\u06cc\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0631\\u0641\\u062a.<br \\/>\\u0627\\u06af\\u0631 \\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u062f\\u0641\\u062a\\u0631\\u0647\\u0627 \\u0648 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0646\\u06cc\\u0627\\u0632 \\u0628\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631 \\u062f\\u0627\\u0631\\u06cc\\u062f\\u060c \\u0628\\u0647 \\u0628\\u062e\\u0634 \\u0631\\u0648\\u0634 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u062f\\u0631 \\u0627\\u062f\\u0627\\u0645\\u0647 \\u0647\\u0645\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0645\\u0631\\u0627\\u062c\\u0639\\u0647 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>\\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0628\\u0631\\u0627\\u06cc \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062e\\u0627\\u0646\\u06af\\u06cc \\u0633\\u0646\\u06af\\u06cc\\u0646 \\u06cc\\u0627 \\u0628\\u0632\\u0631\\u06af \\u0645\\u0627\\u0646\\u0646\\u062f \\u06cc\\u062e\\u0686\\u0627\\u0644 \\u0645\\u0639\\u0645\\u0648\\u0644\\u06cc \\u0648 \\u0633\\u0627\\u06cc\\u062f\\u200c\\u0628\\u0627\\u06cc\\u200c\\u0633\\u0627\\u06cc\\u062f\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u200c\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0638\\u0631\\u0641\\u200c\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u0627\\u062c\\u0627\\u0642 \\u06af\\u0627\\u0632 \\u0648 \\u0641\\u0631\\u062a\\u0648\\u06a9\\u0627\\u0631\\u060c \\u067e\\u06cc\\u0627\\u0646\\u0648\\u060c \\u0645\\u06cc\\u0632 \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646 \\u060c\\u06a9\\u0648\\u0644\\u0631 \\u06af\\u0627\\u0632\\u06cc \\u060c \\u06a9\\u0648\\u0644\\u0631\\u0622\\u0628\\u06cc \\u060c\\u0645\\u0628\\u0644\\u0645\\u0627\\u0646 \\u0627\\u062f\\u0627\\u0631\\u06cc \\u0648 \\u063a\\u06cc\\u0631 \\u0627\\u062f\\u0627\\u0631\\u06cc\\u060c \\u06a9\\u062a\\u0627\\u0628\\u062e\\u0627\\u0646\\u0647\\u060c \\u0645\\u06cc\\u0632 \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646\\u060c \\u0645\\u06cc\\u0632 \\u06a9\\u0627\\u0645\\u067e\\u06cc\\u0648\\u062a\\u0631\\u060c \\u0645\\u06cc\\u0632 \\u062c\\u0644\\u0648\\u0645\\u0628\\u0644\\u06cc\\u060c \\u0645\\u06cc\\u0632 \\u0628\\u0631\\u0634\\u060c \\u0645\\u06cc\\u0632 \\u0646\\u0627\\u0647\\u0627\\u0631\\u062e\\u0648\\u0631\\u06cc \\u060c \\u0635\\u0646\\u062f\\u0644\\u06cc \\u0645\\u0627\\u0633\\u0627\\u0698\\u0648\\u0631\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0628\\u0627\\u0632\\u06cc \\u0628\\u0632\\u0631\\u06af\\u060c \\u062a\\u0631\\u062f\\u0645\\u06cc\\u0644\\u060c \\u0645\\u0648\\u062a\\u0648\\u0631\\u0628\\u0631\\u0642\\u060c \\u067e\\u0631\\u06cc\\u0646\\u062a\\u0631 \\u0648 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u06a9\\u067e\\u06cc \\u062d\\u062c\\u06cc\\u0645 \\u0648 \\u0627\\u06cc\\u0633\\u062a\\u0627\\u062f\\u0647 \\u0648 \\u0633\\u0627\\u06cc\\u0631 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647\\u200c\\u0647\\u0627\\u06cc \\u062d\\u062c\\u06cc\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0647\\u200c\\u0635\\u0648\\u0631\\u062a \\u067e\\u0633\\u200c\\u06a9\\u0631\\u0627\\u06cc\\u0647 (\\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0645\\u0631\\u0633\\u0648\\u0644\\u0647) \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/><br \\/>\\u0644\\u0637\\u0641\\u0627 \\u0628\\u0647 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0632\\u06cc\\u0631 \\u062f\\u0642\\u062a \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u06cc\\u062f:<br \\/><br \\/>- \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u062a\\u0646\\u0647\\u0627 \\u0645\\u0633\\u0648\\u0648\\u0644 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0627\\u0632 \\u06a9\\u0631\\u062f\\u0646 \\u062c\\u0639\\u0628\\u0647 \\u0648 \\u0646\\u0635\\u0628 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u0634\\u0648\\u0646\\u062f (\\u0645\\u0627\\u0646\\u0646\\u062f \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u0634\\u0648\\u06cc\\u06cc \\u0648 \\u0646\\u0638\\u06cc\\u0631 \\u0622\\u0646) \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0645\\u062c\\u0627\\u0632 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u0627\\u06cc\\u0646 \\u0645\\u0646\\u0638\\u0648\\u0631 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc \\u0645\\u062c\\u0627\\u0632 \\u0622\\u0646 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u062f. \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u06cc\\u0627 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0627\\u0632 \\u0628\\u06cc\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0631\\u0641\\u062a.<br \\/>- \\u0631\\u0648\\u0634 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u062a\\u0646\\u0647\\u0627 \\u0648\\u06cc\\u0698\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u0628\\u0632\\u0631\\u06af \\u0627\\u0633\\u062a \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u060c \\u0631\\u0648\\u0634 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u067e\\u06cc\\u062f\\u0627 \\u062e\\u0648\\u0627\\u0647\\u062f \\u06a9\\u0631\\u062f \\u0648 \\u062f\\u0633\\u062a\\u200c\\u06a9\\u0645 1 \\u0631\\u0648\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0631\\u0627 \\u0628\\u0647 \\u062a\\u0639\\u0648\\u06cc\\u0642 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0627\\u0646\\u062f\\u0627\\u062e\\u062a.<br \\/><br \\/>\\u0645\\u0631\\u0633\\u0648\\u0644\\u0627\\u062a \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u0646\\u0632\\u062f\\u06cc\\u06a9 \\u062a\\u0627 \\u06f2\\u06f4 \\u0633\\u0627\\u0639\\u062a\\u060c \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062f\\u0648\\u0631 \\u06f4\\u06f8 \\u0633\\u0627\\u0639\\u062a \\u0648 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062e\\u06cc\\u0644\\u06cc \\u062f\\u0648\\u0631 \\u062a\\u0627 \\u06f7\\u06f2 \\u0633\\u0627\\u0639\\u062a \\u062a\\u0648\\u0633\\u0637 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062e\\u0648\\u0627\\u0647\\u0646\\u062f \\u0634\\u062f. \\u062f\\u0641\\u062a\\u0631\\u0647\\u0627 \\u0648 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0628\\u0647 \\u0627\\u06cc\\u0646 \\u0634\\u0631\\u062d \\u0627\\u0633\\u062a:<br \\/><br \\/>\\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 (\\u0648 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u0646\\u0632\\u062f\\u06cc\\u06a9 \\u0628\\u0647 \\u0622\\u0646\\u0647\\u0627):<br \\/><br \\/>\\u0622\\u0628\\u0627\\u062f\\u0627\\u0646 - \\u0622\\u0628\\u06cc\\u06a9 - \\u0622\\u0628\\u0627\\u062f\\u0647 - \\u0622\\u0632\\u0627\\u062f\\u0634\\u0647\\u0631 - \\u0622\\u0633\\u062a\\u0627\\u0631\\u0627 \\u2013 \\u0622\\u0633\\u062a\\u0627\\u0646\\u0647 (\\u0627\\u0631\\u0627\\u06a9) - \\u0622\\u0633\\u062a\\u0627\\u0646\\u0647 \\u0627\\u0634\\u0631\\u0641\\u06cc\\u0647 - \\u0622\\u0634\\u062e\\u0627\\u0646\\u0647 ( \\u0628\\u062c\\u0646\\u0648\\u0631\\u062f) - \\u0622\\u0642\\u0627\\u062c\\u0627\\u0631\\u06cc - \\u0622\\u0642 \\u0642\\u0644\\u0627 - \\u0622\\u0645\\u0644 - \\u0627\\u0628\\u0647\\u0631 - \\u0627\\u0628\\u0631\\u06a9\\u0648\\u0647 - \\u0627\\u0631\\u0627\\u06a9 - \\u0627\\u0631\\u062f\\u06a9\\u0627\\u0646 - \\u0627\\u0631\\u062f\\u0628\\u06cc\\u0644 - \\u0627\\u0632\\u0646\\u0627 - \\u0627\\u0631\\u0633\\u0646\\u062c\\u0627\\u0646 - \\u0627\\u0633\\u0627\\u0644\\u0645 - \\u0627\\u0633\\u062f\\u0622\\u0628\\u0627\\u062f - \\u0627\\u0644\\u06cc\\u06af\\u0648\\u062f\\u0631\\u0632 - \\u0627\\u0646\\u062f\\u06cc\\u0645\\u0634\\u06a9 - \\u0627\\u0645\\u0644\\u0634 - \\u0627\\u0647\\u0631\\u0645 - \\u0627\\u0647\\u0648\\u0627\\u0632 - \\u0627\\u0631\\u0648\\u0645\\u06cc\\u0647 - \\u0627\\u0645\\u06cc\\u062f\\u06cc\\u0647 - \\u0627\\u062f\\u06cc\\u0645\\u06cc (\\u0632\\u0627\\u0628\\u0644) - \\u0627\\u0633\\u0644\\u0627\\u0645\\u200c\\u0622\\u0628\\u0627\\u062f \\u063a\\u0631\\u0628 - \\u0627\\u0633\\u0641\\u0631\\u0627\\u06cc\\u0646 - \\u0627\\u0634\\u0646\\u0648\\u06cc\\u0647 - \\u0627\\u0635\\u0641\\u0647\\u0627\\u0646 \\u0648 \\u062d\\u0648\\u0645\\u0647 - \\u0627\\u0642\\u0644\\u06cc\\u062f - \\u0627\\u06cc\\u0630\\u0647 - \\u0627\\u06cc\\u0644\\u0627\\u0645 - \\u0627\\u06cc\\u0648\\u0627\\u0646\\u200c\\u063a\\u0631\\u0628 - \\u0628\\u0627\\u0628\\u0644\\u0633\\u0631 - \\u0628\\u0627\\u0628\\u0644 - \\u0628\\u0627\\u063a\\u0645\\u0644\\u06a9 - \\u0628\\u0627\\u0646\\u0647 - \\u0628\\u0631\\u0627\\u0632\\u062c\\u0627\\u0646 - \\u0628\\u0631\\u0648\\u062c\\u0631\\u062f - \\u0628\\u0631\\u0648\\u062c\\u0646 - \\u0628\\u062c\\u0646\\u0648\\u0631\\u062f - \\u0628\\u0645 - \\u0628\\u0646\\u0627\\u0628 - \\u0628\\u0646\\u062f\\u0631 \\u0627\\u0645\\u0627\\u0645\\u200c\\u062e\\u0645\\u06cc\\u0646\\u06cc (\\u0633\\u0631\\u0628\\u0646\\u062f\\u0631) - \\u0628\\u0646\\u062f\\u0631 \\u0627\\u0646\\u0632\\u0644\\u06cc - \\u0628\\u0646\\u062f\\u0631\\u062a\\u0631\\u06a9\\u0645\\u0646 - \\u0628\\u0646\\u062f\\u0631\\u0639\\u0628\\u0627\\u0633 - \\u0628\\u0648\\u0627\\u0646\\u0627\\u062a (\\u0633\\u0648\\u0631\\u06cc\\u0627\\u0646) - \\u0628\\u0648\\u0634\\u0647\\u0631 - \\u0628\\u0648\\u06a9\\u0627\\u0646 - \\u0628\\u0647\\u0634\\u0647\\u0631 - \\u0628\\u06cc\\u0631\\u062c\\u0646\\u062f - \\u0628\\u06cc\\u062c\\u0627\\u0631 - \\u0628\\u0647\\u0628\\u0647\\u0627\\u0646 - \\u067e\\u0627\\u0633\\u0627\\u0631\\u06af\\u0627\\u062f - \\u067e\\u0627\\u0648\\u0647 - \\u067e\\u0631\\u0647\\u200c\\u0633\\u0631 - \\u067e\\u0644\\u062f\\u062e\\u062a\\u0631 - \\u067e\\u06cc\\u0631\\u0627\\u0646\\u0634\\u0647\\u0631 - \\u062a\\u0627\\u06a9\\u0633\\u062a\\u0627\\u0646 - \\u062a\\u0627\\u0644\\u0634 - \\u062a\\u0631\\u0628\\u062a \\u062d\\u06cc\\u062f\\u0631\\u06cc\\u0647 - \\u062a\\u0628\\u0631\\u06cc\\u0632 - \\u062a\\u0646\\u06a9\\u0627\\u0628\\u0646 - \\u062a\\u0648\\u06cc\\u0633\\u0631\\u06a9\\u0627\\u0646 - \\u062d\\u0645\\u06cc\\u062f\\u06cc\\u0647 - \\u062c\\u063a\\u062a\\u0627\\u06cc - \\u062c\\u0644\\u0641\\u0627 - \\u062c\\u0645 - \\u062c\\u0648\\u0627\\u0646\\u0631\\u0648\\u062f - \\u062c\\u0648\\u06cc\\u0646 - \\u062c\\u0648\\u06cc\\u0628\\u0627\\u0631 - \\u062c\\u0647\\u0631\\u0645 - \\u062c\\u06cc\\u0631\\u0641\\u062a - \\u0686\\u0627\\u0644\\u062f\\u0631\\u0627\\u0646 - \\u0686\\u0627\\u0644\\u0648\\u0633 - \\u062e\\u0627\\u0634 - \\u062e\\u0631\\u0645 \\u0622\\u0628\\u0627\\u062f - \\u062e\\u0631\\u0645 \\u0628\\u06cc\\u062f(\\u062f\\u0647\\u0628\\u06cc\\u062f) - \\u062e\\u0631\\u0645\\u062f\\u0631\\u0647 \\u2013 \\u062e\\u0631\\u0645\\u0634\\u0647\\u0631 - \\u062e\\u0645\\u06cc\\u0646 - \\u062e\\u0645\\u06cc\\u0646\\u06cc \\u0634\\u0647\\u0631 \\u2013 \\u062e\\u0646\\u062f\\u0627\\u0628 (\\u0627\\u0631\\u0627\\u06a9) - \\u062e\\u0648\\u0631\\u0645\\u0648\\u062c - \\u062e\\u0648\\u06cc - \\u062f\\u0627\\u0631\\u0627\\u0628 - \\u062f\\u0627\\u0645\\u063a\\u0627\\u0646 - \\u062f\\u0632\\u0641\\u0648\\u0644 - \\u062f\\u0634\\u062a \\u0645\\u0631\\u063a\\u0627\\u0628 - \\u062f\\u0648\\u0631\\u0648\\u062f - \\u062f\\u0644\\u06cc\\u062c\\u0627\\u0646 - \\u062f\\u0647\\u062f\\u0634\\u062a - \\u062f\\u0631\\u0647 \\u0634\\u0647\\u0631 - \\u062f\\u06cc\\u0648\\u0627\\u0646\\u062f\\u0631\\u0647 - \\u0631\\u0627\\u0645\\u0633\\u0631 - \\u0631\\u0627\\u0645\\u0634\\u06cc\\u0631 - \\u0631\\u0627\\u0645\\u0647\\u0631\\u0645\\u0632 - \\u0631\\u0634\\u062a - \\u0631\\u0641\\u0633\\u0646\\u062c\\u0627\\u0646 - \\u0631\\u0648\\u0627\\u0646\\u0633\\u0631 - \\u0631\\u0648\\u062f\\u0633\\u0631 - \\u0631\\u0648\\u0645\\u0634\\u06a9\\u0627\\u0646 - \\u0632\\u0627\\u0628\\u0644 \\u0648 \\u0632\\u0647\\u06a9 - \\u0632\\u0627\\u0647\\u062f\\u0627\\u0646 - \\u0632\\u0646\\u062c\\u0627\\u0646 - \\u0633\\u0627\\u0631\\u06cc - \\u0633\\u0627\\u0648\\u0647 - \\u0633\\u0628\\u0632\\u0648\\u0627\\u0631 - \\u0633\\u0631\\u0627\\u0628 - \\u0633\\u0631\\u067e\\u0644 \\u0630\\u0647\\u0627\\u0628 - \\u0633\\u0631\\u062f\\u0634\\u062a - \\u0633\\u0631\\u0648\\u0633\\u062a\\u0627\\u0646 - \\u0633\\u0639\\u0627\\u062f\\u062a \\u0634\\u0647\\u0631 - \\u0633\\u0642\\u0632 - \\u0633\\u0644\\u0637\\u0627\\u0646\\u06cc\\u0647 - \\u0633\\u0644\\u0645\\u0627\\u0633 - \\u0633\\u0645\\u0646\\u0627\\u0646 - \\u0633\\u0646\\u0642\\u0631\\u06a9\\u0644\\u06cc\\u0627\\u06cc\\u06cc - \\u0633\\u0646\\u0646\\u062f\\u062c - \\u0633\\u0648\\u0633\\u0646\\u06af\\u0631\\u062f - \\u0633\\u06cc\\u0631\\u062c\\u0627\\u0646 - \\u0633\\u06cc\\u0648\\u0646\\u062f - \\u0634\\u0627\\u062f\\u06af\\u0627\\u0646 - \\u0634\\u0627\\u0632\\u0646\\u062f - \\u0634\\u0627\\u0647\\u0631\\u0648\\u062f - \\u0634\\u0627\\u0647\\u06cc\\u0646 \\u0634\\u0647\\u0631 - \\u0634\\u0648\\u0634 - \\u0634\\u0648\\u0634\\u062a\\u0631 - \\u0634\\u0647\\u0631\\u0636\\u0627 - \\u0634\\u0647\\u0631\\u06a9\\u0631\\u062f - \\u0634\\u06cc\\u0631\\u0627\\u0632 - \\u0634\\u06cc\\u0631\\u0648\\u0627\\u0646 - \\u0635\\u0627\\u0626\\u06cc\\u0646 \\u0642\\u0644\\u0639\\u0647 - \\u0635\\u062d\\u0646\\u0647 - \\u0635\\u0648\\u0645\\u0639\\u0647 \\u0633\\u0631\\u0627 - \\u0639\\u0633\\u0644\\u0648\\u06cc\\u0647 - (\\u0645\\u0646\\u0637\\u0642\\u0647 \\u0648\\u06cc\\u0698\\u0647 \\u0627\\u0646\\u0631\\u0698\\u06cc \\u067e\\u0627\\u0631\\u0633) - \\u0639\\u0644\\u06cc\\u200c\\u0622\\u0628\\u0627\\u062f \\u06a9\\u062a\\u0648\\u0644 - \\u0641\\u0627\\u0645\\u0646\\u06cc\\u0646 - \\u0641\\u0633\\u0627 - \\u0641\\u0631\\u0645\\u0647\\u06cc\\u0646 (\\u0627\\u0631\\u0627\\u06a9) - \\u0641\\u0631\\u06cc\\u062f\\u0648\\u0646\\u06a9\\u0646\\u0627\\u0631 - \\u0641\\u0644\\u0627\\u0648\\u0631\\u062c\\u0627\\u0646 - \\u0641\\u0648\\u0644\\u0627\\u062f\\u0634\\u0647\\u0631 \\u0648 \\u0630\\u0648\\u0628 \\u0622\\u0647\\u0646 - \\u0641\\u0648\\u0645\\u0646 \\u2013 \\u0642\\u0627\\u062f\\u0631\\u0622\\u0628\\u0627\\u062f (\\u0633\\u0639\\u0627\\u062f\\u062a \\u0634\\u0647\\u0631) - \\u0642\\u0627\\u0626\\u0645 \\u0634\\u0647\\u0631 - \\u0642\\u0634\\u0645 - \\u0642\\u0631\\u0648\\u0647 - \\u0642\\u0632\\u0648\\u06cc\\u0646 - \\u0642\\u0635\\u0631\\u0634\\u06cc\\u0631\\u06cc\\u0646 - \\u0642\\u0645 - \\u0642\\u0648\\u0686\\u0627\\u0646 - \\u06a9\\u0627\\u0632\\u0631\\u0648\\u0646 - \\u06a9\\u0627\\u0634\\u0627\\u0646 - \\u06a9\\u0627\\u0634\\u0645\\u0631 - \\u06a9\\u0627\\u0645\\u06cc\\u0627\\u0631\\u0627\\u0646 - \\u06a9\\u0631\\u062f\\u06a9\\u0648\\u06cc - \\u06a9\\u0631\\u0645\\u0627\\u0646 - \\u06a9\\u0631\\u0645\\u0627\\u0646\\u0634\\u0627\\u0647 - \\u06a9\\u0644\\u0627\\u0686\\u0627\\u06cc \\u2013 \\u06a9\\u0645\\u06cc\\u062c\\u0627\\u0646 (\\u0627\\u0631\\u0627\\u06a9) - \\u06a9\\u0646\\u06af\\u0627\\u0648\\u0631 - \\u06a9\\u0646\\u06af\\u0627\\u0646 - \\u06a9\\u0647\\u0646\\u0648\\u062c - \\u06a9\\u0648\\u0647\\u062f\\u0634\\u062a - \\u06af\\u0627\\u0644\\u06cc\\u06a9\\u0634 - \\u06af\\u0686\\u0633\\u0627\\u0631\\u0627\\u0646 - \\u06af\\u0631\\u06af\\u0627\\u0646 - \\u06af\\u0644\\u067e\\u0627\\u06cc\\u06af\\u0627\\u0646 - \\u06af\\u0646\\u0628\\u062f\\u06a9\\u0627\\u0648\\u0648\\u0633 - \\u06af\\u06cc\\u0644\\u0627\\u0646 \\u063a\\u0631\\u0628 - \\u0644\\u0627\\u0631 - \\u0644\\u0627\\u0644\\u062c\\u06cc\\u0646 - \\u0644\\u0627\\u0647\\u06cc\\u062c\\u0627\\u0646 - \\u0644\\u0631\\u062f\\u06af\\u0627\\u0646 - \\u0644\\u0646\\u06af\\u0631\\u0648\\u062f - \\u0644\\u0648\\u0634\\u0627\\u0646 - \\u0644\\u06cc\\u0633\\u0627\\u0631 - \\u0645\\u0627\\u06a9\\u0648 - \\u0645\\u0627\\u0647\\u0634\\u0647\\u0631 - \\u0645\\u0628\\u0627\\u0631\\u06a9\\u0647 - \\u0645\\u062d\\u0644\\u0627\\u062a - \\u0645\\u062d\\u0645\\u0648\\u062f\\u0622\\u0628\\u0627\\u062f - \\u0645\\u0631\\u0627\\u063a\\u0647 - \\u0645\\u0631\\u0646\\u062f - \\u0645\\u0631\\u0648\\u062f\\u0634\\u062a - \\u0645\\u0631\\u06cc\\u0648\\u0627\\u0646 - \\u0645\\u0633\\u062c\\u062f \\u0633\\u0644\\u06cc\\u0645\\u0627\\u0646 - \\u0645\\u0634\\u0647\\u062f - \\u0645\\u0644\\u0627\\u06cc\\u0631 - \\u0645\\u0644\\u06a9\\u0627\\u0646 - \\u0645\\u0646\\u062c\\u06cc\\u0644 - \\u0645\\u0647\\u0627\\u0628\\u0627\\u062f \\u2013 \\u0645\\u0647\\u0627\\u062c\\u0631\\u0627\\u0646 (\\u0627\\u0631\\u0627\\u06a9) - \\u0645\\u0647\\u0631\\u0627\\u0646 - \\u0645\\u06cc\\u0627\\u0646\\u062f\\u0648\\u0622\\u0628 - \\u0645\\u06cc\\u0627\\u0646\\u06a9\\u0648\\u0647 - \\u0645\\u06cc\\u0627\\u0646\\u0647 - \\u0645\\u06cc\\u0628\\u062f - \\u0645\\u06cc\\u0646\\u0648\\u062f\\u0634\\u062a - \\u0645\\u06cc\\u0644\\u0627\\u062c\\u0631\\u062f (\\u0627\\u0631\\u0627\\u06a9) - \\u0646\\u062c\\u0641 \\u0622\\u0628\\u0627\\u062f - \\u0646\\u0631\\u0627\\u0642 - \\u0646\\u0638\\u0631\\u0622\\u0628\\u0627\\u062f - \\u0646\\u0642\\u0627\\u0628 - \\u0646\\u0642\\u062f\\u0647 - \\u0646\\u06a9\\u0627 - \\u0646\\u0648\\u0634\\u0647\\u0631 - \\u0646\\u0648\\u0631 - \\u0646\\u0648\\u0631\\u0622\\u0628\\u0627\\u062f \\u0644\\u0631\\u0633\\u062a\\u0627\\u0646 - \\u0646\\u0647\\u0628\\u0646\\u062f\\u0627\\u0646 - \\u0646\\u06cc\\u0634\\u0627\\u0628\\u0648\\u0631 - \\u0647\\u0627\\u062f\\u06cc \\u0634\\u0647\\u0631 - \\u0647\\u0627\\u0645\\u0648\\u0646 - \\u0647\\u0631\\u0633\\u06cc\\u0646 - \\u0647\\u0634\\u062a\\u200c\\u067e\\u0631 - \\u0647\\u0634\\u062a\\u06af\\u0631\\u062f - \\u0647\\u0641\\u062a\\u06a9\\u0644 - \\u0647\\u0645\\u062f\\u0627\\u0646 - \\u0647\\u0646\\u062f\\u06cc\\u062c\\u0627\\u0646 - \\u0647\\u0648\\u06cc\\u0632\\u0647 - \\u0647\\u06cc\\u0631\\u0645\\u0646\\u062f - \\u0647\\u06cc\\u062f\\u062c - \\u06cc\\u0627\\u0633\\u0648\\u062c - \\u06cc\\u0632\\u062f<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 19:43:57\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2018-10-03 19:55:55\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2018-10-03 19:53:48\",\"publish_up\":\"2018-10-03 19:43:57\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":2,\"ordering\":\"1\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"1\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(6, 4, 1, '', '2018-10-03 20:00:48', 105, 106944, '2f4d46ebbe797fc4ff6f4ad4dff27ab7f2822486', '{\"id\":4,\"asset_id\":96,\"title\":\"\\u0631\\u0648\\u06cc\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627\",\"alias\":\"\\u0631\\u0648\\u06cc\\u0647\\u200c\\u0647\\u0627\\u06cc-\\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646-\\u06a9\\u0627\\u0644\\u0627\",\"introtext\":\"<p style=\\\"text-align: justify;\\\">\\u0622\\u0633\\u0648\\u062f\\u06af\\u06cc \\u062e\\u0627\\u0637\\u0631 \\u0648 \\u0631\\u0636\\u0627\\u06cc\\u062a \\u0645\\u0646\\u062f\\u06cc \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0647\\u0645\\u0648\\u0627\\u0631\\u0647 \\u0627\\u0632 \\u0627\\u0644\\u0648\\u06cc\\u062a\\u200f\\u200c\\u0647\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0628\\u0648\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0631\\u0627\\u0633\\u062a\\u0627 \\u0645\\u06cc\\u200f\\u200c\\u06a9\\u0648\\u0634\\u062f \\u062a\\u0627 \\u0647\\u0631 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062f\\u0631 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0645\\u0637\\u0644\\u0648\\u0628 \\u0648 \\u0645\\u0648\\u0631\\u062f \\u0627\\u0646\\u062a\\u0638\\u0627\\u0631 \\u0628\\u0647 \\u062f\\u0633\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0628\\u0631\\u0633\\u062f. \\u0628\\u0627 \\u0648\\u062c\\u0648\\u062f \\u0627\\u06cc\\u0646 \\u0645\\u0645\\u06a9\\u0646 \\u0627\\u0633\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u062d\\u062a\\u0631\\u0645 \\u067e\\u0633 \\u0627\\u0632 \\u062e\\u0631\\u06cc\\u062f\\u060c \\u0628\\u0627 \\u0645\\u0633\\u0627\\u06cc\\u0644\\u06cc \\u0631\\u0648\\u0628\\u0631\\u0648 \\u0634\\u0648\\u0646\\u062f \\u06a9\\u0647 \\u062f\\u0631\\u0686\\u0646\\u06cc\\u0646 \\u0645\\u0648\\u0627\\u0631\\u062f\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a\\u06cc \\u062f\\u0631 \\u0686\\u0627\\u0631\\u0686\\u0648\\u0628 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u062f\\u0631 \\u0646\\u0638\\u0631 \\u06af\\u0631\\u0641\\u062a\\u0647 \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a. \\u0628\\u0627 \\u062a\\u0648\\u062c\\u0647 \\u0628\\u0647 \\u06af\\u0633\\u062a\\u0631\\u062f\\u06af\\u06cc \\u06af\\u0631\\u0648\\u0647\\u200c\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0627\\u0631\\u0627\\u06cc\\u0647 \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0648\\u0628\\u200c\\u0633\\u0627\\u06cc\\u062a \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u06a9\\u0644\\u06cc\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\\u06cc \\u06a9\\u0647 \\u0628\\u0627\\u06cc\\u062f \\u0627\\u0632 \\u0646\\u0638\\u0631 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0633\\u0627\\u0644\\u0645 \\u0628\\u0647 \\u062f\\u0633\\u062a \\u0645\\u0635\\u0631\\u0641 \\u06a9\\u0646\\u0646\\u062f\\u0647 \\u0628\\u0631\\u0633\\u0646\\u062f )\\u0645\\u0627\\u0646\\u0646\\u062f \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u06af\\u0631\\u0648\\u0647\\u200c \\u0641\\u0631\\u0647\\u0646\\u06af \\u0648 \\u0647\\u0646\\u0631\\u060c \\u0648\\u0631\\u0632\\u0634 \\u0648 \\u0633\\u0631\\u06af\\u0631\\u0645\\u06cc\\u060c \\u067e\\u0648\\u0634\\u0627\\u06a9 \\u0648 \\u06a9\\u0641\\u0634\\u060c \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062e\\u0627\\u0646\\u06af\\u06cc \\u063a\\u06cc\\u0631\\u0628\\u0631\\u0642\\u06cc\\u060c \\u0627\\u0633\\u0628\\u0627\\u0628\\u200c\\u0628\\u0627\\u0632\\u06cc\\u060c \\u0639\\u0637\\u0631 \\u0648 \\u0627\\u062f\\u06a9\\u0644\\u0646\\u060c \\u0632\\u06cc\\u0648\\u0631\\u0622\\u0644\\u0627\\u062a \\u0648 \\u0627\\u06a9\\u0633\\u0633\\u0648\\u0631\\u06cc\\u060c \\u0644\\u0648\\u0627\\u0632\\u0645 \\u0622\\u0631\\u0627\\u06cc\\u0634\\u06cc \\u0648 \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a \\u0648 \\u0645\\u0631\\u0627\\u0642\\u0628\\u062a\\u060c \\u0644\\u0648\\u0627\\u0632\\u0645 \\u0634\\u062e\\u0635\\u06cc \\u0628\\u0631\\u0642\\u06cc \\u0648 \\u063a\\u06cc\\u0631\\u0628\\u0631\\u0642\\u06cc\\u060c \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u0645\\u0635\\u0631\\u0641\\u06cc \\u0645\\u0627\\u0646\\u0646\\u062f \\u06a9\\u0627\\u0631\\u062a\\u0631\\u06cc\\u062c \\u0648 \\u062c\\u0648\\u0647\\u0631 \\u0686\\u0627\\u067e\\u06af\\u0631 \\u0648 \\u0642\\u0637\\u0639\\u0627\\u062a \\u062f\\u0627\\u062e\\u0644\\u06cc \\u06a9\\u0627\\u0645\\u067e\\u06cc\\u0648\\u062a\\u0631 \\u0645\\u0627\\u0646\\u0646\\u062f \\u06a9\\u0627\\u0631\\u062a \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9\\u060c \\u0645\\u0627\\u062f\\u0631\\u0628\\u0631\\u062f\\u060c \\u067e\\u0631\\u062f\\u0627\\u0632\\u0646\\u062f\\u0647 \\u0648 \\u0646\\u0638\\u0627\\u06cc\\u0631 \\u0622\\u0646\\u060c \\u06af\\u0631\\u0648\\u0647 \\u0641\\u0631\\u0634\\u060c \\u0644\\u0648\\u0627\\u0632\\u0645 \\u0645\\u0635\\u0631\\u0641\\u06cc \\u062e\\u0648\\u062f\\u0631\\u0648 \\u0648 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062d\\u06cc\\u0648\\u0627\\u0646\\u0627\\u062a \\u062e\\u0627\\u0646\\u06af\\u06cc) \\u062f\\u0627\\u0631\\u0627\\u06cc \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0627\\u0635\\u0627\\u0644\\u062a \\u0648 \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0647\\u0633\\u062a\\u0646\\u062f \\u0648 \\u0645\\u0634\\u0645\\u0648\\u0644 7 \\u0631\\u0648\\u0632 \\u0645\\u0647\\u0644\\u062a \\u062a\\u0633\\u062a \\u0648 \\u0628\\u0627\\u0632\\u06af\\u0634\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0646\\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0627\\u0642\\u0644\\u0627\\u0645\\u06cc \\u06a9\\u0647 \\u0628\\u0647 \\u0639\\u0646\\u0648\\u0627\\u0646 \\u0647\\u062f\\u06cc\\u0647\\u200c \\u0627\\u0632 \\u0637\\u0631\\u0641 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0648 \\u062f\\u0631 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0641\\u0631\\u0648\\u0634 \\u0628\\u0627 \\u0645\\u0628\\u0644\\u063a \\u0635\\u0641\\u0631 \\u0631\\u06cc\\u0627\\u0644 \\u062f\\u0631\\u062c \\u0634\\u062f\\u0647\\u200c\\u0627\\u0646\\u062f\\u060c \\u0645\\u0634\\u0645\\u0648\\u0644 7 \\u0631\\u0648\\u0632 \\u0636\\u0645\\u0627\\u0646\\u062a \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0646\\u06cc\\u0633\\u062a\\u0646\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u0631 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\\u06cc \\u06a9\\u0647 \\u0646\\u06cc\\u0627\\u0632 \\u0628\\u0647 \\u0645\\u0647\\u0644\\u062a \\u062a\\u0633\\u062a \\u062f\\u0627\\u0631\\u0646\\u062f\\u060c \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 7 \\u0631\\u0648\\u0632 \\u0641\\u0631\\u0635\\u062a \\u0628\\u0631\\u0627\\u06cc \\u0628\\u0627\\u0632\\u06af\\u0634\\u062a \\u062f\\u0631\\u0646\\u0638\\u0631 \\u06af\\u0631\\u0641\\u062a\\u0647 \\u0627\\u0633\\u062a.<br \\/>\\u0644\\u0637\\u0641\\u0627\\u064b \\u062a\\u0648\\u062c\\u0647 \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u06cc\\u062f:<br \\/><br \\/>- \\u0628\\u0627\\u0632 \\u06a9\\u0631\\u062f\\u0646 \\u062c\\u0639\\u0628\\u0647 \\u0648 \\u0646\\u0635\\u0628 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u0634\\u0648\\u0646\\u062f (\\u0645\\u0627\\u0646\\u0646\\u062f \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0638\\u0631\\u0641\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u06cc\\u062e\\u0686\\u0627\\u0644\\u060c \\u0641\\u0631\\u06cc\\u0632\\u0631\\u060c \\u0622\\u0628\\u0633\\u0631\\u062f\\u06a9\\u0646\\u060c \\u0645\\u0627\\u06cc\\u06a9\\u0631\\u0648\\u0648\\u06cc\\u0648 \\u0648 \\u0646\\u0638\\u06cc\\u0631 \\u0622\\u0646) \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0645\\u062c\\u0627\\u0632 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u0627\\u06cc\\u0646 \\u0645\\u0646\\u0638\\u0648\\u0631 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc \\u0645\\u062c\\u0627\\u0632 \\u0622\\u0646 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f. \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u06cc\\u0627 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0627\\u0632 \\u0628\\u06cc\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0631\\u0641\\u062a.<br \\/><br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u062e\\u0631\\u06cc\\u062f \\u0627\\u0639\\u062a\\u0628\\u0627\\u0631\\u06cc (\\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u06a9\\u062f \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u06cc\\u0627 \\u0648\\u0648\\u0686\\u0631) \\u067e\\u0633 \\u0627\\u0632 \\u0646\\u0647\\u0627\\u06cc\\u06cc\\u200c\\u0634\\u062f\\u0646 \\u0633\\u0628\\u062f\\u060c \\u0627\\u0632 \\u0646\\u0638\\u0631 \\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0639\\u0645\\u0627\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u062f\\u0631 \\u0633\\u0628\\u062f \\u062e\\u0631\\u06cc\\u062f\\u060c \\u0648 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0645\\u0628\\u0644\\u063a \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0628\\u0647 \\u062f\\u0644\\u0627\\u06cc\\u0644 \\u0627\\u0646\\u0635\\u0631\\u0627\\u0641 \\u0627\\u0632 \\u062e\\u0631\\u06cc\\u062f\\u060c \\u062d\\u0630\\u0641 \\u06cc\\u0627 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u06a9\\u0627\\u0644\\u0627 \\u06cc\\u0627 \\u062a\\u0639\\u062f\\u0627\\u062f \\u06a9\\u0627\\u0644\\u0627 \\u0648\\u062c\\u0648\\u062f \\u0646\\u062f\\u0627\\u0631\\u062f \\u0648 \\u0627\\u06af\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u062a\\u063a\\u06cc\\u06cc\\u0631\\u06cc \\u0631\\u0627 \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u062f\\u060c \\u0648\\u0648\\u0686\\u0631 \\u06cc\\u0627 \\u06a9\\u062f \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0628\\u0627\\u0637\\u0644 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f \\u0648 \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0628\\u0631\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u0645\\u0628\\u0644\\u063a \\u0622\\u0646 \\u0648\\u062c\\u0648\\u062f \\u0646\\u062f\\u0627\\u0631\\u062f.<br \\/><br \\/>- \\u0627\\u0632 \\u0622\\u0646\\u062c\\u0627 \\u06a9\\u0647 \\u0641\\u0631\\u0648\\u0634 \\u062d\\u0648\\u0627\\u0644\\u0647 \\u062e\\u0648\\u062f\\u0631\\u0648 \\u0648 \\u0646\\u0647 \\u062e\\u0648\\u062f \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647\\u060c \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0635\\u0648\\u0631\\u062a \\u0645\\u06cc\\u200c\\u06af\\u06cc\\u0631\\u062f\\u060c \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u062e\\u0648\\u062f\\u0631\\u0648 \\u0645\\u0634\\u0645\\u0648\\u0644 \\u0647\\u06cc\\u0686\\u200c\\u06cc\\u06a9 \\u0627\\u0632 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u062f\\u0631\\u062c \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0646\\u06cc\\u0633\\u062a.<br \\/><br \\/>- \\u0628\\u0647 \\u062f\\u0644\\u06cc\\u0644 \\u0645\\u0627\\u0647\\u06cc\\u062a \\u0645\\u062a\\u0641\\u0627\\u0648\\u062a \\u06a9\\u0627\\u0631\\u062a \\u0647\\u062f\\u06cc\\u0647\\u060c \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u06a9\\u0627\\u0631\\u062a \\u0647\\u062f\\u06cc\\u0647 \\u0645\\u0634\\u0645\\u0648\\u0644 \\u0647\\u06cc\\u0686\\u200c\\u06cc\\u06a9 \\u0627\\u0632 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u062f\\u0631\\u062c \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0646\\u06cc\\u0633\\u062a.<br \\/>\\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627<br \\/>\\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 7 \\u0631\\u0648\\u0632 \\u0636\\u0645\\u0627\\u0646\\u062a \\u0628\\u0627\\u0632\\u06af\\u0634\\u062a \\u0686\\u0647 \\u0634\\u0631\\u0627\\u06cc\\u0637\\u06cc \\u062f\\u0627\\u0631\\u062f\\u061f<br \\/>\\u0627\\u06af\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u0634\\u062f\\u0647\\u060c \\u0627\\u06cc\\u0631\\u0627\\u062f \\u06cc\\u0627 \\u0627\\u0634\\u06a9\\u0627\\u0644 \\u0641\\u0646\\u06cc \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u062f.<br \\/><br \\/>- \\u0627\\u0634\\u06a9\\u0627\\u0644 \\u0648 \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0641\\u0646\\u06cc \\u0628\\u0627\\u06cc\\u062f \\u062d\\u062f\\u0627\\u06a9\\u062b\\u0631 \\u062a\\u0627 7 \\u0631\\u0648\\u0632 \\u067e\\u0633 \\u0627\\u0632 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0627\\u062f\\u0647 \\u0634\\u0648\\u062f.<br \\/>- \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u0648 \\u062c\\u0639\\u0628\\u0647 \\u0627\\u0635\\u0644\\u06cc \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u062a\\u0627 \\u067e\\u0627\\u06cc\\u0627\\u0646 7 \\u0631\\u0648\\u0632 \\u0645\\u0647\\u0644\\u062a \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647\\u060c \\u0646\\u06af\\u0647\\u062f\\u0627\\u0631\\u06cc \\u0634\\u0648\\u062f \\u0648 \\u0627\\u0632 \\u062f\\u0648\\u0631 \\u0631\\u06cc\\u062e\\u062a\\u0646 \\u0622\\u0646 \\u062c\\u062f\\u0627\\u064b \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc \\u0634\\u0648\\u062f.<br \\/>- \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0627\\u06cc\\u0646 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u062a\\u0646\\u0647\\u0627 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u0627\\u0645\\u06a9\\u0627\\u0646\\u200c\\u067e\\u0630\\u06cc\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u06cc\\u0627 \\u062c\\u0639\\u0628\\u0647 \\u0627\\u0635\\u0644\\u06cc \\u062e\\u0648\\u062f \\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0647 \\u0634\\u0648\\u062f.<br \\/>- \\u0628\\u0631\\u0686\\u0633\\u0628\\u200c\\u0632\\u062f\\u0646 \\u06cc\\u0627 \\u0646\\u0648\\u0634\\u062a\\u0646 \\u062a\\u0648\\u0636\\u06cc\\u062d\\u0627\\u062a\\u060c \\u0622\\u062f\\u0631\\u0633 \\u06cc\\u0627 \\u0647\\u0631 \\u0645\\u0648\\u0631\\u062f \\u062f\\u06cc\\u06af\\u0631\\u06cc \\u0631\\u0648\\u06cc \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u06cc\\u0627 \\u062c\\u0639\\u0628\\u0647 \\u0627\\u0635\\u0644\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u06cc\\u0627 \\u067e\\u0627\\u0631\\u0647 \\u0648 \\u0645\\u062e\\u062f\\u0648\\u0634 \\u06a9\\u0631\\u062f\\u0646 \\u0622\\u0646\\u060c \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0636\\u0645\\u0627\\u0646\\u062a \\u0628\\u0627\\u0632\\u06af\\u0634\\u062a \\u0631\\u0627 \\u0627\\u0632 \\u0628\\u06cc\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0631\\u062f.<br \\/>- \\u0627\\u06cc\\u0646 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u0627\\u0634\\u06a9\\u0627\\u0644\\u200f\\u200f\\u200c\\u0647\\u0627\\u06cc \\u0641\\u0646\\u06cc \\u0648 \\u0638\\u0627\\u0647\\u0631\\u06cc (\\u0634\\u06a9\\u0633\\u062a\\u06af\\u06cc\\u060c \\u062e\\u0637 \\u0648 \\u062e\\u0634 \\u0648 \\u0645\\u0627\\u0646\\u0646\\u062f \\u0622\\u0646 \\u0631\\u0648\\u06cc \\u0628\\u062f\\u0646\\u0647 \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u0642\\u0637\\u0639\\u0627\\u062a \\u062a\\u0632\\u0626\\u06cc\\u0646\\u06cc) \\u06a9\\u0647 \\u062f\\u0631 \\u0627\\u062b\\u0631 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0646\\u0627\\u062f\\u0631\\u0633\\u062a \\u06a9\\u0627\\u0631\\u0628\\u0631 \\u0627\\u0632 \\u06a9\\u0627\\u0644\\u0627 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u0634\\u0648\\u062f\\u060c \\u0631\\u0627 \\u0634\\u0627\\u0645\\u0644 \\u0646\\u0645\\u06cc\\u200f\\u200f\\u200c\\u0634\\u0648\\u062f. \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0646\\u0627\\u062f\\u0631\\u0633\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u0645\\u0648\\u0627\\u0631\\u062f\\u06cc \\u0645\\u0627\\u0646\\u0646\\u062f \\u062d\\u0645\\u0644 \\u0648 \\u0646\\u0642\\u0644 \\u0648 \\u062c\\u0627\\u0628\\u062c\\u0627\\u06cc\\u06cc\\u060c \\u0646\\u0635\\u0628 \\u0648 \\u0631\\u0627\\u0647\\u200c\\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc\\u060c \\u062a\\u0646\\u0638\\u06cc\\u0645\\u0627\\u062a\\u060c \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f \\u063a\\u06cc\\u0631\\u0645\\u0639\\u0645\\u0648\\u0644\\u060c \\u0646\\u06af\\u0647\\u062f\\u0627\\u0631\\u06cc \\u0648 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647\\u200c\\u06cc \\u063a\\u06cc\\u0631 \\u0648 \\u0645\\u062a\\u0641\\u0627\\u0648\\u062a \\u0628\\u0627 \\u062a\\u0648\\u0635\\u06cc\\u0647 \\u0633\\u0627\\u0632\\u0646\\u062f\\u0647 \\u06a9\\u0627\\u0644\\u0627 (\\u0642\\u06cc\\u062f \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u062f\\u0641\\u062a\\u0631\\u0686\\u0647 \\u0631\\u0627\\u0647\\u0646\\u0645\\u0627\\u06cc \\u06a9\\u0627\\u0644\\u0627) \\u0631\\u0627 \\u0634\\u0627\\u0645\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<br \\/>\\u0627\\u06af\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0632 \\u0646\\u0638\\u0631 \\u0645\\u0634\\u062e\\u0635\\u0627\\u062a \\u06cc\\u0627 \\u0638\\u0627\\u0647\\u0631 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0628\\u0627 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0648\\u0628\\u200c\\u0633\\u0627\\u06cc\\u062a \\u0645\\u063a\\u0627\\u06cc\\u0631\\u062a \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0627\\u06af\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u0634\\u062f\\u0647\\u060c \\u0622\\u0633\\u06cc\\u0628 \\u062f\\u06cc\\u062f\\u06af\\u06cc \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0648 \\u0638\\u0627\\u0647\\u0631\\u06cc \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0627\\u06af\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0627\\u0632 \\u062e\\u0631\\u06cc\\u062f \\u062e\\u0648\\u062f \\u0645\\u0646\\u0635\\u0631\\u0641 \\u0634\\u0648\\u062f.<br \\/>\\u0627\\u06af\\u0631 \\u062f\\u0631 \\u0627\\u062b\\u0631 \\u062d\\u0645\\u0644 \\u0648 \\u0646\\u0642\\u0644\\u060c \\u0622\\u0633\\u06cc\\u0628 \\u062f\\u06cc\\u062f\\u06af\\u06cc \\u0627\\u06cc\\u062c\\u0627\\u062f \\u0634\\u062f\\u0647 \\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0636\\u0648\\u0627\\u0628\\u0637 \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0622\\u0631\\u0627\\u06cc\\u0634\\u06cc \\u0648 \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a\\u06cc<br \\/><br \\/>- \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0647\\u0631 \\u0645\\u062d\\u0635\\u0648\\u0644 \\u0622\\u0631\\u0627\\u06cc\\u0634\\u06cc \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a\\u06cc \\u062f\\u0631 \\u0648\\u0628\\u200c\\u0633\\u0627\\u06cc\\u062a \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0635\\u0631\\u0641\\u0627\\u064b \\u0628\\u0631\\u0627\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u200c\\u0631\\u0633\\u0627\\u0646\\u06cc \\u0627\\u0633\\u062a \\u0648 \\u062c\\u0646\\u0628\\u0647 \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0646\\u062f\\u0627\\u0631\\u062f. \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0628\\u0627\\u06cc\\u062f \\u0642\\u0628\\u0644 \\u0627\\u0632 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0645\\u0648\\u0627\\u062f \\u0622\\u0631\\u0627\\u06cc\\u0634\\u06cc \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a\\u06cc \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u06a9\\u0633\\u0628 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0648 \\u0627\\u062e\\u0630 \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0627\\u0632 \\u0645\\u062a\\u062e\\u0635\\u0635 \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u06a9\\u0646\\u062f. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646\\u060c \\u0646\\u0638\\u0631\\u0627\\u062a\\u06cc \\u06a9\\u0647 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u0627\\u0646 \\u062f\\u0631 \\u062e\\u0635\\u0648\\u0635 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0648\\u0628\\u00ad\\u200c\\u0633\\u0627\\u06cc\\u062a \\u062f\\u0631\\u062c \\u06a9\\u0631\\u062f\\u0647\\u200c\\u0627\\u0646\\u062f\\u060c \\u062a\\u062c\\u0631\\u0628\\u0647 \\u06cc\\u0627 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0634\\u062e\\u0635\\u06cc \\u0627\\u0641\\u0631\\u0627\\u062f \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0622\\u0646\\u200c\\u0647\\u0627 \\u0648 \\u062f\\u06cc\\u062c\\u06cc\\u00ad\\u200c\\u06a9\\u0627\\u0644\\u0627 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u0627\\u06cc\\u062c\\u0627\\u062f \\u0646\\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u062f\\u0631\\u0633\\u062a\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0641\\u0631\\u0627\\u0647\\u0645 \\u0634\\u062f\\u0647 \\u0631\\u0648\\u06cc \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0646\\u062f\\u0627\\u0631\\u062f \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a \\u0622\\u0646 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a \\u062a\\u0648\\u0644\\u06cc\\u062f\\u06a9\\u0646\\u0646\\u062f\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u0633\\u062a.<br \\/>- \\u062f\\u0631\\u0635\\u0648\\u0631\\u062a \\u0639\\u062f\\u0645 \\u0622\\u06af\\u0627\\u0647\\u06cc\\u060c \\u0627\\u0637\\u0644\\u0627\\u0639 \\u0648 \\u0646\\u0627\\u062a\\u0648\\u0627\\u0646\\u06cc \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0622\\u0631\\u0627\\u06cc\\u0634\\u06cc \\u0648 \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a\\u06cc \\u0648 \\u06cc\\u0627 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u062e\\u0633\\u0627\\u0631\\u062a \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u062e\\u0648\\u062f \\u06cc\\u0627 \\u0645\\u062d\\u0635\\u0648\\u0644\\u060c \\u062a\\u0645\\u0627\\u0645\\u06cc \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u00ad\\u200c\\u0647\\u0627\\u06cc \\u0622\\u0646 \\u0628\\u0631 \\u0639\\u0647\\u062f\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0627\\u0633\\u062a \\u0648 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u062e\\u0635\\u0648\\u0635 \\u0647\\u06cc\\u0686\\u06af\\u0648\\u0646\\u0647 \\u062a\\u0639\\u0647\\u062f\\u06cc \\u0646\\u062e\\u0648\\u0627\\u0647\\u062f \\u062f\\u0627\\u0634\\u062a.<br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0645\\u0639\\u06cc\\u0648\\u0628\\u200c\\u0628\\u0648\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0645\\u0631\\u062c\\u0648\\u0639\\u06cc \\u062a\\u0648\\u0633\\u0637 \\u0634\\u0631\\u06a9\\u062a \\u062a\\u0627\\u0645\\u06cc\\u0646 \\u06cc\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f\\u06a9\\u0646\\u0646\\u062f\\u0647\\u060c \\u062d\\u062f\\u0627\\u06a9\\u062b\\u0631 \\u062a\\u0627 \\u06cc\\u06a9 \\u0645\\u0627\\u0647 \\u0627\\u0632 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631\\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0647\\u0645\\u0627\\u0647\\u0646\\u06af\\u06cc \\u0628\\u0631\\u06af\\u0634\\u062a \\u0648 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u0628\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0648\\u062c\\u0648\\u062f \\u062f\\u0627\\u0631\\u062f.<br \\/>- \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u0639\\u0648\\u0627\\u0631\\u0636 \\u062c\\u0633\\u0645\\u06cc \\u0648 \\u0628\\u06cc\\u0645\\u0627\\u0631\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0622\\u0631\\u0627\\u06cc\\u0634\\u06cc \\u0648 \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a\\u06cc (\\u0627\\u0632 \\u0642\\u0628\\u06cc\\u0644 \\u062d\\u0633\\u0627\\u0633\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u067e\\u0648\\u0633\\u062a\\u06cc\\u060c \\u062c\\u0631\\u0627\\u062d\\u0627\\u062a \\u0648 ...) \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a \\u0648 \\u067e\\u0627\\u0633\\u062e\\u06af\\u0648\\u06cc\\u06cc \\u0646\\u062f\\u0627\\u0631\\u062f. \\u0627\\u0646\\u062c\\u0627\\u0645 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0644\\u0627\\u0632\\u0645 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0648 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0634\\u0631\\u06a9\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 (\\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc\\u200c\\u0647\\u0627 \\u0648 \\u062a\\u0627\\u0645\\u06cc\\u0646\\u200c\\u06a9\\u0646\\u0646\\u062f\\u06af\\u0627\\u0646 \\u0631\\u0633\\u0645\\u06cc \\u06a9\\u0627\\u0644\\u0627) \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f.<br \\/>\\u0636\\u0648\\u0627\\u0628\\u0637 \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u0634\\u062e\\u0635\\u06cc \\u0648 \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a \\u0648 \\u0645\\u0631\\u0627\\u0642\\u0628\\u062a\\u060c \\u0644\\u0648\\u0627\\u0632\\u0645 \\u0628\\u062f\\u0646\\u0633\\u0627\\u0632\\u06cc \\u0648 \\u0633\\u0646\\u062c\\u0634 \\u0633\\u0644\\u0627\\u0645\\u062a<br \\/><br \\/>- \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0627\\u06cc\\u0646 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0635\\u0631\\u0641\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u200c\\u0631\\u0633\\u0627\\u0646\\u06cc \\u0627\\u0633\\u062a \\u0648 \\u062c\\u0646\\u0628\\u0647 \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0646\\u062f\\u0627\\u0631\\u062f. \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0628\\u0627\\u06cc\\u062f \\u0642\\u0628\\u0644 \\u0627\\u0632 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647\\u060c \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u06a9\\u0633\\u0628 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0648 \\u0627\\u062e\\u0630 \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0627\\u0632 \\u0645\\u062a\\u062e\\u0635\\u0635 \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u06a9\\u0646\\u062f. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646\\u060c \\u0646\\u0638\\u0631\\u0627\\u062a\\u06cc \\u06a9\\u0647 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u0627\\u0646 \\u062f\\u0631 \\u062e\\u0635\\u0648\\u0635 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0648\\u0628\\u200c\\u0633\\u0627\\u06cc\\u062a \\u062f\\u0631\\u062c \\u06a9\\u0631\\u062f\\u0647\\u200c\\u0627\\u0646\\u062f\\u060c \\u062a\\u062c\\u0631\\u0628\\u0647 \\u06cc\\u0627 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0634\\u062e\\u0635\\u06cc \\u0627\\u0641\\u0631\\u0627\\u062f \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0622\\u0646\\u200c\\u0647\\u0627 \\u0648 \\u062f\\u06cc\\u062c\\u06cc\\u200c\\u200c\\u06a9\\u0627\\u0644\\u0627 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u0627\\u06cc\\u062c\\u0627\\u062f \\u0646\\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f.<br \\/>- \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u062f\\u0631\\u0633\\u062a\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0641\\u0631\\u0627\\u0647\\u0645 \\u0634\\u062f\\u0647 \\u0631\\u0648\\u06cc \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0646\\u062f\\u0627\\u0631\\u062f \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a \\u0622\\u0646 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a \\u062a\\u0648\\u0644\\u06cc\\u062f\\u06a9\\u0646\\u0646\\u062f\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u0633\\u062a.<br \\/>- \\u062f\\u0631\\u0635\\u0648\\u0631\\u062a \\u0639\\u062f\\u0645 \\u0622\\u06af\\u0627\\u0647\\u06cc\\u060c \\u0627\\u0637\\u0644\\u0627\\u0639 \\u0648 \\u0646\\u0627\\u062a\\u0648\\u0627\\u0646\\u06cc \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0627\\u06cc\\u0646 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u06cc\\u0627 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u062e\\u0633\\u0627\\u0631\\u062a \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u062e\\u0648\\u062f \\u06cc\\u0627 \\u0645\\u062d\\u0635\\u0648\\u0644\\u060c \\u062a\\u0645\\u0627\\u0645\\u06cc \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u200c\\u0647\\u0627\\u06cc \\u0622\\u0646 \\u0628\\u0631 \\u0639\\u0647\\u062f\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0627\\u0633\\u062a \\u0648 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u062e\\u0635\\u0648\\u0635 \\u0647\\u06cc\\u0686\\u06af\\u0648\\u0646\\u0647 \\u062a\\u0639\\u0647\\u062f\\u06cc \\u0646\\u062e\\u0648\\u0627\\u0647\\u062f \\u062f\\u0627\\u0634\\u062a.<br \\/>- \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u0639\\u0648\\u0627\\u0631\\u0636 \\u062c\\u0633\\u0645\\u06cc \\u0648 \\u0628\\u06cc\\u0645\\u0627\\u0631\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0627\\u06cc\\u0646 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a \\u0648 \\u067e\\u0627\\u0633\\u062e\\u06af\\u0648\\u06cc\\u06cc \\u0646\\u062f\\u0627\\u0631\\u062f. \\u0627\\u0646\\u062c\\u0627\\u0645 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0644\\u0627\\u0632\\u0645 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0648 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0634\\u0631\\u06a9\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 (\\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc\\u200c\\u0647\\u0627 \\u0648 \\u062a\\u0627\\u0645\\u06cc\\u0646\\u200c\\u06a9\\u0646\\u0646\\u062f\\u06af\\u0627\\u0646 \\u0631\\u0633\\u0645\\u06cc \\u06a9\\u0627\\u0644\\u0627) \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f.<br \\/>\\u0636\\u0648\\u0627\\u0628\\u0637 \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634 \\u067e\\u0648\\u0634\\u0627\\u06a9 \\u0648 \\u06a9\\u0641\\u0634<br \\/><br \\/>- \\u0628\\u0647 \\u062f\\u0644\\u06cc\\u0644 \\u0631\\u0639\\u0627\\u06cc\\u062a \\u0646\\u06a9\\u0627\\u062a \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a\\u06cc \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0648 \\u0637\\u0628\\u06cc\\u0639\\u062a \\u062e\\u0627\\u0635 \\u0641\\u0631\\u0648\\u0634 \\u0627\\u06cc\\u0646\\u06af\\u0648\\u0646\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u060c \\u0627\\u06cc\\u0646 \\u06af\\u0631\\u0648\\u0647 \\u0634\\u0627\\u0645\\u0644 \\u0645\\u0647\\u0644\\u062a \\u062a\\u0633\\u062a 7 \\u0631\\u0648\\u0632\\u0647 \\u0646\\u06cc\\u0633\\u062a\\u0646\\u062f. \\u0628\\u0646\\u0627\\u0628\\u0631\\u0627\\u06cc\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06cc\\u0627 \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0633\\u0627\\u06cc\\u0632 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u06cc\\u200c\\u067e\\u0630\\u06cc\\u0631\\u062f \\u062f\\u0631 \\u0627\\u0648\\u0644\\u06cc\\u0646 \\u0641\\u0631\\u0635\\u062a \\u0648 \\u062d\\u062f\\u0627\\u06a9\\u062b\\u0631 \\u062a\\u0627 6 \\u0633\\u0627\\u0639\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u06a9\\u0627\\u0644\\u0627\\u060c \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0628\\u0627 \\u0630\\u06a9\\u0631 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\\u060c \\u0628\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0647\\u062f.<br \\/>- \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0633\\u0627\\u06cc\\u0632 \\u062a\\u0646\\u0647\\u0627 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u067e\\u0630\\u06cc\\u0631\\u0641\\u062a\\u0647 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f \\u06a9\\u0647 \\u06a9\\u0641\\u0634 \\u06cc\\u0627 \\u067e\\u0648\\u0634\\u0627\\u06a9 \\u062a\\u0646\\u0647\\u0627 \\u062a\\u0633\\u062a \\u0634\\u062f\\u0647 \\u0628\\u0627\\u0634\\u0646\\u062f \\u0648 \\u062f\\u0631 \\u0648\\u0636\\u0639\\u06cc\\u062a \\u0627\\u0648\\u0644\\u06cc\\u0647 \\u0648 \\u0646\\u0648 \\u0628\\u0627\\u0634\\u0646\\u062f\\u060c \\u0648 \\u0631\\u0648\\u06cc \\u067e\\u0648\\u0634\\u0627\\u06a9 \\u0647\\u06cc\\u0686\\u06af\\u0648\\u0646\\u0647 \\u0622\\u062b\\u0627\\u0631 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0631 \\u0645\\u0627\\u0646\\u0646\\u062f \\u0644\\u06a9\\u0647\\u060c \\u0631\\u0646\\u06af\\u200c\\u067e\\u0631\\u06cc\\u062f\\u06af\\u06cc \\u06cc\\u0627 \\u0628\\u0648\\u06cc \\u0639\\u0637\\u0631 \\u0648 \\u0628\\u062f\\u0646 \\u0648\\u062c\\u0648\\u062f \\u0646\\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u062f\\u060c \\u0648 \\u0645\\u0627\\u0631\\u06a9\\u060c \\u062f\\u06a9\\u0645\\u0647 \\u0648 \\u0633\\u0627\\u06cc\\u0631 \\u0645\\u0644\\u062d\\u0642\\u0627\\u062a \\u062c\\u062f\\u0627 \\u0646\\u0634\\u062f\\u0647 \\u0628\\u0627\\u0634\\u062f. (\\u062a\\u0648\\u062c\\u0647 \\u0634\\u0648\\u062f \\u0644\\u0628\\u0627\\u0633 \\u0632\\u06cc\\u0631\\u060c \\u0645\\u0627\\u06cc\\u0648 \\u0648 \\u0644\\u0628\\u0627\\u0633 \\u06a9\\u0648\\u062f\\u06a9 \\u0648 \\u0646\\u0648\\u0632\\u0627\\u062f \\u0634\\u0627\\u0645\\u0644 \\u0628\\u0631\\u06af\\u0634\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0646\\u0645\\u06cc\\u0634\\u0648\\u0646\\u062f)<br \\/>\\u0636\\u0648\\u0627\\u0628\\u0637 \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u06af\\u0631\\u0648\\u0647 \\u0641\\u0631\\u0634<br \\/><br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0648\\u0633\\u0637 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631 \\u062d\\u0636\\u0648\\u0631 \\u0645\\u0627\\u0645\\u0648\\u0631 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634\\u060c \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0631\\u0631\\u0633\\u06cc \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0645\\u0634\\u06a9\\u0644 \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644\\u200c\\u06af\\u0631\\u0641\\u062a\\u0646 \\u0622\\u0646 \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc \\u06a9\\u0646\\u062f. \\u0628\\u062f\\u06cc\\u0647\\u06cc \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0628\\u0647 \\u0645\\u0646\\u0632\\u0644\\u0647 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0622\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0648\\u062f.<br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0627\\u06cc\\u0631\\u0627\\u062f \\u062f\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u067e\\u0633\\u062a \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062f\\u0627\\u062f\\u0647 \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a\\u060c \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u0648\\u0638\\u0641 \\u0627\\u0633\\u062a \\u0647\\u0645\\u0627\\u0646 \\u0631\\u0648\\u0632 \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u0622\\u0646 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u06a9\\u0646\\u062f. \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a\\u06cc \\u0627\\u0632 \\u0637\\u0631\\u0641 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062a\\u0646\\u0647\\u0627 \\u067e\\u0633 \\u0627\\u0632 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0648 \\u0627\\u0639\\u0644\\u0627\\u0645 \\u0646\\u0638\\u0631 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u062f\\u06cc\\u062c\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0634\\u0631\\u06a9\\u062a \\u062a\\u0627\\u0645\\u06cc\\u0646 \\u06a9\\u0646\\u0646\\u062f\\u0647 \\u0642\\u0627\\u0628\\u0644 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0648\\u062f.<br \\/>\\u0636\\u0648\\u0627\\u0628\\u0637 \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u0627\\u0633\\u06a9\\u0648\\u062a\\u0631 \\u0628\\u0631\\u0642\\u06cc<br \\/><br \\/>\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u0628\\u0631\\u0648\\u0632 \\u0622\\u0633\\u06cc\\u0628 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0628\\u0647 \\u0645\\u0635\\u0631\\u0641 \\u06a9\\u0646\\u0646\\u062f\\u0647 \\u0645\\u0627\\u0646\\u0646\\u062f \\u0635\\u062f\\u0645\\u0627\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u062a\\u0635\\u0627\\u062f\\u0641 \\u0648 \\u06cc\\u0627 \\u0622\\u062a\\u0634 \\u0633\\u0648\\u0632\\u06cc \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647\\u060c \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a \\u0648 \\u067e\\u0627\\u0633\\u062e\\u06af\\u0648\\u06cc\\u06cc \\u0646\\u062f\\u0627\\u0631\\u062f.<br \\/>\\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0628\\u0627 \\u0622\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0632 \\u0627\\u06cc\\u0646\\u06a9\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062f\\u0631 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0632\\u06cc\\u0631 \\u0628\\u0627\\u0637\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f\\u060c \\u0627\\u06cc\\u0646 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0631\\u0627 \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f:<br \\/>- \\u0645\\u0634\\u06a9\\u0644\\u0627\\u062a \\u0648 \\u0622\\u0633\\u06cc\\u0628 \\u0647\\u0627\\u06cc \\u0627\\u06cc\\u062c\\u0627\\u062f \\u0634\\u062f\\u0647 \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u0645\\u0631\\u0627\\u0642\\u0628\\u062a \\u0646\\u0627\\u0645\\u0646\\u0627\\u0633\\u0628\\u060c \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0646\\u0627\\u0635\\u062d\\u06cc\\u062d \\u0648 \\u0633\\u0648\\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0648 \\u06cc\\u0627 \\u0639\\u0645\\u0644\\u06cc\\u0627\\u062a \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0628\\u0631\\u062e\\u0644\\u0627\\u0641 \\u062f\\u0633\\u062a\\u0648\\u0631\\u0627\\u0644\\u0639\\u0645\\u0644 \\u0647\\u0627\\u06cc \\u0645\\u0646\\u062f\\u0631\\u062c\\u0647 \\u062f\\u0631 \\u062f\\u0641\\u062a\\u0631\\u0686\\u0647 \\u0631\\u0627\\u0647\\u0646\\u0645\\u0627\\u06cc \\u0645\\u0634\\u062a\\u0631\\u06cc<br \\/>- \\u062a\\u0639\\u0645\\u06cc\\u0631\\u0627\\u062a \\u0635\\u0648\\u0631\\u062a \\u06af\\u0631\\u0641\\u062a\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0634\\u062e\\u0635 \\u06cc\\u0627 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0628\\u0647 \\u062c\\u0632 \\u0634\\u0631\\u06a9\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u06a9\\u0646\\u0646\\u062f\\u0647<br \\/>- \\u062a\\u063a\\u06cc\\u06cc\\u0631\\u0627\\u062a \\u0648 \\u06cc\\u0627 \\u062f\\u0633\\u062a\\u06a9\\u0627\\u0631\\u06cc \\u0635\\u0648\\u0631\\u062a \\u06af\\u0631\\u0641\\u062a\\u0647 \\u062f\\u0631 \\u0647\\u0631 \\u0628\\u062e\\u0634\\u06cc \\u0627\\u0632 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0627\\u0639\\u0645 \\u0627\\u0632 \\u0627\\u0644\\u06a9\\u062a\\u0631\\u06cc\\u06a9\\u06cc \\u06cc\\u0627 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc<br \\/>- \\u0622\\u0633\\u06cc\\u0628 \\u0647\\u0627\\u06cc \\u0648\\u0627\\u0631\\u062f\\u0647 \\u0646\\u0627\\u0634\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0632 \\u0628\\u0631\\u062e\\u0648\\u0631\\u062f \\u0628\\u0627 \\u062c\\u0633\\u0645 \\u0633\\u062e\\u062a\\u060c \\u0645\\u0627\\u06cc\\u0639\\u0627\\u062a\\u060c \\u0634\\u0646 \\u0648 \\u062e\\u0627\\u06a9 \\u0648 ...<br \\/>- \\u0639\\u062f\\u0645 \\u062a\\u0637\\u0627\\u0628\\u0642 \\u0646\\u0627\\u0645 \\u0648 \\u0633\\u0631\\u06cc\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0627 \\u0646\\u0627\\u0645 \\u0648 \\u0633\\u0631\\u06cc\\u0627\\u0644 \\u062f\\u0631\\u062c \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647<br \\/>\\u0636\\u0648\\u0627\\u0628\\u0637 \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u062f\\u0648\\u0686\\u0631\\u062e\\u0647<br \\/><br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0648\\u0633\\u0637 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631 \\u062d\\u0636\\u0648\\u0631 \\u0645\\u0627\\u0645\\u0648\\u0631 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634\\u060c \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0631\\u0631\\u0633\\u06cc \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0645\\u0634\\u06a9\\u0644 \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644\\u200c\\u06af\\u0631\\u0641\\u062a\\u0646 \\u0622\\u0646 \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc \\u06a9\\u0646\\u062f. \\u0628\\u062f\\u06cc\\u0647\\u06cc \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0628\\u0647 \\u0645\\u0646\\u0632\\u0644\\u0647 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0622\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0648\\u062f \\u0648 \\u062f\\u0631 \\u0647\\u06cc\\u0686 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0645\\u0631\\u062c\\u0648\\u0639 \\u0646\\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0627\\u06cc\\u0631\\u0627\\u062f \\u062f\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u067e\\u0633\\u062a \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062f\\u0627\\u062f\\u0647 \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a\\u060c \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u0648\\u0638\\u0641 \\u0627\\u0633\\u062a \\u0647\\u0645\\u0627\\u0646 \\u0631\\u0648\\u0632 \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u0622\\u0646 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u06a9\\u0646\\u062f. \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a\\u06cc \\u0627\\u0632 \\u0637\\u0631\\u0641 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062a\\u0646\\u0647\\u0627 \\u067e\\u0633 \\u0627\\u0632 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0648 \\u0627\\u0639\\u0644\\u0627\\u0645 \\u0646\\u0638\\u0631 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u062f\\u06cc\\u062c\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0634\\u0631\\u06a9\\u062a \\u062a\\u0627\\u0645\\u06cc\\u0646 \\u06a9\\u0646\\u0646\\u062f\\u0647 \\u0642\\u0627\\u0628\\u0644 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0648\\u062f.<br \\/>\\u0636\\u0648\\u0627\\u0628\\u0637 \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u0645\\u0648\\u0627\\u062f \\u062e\\u0648\\u0631\\u0627\\u06a9\\u06cc<br \\/><br \\/>- \\u06a9\\u0644\\u06cc\\u0647\\u200c\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a\\u06cc \\u06a9\\u0647 \\u062f\\u0631 \\u062e\\u0635\\u0648\\u0635 \\u0647\\u0631\\u06cc\\u06a9 \\u0627\\u0632 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u062e\\u0648\\u0631\\u0627\\u06a9\\u06cc \\u062f\\u0631 \\u0635\\u0641\\u062d\\u0647\\u200c\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637\\u200c\\u0634\\u0627\\u0646 \\u062f\\u0631\\u062c \\u0634\\u062f\\u0647\\u200c\\u0627\\u0633\\u062a\\u060c \\u0627\\u0632 \\u0642\\u0628\\u06cc\\u0644 \\u062a\\u0635\\u0648\\u06cc\\u0631 \\u0648 \\u0647\\u0631\\u06cc\\u06a9 \\u0627\\u0632 \\u0645\\u0634\\u062e\\u0635\\u0627\\u062a \\u0630\\u06a9\\u0631\\u0634\\u062f\\u0647\\u060c \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639 \\u0634\\u0645\\u0627 \\u0648 \\u0628\\u0631\\u06af\\u0631\\u0641\\u062a\\u0647 \\u0627\\u0632 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0645\\u0646\\u062f\\u0631\\u062c \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u0633\\u062a \\u0648 \\u0627\\u0632 \\u0622\\u0646\\u200c\\u062c\\u0627 \\u06a9\\u0647 \\u0645\\u0646\\u0634\\u0627\\u0621 \\u0627\\u06cc\\u0646 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a\\u060c \\u062a\\u0648\\u0644\\u06cc\\u062f\\u06a9\\u0646\\u0646\\u062f\\u0647 \\u0648 \\u06cc\\u0627 \\u0648\\u0627\\u0631\\u062f\\u06a9\\u0646\\u0646\\u062f\\u0647\\u200c\\u06cc \\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u0627\\u06cc\\u0646 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u0633\\u062a\\u060c \\u00ab\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u00bb \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u0627\\u0632 \\u0627\\u06cc\\u0646 \\u062d\\u06cc\\u062b \\u0628\\u0631\\u0639\\u0647\\u062f\\u0647 \\u0646\\u062f\\u0627\\u0631\\u062f\\u060c \\u0647\\u0645\\u200c\\u0686\\u0646\\u06cc\\u0646\\u060c \\u0627\\u06cc\\u0646 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0646\\u0628\\u0627\\u06cc\\u062f \\u0628\\u0647\\u200c\\u0639\\u0646\\u0648\\u0627\\u0646 \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0628\\u0647\\u200c\\u062d\\u0633\\u0627\\u0628 \\u0622\\u06cc\\u0646\\u062f.<br \\/>- \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0646\\u06af\\u0647\\u200c\\u062f\\u0627\\u0631\\u06cc\\u060c \\u062d\\u0645\\u0644\\u060c \\u0648 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u062e\\u0648\\u0631\\u0627\\u06a9\\u06cc \\u0628\\u0647\\u200c\\u06af\\u0648\\u0646\\u0647\\u200c\\u0627\\u06cc \\u0627\\u200c\\u0633\\u062a \\u06a9\\u0647 \\u0627\\u06cc\\u0646 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627 \\u062a\\u0627 \\u0632\\u0645\\u0627\\u0646\\u06cc \\u06a9\\u0647 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0627\\u0646\\u0642\\u0636\\u0627\\u0621 \\u0645\\u0635\\u0631\\u0641\\u200c\\u0634\\u0627\\u0646 \\u0641\\u0631\\u0627\\u0646\\u0631\\u0633\\u06cc\\u062f\\u0647\\u200c\\u0628\\u0627\\u0634\\u062f\\u060c \\u0642\\u0627\\u0628\\u0644\\u06cc\\u062a \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647\\u200c\\u06cc \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062d\\u0641\\u0638 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u0646\\u062f\\u061b \\u0628\\u0647\\u200c\\u0647\\u0645\\u06cc\\u0646 \\u0645\\u0646\\u0638\\u0648\\u0631\\u060c \\u0631\\u0648\\u06cc\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0628\\u062e\\u0634 \\u0628\\u0627 \\u062f\\u06cc\\u06af\\u0631 \\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u00ab\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u00bb \\u0645\\u062a\\u0641\\u0627\\u0648\\u062a \\u0627\\u0633\\u062a.<br \\/>- \\u0686\\u0646\\u0627\\u0646\\u200c\\u0686\\u0647 \\u062a\\u0627 \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u0627\\u0632 \\u062e\\u0631\\u06cc\\u062f\\u062a\\u0627\\u0646 \\u0645\\u0646\\u0635\\u0631\\u0641 \\u0634\\u062f\\u06cc\\u062f\\u060c \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u062f\\u0631 \\u0627\\u0633\\u0631\\u0639 \\u0648\\u0642\\u062a \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647\\u200c\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0648\\u0627\\u062d\\u062f \\u062e\\u062f\\u0645\\u0627\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u0627 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f\\u060c \\u0648 \\u0645\\u0631\\u0627\\u062a\\u0628 \\u0631\\u0627 \\u0628\\u0627 \\u0630\\u06a9\\u0631 \\u0634\\u0645\\u0627\\u0631\\u0647\\u200c\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u062a\\u0627\\u0646 \\u0627\\u0637\\u0644\\u0627\\u0639\\u200c\\u0631\\u0633\\u0627\\u0646\\u06cc \\u06a9\\u0646\\u06cc\\u062f\\u061b \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a\\u060c \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u062a\\u0627\\u0646 \\u0631\\u0627 \\u0644\\u063a\\u0648 \\u06a9\\u0646\\u06cc\\u062f\\u060c \\u0648 \\u06cc\\u0627 \\u0622\\u0646 \\u0631\\u0627 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u062f\\u0647\\u06cc\\u062f.<br \\/>- \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u06a9\\u0631\\u062f\\u0647\\u200c\\u0627\\u06cc\\u062f \\u062d\\u062a\\u0645\\u0627\\u064b \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u0645\\u0636\\u0627\\u0621 \\u0631\\u0633\\u06cc\\u062f \\u062a\\u062d\\u0648\\u06cc\\u0644\\u060c \\u0622\\u0646 \\u0631\\u0627 \\u0628\\u0647\\u200c\\u062f\\u0642\\u062a \\u0628\\u0631\\u0631\\u0633\\u06cc \\u06a9\\u0646\\u06cc\\u062f \\u0648\\u060c \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0628\\u0647\\u200c\\u0647\\u0631 \\u0639\\u0644\\u062a \\u0627\\u0632 \\u062e\\u0631\\u06cc\\u062f \\u0645\\u0646\\u0635\\u0631\\u0641 \\u0634\\u062f\\u0647\\u200c\\u0627\\u06cc\\u062f \\u0648 \\u062a\\u0645\\u0627\\u06cc\\u0644\\u06cc \\u0628\\u0647 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0646\\u062f\\u0627\\u0631\\u06cc\\u062f\\u060c \\u0648 \\u06cc\\u0627 \\u0627\\u0634\\u06a9\\u0627\\u0644\\u06cc \\u062f\\u0631 \\u06a9\\u0627\\u0644\\u0627 \\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u06cc\\u062f (\\u0645\\u062b\\u0644\\u0627\\u064b \\u0645\\u063a\\u0627\\u06cc\\u0631\\u062a\\u06cc \\u0645\\u06cc\\u0627\\u0646 \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0647\\u200c\\u0634\\u0645\\u0627 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f \\u0648 \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062f\\u0627\\u062f\\u0647\\u200c\\u0627\\u06cc\\u062f \\u0648\\u062c\\u0648\\u062f \\u062f\\u0627\\u0631\\u062f)\\u060c \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644\\u200c\\u06af\\u0631\\u0641\\u062a\\u0646 \\u0622\\u0646 \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc\\u060c \\u0648 \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0645\\u0631\\u062c\\u0648\\u0639 \\u06a9\\u0646\\u06cc\\u062f\\u061b \\u0633\\u067e\\u0633 \\u0628\\u0627 \\u0648\\u0627\\u062d\\u062f \\u062e\\u062f\\u0645\\u0627\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u0627 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f \\u062a\\u0627 \\u0631\\u0627\\u0647\\u0646\\u0645\\u0627\\u06cc\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0644\\u0627\\u0632\\u0645 \\u0628\\u0647\\u200c\\u0634\\u0645\\u0627 \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u0648\\u062f.<br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0686\\u0646\\u0627\\u0646\\u00ad\\u0686\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062a\\u062d\\u0648\\u06cc\\u0644\\u200c\\u0634\\u062f\\u0647 \\u0627\\u0634\\u06a9\\u0627\\u0644 \\u0648 \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f\\u06cc \\u062f\\u0627\\u0631\\u062f (\\u0645\\u062b\\u0644\\u0627\\u064b \\u0645\\u063a\\u0627\\u06cc\\u0631\\u062a\\u06cc \\u0645\\u06cc\\u0627\\u0646 \\u0622\\u0646\\u200c\\u0686\\u0647 \\u062e\\u0631\\u06cc\\u062f\\u0647\\u200c\\u0627\\u06cc\\u062f \\u0648 \\u0622\\u0646\\u200c\\u0686\\u0647 \\u0628\\u0647\\u200c\\u0634\\u0645\\u0627 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0634\\u062f\\u0647\\u200c\\u0627\\u0633\\u062a \\u0648\\u062c\\u0648\\u062f \\u062f\\u0627\\u0631\\u062f)\\u060c \\u062a\\u0646\\u0647\\u0627 (\\u06f2\\u06f4) \\u0633\\u0627\\u0639\\u062a \\u062c\\u0647\\u062a \\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0648\\u0627\\u062d\\u062f \\u062e\\u062f\\u0645\\u0627\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u0627 \\u062c\\u0647\\u062a \\u06a9\\u0633\\u0628 \\u0631\\u0627\\u0647\\u0646\\u0645\\u0627\\u06cc\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0644\\u0627\\u0632\\u0645 \\u0648\\u060c \\u0627\\u062d\\u06cc\\u0627\\u0646\\u0627\\u064b\\u060c \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u06a9\\u0627\\u0644\\u0627 \\u0641\\u0631\\u0635\\u062a \\u062f\\u0627\\u0631\\u06cc\\u062f\\u061b \\u062f\\u0631 \\u0647\\u0631 \\u0635\\u0648\\u0631\\u062a\\u060c \\u0644\\u0637\\u0641\\u0627\\u064b \\u062a\\u0627 \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0648\\u0627\\u062d\\u062f \\u062e\\u062f\\u0645\\u0627\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u0627 \\u0627\\u0632 \\u0645\\u0631\\u062c\\u0648\\u0639\\u200c\\u06a9\\u0631\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062c\\u062f\\u0627\\u064b \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc \\u0641\\u0631\\u0645\\u0627\\u06cc\\u06cc\\u062f. (\\u0644\\u0637\\u0641\\u0627\\u064b \\u0628\\u0647\\u200c\\u062e\\u0627\\u0637\\u0631 \\u062f\\u0627\\u0634\\u062a\\u0647\\u200c\\u0628\\u0627\\u0634\\u06cc\\u062f \\u06a9\\u0647 \\u0627\\u06af\\u0631 \\u0627\\u0634\\u06a9\\u0627\\u0644 \\u0648 \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u06a9\\u0627\\u0644\\u0627(\\u0645\\u062b\\u0644\\u0627\\u064b \\u0648\\u062c\\u0648\\u062f \\u0645\\u063a\\u0627\\u06cc\\u0631\\u062a) \\u0627\\u0632 \\u0631\\u0648\\u06cc \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0642\\u0627\\u0628\\u0644\\u200c\\u062a\\u0634\\u062e\\u06cc\\u0635 \\u0628\\u0627\\u0634\\u062f\\u060c \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0648 \\u0645\\u0631\\u062c\\u0648\\u0639 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0646\\u0647\\u0627 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u0645\\u0642\\u062f\\u0648\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u0622\\u0646 \\u0647\\u06cc\\u0686\\u200c\\u06af\\u0648\\u0646\\u0647 \\u062a\\u063a\\u06cc\\u06cc\\u0631\\u06cc \\u0646\\u06a9\\u0631\\u062f\\u0647\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0634\\u0631\\u0627\\u06cc\\u0637 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647<br \\/><br \\/>\\u0628\\u0647 \\u0645\\u0646\\u0638\\u0648\\u0631 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u062e\\u062f\\u0645\\u0627\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc\\u060c \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0636\\u0645\\u0627\\u0646\\u062a\\u200c\\u0646\\u0627\\u0645\\u0647 \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f \\u0648 \\u0636\\u0645\\u0627\\u0646\\u062a\\u200c\\u0646\\u0627\\u0645\\u0647 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u062e\\u0631\\u06cc\\u062f \\u06cc\\u0627 \\u0645\\u062f\\u062a \\u0627\\u0639\\u062a\\u0628\\u0627\\u0631 \\u0648 \\u0645\\u0634\\u062e\\u0635\\u0627\\u062a \\u0648 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u0633\\u0631\\u06cc\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u0641\\u0627\\u0642\\u062f \\u0627\\u0639\\u062a\\u0628\\u0627\\u0631 \\u0627\\u0633\\u062a.<br \\/>\\u0636\\u0645\\u0627\\u0646\\u062a \\u0641\\u0642\\u0637 \\u0634\\u0627\\u0645\\u0644 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0627\\u0635\\u0644\\u06cc \\u0628\\u0648\\u062f\\u0647 \\u0648 \\u0634\\u0627\\u0645\\u0644 \\u0633\\u0627\\u06cc\\u0631 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0647\\u0627\\u06cc \\u0645\\u062a\\u0635\\u0644 \\u0628\\u0647 \\u0622\\u0646 \\u0648 \\u0642\\u0637\\u0639\\u0627\\u062a \\u062c\\u0627\\u0646\\u0628\\u06cc \\u0648 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u0645\\u0635\\u0631\\u0641\\u06cc \\u0627\\u0632 \\u0642\\u0628\\u06cc\\u0644 \\u06a9\\u0627\\u0648\\u0631 \\u060c \\u0634\\u0627\\u0631\\u0698\\u0631 \\u060c \\u0647\\u0646\\u062f\\u0632\\u0641\\u0631\\u06cc \\u060c \\u0647\\u062f\\u0641\\u0648\\u0646 \\u060c \\u0628\\u0627\\u062a\\u0631\\u06cc \\u060c \\u06a9\\u0627\\u0631\\u062a \\u062d\\u0627\\u0641\\u0638\\u0647 \\u0648 \\u062f\\u06cc\\u06af\\u0631 \\u0645\\u062a\\u0639\\u0644\\u0642\\u0627\\u062a \\u0646\\u0645\\u06cc \\u0634\\u0648\\u062f.<br \\/>\\u0627\\u0646\\u062a\\u0642\\u0627\\u0644 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u062c\\u0647\\u062a \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u062e\\u062f\\u0645\\u0627\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0628\\u0647 \\u0645\\u0631\\u06a9\\u0632 \\u062e\\u062f\\u0645\\u0627\\u062a \\u0648 \\u0628\\u0631\\u06af\\u0634\\u062a \\u0622\\u0646 \\u0628\\u0631\\u0639\\u0647\\u062f\\u0647 \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0627\\u0633\\u062a \\u0648 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0628\\u0627\\u06cc\\u062f \\u062f\\u0631 \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u0648 \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u0627\\u0635\\u0644\\u06cc \\u062e\\u0648\\u062f \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0634\\u0648\\u062f \\u062a\\u0627 \\u0634\\u0627\\u0645\\u0644 \\u062e\\u062f\\u0645\\u0627\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u06af\\u0631\\u062f\\u062f.<br \\/>\\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0634\\u0631\\u06a9\\u062a \\u0645\\u062d\\u062f\\u0648\\u062f \\u0628\\u0647 \\u0628\\u0631\\u0637\\u0631\\u0641 \\u06a9\\u0631\\u062f\\u0646 \\u0627\\u0634\\u06a9\\u0627\\u0644\\u0627\\u062a \\u0633\\u062e\\u062a \\u0627\\u0641\\u0632\\u0627\\u0631\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u0636\\u0645\\u0627\\u0646\\u062a \\u0627\\u0633\\u062a. \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0639\\u0645\\u0644\\u06cc\\u0627\\u062a \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631\\u06cc \\u0627\\u0632 \\u062c\\u0645\\u0644\\u0647 \\u0646\\u0635\\u0628\\u060c \\u0627\\u0631\\u062a\\u0642\\u0627 \\u0648 \\u06cc\\u0627 \\u0639\\u06cc\\u0628 \\u06cc\\u0627\\u0628\\u06cc \\u0633\\u06cc\\u0633\\u062a\\u0645 \\u0639\\u0627\\u0645\\u0644\\u060c \\u0631\\u06cc\\u06a9\\u0627\\u0648\\u0631\\u06cc\\u060c \\u0646\\u0635\\u0628 \\u062f\\u0631\\u0627\\u06cc\\u0648\\u0631\\u060c \\u0648\\u06cc\\u0631\\u0648\\u0633 \\u06cc\\u0627\\u0628\\u06cc\\u060c \\u0628\\u0627\\u0632\\u06cc\\u0627\\u0628\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a\\u060c Registration\\u060c \\u062a\\u0647\\u06cc\\u0647 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646 \\u0627\\u0632 \\u0641\\u0627\\u06cc\\u0644\\u0647\\u0627\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632\\u060c \\u0628\\u0627\\u0632\\u06cc\\u0627\\u0628\\u06cc \\u0631\\u0645\\u0632 \\u0639\\u0628\\u0648\\u0631 \\u0633\\u06cc\\u0633\\u062a\\u0645\\u060cSetup , \\u0627\\u0631\\u062a\\u0642\\u0627\\u0621\\u060c \\u062a\\u0646\\u0638\\u06cc\\u0645 \\u06cc\\u0627 \\u0646\\u0635\\u0628 \\u0648 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u0634\\u0627\\u0645\\u0644 \\u0636\\u0645\\u0627\\u0646\\u062a \\u0646\\u0628\\u0648\\u062f\\u0647 \\u0648 \\u062f\\u0631\\u0635\\u0648\\u0631\\u062a \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u0634\\u0645\\u0648\\u0644 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0645\\u06cc \\u0634\\u0648\\u062f.<br \\/>\\u062a\\u0639\\u062f\\u0627\\u062f \\u067e\\u06cc\\u06a9\\u0633\\u0644 \\u0633\\u0648\\u062e\\u062a\\u0647 \\u06a9\\u0645\\u062a\\u0631 \\u0627\\u0632 3 \\u0639\\u062f\\u062f \\u062f\\u0631 \\u062d\\u062f \\u0627\\u0633\\u062a\\u0627\\u0646\\u062f\\u0627\\u0631\\u062f \\u0628\\u06cc\\u0646 \\u0627\\u0644\\u0645\\u0644\\u0644\\u06cc \\u0628\\u0648\\u062f\\u0647 \\u0648 \\u0627\\u0632 3 \\u0639\\u062f\\u062f \\u0628\\u0647 \\u0628\\u0627\\u0644\\u0627 \\u0634\\u0627\\u0645\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0635\\u0641\\u062d\\u0647 \\u0646\\u0645\\u0627\\u06cc\\u0634 \\u0645\\u06cc \\u0634\\u0648\\u062f.<br \\/>\\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0628\\u0627 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u06a9\\u0627\\u0631\\u062a \\u0636\\u0645\\u0627\\u0646\\u062a \\u06a9\\u0647 \\u062f\\u0631 \\u0622\\u0646 \\u0645\\u0634\\u062e\\u0635\\u0627\\u062a \\u06a9\\u0627\\u0644\\u0627\\u060c \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0634\\u0631\\u0648\\u0639 \\u0648 \\u0645\\u062f\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062f\\u0631\\u062c \\u0634\\u062f\\u0647 \\u0648 \\u0645\\u0644\\u0635\\u0642 \\u0628\\u0647 \\u0647\\u0648\\u0644\\u0648\\u06af\\u0631\\u0627\\u0645 \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f\\u060c \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0622\\u0646 \\u0631\\u0627 \\u067e\\u0630\\u06cc\\u0631\\u0641\\u062a\\u0647 \\u0648 \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0627 \\u0638\\u0627\\u0647\\u0631 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0633\\u0627\\u0644\\u0645 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0646\\u0645\\u0648\\u062f\\u0647 \\u0627\\u0633\\u062a.<br \\/>\\u062f\\u0631 \\u0637\\u0648\\u0644 \\u0642\\u0631\\u0627\\u0631\\u062f\\u0627\\u062f \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0686\\u0646\\u0627\\u0646\\u0686\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0645\\u0639\\u06cc\\u0648\\u0628 \\u062f\\u06cc\\u06af\\u0631 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0646\\u0634\\u0648\\u062f\\u060c \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0647\\u0645 \\u0631\\u062f\\u06cc\\u0641 \\u062c\\u0627\\u06cc\\u06af\\u0632\\u06cc\\u0646 \\u0648 \\u06cc\\u0627 \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0645\\u0627 \\u0628\\u0647 \\u0627\\u0644\\u062a\\u0641\\u0627\\u0648\\u062a\\u060c \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u0628\\u0627 \\u0645\\u062f\\u0644 \\u0628\\u0627\\u0644\\u0627\\u062a\\u0631 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0645\\u06cc\\u06af\\u0631\\u062f\\u062f.<br \\/>\\u0635\\u0627\\u062d\\u0628 \\u0642\\u0637\\u0639\\u0647 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u0647 \\u0627\\u0648 \\u0627\\u0639\\u0645 \\u0627\\u0632 \\u06a9\\u0627\\u0631\\u067e\\u0631\\u062f\\u0627\\u0632 \\u06cc\\u0627 \\u067e\\u06cc\\u06a9 \\u0645\\u0648\\u062a\\u0648\\u0631\\u06cc \\u0648 \\u063a\\u06cc\\u0631\\u0647 \\u062f\\u0631 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644\\u200c\\u06af\\u0631\\u0641\\u062a\\u0646 \\u0642\\u0637\\u0639\\u0647 \\u0645\\u0648\\u0638\\u0641 \\u0628\\u0647 \\u062a\\u0633\\u062a \\u0638\\u0627\\u0647\\u0631\\u06cc \\u0648 \\u062f\\u0642\\u062a \\u062f\\u0631 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0627\\u0628\\u0637\\u0627\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u0646\\u062f. \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0647\\u06cc\\u0686 \\u06af\\u0648\\u0646\\u0647 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0627\\u0628\\u0637\\u0627\\u0644 \\u0628\\u0648\\u062c\\u0648\\u062f \\u0622\\u0645\\u062f\\u0647 \\u0628\\u0647 \\u0639\\u0647\\u062f\\u0647 \\u0645\\u0631\\u06a9\\u0632 \\u062e\\u062f\\u0645\\u0627\\u062a \\u0646\\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0647 \\u062f\\u0641\\u062a\\u0631 \\u062e\\u062f\\u0645\\u0627\\u062a \\u0628\\u0647 \\u0645\\u0646\\u0632\\u0644\\u0647 \\u0639\\u062f\\u0645 \\u0646\\u06cc\\u0627\\u0632 \\u0628\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u0631\\u0631\\u0648\\u06cc \\u0647\\u0627\\u0631\\u062f \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0648 \\u067e\\u0630\\u06cc\\u0631\\u0641\\u062a\\u0646 \\u062a\\u0645\\u0627\\u0645\\u06cc \\u0645\\u0648\\u0627\\u0631\\u062f \\u0630\\u06a9\\u0631 \\u0634\\u062f\\u0647 \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u0635\\u062d\\u06cc\\u062d \\u06a9\\u0627\\u0644\\u0627 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0628\\u0639\\u0647\\u062f\\u0647 \\u0641\\u0631\\u0633\\u062a\\u0646\\u062f\\u0647 \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f \\u0648 \\u062a\\u0648\\u0635\\u06cc\\u0647 \\u0645\\u06cc \\u06af\\u0631\\u062f\\u062f \\u062d\\u062a\\u06cc \\u0627\\u0644\\u0645\\u0642\\u062f\\u0648\\u0631 \\u0627\\u0632 \\u0628\\u0633\\u062a\\u0647 \\u0628\\u0646\\u062f\\u06cc \\u0627\\u0635\\u0644\\u06cc \\u0628\\u062f\\u0648\\u0646 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062c\\u0627\\u0646\\u0628\\u06cc \\u0648 \\u0645\\u0644\\u062d\\u0642\\u0627\\u062a \\u062c\\u0647\\u062a \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u06af\\u0631\\u062f\\u062f. \\u0628\\u062f\\u06cc\\u0647\\u06cc \\u0627\\u0633\\u062a \\u0635\\u062f\\u0645\\u0627\\u062a \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u0646\\u0627 \\u0635\\u062d\\u06cc\\u062d \\u0628\\u0639\\u0647\\u062f\\u0647 \\u0641\\u0631\\u0633\\u062a\\u0646\\u062f\\u0647 \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0645\\u0648\\u0627\\u0631\\u062f \\u0627\\u0628\\u0637\\u0627\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc<br \\/><br \\/>\\u062f\\u0633\\u062a\\u06af\\u0627\\u0647\\u06cc \\u06a9\\u0647 \\u06a9\\u0627\\u0631\\u062a \\u0636\\u0645\\u0627\\u0646\\u062a\\u060c \\u0628\\u0631 \\u0686\\u0633\\u0628 \\u0647\\u0648\\u0644\\u0648\\u06af\\u0631\\u0627\\u0645 \\u06cc\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u0633\\u0631\\u06cc\\u0627\\u0644 \\u0622\\u0646 \\u0645\\u062e\\u062f\\u0648\\u0634 \\u0634\\u062f\\u0647 \\u0648 \\u06cc\\u0627 \\u0628\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u0633\\u0631\\u06cc\\u0627\\u0644 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0645\\u0637\\u0627\\u0628\\u0642\\u062a \\u0646\\u062f\\u0627\\u0631\\u062f \\u0634\\u0627\\u0645\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0646\\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0636\\u0645\\u0627\\u0646\\u062a \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647\\u060c \\u0645\\u062d\\u062f\\u0648\\u062f \\u0628\\u0647 \\u0639\\u06cc\\u0648\\u0628 \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u0633\\u0627\\u062e\\u062a \\u0628\\u0648\\u062f\\u0647 \\u0648 \\u0634\\u0627\\u0645\\u0644 \\u0627\\u06cc\\u0631\\u0627\\u062f\\u0627\\u062a \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u0628\\u0644\\u0627\\u06cc\\u0627\\u06cc \\u0637\\u0628\\u06cc\\u0639\\u06cc \\u06cc\\u0627 \\u062d\\u0648\\u0627\\u062f\\u062b \\u063a\\u06cc\\u0631 \\u0645\\u062a\\u0631\\u0642\\u0628\\u0647\\u060c \\u0636\\u0631\\u0628\\u0647, \\u0622\\u062a\\u0634\\u060c \\u0646\\u0641\\u0648\\u0630 \\u0645\\u0627\\u06cc\\u0639\\u0627\\u062a \\u06cc\\u0627 \\u0645\\u0648\\u0627\\u062f \\u0634\\u06cc\\u0645\\u06cc\\u0627\\u06cc\\u06cc\\u060c \\u0634\\u06a9\\u0633\\u062a\\u06af\\u06cc\\u060c \\u062e\\u0631\\u0627\\u0634\\u06cc\\u062f\\u06af\\u06cc\\u060c \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0634\\u06a9\\u0644\\u060c \\u0632\\u0646\\u06af \\u0632\\u062f\\u06af\\u06cc\\u060c \\u0646\\u0648\\u0633\\u0627\\u0646\\u0627\\u062a \\u0628\\u0631\\u0642 \\u06cc\\u0627 \\u0639\\u06cc\\u0648\\u0628 \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u062f\\u0631 \\u0645\\u062d\\u06cc\\u0637 \\u0647\\u0627\\u06cc \\u0622\\u0644\\u0648\\u062f\\u0647 \\u0648 \\u067e\\u0631 \\u06af\\u0631\\u062f\\u0648\\u063a\\u0628\\u0627\\u0631 \\u060c \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u062f\\u0631 \\u0642\\u0637\\u0639\\u0627\\u062a \\u060c \\u0642\\u0637\\u0639 \\u0648 \\u0648\\u0635\\u0644 \\u0627\\u062a\\u0635\\u0627\\u0644\\u0627\\u062a \\u062f\\u0631 \\u062d\\u06cc\\u0646 \\u0631\\u0648\\u0634\\u0646 \\u0628\\u0648\\u062f\\u0646 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u060c\\u0635\\u062f\\u0645\\u0627\\u062a \\u062d\\u06cc\\u0646 \\u0639\\u0645\\u0644, \\u0622\\u0633\\u06cc\\u0628 \\u062f\\u06cc\\u062f\\u06af\\u06cc \\u06a9\\u0627\\u0646\\u06a9\\u062a\\u0648\\u0631 \\u0648 \\u06a9\\u0627\\u0628\\u0644 \\u0648 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0646\\u0627\\u062f\\u0631\\u0633\\u062a \\u0627\\u0632 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0648 \\u0627\\u062a\\u0635\\u0627\\u0644 \\u067e\\u0648\\u0631\\u062a\\u0647\\u0627\\u06cc \\u0648\\u0631\\u0648\\u062f\\u06cc \\u0648 \\u062e\\u0631\\u0648\\u062c\\u06cc \\u0628\\u0647 \\u0628\\u0631\\u0642 \\u0634\\u0647\\u0631\\u060c \\u0628\\u06a9\\u0627\\u0631\\u06af\\u06cc\\u0631\\u06cc \\u0622\\u062f\\u0627\\u067e\\u062a\\u0648\\u0631\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0641\\u0631\\u0642\\u0647 \\u060c\\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0646\\u0627\\u062f\\u0631\\u0633\\u062a (\\u0639\\u062f\\u0645 \\u0631\\u0639\\u0627\\u06cc\\u062a \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0645\\u0646\\u062f\\u0631\\u062c \\u062f\\u0631 \\u062f\\u0633\\u062a\\u0648\\u0631\\u0627\\u0644\\u0639\\u0645\\u0644 \\u0646\\u06af\\u0647\\u062f\\u0627\\u0631\\u06cc \\u0648 \\u06a9\\u0627\\u0631\\u06a9\\u0631\\u062f)\\u060c \\u062f\\u0633\\u062a\\u06a9\\u0627\\u0631\\u06cc\\u060c \\u062a\\u0646\\u0638\\u06cc\\u0645 \\u06cc\\u0627 \\u062a\\u0639\\u0645\\u06cc\\u0631 \\u062a\\u0648\\u0633\\u0637 \\u0627\\u0641\\u0631\\u0627\\u062f \\u063a\\u06cc\\u0631 \\u0645\\u062c\\u0627\\u0632 \\u0646\\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 Root \\u060c \\u0628\\u06a9\\u0627\\u0631\\u06af\\u06cc\\u0631\\u06cc \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0648 \\u06cc\\u0627 \\u0622\\u0644\\u0648\\u062f\\u06af\\u06cc \\u0628\\u0647 \\u0648\\u06cc\\u0631\\u0648\\u0633 \\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0645\\u067e\\u06cc\\u0648\\u062a\\u0631\\u06cc\\u060c \\u0628\\u0646\\u0627\\u0628\\u0631 \\u062a\\u0634\\u062e\\u06cc\\u0635 \\u0645\\u062a\\u062e\\u0635\\u0635\\u06cc\\u0646 \\u0634\\u0631\\u06a9\\u062a\\u060c \\u0642\\u0633\\u0645\\u062a \\u0647\\u0627\\u06cc \\u0622\\u0633\\u06cc\\u0628 \\u062f\\u06cc\\u062f\\u0647 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0631\\u0627 \\u0627\\u0632 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062e\\u0627\\u0631\\u062c \\u0645\\u06cc \\u0633\\u0627\\u0632\\u062f.<br \\/>\\u0635\\u062f\\u0645\\u0627\\u062a\\u06cc \\u0647\\u0645\\u0686\\u0648\\u0646 \\u0634\\u06a9\\u0633\\u062a\\u06af\\u06cc \\u0635\\u0641\\u062d\\u0647 \\u0646\\u0645\\u0627\\u06cc\\u0634 \\u0648 \\u0642\\u0627\\u0628 \\u067e\\u0634\\u062a \\u0622\\u0646 \\u0648 \\u06cc\\u0627 \\u0627\\u062b\\u0631\\u0627\\u062a \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0636\\u0631\\u0628\\u0647 \\u0628\\u0631\\u0631\\u0648\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u06a9\\u0647 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u0627\\u0646\\u062a\\u0642\\u0627\\u0644 \\u062a\\u0648\\u0633\\u0637 \\u067e\\u0633\\u062a \\u060c \\u067e\\u06cc\\u06a9 \\u060c\\u0634\\u0631\\u06a9\\u062a \\u0647\\u0627\\u06cc \\u062d\\u0645\\u0644 \\u0648 \\u0646\\u0642\\u0644 \\u0648.... \\u067e\\u062f\\u06cc\\u062f \\u0622\\u06cc\\u062f \\u062d\\u062a\\u06cc \\u0627\\u06af\\u0631 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0642\\u0628\\u0644 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0645\\u0644\\u0627 \\u0633\\u0627\\u0644\\u0645 \\u0628\\u0648\\u062f\\u0647 \\u0628\\u0627\\u0634\\u062f\\u060c \\u0622\\u0646 \\u0631\\u0627 \\u0627\\u0632 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062e\\u0627\\u0631\\u062c \\u062e\\u0648\\u0627\\u0647\\u062f \\u0633\\u0627\\u062e\\u062a.<br \\/>\\u0634\\u0631\\u06a9\\u062a \\u0647\\u06cc\\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0630\\u062e\\u06cc\\u0631\\u0647 \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0647\\u0627 \\u0642\\u0628\\u0644 \\u0627\\u0632 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0648 \\u06cc\\u0627 \\u062f\\u0631 \\u0645\\u0631\\u0627\\u062d\\u0644 \\u062a\\u0639\\u0645\\u06cc\\u0631 \\u0648 \\u062c\\u0627\\u06cc\\u06af\\u0632\\u06cc\\u0646\\u06cc \\u0646\\u062f\\u0627\\u0631\\u062f. \\u0644\\u0630\\u0627 \\u067e\\u06cc\\u0634\\u0646\\u0647\\u0627\\u062f \\u0645\\u06cc \\u0634\\u0648\\u062f \\u0647\\u0645\\u0648\\u0627\\u0631\\u0647 \\u0648 \\u0628\\u062e\\u0635\\u0648\\u0635 \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0628\\u0647 \\u0645\\u0631\\u06a9\\u0632 \\u0627\\u0632 \\u062a\\u0645\\u0627\\u0645\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u062e\\u0648\\u062f \\u0646\\u0633\\u062e\\u0647 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646 \\u062a\\u0647\\u06cc\\u0647 \\u0646\\u0645\\u0627\\u06cc\\u06cc\\u062f.<br \\/>\\u0622\\u0633\\u06cc\\u0628 \\u0647\\u0627\\u06cc \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u0646\\u0642\\u0635 \\u0641\\u0646\\u06cc \\u0630\\u0627\\u062a\\u06cc \\u0648\\u0633\\u06cc\\u0644\\u0647 \\u060c \\u0645\\u0648\\u0627\\u062f \\u0628\\u06a9\\u0627\\u0631 \\u0631\\u0641\\u062a\\u0647 \\u062f\\u0631 \\u0622\\u0646 \\u0648 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u062a\\u0648\\u0644\\u06cc\\u062f\\u060c \\u062a\\u0627 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0642\\u06cc\\u062f \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u06a9\\u0627\\u0631\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0634\\u0627\\u0645\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u062c\\u0647\\u062a \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0648\\u06cc\\u0698\\u06af\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u060c \\u0646\\u06af\\u0647\\u062f\\u0627\\u0631\\u06cc \\u0631\\u0633\\u06cc\\u062f \\u062e\\u062f\\u0645\\u0627\\u062a\\u060c \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc\\u0633\\u062a\\u061b \\u0632\\u06cc\\u0631\\u0627 \\u062f\\u0627\\u0631\\u0646\\u062f\\u0647 \\u06cc \\u0622\\u0646\\u060c \\u0635\\u0627\\u062d\\u0628 \\u06a9\\u0627\\u0644\\u0627 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u0647 \\u06cc \\u0648\\u06cc \\u0645\\u062d\\u0633\\u0648\\u0628 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<br \\/>\\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646\\u060c \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0647\\u06cc\\u0686 \\u06af\\u0648\\u0646\\u0647 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u062a\\u0647\\u06cc\\u0647 \\u0646\\u0633\\u062e\\u0647 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646 \\u0646\\u062f\\u0627\\u0631\\u062f \\u0648 \\u062d\\u0641\\u0638 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0634\\u062e\\u0635\\u06cc\\u060c \\u0645\\u0634\\u06a9\\u0644\\u0627\\u062a \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631\\u06cc \\u0648 \\u06cc\\u0627 \\u0633\\u06cc\\u0633\\u062a\\u0645 \\u0639\\u0627\\u0645\\u0644 \\u0628\\u0631\\u0639\\u0647\\u062f\\u0647 \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u0627\\u0646 \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u062a\\u0634\\u062e\\u06cc\\u0635 \\u062f\\u0631\\u0633\\u062a \\u0639\\u06cc\\u0648\\u0628 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0628\\u0631\\u0639\\u0647\\u062f\\u0647 \\u06cc \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0645\\u0631\\u0627\\u06a9\\u0632 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0633\\u062a.<br \\/>\\u0628\\u0631\\u0631\\u0633\\u06cc \\u062a\\u0637\\u0627\\u0628\\u0642 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0628\\u0627 \\u0648\\u0636\\u0639\\u06cc\\u062a \\u0641\\u0639\\u0644\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631 \\u0637\\u0648\\u0644 \\u062f\\u0648\\u0631\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc\\u060c \\u0635\\u0631\\u0641\\u0627 \\u0628\\u0647 \\u0639\\u0647\\u062f\\u0647 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633 \\u0627\\u06cc\\u0646 \\u062f\\u0641\\u062a\\u0631 \\u0627\\u0633\\u062a.<br \\/>\\u0627\\u0634\\u06a9\\u0627\\u0644\\u0627\\u062a \\u0638\\u0627\\u0647\\u0631\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0627\\u0632 \\u062c\\u0645\\u0644\\u0647 \\u062e\\u0637 \\u0648 \\u062e\\u0634\\u060c \\u0634\\u06a9\\u0633\\u062a\\u06af\\u06cc \\u0648 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0631\\u0646\\u06af \\u0628\\u062f\\u0646\\u0647 \\u062f\\u0631 \\u0632\\u0645\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0628\\u0627 \\u0647\\u0645\\u0627\\u0647\\u0646\\u06af\\u06cc \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062b\\u0628\\u062a \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<br \\/>\\u062f\\u0631 \\u0632\\u0645\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647\\u060c \\u0627\\u0631\\u0627\\u0626\\u0647 \\u06a9\\u0627\\u0631\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc \\u0627\\u0633\\u062a. \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u062a\\u0639\\u0645\\u06cc\\u0631\\u0627\\u062a \\u0637\\u0628\\u0642 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0627\\u0632 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u0627\\u0634\\u06a9\\u0627\\u0644\\u0627\\u062a \\u0646\\u0631\\u0645\\u200c\\u0627\\u0641\\u0632\\u0627\\u0631\\u06cc \\u0645\\u0634\\u0645\\u0648\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0646\\u06cc\\u0633\\u062a \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0646\\u0635\\u0628 \\u0647\\u0631 \\u06af\\u0648\\u0646\\u0647 \\u0646\\u0631\\u0645\\u200c\\u0627\\u0641\\u0632\\u0627\\u0631\\u060c \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0622\\u0646 \\u0637\\u0628\\u0642 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0627\\u0632 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u0647\\u0631 \\u06af\\u0648\\u0646\\u0647 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u062f\\u0631 \\u06a9\\u0627\\u0631\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc\\u060c \\u0648 \\u06cc\\u0627 \\u0633\\u0631\\u06cc\\u0627\\u0644 \\u0645\\u0646\\u062f\\u0631\\u062c \\u0631\\u0648\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0648 \\u06cc\\u0627 \\u062f\\u0627\\u062e\\u0644 \\u0622\\u0646\\u060c \\u0645\\u0648\\u062c\\u0628 \\u0627\\u0628\\u0637\\u0627\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u062a\\u0639\\u0645\\u06cc\\u0631 \\u0648 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u062a\\u0648\\u0633\\u0637 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u063a\\u06cc\\u0631 \\u0627\\u0632 \\u062e\\u062f\\u0645\\u0627\\u062a \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0645\\u0648\\u062c\\u0628 \\u0627\\u0628\\u0637\\u0627\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0645\\u0648\\u0631\\u062f \\u0646\\u0638\\u0631 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u0639\\u0645\\u0644\\u06cc\\u0627\\u062a \\u0631\\u0648\\u062a \\u06a9\\u0631\\u062f\\u0646 (Root) \\u0648 \\u0646\\u0635\\u0628 \\u0631\\u0627\\u0645\\u200c\\u0647\\u0627\\u06cc \\u063a\\u06cc\\u0631\\u0631\\u0633\\u0645\\u06cc \\u0631\\u0648\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0648 \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0639\\u0645\\u0644 \\u0642\\u0641\\u0644\\u06af\\u0634\\u0627\\u06cc\\u06cc \\u0631\\u0648\\u06cc \\u0631\\u0627\\u0647\\u200c\\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 (Unlock-Bootloader) \\u0628\\u0647 \\u062f\\u0644\\u06cc\\u0644 \\u0627\\u06cc\\u0646\\u06a9\\u0647 \\u0645\\u0648\\u062c\\u0628 \\u06a9\\u0627\\u0647\\u0634 \\u0636\\u0631\\u06cc\\u0628 \\u0627\\u06cc\\u0645\\u0646\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0648 \\u0627\\u0641\\u0632\\u0627\\u06cc\\u0634 \\u0627\\u0645\\u06a9\\u0627\\u0646 Brick \\u0634\\u062f\\u0646 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0645\\u06cc\\u200c\\u06af\\u0631\\u062f\\u062f \\u0645\\u0648\\u062c\\u0628 \\u0627\\u0628\\u0637\\u0627\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f \\u0648 \\u0647\\u0632\\u06cc\\u0646\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0622\\u0646 \\u0627\\u0632 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u062f\\u0631 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u060c \\u0686\\u0646\\u0627\\u0646\\u0686\\u0647 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u062e\\u0633\\u0627\\u0631\\u062a \\u062f\\u06cc\\u062f\\u0647 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u0639\\u0645\\u06cc\\u0631 \\u0628\\u0627\\u0634\\u062f \\u062a\\u0639\\u0645\\u06cc\\u0631 \\u06af\\u0631\\u062f\\u06cc\\u062f\\u0647 \\u0648 \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646\\u0635\\u0648\\u0631\\u062a \\u0628\\u0631 \\u0627\\u0633\\u0627\\u0633 \\u062a\\u0634\\u062e\\u06cc\\u0635 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633 \\u0641\\u0646\\u06cc \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u067e\\u0633 \\u0627\\u0632 \\u06a9\\u0633\\u0631 \\u0627\\u0633\\u062a\\u0647\\u0644\\u0627\\u06a9 \\u0627\\u0632\\u062a\\u0627\\u0631\\u06cc\\u062e \\u0634\\u0631\\u0648\\u0639 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0627\\u0642\\u062f\\u0627\\u0645 \\u0645\\u06cc \\u0634\\u0648\\u062f. ( 29 % \\u0628\\u0647 \\u0639\\u0644\\u0627\\u0648\\u0647 2 % \\u0627\\u0633\\u062a\\u0647\\u0644\\u0627\\u06a9 \\u0645\\u0627\\u0647\\u0627\\u0646\\u0647 )<br \\/>\\u0644\\u0637\\u0641\\u0627 \\u062f\\u0631 \\u062d\\u0641\\u0638 \\u06a9\\u0644\\u0645\\u0647 \\u0639\\u0628\\u0648\\u0631 \\u0627\\u0645\\u0646\\u06cc\\u062a\\u06cc \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u06a9\\u0648\\u0634\\u0627 \\u0628\\u0627\\u0634\\u06cc\\u062f \\u0632\\u06cc\\u0631\\u0627 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0641\\u0631\\u0627\\u0645\\u0648\\u0634 \\u0646\\u0645\\u0648\\u062f\\u0646 \\u0622\\u0646 \\u0646\\u0627\\u06af\\u0632\\u06cc\\u0631 \\u0628\\u0647 \\u0627\\u0632 \\u062f\\u0633\\u062a \\u062f\\u0627\\u062f\\u0646 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u062e\\u0648\\u062f \\u0645\\u06cc \\u0628\\u0627\\u0634\\u06cc\\u062f \\u0648 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0647\\u06cc\\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0645\\u062d\\u0635\\u0648\\u0644\\u060c \\u067e\\u0627\\u06a9 \\u0634\\u062f\\u0646 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0648 \\u0641\\u0631\\u0627\\u0645\\u0648\\u0634 \\u0646\\u0645\\u0648\\u062f\\u0646 \\u06a9\\u0644\\u0645\\u0647 \\u0639\\u0628\\u0648\\u0631 \\u0627\\u0645\\u0646\\u06cc\\u062a\\u06cc \\u0646\\u062f\\u0627\\u0631\\u062f.<br \\/>\\u0636\\u0645\\u0627\\u0646\\u062a\\u200c\\u0646\\u0627\\u0645\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0634\\u0645\\u0627 \\u062f\\u0631 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0632\\u06cc\\u0631 \\u0627\\u0632 \\u062f\\u0631\\u062c\\u0647 \\u0627\\u0639\\u062a\\u0628\\u0627\\u0631 \\u0633\\u0627\\u0642\\u0637 \\u0627\\u0633\\u062a:<br \\/><br \\/>\\u06f1. \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u060c \\u0646\\u06af\\u0647\\u062f\\u0627\\u0631\\u06cc \\u0648 \\u06a9\\u0627\\u0631\\u06a9\\u0631\\u062f \\u062a\\u0627 \\u0635\\u062d\\u06cc\\u062d \\u0648 \\u062e\\u0627\\u0631\\u062c \\u0633\\u0627\\u062e\\u062a\\u0646 \\u0645\\u062d\\u0635\\u0648\\u0644 \\u0627\\u0632 \\u0634\\u06a9\\u0644 \\u0639\\u0627\\u062f\\u06cc<br \\/>\\u06f2. \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u062f\\u0633\\u062a\\u06a9\\u0627\\u0631\\u06cc \\u0648 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u0628\\u0647 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u060c \\u062a\\u0639\\u0645\\u06cc\\u0631 \\u0628\\u0627 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u062a\\u0648\\u0633\\u0637 \\u0627\\u0641\\u0631\\u0627\\u062f \\u063a\\u06cc\\u0631 \\u0645\\u062c\\u0627\\u0632<br \\/>\\u06f3. \\u062e\\u0631\\u0627\\u0628\\u06cc \\u0628\\u0647 \\u062f\\u0644\\u06cc\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062c\\u0627\\u0646\\u0628\\u06cc \\u0648 \\u0628\\u0627\\u062a\\u0631\\u06cc \\u063a\\u06cc\\u0631 \\u0627\\u0635\\u0644 \\u0648 \\u062a\\u0623\\u06cc\\u06cc\\u062f \\u0646\\u0634\\u062f\\u0647 \\u0627\\u0632 \\u0633\\u0648\\u06cc \\u0634\\u0631\\u06a9\\u062a<br \\/>\\u06f4. \\u0645\\u062e\\u062f\\u0648\\u0634 \\u0634\\u062f\\u0646 \\u06cc\\u0627 \\u062f\\u0633\\u062a\\u06a9\\u0627\\u0631\\u06cc \\u062a\\u0627\\u0631\\u06cc\\u062e \\u06cc\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u0633\\u0631\\u06cc\\u0627\\u0644 (IMEI) \\u062f\\u0631 \\u06a9\\u0627\\u0631\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0648 \\u06cc\\u0627 \\u062f\\u0631 \\u06af\\u0648\\u0634\\u06cc<br \\/>\\u06f5. \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0636\\u0631\\u0628\\u0647 \\u062e\\u0648\\u0631\\u062f\\u06af\\u06cc \\u0648 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\\u06cc\\u0639\\u0627\\u062a \\u0648 \\u0631\\u0637\\u0648\\u0628\\u062a \\u0648 \\u0633\\u0631\\u0642\\u062a<br \\/>\\u06f6. \\u0646\\u0635\\u0628 \\u0647\\u0631 \\u06af\\u0648\\u0646\\u0647 \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631 \\u0648 \\u0628\\u0631\\u0646\\u0627\\u0645\\u0647 \\u062a\\u0623\\u06cc\\u06cc\\u062f \\u0646\\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0634\\u0631\\u06a9\\u062a<br \\/><br \\/>\\u0642\\u0628\\u0644 \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0628\\u0631\\u0627\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a \\u060c \\u0644\\u0637\\u0641\\u0627 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0634\\u062e\\u0635\\u06cc \\u0634\\u0627\\u0645\\u0644 \\u062f\\u0641\\u062a\\u0631 \\u062a\\u0644\\u0641\\u0646 \\u060c \\u067e\\u06cc\\u0627\\u0645\\u06a9\\u0647\\u0627\\u06cc \\u06a9\\u0648\\u062a\\u0627\\u0647 \\u060c \\u0639\\u06a9\\u0633 \\u0648 \\u0641\\u06cc\\u0644\\u0645 \\u0631\\u0627 \\u0627\\u0632 \\u0622\\u0646 \\u067e\\u0627\\u06a9 \\u0646\\u0645\\u0627\\u06cc\\u06cc\\u062f. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0633\\u06cc\\u0645 \\u06a9\\u0627\\u0631\\u062a \\u0648 \\u06a9\\u0627\\u0631\\u062a \\u062d\\u0627\\u0641\\u0638\\u0647 \\u0631\\u0627 \\u0646\\u06cc\\u0632 \\u0627\\u0632 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u062e\\u0627\\u0631\\u062c \\u0646\\u0645\\u0627\\u06cc\\u06cc\\u062f . \\u062e\\u062f\\u0645\\u0627\\u062a \\u062f\\u0631 \\u062e\\u0635\\u0648\\u0635 \\u0646\\u06af\\u0647\\u062f\\u0627\\u0631\\u06cc \\u0648 \\u0628\\u0627\\u0632\\u06cc\\u0627\\u0628\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0648 \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u06a9\\u0627\\u0631\\u062a\\u0647\\u0627 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u0646\\u062e\\u0648\\u0627\\u0647\\u062f \\u062f\\u0627\\u0634\\u062a.<br \\/>\\u0645\\u062f\\u0627\\u0631\\u06a9 \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u062c\\u0647\\u062a \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc:<br \\/><br \\/>\\u06f1 - \\u0627\\u0635\\u0644 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u062e\\u0631\\u06cc\\u062f<br \\/>\\u06f2 - \\u0627\\u0635\\u0644 \\u06a9\\u0627\\u0631\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc<br \\/>\\u06f3 - \\u062c\\u0639\\u0628\\u0647 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647<br \\/>\\u00a0<br \\/>\\u00a0<br \\/>\\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0686\\u0637\\u0648\\u0631 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0646\\u06cc\\u062f\\u061f<br \\/><br \\/>- \\u0644\\u0637\\u0641\\u0627\\u064b \\u0642\\u0628\\u0644 \\u0627\\u0632 \\u0647\\u0631 \\u0627\\u0642\\u062f\\u0627\\u0645\\u06cc \\u0628\\u0627 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f.<br \\/>- \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u062f\\u0648\\u0646 \\u0647\\u0645\\u0627\\u0647\\u0646\\u06af\\u06cc \\u0628\\u0627 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062c\\u062f\\u0627\\u064b\\u060c \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc \\u06a9\\u0646\\u06cc\\u062f.<br \\/>- \\u0628\\u0631\\u0627\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644\\u060c \\u0628\\u0627\\u06cc\\u062f \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u062c\\u0639\\u0628\\u0647 \\u06cc\\u0627 \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u0627\\u0635\\u0644\\u06cc \\u062e\\u0648\\u062f \\u0628\\u0647 \\u200f\\u062e\\u0648\\u0628\\u06cc \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u0634\\u0648\\u062f \\u0648 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062c\\u0627\\u0646\\u0628\\u06cc \\u0648 \\u0647\\u0645\\u0647 \\u0627\\u0642\\u0644\\u0627\\u0645 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0645\\u0627\\u0646\\u0646\\u062f \\u06a9\\u0627\\u0628\\u0644\\u060c \\u0631\\u06cc\\u0645\\u0648\\u062a\\u060c \\u0628\\u0627\\u0637\\u0631\\u06cc\\u060c \\u062f\\u0641\\u062a\\u0631\\u0686\\u0647 \\u0631\\u0627\\u0647\\u0646\\u0645\\u0627\\u060c \\u06a9\\u0627\\u0631\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc\\u060c \\u06a9\\u0627\\u0631\\u062a \\u0628\\u06cc\\u0645\\u0647\\u060c \\u0628\\u0646\\u062f \\u0648 \\u0642\\u0637\\u0639\\u0627\\u062a \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0627\\u0635\\u0644\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0634\\u0648\\u062f.<br \\/>- \\u0628\\u0631\\u0686\\u0633\\u0628\\u200c\\u0632\\u062f\\u0646 \\u06cc\\u0627 \\u0646\\u0648\\u0634\\u062a\\u0646 \\u062a\\u0648\\u0636\\u06cc\\u062d\\u0627\\u062a\\u060c \\u0622\\u062f\\u0631\\u0633 \\u06cc\\u0627 \\u0647\\u0631 \\u0645\\u0648\\u0631\\u062f \\u062f\\u06cc\\u06af\\u0631\\u06cc \\u0631\\u0648\\u06cc \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u06cc\\u0627 \\u062c\\u0639\\u0628\\u0647 \\u0627\\u0635\\u0644\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u06cc\\u0627 \\u067e\\u0627\\u0631\\u0647 \\u0648 \\u0645\\u062e\\u062f\\u0648\\u0634 \\u06a9\\u0631\\u062f\\u0646 \\u0622\\u0646\\u060c \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0636\\u0645\\u0627\\u0646\\u062a \\u0628\\u0627\\u0632\\u06af\\u0634\\u062a \\u0631\\u0627 \\u0627\\u0632 \\u0628\\u06cc\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0631\\u062f. (\\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0644\\u0632\\u0648\\u0645\\u060c \\u062a\\u0648\\u0636\\u06cc\\u062d\\u0627\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u067e\\u0634\\u062a \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u062e\\u0631\\u06cc\\u062f \\u06cc\\u0627 \\u0642\\u0637\\u0639\\u0647 \\u06a9\\u0627\\u063a\\u0630 \\u062c\\u062f\\u0627\\u06af\\u0627\\u0646\\u0647\\u200c\\u0627\\u06cc \\u0628\\u0646\\u0648\\u06cc\\u0633\\u06cc\\u062f.)<br \\/>-\\u062f\\u0631\\u0635\\u0648\\u0631\\u062a \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0628\\u0627 \\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632\\u060c \\u0639\\u06a9\\u0633 \\u0648 \\u062a\\u0635\\u0648\\u06cc\\u0631\\u06cc \\u0627\\u0632 \\u0631\\u0633\\u06cc\\u062f \\u067e\\u0633\\u062a\\u06cc \\u062a\\u0647\\u06cc\\u0647 \\u0648 \\u0628\\u0647 \\u0622\\u062f\\u0631\\u0633 services@test.com \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>\\u0627\\u06af\\u0631 \\u06a9\\u0627\\u0644\\u0627 \\u0647\\u062f\\u06cc\\u0647 \\u0628\\u0648\\u062f\\u0647 \\u0648 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0628\\u0647 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u060c \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0646\\u0634\\u062f\\u0647 \\u0628\\u0627\\u0634\\u062f\\u060c \\u0627\\u0632 \\u067e\\u06cc\\u0634 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0634\\u062f\\u0647\\u060c \\u067e\\u0631\\u06cc\\u0646\\u062a \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f \\u06cc\\u0627 \\u0627\\u06cc\\u0646\\u06a9\\u0647 \\u06a9\\u062f \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0648 \\u0645\\u0634\\u062e\\u0635\\u0627\\u062a \\u062e\\u0631\\u06cc\\u062f \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0631\\u0648\\u06cc \\u06a9\\u0627\\u063a\\u0630 \\u062c\\u062f\\u0627\\u06af\\u0627\\u0646\\u0647\\u200c\\u0627\\u06cc \\u0628\\u0646\\u0648\\u06cc\\u0633\\u06cc\\u062f.<br \\/>- \\u0627\\u06af\\u0631 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0627\\u0631\\u0627\\u06cc \\u0631\\u0645\\u0632 \\u0639\\u0628\\u0648\\u0631 (Password)\\u060c \\u0622\\u06cc \\u062f\\u06cc\\u060c \\u0627\\u067e\\u0644 \\u0622\\u06cc \\u062f\\u06cc (id)\\u06cc\\u0627 \\u0627\\u0644\\u06af\\u0648 (pattern) \\u0627\\u0633\\u062a\\u060c \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0628\\u0631\\u062f\\u0627\\u0634\\u062a\\u0647 \\u0634\\u0648\\u062f\\u060c \\u062a\\u0627 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u062a\\u0633\\u062a \\u0622\\u0646 \\u0631\\u0627 \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u0646\\u062f.<br \\/>\\u00a0<br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0633\\u0627\\u06a9\\u0646 \\u0633\\u0627\\u06cc\\u0631 \\u0634\\u0647\\u0631\\u0647\\u0627 \\u0647\\u0633\\u062a\\u06cc\\u062f\\u060c \\u0628\\u0631\\u0627\\u06cc \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u0627\\u0632 \\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0627\\u0632\\u0645 \\u0628\\u0647 \\u0630\\u06a9\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0647\\u0632\\u06cc\\u0646\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0647 \\u063a\\u06cc\\u0631 \\u0627\\u0632 \\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632 \\u0628\\u0647 \\u0639\\u0647\\u062f\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0627\\u0633\\u062a \\u0648 \\u0634\\u0631\\u06a9\\u062a \\u062a\\u0639\\u0647\\u062f\\u06cc \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u0627\\u06cc\\u0646 \\u0647\\u0632\\u06cc\\u0646\\u0647\\u200c\\u0647\\u0627 \\u0646\\u062f\\u0627\\u0631\\u062f. \\u0648\\u0644\\u06cc \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632 \\u0628\\u0627 \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0648 \\u0642\\u0628\\u0636 \\u0634\\u0631\\u06a9\\u062a \\u067e\\u0633\\u062a \\u0628\\u0631 \\u0627\\u0633\\u0627\\u0633 \\u062a\\u0639\\u0631\\u0641\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0634\\u0631\\u06a9\\u062a \\u067e\\u0633\\u062a \\u0648 \\u0637\\u0628\\u0642 \\u0642\\u0648\\u0627\\u0646\\u06cc\\u0646 \\u0648 \\u062f\\u0633\\u062a\\u0648\\u0631\\u0627\\u0644\\u0639\\u0645\\u0644\\u200c\\u0647\\u0627\\u06cc \\u0634\\u0631\\u06a9\\u062a\\u060c \\u067e\\u0633 \\u0627\\u0632 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0628\\u0647 \\u062d\\u0633\\u0627\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0648\\u0627\\u0631\\u06cc\\u0632 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<br \\/>\\u00a0<br \\/>\\u0627\\u0632 \\u0622\\u0646\\u062c\\u0627 \\u06a9\\u0647 \\u0648\\u0627\\u0631\\u06cc\\u0632 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644\\u060c \\u0645\\u0646\\u0648\\u0637 \\u0628\\u0647 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0631\\u0633\\u06cc\\u062f \\u067e\\u0633\\u062a\\u06cc \\u0627\\u0633\\u062a\\u060c \\u0628\\u0631\\u0627\\u06cc \\u0627\\u0637\\u0645\\u06cc\\u0646\\u0627\\u0646 \\u0639\\u06a9\\u0633 \\u0648 \\u062a\\u0635\\u0648\\u06cc\\u0631\\u06cc \\u0627\\u0632 \\u0631\\u0633\\u06cc\\u062f \\u062a\\u0647\\u06cc\\u0647 \\u0648 \\u0622\\u0646 \\u0631\\u0627 \\u0628\\u0647 \\u0622\\u062f\\u0631\\u0633 services@test.com \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>\\u00a0<br \\/>- \\u0627\\u06af\\u0631 \\u0633\\u0627\\u06a9\\u0646 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0647\\u0633\\u062a\\u06cc\\u062f\\u060c \\u0628\\u0631\\u0627\\u06cc \\u0647\\u0645\\u0627\\u0647\\u0646\\u06af\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644 \\u067e\\u06cc\\u06a9 \\u0628\\u0631\\u0627\\u06cc \\u062a\\u062d\\u0648\\u06cc\\u0644\\u200c\\u06af\\u0631\\u0641\\u062a\\u0646 \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0628\\u0627 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f.<br \\/>- \\u0627\\u0632 \\u0646\\u0648\\u0634\\u062a\\u0646 \\u0622\\u062f\\u0631\\u0633 \\u0631\\u0648\\u06cc \\u062c\\u0639\\u0628\\u0647 \\u06cc\\u0627 \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u0627\\u0635\\u0644\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u060c \\u062c\\u062f\\u0627\\u064b \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc \\u06a9\\u0646\\u06cc\\u062f \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0644\\u0632\\u0648\\u0645 \\u060c \\u062c\\u0639\\u0628\\u0647 \\u0627\\u0635\\u0644\\u06cc \\u0645\\u062d\\u0635\\u0648\\u0644 \\u0631\\u0627 \\u062f\\u0631\\u0648\\u0646 \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u062f\\u06cc\\u06af\\u0631\\u06cc \\u06af\\u0630\\u0627\\u0634\\u062a\\u0647\\u060c \\u0622\\u0646 \\u0631\\u0627 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>- \\u0628\\u0633\\u062a\\u0647 \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0628\\u0647 \\u0622\\u062f\\u0631\\u0633 \\u0632\\u06cc\\u0631 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>\\u00a0<br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u062a\\u0647\\u0631\\u0627\\u0646 - \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 <br \\/>\\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0686\\u0637\\u0648\\u0631 \\u0645\\u062d\\u0627\\u0633\\u0628\\u0647 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f\\u061f<br \\/><br \\/>- \\u0627\\u06af\\u0631 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0641\\u0646\\u06cc\\u060c \\u0648\\u062c\\u0648\\u062f \\u0645\\u063a\\u0627\\u06cc\\u0631\\u062a \\u0641\\u0646\\u06cc \\u06cc\\u0627 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06cc\\u0627 \\u0622\\u0633\\u06cc\\u0628 \\u062f\\u06cc\\u062f\\u06af\\u06cc \\u0638\\u0627\\u0647\\u0631\\u06cc\\u060c \\u0628\\u0647 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0628\\u0631\\u0633\\u062f\\u060c \\u0647\\u0632\\u06cc\\u0646\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0628\\u0647 \\u0639\\u0647\\u062f\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0633\\u062a.<br \\/>- \\u0628\\u0631\\u0627\\u06cc \\u0648\\u0627\\u0631\\u06cc\\u0632 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u067e\\u0633\\u062a \\u0628\\u0647 \\u062d\\u0633\\u0627\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u060c \\u0642\\u0628\\u0636 \\u067e\\u0633\\u062a\\u06cc \\u0628\\u0627 \\u0645\\u0647\\u0631 \\u0634\\u0631\\u06a9\\u062a \\u067e\\u0633\\u062a \\u0628\\u0627\\u06cc\\u062f \\u0647\\u0645\\u0631\\u0627\\u0647 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0647 \\u0634\\u0631\\u06a9\\u062a \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0634\\u0648\\u062f.\\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u062a\\u0635\\u0648\\u06cc\\u0631\\u06cc \\u0627\\u0632 \\u0631\\u0633\\u06cc\\u062f \\u062a\\u0647\\u06cc\\u0647 \\u0648 \\u0628\\u0647 \\u0622\\u062f\\u0631\\u0633 services@test.com .\\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0634\\u0648\\u062f<br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0646\\u0635\\u0631\\u0627\\u0641 \\u0627\\u0632 \\u062e\\u0631\\u06cc\\u062f\\u060c \\u06cc\\u0627 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0646\\u0634\\u062f\\u0646 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u06cc\\u0627 \\u0645\\u063a\\u0627\\u06cc\\u0631\\u062a \\u062a\\u0648\\u0633\\u0637 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0648 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0645\\u062c\\u062f\\u062f \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0628\\u0647 \\u0639\\u0647\\u062f\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0648\\u062f.<br \\/>\\u067e\\u0633 \\u0627\\u0632 \\u0631\\u0633\\u06cc\\u062f\\u0646 \\u0648 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0648\\u0633\\u0637 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u060c \\u0631\\u0648\\u0646\\u062f \\u0631\\u0633\\u06cc\\u062f\\u06af\\u06cc \\u0628\\u0647 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0686\\u06af\\u0648\\u0646\\u0647 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0648\\u062f\\u061f<br \\/><br \\/>-\\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u06cc\\u0631\\u0627\\u062f\\u0647\\u0627\\u06cc \\u0627\\u0639\\u0644\\u0627\\u0645 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0631\\u0627 \\u0628\\u0631\\u0631\\u0633\\u06cc \\u0648 \\u06a9\\u0646\\u062a\\u0631\\u0644 \\u0645\\u06cc\\u200c\\u200f\\u06a9\\u0646\\u0646\\u062f. \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0648 \\u0622\\u0633\\u06cc\\u0628 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u062a\\u0648\\u0633\\u0637 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u0647 \\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0628\\u0627\\u0634\\u062f\\u060c \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f \\u0648 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u06cc\\u062a\\u0648\\u0627\\u0646\\u062f \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0628\\u0627 \\u0645\\u062f\\u0644 \\u062f\\u06cc\\u06af\\u0631 \\u062c\\u0627\\u06cc\\u06af\\u0632\\u06cc\\u0646 \\u06a9\\u0646\\u062f\\u060c \\u0648\\u0644\\u06cc \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u0647\\u060c \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0646\\u0628\\u0627\\u0634\\u062f\\u060c \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0648\\u062c\\u0648\\u062f \\u0646\\u062f\\u0627\\u0631\\u062f \\u0648 \\u0645\\u0628\\u0644\\u063a \\u0628\\u0647 \\u062d\\u0633\\u0627\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u0631\\u062c\\u0648\\u0639 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<br \\/>\\u0644\\u0627\\u0632\\u0645 \\u0628\\u0647 \\u0630\\u06a9\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u06a9\\u0627\\u0644\\u0627 \\u0645\\u0646\\u0648\\u0637 \\u0648 \\u0645\\u0634\\u0631\\u0648\\u0637 \\u0628\\u0647 \\u0645\\u0648\\u062c\\u0648\\u062f \\u0628\\u0648\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0627\\u0646\\u0628\\u0627\\u0631 \\u0634\\u0631\\u06a9\\u062a \\u0627\\u0633\\u062a. \\u0627\\u06af\\u0631 \\u062f\\u0631 \\u0632\\u0645\\u0627\\u0646 \\u0631\\u0633\\u06cc\\u062f\\u06af\\u06cc \\u0648 \\u0637\\u06cc \\u0645\\u0631\\u0627\\u062d\\u0644 \\u062a\\u0633\\u062a \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u06cc \\u0648 \\u0627\\u0642\\u062f\\u0627\\u0645\\u0627\\u062a \\u0644\\u0627\\u0632\\u0645 \\u0628\\u0631\\u0627\\u06cc \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0645\\u0648\\u062c\\u0648\\u062f\\u06cc \\u0622\\u0646 \\u0628\\u0647 \\u0627\\u062a\\u0645\\u0627\\u0645 \\u0628\\u0631\\u0633\\u062f\\u061b \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0628\\u0646\\u0627 \\u0628\\u0647 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062f\\u06cc\\u06af\\u0631\\u06cc \\u0631\\u0627 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f \\u0648 \\u06cc\\u0627 \\u0648\\u062c\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0645\\u0631\\u062c\\u0648\\u0639\\u06cc \\u0631\\u0627 \\u0628\\u0647 \\u062d\\u0633\\u0627\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0648\\u0627\\u0631\\u06cc\\u0632 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f. \\u0628\\u062f\\u06cc\\u0647\\u06cc \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062f\\u06cc\\u06af\\u0631\\u060c \\u062a\\u0641\\u0627\\u0648\\u062a \\u0642\\u06cc\\u0645\\u062a \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062c\\u062f\\u06cc\\u062f \\u0628\\u0627 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0645\\u0631\\u062c\\u0648\\u0639\\u06cc (\\u0645\\u0628\\u0644\\u063a \\u062f\\u0631\\u062c \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631) \\u0645\\u062d\\u0627\\u0633\\u0628\\u0647 \\u0648 \\u0642\\u0628\\u0644 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062a\\u0633\\u0648\\u06cc\\u0647 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u06af\\u0631\\u0627\\u0646\\u200c\\u062a\\u0631\\u060c \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062a\\u0641\\u0627\\u0648\\u062a \\u0631\\u0627 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0627\\u0631\\u0632\\u0627\\u0646\\u200c\\u062a\\u0631\\u060c \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062a\\u0641\\u0627\\u0648\\u062a \\u0631\\u0627 \\u0628\\u0647 \\u062d\\u0633\\u0627\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0648\\u0627\\u0631\\u06cc\\u0632 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f.<br \\/>- \\u0627\\u062a\\u0645\\u0627\\u0645 \\u0645\\u0648\\u062c\\u0648\\u062f\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u06cc\\u0627 \\u062a\\u063a\\u06cc\\u06cc\\u0631\\u0627\\u062a \\u0642\\u06cc\\u0645\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0645\\u0631\\u0627\\u062d\\u0644 \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0648 \\u0645\\u0631\\u062c\\u0648\\u0639\\u06cc\\u060c \\u0628\\u0647 \\u0647\\u06cc\\u0686 \\u0639\\u0646\\u0648\\u0627\\u0646 \\u062d\\u0642\\u06cc \\u0631\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0627\\u06cc\\u062c\\u0627\\u062f \\u0646\\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f \\u0648 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u062a\\u0647\\u06cc\\u0647 \\u0647\\u0645\\u0627\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u06cc\\u0627 \\u062a\\u063a\\u06cc\\u06cc\\u0631\\u0627\\u062a \\u0642\\u06cc\\u0645\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0647\\u06cc\\u0686\\u200c\\u06af\\u0648\\u0646\\u0647 \\u062a\\u0639\\u0647\\u062f\\u06cc \\u0646\\u062f\\u0627\\u0634\\u062a\\u0647 \\u0648 \\u0641\\u0642\\u0637 \\u062a\\u0639\\u0647\\u062f \\u0628\\u0627\\u0632\\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0648\\u062c\\u0647 \\u06a9\\u0627\\u0644\\u0627 -\\u062f\\u0631\\u062c \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631- \\u0628\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u067e\\u0630\\u06cc\\u0631\\u062f.<br \\/>- \\u067e\\u0633 \\u0627\\u0632 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0648 \\u067e\\u0630\\u06cc\\u0631\\u0634 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0648\\u0633\\u0637 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0628\\u0633\\u062a\\u0647 \\u0628\\u0647 \\u0646\\u0648\\u0639 \\u0645\\u062d\\u0635\\u0648\\u0644 \\u0648 \\u0645\\u0634\\u06a9\\u0644 \\u0627\\u0639\\u0644\\u0627\\u0645 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u060c \\u062a\\u0633\\u062a \\u0648 \\u0627\\u0639\\u0644\\u0627\\u0645 \\u0646\\u0638\\u0631 \\u0646\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u060c \\u0628\\u0647 \\u0637\\u0648\\u0631 \\u0645\\u06cc\\u0627\\u0646\\u06af\\u06cc\\u0646 48 \\u0633\\u0627\\u0639\\u062a \\u06a9\\u0627\\u0631\\u06cc \\u0632\\u0645\\u0627\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0631\\u062f.<br \\/>- \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0641\\u0646\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0628\\u0631\\u0627\\u06cc \\u062a\\u0633\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\\u060c \\u0645\\u0644\\u0632\\u0645 \\u0628\\u0647 \\u0631\\u0639\\u0627\\u06cc\\u062a \\u0627\\u0633\\u062a\\u0627\\u0646\\u062f\\u0627\\u0631\\u062f\\u0647\\u0627 \\u0648 \\u062f\\u0633\\u062a\\u0648\\u0631\\u0627\\u0644\\u0639\\u0645\\u0644\\u200c\\u0647\\u0627 \\u0648 \\u0631\\u0648\\u06cc\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0627\\u0628\\u0644\\u0627\\u063a \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0634\\u0631\\u06a9\\u062a\\u200c\\u0647\\u0627\\u06cc \\u062a\\u0648\\u0644\\u06cc\\u062f \\u06a9\\u0646\\u0646\\u062f\\u0647 \\u0648 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062c\\u0627\\u0632 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0648 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0633\\u0627\\u06cc\\u062a \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0647\\u0633\\u062a\\u0646\\u062f\\u060c \\u0644\\u0630\\u0627 \\u0639\\u0644\\u06cc\\u0631\\u063a\\u0645 \\u062a\\u0635\\u0648\\u0631 \\u0622\\u0646\\u200c\\u06a9\\u0647 \\u062a\\u0633\\u062a \\u06a9\\u0627\\u0644\\u0627 (\\u062d\\u062a\\u06cc \\u0628\\u0631\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u062f\\u0647\\u0627\\u06cc \\u062e\\u06cc\\u0644\\u06cc \\u0622\\u0634\\u06a9\\u0627\\u0631) \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u062f \\u062e\\u06cc\\u0644\\u06cc \\u0633\\u0631\\u06cc\\u0639 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f\\u060c \\u0648\\u0644\\u06cc \\u062f\\u0631 \\u0639\\u0645\\u0644 \\u0631\\u0639\\u0627\\u06cc\\u062a \\u0631\\u0648\\u06cc\\u0647\\u200c\\u0647\\u0627\\u06cc \\u062a\\u0633\\u062a \\u0632\\u0645\\u0627\\u0646\\u200c\\u0628\\u0631 \\u0627\\u0633\\u062a \\u0648 \\u062f\\u0631 \\u0645\\u0648\\u0627\\u0631\\u062f\\u06cc \\u0646\\u06cc\\u0627\\u0632 \\u0628\\u0647 \\u0647\\u0645\\u0627\\u0647\\u0646\\u06af\\u06cc \\u0628\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062c\\u0627\\u0632 \\u0622\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0627\\u0631\\u062f. \\u0628\\u0647 \\u0647\\u0645\\u06cc\\u0646 \\u0639\\u0644\\u062a \\u0632\\u0645\\u0627\\u0646 \\u0627\\u0639\\u0644\\u0627\\u0645 \\u0646\\u0638\\u0631 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u06cc \\u0628\\u0631\\u0627\\u06cc \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0647 \\u0637\\u0648\\u0631 \\u0645\\u06cc\\u0627\\u0646\\u06af\\u06cc\\u0646 48 \\u0633\\u0627\\u0639\\u062a \\u06a9\\u0627\\u0631\\u06cc \\u062f\\u0631 \\u0646\\u0638\\u0631 \\u06af\\u0631\\u0641\\u062a\\u0647 \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a\\u060c \\u0648\\u0644\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u062a\\u0645\\u0627\\u0645 \\u062a\\u0644\\u0627\\u0634 \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0628\\u06a9\\u0627\\u0631 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0633\\u062a \\u062a\\u0627 \\u0633\\u0631\\u0639\\u062a \\u062a\\u0633\\u062a \\u0648 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u06cc \\u0631\\u0627 \\u0627\\u0641\\u0632\\u0627\\u06cc\\u0634 \\u062f\\u0627\\u062f\\u0647\\u060c \\u062f\\u0631 \\u06a9\\u0648\\u062a\\u0627\\u0647\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0632\\u0645\\u0627\\u0646 \\u0645\\u0645\\u06a9\\u0646 \\u0628\\u0647 \\u0646\\u06cc\\u0627\\u0632 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u062d\\u062a\\u0631\\u0645 \\u067e\\u0627\\u0633\\u062e \\u062f\\u0647\\u062f.<br \\/>- \\u0627\\u0632 \\u0647\\u0646\\u06af\\u0627\\u0645\\u06cc \\u06a9\\u0647 \\u0648\\u0636\\u0639\\u06cc\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0648\\u0627\\u062d\\u062f \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u060c \\u0645\\u0634\\u062e\\u0635 \\u0634\\u0648\\u062f\\u060c \\u0627\\u06af\\u0631 \\u0646\\u06cc\\u0627\\u0632 \\u0628\\u0647 \\u0627\\u0633\\u062a\\u0631\\u062f\\u0627\\u062f \\u0648\\u062c\\u0647 \\u0628\\u0627\\u0634\\u062f\\u060c \\u062d\\u062f\\u0627\\u06a9\\u062b\\u0631 \\u062a\\u0627 48 \\u0633\\u0627\\u0639\\u062a \\u06a9\\u0627\\u0631\\u06cc \\u0645\\u0628\\u0644\\u063a \\u0628\\u0647 \\u062d\\u0633\\u0627\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0648\\u0627\\u0631\\u06cc\\u0632 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>- \\u0645\\u0644\\u0627\\u06a9 \\u0639\\u0645\\u0644 \\u0648 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u0634\\u0631\\u06a9\\u062a\\u060c \\u0646\\u0638\\u0631 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0641\\u0646\\u06cc \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc \\u0648 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0633\\u062a.<br \\/>\\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0686\\u0637\\u0648\\u0631 \\u0628\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0647\\u06cc\\u062f\\u061f<br \\/><br \\/>\\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u06cc\\u06a9\\u06cc \\u0627\\u0632 \\u0631\\u0648\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0631\\u060c \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0647\\u06cc\\u062f:<br \\/>\\u00a0<br \\/>- \\u0628\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u062a\\u0644\\u0641\\u0646 00000000 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 (\\u062f\\u0627\\u062e\\u0644\\u06cc 2) \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f.<br \\/>- \\u06cc\\u0627 \\u067e\\u06cc\\u0627\\u0645 \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062f\\u0631 \\u0635\\u0641\\u062d\\u0647 \\\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\\\" \\u0628\\u0627 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0645\\u0648\\u0636\\u0648\\u0639 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u060c \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>- \\u06cc\\u0627 \\u0628\\u0647 cs@test.com \\u0628\\u0627 \\u0630\\u06a9\\u0631 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\\u060c \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0628\\u0632\\u0646\\u06cc\\u062f.<br \\/>\\u00a0<br \\/>\\u062a\\u0648\\u062c\\u0647: \\u062c\\u0647\\u062a \\u0631\\u0633\\u06cc\\u062f\\u06af\\u06cc \\u0628\\u0647 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a\\u060c \\u0630\\u06a9\\u0631 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062f\\u0631 \\u0647\\u0631 \\u06cc\\u06a9 \\u0627\\u0632 \\u0631\\u0648\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0628\\u0627\\u0644\\u0627 \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc \\u0627\\u0633\\u062a.<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 20:00:48\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2018-10-03 20:00:48\",\"modified_by\":null,\"checked_out\":null,\"checked_out_time\":null,\"publish_up\":\"2018-10-03 20:00:48\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":1,\"ordering\":null,\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":null,\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(7, 5, 1, '', '2018-10-03 20:02:29', 105, 11963, 'faf431135beb2a0c0acc4504e061745a591680fc', '{\"id\":5,\"asset_id\":97,\"title\":\"\\u062a\\u0636\\u0645\\u06cc\\u0646 \\u0627\\u0635\\u0627\\u0644\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0627\\u0635\\u0644\\u06cc\",\"alias\":\"\\u062a\\u0636\\u0645\\u06cc\\u0646-\\u0627\\u0635\\u0627\\u0644\\u062a-\\u06a9\\u0627\\u0644\\u0627-\\u0648-\\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc-\\u0627\\u0635\\u0644\\u06cc\",\"introtext\":\"<p style=\\\"text-align: justify;\\\">\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u061b \\u0641\\u0642\\u0637 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0627\\u0635\\u0644\\u06cc<br \\/><br \\/>\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0635\\u0627\\u0644\\u062a \\u0647\\u0645\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc\\u0634 \\u0631\\u0627 \\u062a\\u0636\\u0645\\u06cc\\u0646 \\u0648 \\u0647\\u0645\\u06c0 \\u0622\\u0646\\u200c\\u0647\\u0627 \\u0631\\u0627 \\u0628\\u0627 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0627\\u0635\\u0644\\u06cc \\u0648 \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0639\\u0631\\u0636\\u0647 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f. \\u0627\\u0632 \\u0622\\u0646\\u062c\\u0627 \\u06a9\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0628\\u0631\\u0627\\u06cc \\u062a\\u0627\\u0645\\u06cc\\u0646 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0648\\u0628\\u200c\\u0633\\u0627\\u06cc\\u062a\\u060c \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0648 \\u0648\\u0627\\u0631\\u062f\\u06a9\\u0646\\u0646\\u062f\\u06af\\u0627\\u0646 \\u0631\\u0633\\u0645\\u06cc \\u0648 \\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u0647\\u0645\\u06a9\\u0627\\u0631\\u06cc \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f\\u060c \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u0646\\u062f \\u0645\\u0637\\u0645\\u0626\\u0646 \\u0628\\u0627\\u0634\\u0646\\u062f \\u06a9\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062f\\u0627\\u0631\\u0627\\u06cc \\u0647\\u0648\\u0644\\u0648\\u06af\\u0631\\u0627\\u0645 \\u0648 \\u0628\\u0631\\u0686\\u0633\\u0628 \\u0645\\u0639\\u062a\\u0628\\u0631 \\u06a9\\u0647 \\u0647\\u06cc\\u0686\\u06af\\u0648\\u0646\\u0647 \\u062f\\u062e\\u0644 \\u0648 \\u062a\\u0635\\u0631\\u0641\\u06cc \\u062f\\u0631 \\u0622\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0646\\u06af\\u0631\\u0641\\u062a\\u0647 \\u0648 \\u0627\\u0632 \\u0645\\u062c\\u0627\\u0631\\u06cc \\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0634\\u0648\\u0631 \\u0634\\u062f\\u0647\\u200c\\u0627\\u0633\\u062a\\u060c \\u0631\\u0627 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u0646\\u062f. \\u0634\\u0631\\u06a9\\u062a\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062f\\u0627\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0644\\u0627\\u0632\\u0645 \\u0628\\u0631\\u0627\\u06cc \\u0648\\u0627\\u0631\\u062f\\u0627\\u062a \\u0631\\u0633\\u0645\\u06cc \\u0646\\u06cc\\u0633\\u062a\\u0646\\u062f \\u0648 \\u06cc\\u0627 \\u0645\\u062c\\u0648\\u0632 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc \\u0631\\u0633\\u0645\\u06cc \\u0646\\u062f\\u0627\\u0631\\u0646\\u062f \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0648\\u0627\\u0631\\u062f\\u0627\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0646\\u062f\\u0627\\u0631\\u0646\\u062f \\u0648 \\u0641\\u0639\\u0627\\u0644\\u06cc\\u062a \\u0622\\u0646\\u200c\\u0647\\u0627 \\u063a\\u06cc\\u0631\\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u0645\\u062d\\u0633\\u0648\\u0628 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f. \\u0630\\u06a9\\u0631 \\u0627\\u06cc\\u0646 \\u0646\\u06a9\\u062a\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646\\u062c\\u0627 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u06a9\\u0634\\u0648\\u0631 \\u0633\\u0627\\u0632\\u0646\\u062f\\u0647 \\u0631\\u0648\\u06cc \\u0627\\u0635\\u0627\\u0644\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0627\\u062b\\u06cc\\u0631\\u06cc \\u0646\\u062f\\u0627\\u0631\\u062f \\u0648 \\u0627\\u06cc\\u0646 \\u0628\\u0631\\u0646\\u062f \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u06a9\\u06cc\\u0641\\u06cc\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u062a\\u0639\\u06cc\\u06cc\\u0646 \\u0645\\u06cc\\u200f\\u200c\\u06a9\\u0646\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u0646\\u0645\\u0648\\u0646\\u0647 \\u062f\\u0631 \\u062d\\u0627\\u0644 \\u062d\\u0627\\u0636\\u0631 \\u0628\\u0633\\u06cc\\u0627\\u0631\\u06cc \\u0627\\u0632 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u0645\\u0648\\u062c\\u0648\\u062f \\u062f\\u0631 \\u0628\\u0627\\u0632\\u0627\\u0631 \\u0627\\u06cc\\u0631\\u0627\\u0646 \\u0648 \\u0633\\u0627\\u06cc\\u0631 \\u06a9\\u0634\\u0648\\u0631\\u0647\\u0627 \\u0633\\u0627\\u062e\\u062a \\u0686\\u06cc\\u0646 \\u0647\\u0633\\u062a\\u0646\\u062f \\u0648 \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0647 \\u062f\\u0644\\u06cc\\u0644 \\u062e\\u0637 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0627\\u0631\\u0632\\u0627\\u0646\\u200f\\u200c\\u062a\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u06a9\\u0634\\u0648\\u0631 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0634\\u062f\\u0647\\u200c\\u0627\\u0646\\u062f.<br \\/>\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u061b \\u0641\\u0642\\u0637 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0627\\u0635\\u0644\\u06cc<br \\/><br \\/>\\u0634\\u0631\\u06a9\\u062a\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0641 \\u0648\\u0632\\u0627\\u0631\\u062a \\u0635\\u0646\\u0639\\u062a\\u060c \\u0645\\u0639\\u062f\\u0646 \\u0648 \\u062a\\u062c\\u0627\\u0631\\u062a \\u0628\\u0647 \\u0639\\u0646\\u0648\\u0627\\u0646 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u0646\\u062f\\u06af\\u0627\\u0646 \\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u062f\\u0631 \\u06a9\\u0634\\u0648\\u0631 \\u0641\\u0639\\u0627\\u0644\\u06cc\\u062a \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u0646\\u062f \\u0648 \\u0627\\u0633\\u0627\\u0645\\u06cc \\u0622\\u0646\\u0647\\u0627 \\u062f\\u0631 \\u0633\\u0627\\u06cc\\u062a \\u0627\\u06cc\\u0646 \\u0648\\u0632\\u0627\\u0631\\u062a\\u200c\\u062e\\u0627\\u0646\\u0647 \\u0630\\u06a9\\u0631 \\u0634\\u062f\\u0647\\u060c \\u0628\\u0627\\u06cc\\u062f \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0648 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0646\\u06cc\\u0632 \\u0627\\u0631\\u0627\\u0626\\u0647 \\u06a9\\u0646\\u0646\\u062f. \\u0628\\u0646\\u0627\\u0628\\u0631\\u0627\\u06cc\\u0646 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0627\\u06cc\\u0646\\u06af\\u0648\\u0646\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u200c\\u0647\\u0627\\u060c \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0645\\u062d\\u0633\\u0648\\u0628 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f. \\u0628\\u0647 \\u0627\\u06cc\\u0646 \\u062a\\u0631\\u062a\\u06cc\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646\\u06cc \\u06a9\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0628\\u06cc\\u200c\\u0646\\u0627\\u0645 \\u0648 \\u0646\\u0634\\u0627\\u0646 \\u0622\\u0646\\u0647\\u0627 \\u0631\\u0627 \\u0633\\u0631\\u062f\\u0631\\u06af\\u0645 \\u06a9\\u0631\\u062f\\u0647 \\u0627\\u0633\\u062a\\u060c \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u0646\\u062f \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0631\\u0627 \\u0627\\u0632 \\u0646\\u0627\\u0645\\u0639\\u062a\\u0628\\u0631 \\u0634\\u0646\\u0627\\u0633\\u0627\\u06cc\\u06cc \\u06a9\\u0646\\u0646\\u062f. \\u062a\\u0645\\u0627\\u0645\\u06cc \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0648\\u0628\\u200c\\u0633\\u0627\\u06cc\\u062a \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u0627\\u0646 \\u0631\\u0633\\u0645\\u06cc \\u0622\\u0646 \\u0628\\u0631\\u0646\\u062f \\u062f\\u0631 \\u0627\\u06cc\\u0631\\u0627\\u0646 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0634\\u062f\\u0647\\u200c\\u0627\\u0646\\u062f \\u0648 \\u0628\\u0627 \\u0627\\u062e\\u0630 \\u0645\\u062c\\u0648\\u0632\\u0647\\u0627\\u06cc \\u0644\\u0627\\u0632\\u0645\\u060c \\u0627\\u0632 \\u0645\\u0628\\u0627\\u062f\\u06cc \\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0634\\u0648\\u0631 \\u0634\\u062f\\u0647\\u200c\\u0627\\u0646\\u062f. \\u0644\\u0627\\u0632\\u0645 \\u0628\\u0647 \\u0630\\u06a9\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0644\\u06cc\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u0645\\u0634\\u0645\\u0648\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u067e\\u0633 \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0628\\u0647 \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0648 \\u0639\\u062f\\u0645 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0645\\u0647\\u0644\\u062a 7 \\u0631\\u0648\\u0632 \\u0636\\u0645\\u0627\\u0646\\u062a \\u0628\\u0627\\u0632\\u06af\\u0634\\u062a\\u060c \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0628\\u0627 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0648 \\u0627\\u0634\\u06a9\\u0627\\u0644 \\u0627\\u0639\\u0645 \\u0627\\u0632 \\u0646\\u0631\\u0645\\u200c\\u0627\\u0641\\u0632\\u0627\\u0631\\u06cc \\u0648 \\u0633\\u062e\\u062a\\u200c\\u0627\\u0641\\u0632\\u0627\\u0631\\u06cc \\u0648 \\u0633\\u0627\\u06cc\\u0631 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0645\\u0648\\u0627\\u062c\\u0647 \\u0634\\u0648\\u0646\\u062f\\u060c \\u0628\\u0631\\u0631\\u0633\\u06cc \\u0645\\u0633\\u0627\\u0644\\u0647 \\u062f\\u0631 \\u062d\\u0648\\u0632\\u0647 \\u0635\\u0644\\u0627\\u062d\\u06cc\\u062a \\u0634\\u0631\\u06a9\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc\\u200c\\u06a9\\u0646\\u0646\\u062f\\u0647 \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0627\\u0633\\u062a \\u0648 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0647\\u06cc\\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u0645\\u0634\\u06a9\\u0644\\u0627\\u062a \\u0645\\u0632\\u0628\\u0648\\u0631 \\u0646\\u062e\\u0648\\u0627\\u0647\\u062f \\u062f\\u0627\\u0634\\u062a. \\u0628\\u0646\\u0627\\u0628\\u0631\\u0627\\u06cc\\u0646 \\u06a9\\u0644\\u06cc\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062f\\u0631 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0631\\u0636\\u0647 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f \\u0627\\u0635\\u0644\\u06cc \\u0647\\u0633\\u062a\\u0646\\u062f \\u0648 \\u0628\\u0647 \\u0647\\u06cc\\u0686 \\u0639\\u0646\\u0648\\u0627\\u0646 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u06a9\\u0631\\u062f\\u0647 \\u0648 \\u06cc\\u0627 \\u063a\\u06cc\\u0631\\u0627\\u0635\\u0644\\u06cc \\u062f\\u0631 \\u0633\\u0627\\u06cc\\u062a \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634 \\u0646\\u0645\\u06cc\\u200c\\u0631\\u0633\\u062f. \\u0627\\u0632 \\u0627\\u06cc\\u0646 \\u0631\\u0648 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0635\\u0644 \\u0628\\u0648\\u062f\\u0646 \\u0647\\u0645\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0645\\u0648\\u062c\\u0648\\u062f \\u062f\\u0631 \\u0648\\u0628\\u200c\\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627 \\u062a\\u0636\\u0645\\u06cc\\u0646 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f.<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 20:02:29\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2018-10-03 20:02:29\",\"modified_by\":null,\"checked_out\":null,\"checked_out_time\":null,\"publish_up\":\"2018-10-03 20:02:29\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":1,\"ordering\":null,\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":null,\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(8, 1, 1, '', '2018-10-03 20:03:22', 105, 49024, '3d5381dd91aec0792e2cd4b6d2105fdcf0e90d75', '{\"id\":1,\"asset_id\":\"92\",\"title\":\"\\u0631\\u0648\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644\",\"alias\":\"\\u0631\\u0648\\u0634\\u200c\\u0647\\u0627\\u06cc-\\u0627\\u0631\\u0633\\u0627\\u0644\",\"introtext\":\"<p style=\\\"text-align: justify;\\\">\\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0641\\u0642\\u0637 \\u06cc\\u06a9 \\u0645\\u062a\\u0646 \\u0622\\u0632\\u0645\\u0627\\u06cc\\u0634\\u06cc \\u0627\\u0633\\u062a......<\\/p>\\r\\n<p style=\\\"text-align: justify;\\\">\\u062f\\u0631 \\u0631\\u0648\\u0632\\u0647\\u0627\\u06cc \\u0639\\u0627\\u062f\\u06cc\\u060c \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c \\u0637\\u0628\\u0642 \\u0631\\u0648\\u06cc\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0631 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<br \\/><br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u062a\\u0647\\u0631\\u0627\\u0646<br \\/><br \\/>\\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627 \\u062f\\u0631 \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0645\\u0637\\u0627\\u0628\\u0642 \\u0628\\u0627\\u0632\\u0647 \\u0632\\u0645\\u0627\\u0646\\u06cc \\u06a9\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062b\\u0628\\u062a \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u0646\\u062f\\u060c \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062f\\u0627\\u062f\\u0647 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062f\\u0631 \\u0647\\u0645\\u0647 \\u0631\\u0648\\u0632\\u0647\\u0627\\u06cc \\u0647\\u0641\\u062a\\u0647 \\u0648\\u062c\\u0648\\u062f \\u062f\\u0627\\u0631\\u062f \\u0648 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u200c\\u200c\\u200c\\u0647\\u0627\\u06cc \\u0628\\u0627 \\u0627\\u0631\\u0632\\u0634 \\u0628\\u06cc\\u0634 \\u0627\\u0632 \\u06cc\\u06a9\\u0635\\u062f \\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u062f\\u0631 \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f.<br \\/>\\u062f\\u0631 \\u0627\\u06cc\\u0627\\u0645 \\u062c\\u0634\\u0646\\u0648\\u0627\\u0631\\u0647\\u060c \\u062c\\u0647\\u062a \\u0631\\u0641\\u0627\\u0647 \\u0648 \\u0622\\u0633\\u0648\\u062f\\u06af\\u06cc \\u062d\\u0627\\u0644 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0639\\u0632\\u06cc\\u0632 \\u0633\\u0627\\u06a9\\u0646 \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646\\u060c \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062a\\u0648\\u0633\\u0637 \\u067e\\u0633\\u062a (\\u0639\\u0644\\u0627\\u0648\\u0647 \\u0628\\u0631 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633) \\u0646\\u06cc\\u0632 \\u0648\\u062c\\u0648\\u062f \\u062e\\u0648\\u0627\\u0647\\u062f \\u062f\\u0627\\u0634\\u062a \\u0648 \\u0647\\u0645\\u0627\\u0646\\u0646\\u062f \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0627\\u0631\\u0632\\u0634 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u06cc\\u0634 \\u0627\\u0632 \\u06cc\\u06a9\\u0635\\u062f \\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u0628\\u0627\\u0634\\u062f \\u060c \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0622\\u0646 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0633\\u062a \\u0648\\u0644\\u06cc \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0631 \\u06cc\\u06a9\\u0635\\u062f\\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u0645\\u0637\\u0627\\u0628\\u0642 \\u062a\\u0639\\u0631\\u0641\\u0647 \\u067e\\u0633\\u062a \\u062f\\u0631 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062b\\u0628\\u062a \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f \\u0648 \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0622\\u0646\\u0644\\u0627\\u06cc\\u0646 (\\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc) \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0627 \\u0627\\u06cc\\u0646 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u0634\\u0648\\u0646\\u062f \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc \\u0627\\u0633\\u062a.<br \\/>\\u0627\\u06cc\\u0646 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627 \\u0628\\u0627 \\u0632\\u0645\\u0627\\u0646 \\u062a\\u0642\\u0631\\u06cc\\u0628\\u06cc \\u0628\\u06cc\\u0646 1 \\u062a\\u0627 4 \\u0631\\u0648\\u0632 \\u06a9\\u0627\\u0631\\u06cc \\u0648 \\u0628\\u0627 \\u0642\\u0627\\u0628\\u0644\\u06cc\\u062a \\u0631\\u0647\\u06af\\u06cc\\u0631\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0648 \\u0628\\u062f\\u0648\\u0646 \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0628\\u0627\\u0632\\u0647\\u200c\\u06cc \\u0632\\u0645\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u06a9\\u0631\\u062c<br \\/>\\u062a\\u0628\\u0631\\u06cc\\u0632\\u060c \\u06a9\\u0631\\u0645\\u0627\\u0646\\u0634\\u0627\\u0647\\u060c \\u0642\\u0645\\u060c \\u06cc\\u0632\\u062f\\u060c \\u0642\\u0632\\u0648\\u06cc\\u0646\\u060c \\u0632\\u0646\\u062c\\u0627\\u0646\\u060c \\u0627\\u0631\\u062f\\u0628\\u06cc\\u0644\\u060c \\u06af\\u0631\\u06af\\u0627\\u0646\\u060c \\u0627\\u0631\\u0648\\u0645\\u06cc\\u0647\\u060c \\u0627\\u0631\\u0627\\u06a9\\u060c \\u062e\\u0631\\u0645 \\u0622\\u0628\\u0627\\u062f<br \\/>\\u0645\\u0634\\u0647\\u062f\\u060c \\u0627\\u0647\\u0648\\u0627\\u0632\\u060c \\u0634\\u06cc\\u0631\\u0627\\u0632\\u060c \\u06a9\\u0631\\u0645\\u0627\\u0646\\u060c \\u0628\\u0646\\u062f\\u0631\\u0639\\u0628\\u0627\\u0633\\u060c \\u0632\\u0627\\u0647\\u062f\\u0627\\u0646<br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u0627\\u0635\\u0641\\u0647\\u0627\\u0646<br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u06af\\u06cc\\u0644\\u0627\\u0646<br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u0645\\u0627\\u0632\\u0646\\u062f\\u0631\\u0627\\u0646<br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u0647\\u0645\\u062f\\u0627\\u0646<br \\/>\\u0646\\u06a9\\u0627\\u062a<br \\/><br \\/>- \\u062f\\u0631 \\u0631\\u0627\\u0628\\u0637\\u0647 \\u0628\\u0627 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u06cc\\u0646 \\u0645\\u0627\\u0645\\u0648\\u0631\\u0627\\u0646 \\u062a\\u0648\\u0632\\u06cc\\u0639 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u062a\\u0633\\u0647\\u06cc\\u0644 \\u0641\\u0631\\u0627\\u06cc\\u0646\\u062f \\u062e\\u0631\\u06cc\\u062f \\u0648 \\u0647\\u0645\\u0631\\u0627\\u0647\\u06cc \\u0628\\u06cc\\u0634\\u200c\\u062a\\u0631 \\u0628\\u0627 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646\\u060c \\u062a\\u0639\\u062f\\u0627\\u062f \\u0632\\u06cc\\u0627\\u062f\\u06cc \\u0627\\u0632 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627 \\u0631\\u0627 \\u062f\\u0631\\u0628 \\u0648\\u0627\\u062d\\u062f \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0645\\u06cc\\u200c\\u062f\\u0627\\u062f\\u0646\\u062f\\u060c \\u0627\\u0645\\u0627 \\u062f\\u0631\\u062d\\u0627\\u0644 \\u062d\\u0627\\u0636\\u0631 \\u0645\\u062d\\u0644 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u0647 \\u062f\\u0631\\u0628 \\u0627\\u0635\\u0644\\u06cc \\u0633\\u0627\\u062e\\u062a\\u0645\\u0627\\u0646 (\\u0645\\u0646\\u062a\\u0647\\u06cc \\u0628\\u0647 \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646) \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u067e\\u06cc\\u062f\\u0627 \\u06a9\\u0631\\u062f\\u0647 \\u0627\\u0633\\u062a. \\u062f\\u0644\\u06cc\\u0644 \\u0627\\u062a\\u062e\\u0627\\u0630 \\u0627\\u06cc\\u0646 \\u062a\\u0635\\u0645\\u06cc\\u0645 \\u0628\\u0647 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0634\\u06a9\\u0627\\u06cc\\u0627\\u062a \\u0645\\u062a\\u0639\\u062f\\u062f \\u0627\\u0632 \\u0645\\u062f\\u06cc\\u0631\\u0627\\u0646 \\u0633\\u0627\\u062e\\u062a\\u0645\\u0627\\u0646\\u200c\\u0647\\u0627\\u060c \\u0628\\u0631\\u062e\\u06cc \\u0645\\u062d\\u062f\\u0648\\u062f\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0648\\u062c\\u0648\\u062f \\u0648 \\u0627\\u062c\\u062a\\u0646\\u0627\\u0628 \\u0627\\u0632 \\u0645\\u0648\\u0627\\u0631\\u062f\\u06cc \\u06a9\\u0647 \\u0648\\u0631\\u0648\\u062f \\u0628\\u0647 \\u0633\\u0627\\u062e\\u062a\\u0645\\u0627\\u0646\\u200c\\u0647\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u062f \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u062f\\u060c \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f. \\u0627\\u0632 \\u062c\\u0645\\u0644\\u0647\\u200c\\u06cc \\u0627\\u06cc\\u0646 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646 \\u0628\\u0647 \\u0642\\u0648\\u0627\\u0646\\u06cc\\u0646 \\u0645\\u062d\\u062f\\u0648\\u062f\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0634\\u062e\\u0635\\u06cc \\u0648 \\u062e\\u0635\\u0648\\u0635\\u06cc\\u060c \\u0641\\u0636\\u0627\\u0647\\u0627\\u06cc \\u0645\\u0634\\u062a\\u0631\\u06a9 \\u0622\\u067e\\u0627\\u0631\\u062a\\u0645\\u0627\\u0646\\u200c\\u0647\\u0627 \\u0648 \\u0648\\u0631\\u0648\\u062f \\u0628\\u0647 \\u0628\\u0631\\u062e\\u06cc \\u0645\\u062c\\u062a\\u0645\\u0639\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0633\\u06a9\\u0648\\u0646\\u06cc\\u060c \\u0627\\u0645\\u0627\\u06a9\\u0646 \\u062a\\u062c\\u0627\\u0631\\u06cc\\u060c \\u0641\\u0631\\u0647\\u0646\\u06af\\u06cc \\u06cc\\u0627 \\u062f\\u0648\\u0644\\u062a\\u06cc\\u060c \\u0627\\u0634\\u0627\\u0631\\u0647 \\u06a9\\u0631\\u062f.<br \\/>\\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0641\\u0642\\u0637 \\u0634\\u0627\\u0645\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u200c\\u200c\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u0628\\u0627 \\u0627\\u0631\\u0632\\u0634 \\u0628\\u06cc\\u0634 \\u0627\\u0632 \\u06cc\\u06a9\\u0635\\u062f \\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u0648 \\u062f\\u0631 \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f. \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0631 \\u06cc\\u06a9\\u0635\\u062f \\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0647\\u0645\\u0647 \\u0646\\u0642\\u0627\\u0637 \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 4500 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u062b\\u0627\\u0628\\u062a \\u0627\\u0633\\u062a.<br \\/>- \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633\\u060c 8000 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u062b\\u0627\\u0628\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u0631 \\u0646\\u0642\\u0627\\u0637 \\u06a9\\u0634\\u0648\\u0631 \\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u062a\\u0639\\u0631\\u0641\\u0647 \\u067e\\u0633\\u062a \\u0627\\u0633\\u062a.<br \\/>- \\u0627\\u06af\\u0631 \\u0645\\u0628\\u0644\\u063a \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0632 \\u067e\\u06cc\\u0634 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0634\\u062f\\u0647 \\u0628\\u0627\\u0634\\u062f\\u060c \\u0635\\u0627\\u062d\\u0628 \\u067e\\u0631\\u0648\\u0641\\u0627\\u06cc\\u0644 \\u06cc\\u0627 \\u0634\\u062e\\u0635 \\u062f\\u06cc\\u06af\\u0631\\u06cc \\u06a9\\u0647 \\u0635\\u0627\\u062d\\u0628 \\u067e\\u0631\\u0648\\u0641\\u0627\\u06cc\\u0644 \\u0646\\u0627\\u0645\\u060c \\u0622\\u062f\\u0631\\u0633 \\u0648 \\u062a\\u0644\\u0641\\u0646 \\u0648\\u06cc \\u0631\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0631\\u062f\\u0647 \\u0627\\u0633\\u062a\\u060c \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0627\\u06cc\\u062f \\u06a9\\u0627\\u0631\\u062a \\u0634\\u0646\\u0627\\u0633\\u0627\\u06cc\\u06cc \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0645\\u0627\\u0646\\u0646\\u062f \\u06a9\\u0627\\u0631\\u062a \\u0645\\u0644\\u06cc \\u0647\\u0645\\u0631\\u0627\\u0647 \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u062f.<br \\/>- \\u0628\\u0647 \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u0627\\u0646 \\u06a9\\u0641\\u0634 \\u062a\\u0648\\u0635\\u06cc\\u0647 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f \\u0628\\u0631\\u0627\\u06cc \\u062a\\u0633\\u062a \\u0633\\u0627\\u06cc\\u0632 \\u0627\\u0632 \\u062f\\u0642\\u0627\\u06cc\\u0642\\u06cc \\u06a9\\u0647 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0627\\u062e\\u062a\\u06cc\\u0627\\u0631 \\u062f\\u0627\\u0631\\u0646\\u062f\\u060c \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u06a9\\u0646\\u0646\\u062f.<br \\/>- \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u062f\\u0631 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u062a\\u0637\\u0627\\u0628\\u0642 \\u062a\\u0639\\u062f\\u0627\\u062f \\u0627\\u0642\\u0644\\u0627\\u0645 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u0627 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631\\u060c \\u062f\\u0631 \\u062d\\u0636\\u0648\\u0631 \\u0647\\u0645\\u06a9\\u0627\\u0631\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u06a9\\u0646\\u062a\\u0631\\u0644 \\u0634\\u0648\\u062f.<br \\/>- \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0631\\u0639\\u062a \\u0648 \\u0633\\u0647\\u0648\\u0644\\u062a \\u0631\\u0633\\u06cc\\u062f\\u06af\\u06cc \\u0628\\u0647 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a\\u200c \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u062f\\u0631 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633\\u060c \\u062f\\u0631 \\u0632\\u0645\\u06cc\\u0646\\u0647 \\u0622\\u0633\\u06cc\\u0628\\u200f\\u200f \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0627\\u06a9\\u06cc\\u062f\\u0627\\u064b \\u062a\\u0648\\u0635\\u06cc\\u0647 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f \\u067e\\u0633 \\u0627\\u0632 \\u062a\\u06a9\\u0645\\u06cc\\u0644 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0648 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0648 \\u0638\\u0627\\u0647\\u0631\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a\\u06cc \\u062f\\u0631 \\u062d\\u0636\\u0648\\u0631 \\u0647\\u0645\\u06a9\\u0627\\u0631\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0686\\u06a9 \\u0634\\u0648\\u062f \\u06cc\\u0627 \\u0627\\u06cc\\u0646\\u06a9\\u0647 \\u0628\\u0647 \\u0645\\u062d\\u0636 \\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0622\\u0633\\u06cc\\u0628 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u060c \\u062f\\u0631 \\u0627\\u0648\\u0644\\u06cc\\u0646 \\u0641\\u0631\\u0635\\u062a \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u062a\\u0644\\u0641\\u0646 000000000 \\u062f\\u0627\\u062e\\u0644\\u06cc \\u0634\\u0645\\u0627\\u0631\\u0647 2\\u060c \\u06cc\\u0627 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0635\\u0641\\u062d\\u0647 \\\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\\\" \\u0627\\u06cc\\u0646 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0628\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0627\\u062f\\u0647 \\u0634\\u0648\\u062f.<br \\/>\\u062f\\u0627\\u062e\\u0644\\u06cc \\u0634\\u0645\\u0627\\u0631\\u0647 2\\u060c \\u06cc\\u0627 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0635\\u0641\\u062d\\u0647 \\\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\\\" \\u0627\\u06cc\\u0646 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0628\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0627\\u062f\\u0647 \\u0634\\u0648\\u062f.<br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u06af\\u0631\\u0648\\u0647 \\u0641\\u0631\\u0634 \\u062a\\u0648\\u0633\\u0637 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631 \\u062d\\u0636\\u0648\\u0631 \\u0645\\u0627\\u0645\\u0648\\u0631 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634\\u060c \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0631\\u0631\\u0633\\u06cc \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0645\\u0634\\u06a9\\u0644 \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u0622\\u0646 \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc \\u06a9\\u0646\\u062f. \\u0628\\u062f\\u06cc\\u0647\\u06cc \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0628\\u0647 \\u0645\\u0646\\u0632\\u0644\\u0647 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0622\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0648\\u062f.<br \\/>- \\u0628\\u0627\\u0632 \\u06a9\\u0631\\u062f\\u0646 \\u062c\\u0639\\u0628\\u0647 \\u0648 \\u0646\\u0635\\u0628 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u0634\\u0648\\u0646\\u062f (\\u0645\\u0627\\u0646\\u0646\\u062f \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0638\\u0631\\u0641\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u06cc\\u062e\\u0686\\u0627\\u0644\\u060c \\u0641\\u0631\\u06cc\\u0632\\u0631\\u060c \\u0622\\u0628\\u0633\\u0631\\u062f\\u06a9\\u0646\\u060c \\u0645\\u0627\\u06cc\\u06a9\\u0631\\u0648\\u0648\\u06cc\\u0648 \\u0648 \\u0646\\u0638\\u06cc\\u0631 \\u0622\\u0646) \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0645\\u062c\\u0627\\u0632 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u0627\\u06cc\\u0646 \\u0645\\u0646\\u0638\\u0648\\u0631 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc \\u0645\\u062c\\u0627\\u0632 \\u0622\\u0646 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f. \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u06cc\\u0627 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0627\\u0632 \\u0628\\u06cc\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0631\\u0641\\u062a.<br \\/>- \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f \\u06cc\\u0627 \\u0645\\u0628\\u0644\\u063a \\u0622\\u0646\\u0647\\u0627 \\u0628\\u06cc\\u0634\\u062a\\u0631 \\u0627\\u0632 \\u0633\\u06cc \\u0645\\u06cc\\u0644\\u06cc\\u0648\\u0646 \\u0631\\u06cc\\u0627\\u0644 \\u0627\\u0633\\u062a\\u060c \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644\\u060c \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u062a\\u0633\\u0648\\u06cc\\u0647 \\u0634\\u0648\\u0646\\u062f.<br \\/>- \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062f\\u0631 \\u0627\\u0645\\u0627\\u06a9\\u0646 \\u0639\\u0645\\u0648\\u0645\\u06cc \\u0647\\u0645\\u0686\\u0648\\u0646 \\u06a9\\u0627\\u0641\\u0647\\u060c \\u06a9\\u0627\\u0641\\u06cc \\u0646\\u062a\\u060c \\u0631\\u0633\\u062a\\u0648\\u0631\\u0627\\u0646\\u060c \\u0647\\u062a\\u0644 \\u0648 \\u0645\\u0627\\u0646\\u0646\\u062f \\u0622\\u0646 \\u0627\\u0645\\u06a9\\u0627\\u0646\\u200c\\u067e\\u0630\\u06cc\\u0631 \\u0646\\u06cc\\u0633\\u062a \\u0648 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0622\\u062f\\u0631\\u0633 \\u062a\\u062d\\u0648\\u06cc\\u0644\\u060c \\u062f\\u0642\\u06cc\\u0642 \\u0648 \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0646\\u0627\\u062f \\u0628\\u0627\\u0634\\u062f.<br \\/>\\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u062e\\u0627\\u0631\\u062c \\u0627\\u0632 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062f\\u0631 \\u0646\\u0638\\u0631 \\u06af\\u0631\\u0641\\u062a\\u0647 \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a.<br \\/>\\u067e\\u0633 \\u0627\\u0632 \\u067e\\u0631\\u062f\\u0627\\u0632\\u0634 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0648 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0628\\u0647 \\u067e\\u0633\\u062a\\u060c \\u0632\\u0645\\u0627\\u0646 \\u062a\\u0642\\u0631\\u06cc\\u0628\\u06cc \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0631\\u0633\\u0627\\u0644\\u06cc \\u0628\\u0646\\u0627 \\u0628\\u0647 \\u0645\\u062d\\u062f\\u0648\\u062f\\u0647 \\u062c\\u063a\\u0631\\u0627\\u0641\\u06cc\\u0627\\u06cc\\u06cc \\u0648 \\u0645\\u0642\\u0635\\u062f \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u06cc\\u0646 \\u0627 \\u062a\\u0627 4 \\u0631\\u0648\\u0632 \\u06a9\\u0627\\u0631\\u06cc \\u0627\\u0633\\u062a.<br \\/>\\u0628\\u0631\\u062e\\u06cc \\u0627\\u0632 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627 \\u062f\\u0631 \\u0641\\u0631\\u0648\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0648\\u06cc\\u0698\\u0647 \\u0648 \\u0637\\u0631\\u062d\\u200c\\u0647\\u0627\\u06cc \\u062a\\u0634\\u0648\\u06cc\\u0642\\u06cc \\u0641\\u0631\\u0648\\u0634 \\u0645\\u0645\\u06a9\\u0646 \\u0627\\u0633\\u062a \\u0641\\u0642\\u0637 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0634\\u0648\\u0646\\u062f\\u060c \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0627\\u06cc\\u0646 \\u0645\\u0648\\u0636\\u0648\\u0639 \\u062f\\u0631 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062b\\u0628\\u062a \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0628\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u06a9\\u0627\\u0631\\u0628\\u0631 \\u0645\\u06cc\\u200c\\u0631\\u0633\\u062f.<br \\/>\\u00a0<br \\/>\\u062f\\u0631 \\u0645\\u0648\\u0631\\u062f \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u06af\\u0631\\u0648\\u0647 \\u0641\\u0631\\u0634\\u060c \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0627\\u06cc\\u0631\\u0627\\u062f \\u062f\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u067e\\u0633\\u062a \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062f\\u0627\\u062f\\u0647 \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a\\u060c \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u0648\\u0638\\u0641 \\u0627\\u0633\\u062a \\u0647\\u0645\\u0627\\u0646 \\u0631\\u0648\\u0632 \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u0622\\u0646 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u06a9\\u0646\\u062f.<br \\/>\\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0645\\u0646\\u062a\\u0638\\u0631 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062e\\u0648\\u062f \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u067e\\u0633\\u062a \\u0647\\u0633\\u062a\\u06cc\\u062f\\u060c \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0645\\u0631\\u0633\\u0648\\u0644\\u0647 \\u0631\\u0627 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0633\\u0627\\u06cc\\u062a \\u0634\\u0631\\u06a9\\u062a \\u067e\\u0633\\u062a \\u0628\\u0647 \\u0622\\u062f\\u0631\\u0633 \\u0632\\u06cc\\u0631 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u06a9\\u0646\\u06cc\\u062f:<br \\/><br \\/>http:\\/\\/itemtracking.post.ir<br \\/>\\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u0633\\u0646\\u06af\\u06cc\\u0646 \\u06cc\\u0627 \\u062d\\u062c\\u06cc\\u0645<br \\/><br \\/>- \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062e\\u0627\\u0646\\u06af\\u06cc \\u0633\\u0646\\u06af\\u06cc\\u0646 \\u0648 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u062d\\u062c\\u06cc\\u0645 \\u06cc\\u0627 \\u0628\\u0632\\u0631\\u06af \\u0632\\u06cc\\u0631\\u060c \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u067e\\u0633\\u200c\\u06a9\\u0631\\u0627\\u06cc\\u0647 (\\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06a9\\u0627\\u0644\\u0627) \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u0644\\u0627\\u0632\\u0645 \\u0628\\u0647 \\u0630\\u06a9\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062e\\u0627\\u0646\\u06af\\u06cc \\u0630\\u06cc\\u0644\\u060c \\u062f\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0648 \\u062d\\u0648\\u0645\\u0647 (\\u0627\\u0633\\u0644\\u0627\\u0645 \\u0634\\u0647\\u0631\\u060c \\u0642\\u0631\\u0686\\u06a9\\u060c \\u0648\\u0631\\u0627\\u0645\\u06cc\\u0646\\u060c \\u0631\\u0628\\u0627\\u0637 \\u06a9\\u0631\\u06cc\\u0645\\u060c \\u0634\\u0647\\u0631 \\u0642\\u062f\\u0633\\u060c \\u0634\\u0647\\u0631\\u06cc\\u0627\\u0631\\u060c \\u0645\\u0644\\u0627\\u0631\\u062f\\u060c \\u0646\\u0633\\u06cc\\u0645 \\u0634\\u0647\\u0631\\u060c \\u067e\\u0627\\u06a9\\u062f\\u0634\\u062a\\u060c \\u0627\\u0646\\u062f\\u06cc\\u0634\\u0647\\u060c \\u0628\\u0627\\u0642\\u0631 \\u0634\\u0647\\u0631\\u060c \\u0686\\u0647\\u0627\\u0631\\u062f\\u0627\\u0646\\u06af\\u0647\\u060c \\u067e\\u06cc\\u0634\\u0648\\u0627\\u060c \\u067e\\u0631\\u062f\\u06cc\\u0633\\u060c \\u06a9\\u0647\\u0631\\u06cc\\u0632\\u06a9\\u060c \\u0641\\u0634\\u0645 \\u0648 \\u0634\\u0647\\u0631 \\u062c\\u062f\\u06cc\\u062f \\u067e\\u0631\\u0646\\u062f) \\u0648 \\u0628\\u06cc\\u0634\\u062a\\u0631 \\u0645\\u0646\\u0627\\u0637\\u0642 \\u0627\\u0633\\u062a\\u0627\\u0646 \\u0627\\u0644\\u0628\\u0631\\u0632 (\\u0628\\u0647 \\u063a\\u06cc\\u0631 \\u0627\\u0632 \\u0647\\u0634\\u062a\\u06af\\u0631\\u062f\\u060c \\u06a9\\u0631\\u062f\\u0627\\u0646\\u060c \\u0646\\u0638\\u0631\\u0622\\u0628\\u0627\\u062f \\u0648 \\u0628\\u0631\\u063a\\u0627\\u0646) \\u062a\\u0648\\u0633\\u0637 \\u062a\\u06cc\\u0645 \\u062a\\u0648\\u0632\\u06cc\\u0639 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0648 \\u0628\\u0647 \\u0637\\u0648\\u0631 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f.<br \\/>\\u00a0<br \\/>_ \\u06cc\\u062e\\u0686\\u0627\\u0644 \\u0641\\u0631\\u06cc\\u0632\\u0631<br \\/>_ \\u0633\\u0627\\u06cc\\u062f \\u0628\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062f<br \\/>_ \\u0627\\u062c\\u0627\\u0642 \\u06af\\u0627\\u0632<br \\/>_ \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0638\\u0631\\u0641\\u0634\\u0648\\u06cc\\u06cc<br \\/>_ \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u0634\\u0648\\u06cc\\u06cc<br \\/>_ \\u06a9\\u0648\\u0644\\u0631 \\u0622\\u0628\\u06cc<br \\/>_ \\u06a9\\u0648\\u0644\\u0631 \\u06af\\u0627\\u0632\\u06cc<br \\/>_ \\u06a9\\u062a\\u0627\\u0628\\u062e\\u0627\\u0646\\u0647 \\u0647\\u0627\\u06cc \\u062d\\u062c\\u06cc\\u0645<br \\/>_ \\u067e\\u06cc\\u0627\\u0646\\u0648<br \\/>_ \\u0645\\u06cc\\u0632 \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646<br \\/><br \\/>- \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u06cc\\u0646 \\u0646\\u0648\\u0639 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u060c \\u0628\\u0647 \\u062c\\u0632 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0648 \\u062d\\u0648\\u0645\\u0647\\u060c \\u062f\\u0631 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06cc\\u06a9 \\u0631\\u0648\\u0632\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0647\\u0633\\u062a\\u0646\\u062f\\u060c \\u0645\\u0634\\u0645\\u0648\\u0644 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u067e\\u0633 \\u06a9\\u0631\\u0627\\u06cc\\u0647 ( \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0645\\u0631\\u0633\\u0648\\u0644\\u0647) \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<br \\/>- \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0686\\u0646\\u06cc\\u0646 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc\\u06cc\\u060c \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644\\u060c \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u062a\\u0633\\u0648\\u06cc\\u0647 \\u0634\\u0648\\u0646\\u062f.<br \\/>- \\u0627\\u06af\\u0631 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0645\\u0634\\u0645\\u0648\\u0644 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0634\\u062f (\\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0628\\u0627 \\u0645\\u0628\\u0644\\u063a \\u0632\\u06cc\\u0631 100 \\u0647\\u0632\\u0627\\u0631 \\u062a\\u0648\\u0645\\u0627\\u0646 \\u062f\\u0631 \\u0631\\u0648\\u0634 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u06cc\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u0647\\u0627\\u06cc \\u06a9\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632 \\u06cc\\u0627 \\u062a\\u06cc\\u067e\\u0627\\u06a9\\u0633 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f) \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062f\\u0631 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u062f\\u0631\\u062c \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f \\u0648 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0645\\u0628\\u0644\\u063a \\u0627\\u0636\\u0627\\u0641\\u06cc \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u062e\\u0644\\u0641 \\u0645\\u062d\\u0633\\u0648\\u0628 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f. \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0686\\u0646\\u06cc\\u0646 \\u0645\\u0648\\u0627\\u0631\\u062f\\u06cc \\u0644\\u0637\\u0641\\u0627\\u064b \\u0645\\u0631\\u0627\\u062a\\u0628 \\u0631\\u0627 \\u062c\\u0647\\u062a \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0627\\u06cc\\u0645\\u06cc\\u0644 info@test.com \\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0647\\u06cc\\u062f.<br \\/>\\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0647\\u06cc\\u062f.<br \\/>- \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u06cc\\u0627 \\u0645\\u0627\\u0645\\u0648\\u0631\\u0627\\u0646 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062a\\u0646\\u0647\\u0627 \\u0645\\u0633\\u0648\\u0648\\u0644 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0647\\u0633\\u062a\\u0646\\u062f \\u0648 \\u0628\\u0627\\u0632 \\u06a9\\u0631\\u062f\\u0646 \\u062c\\u0639\\u0628\\u0647 \\u0648 \\u0646\\u0635\\u0628 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u0634\\u0648\\u0646\\u062f (\\u0645\\u0627\\u0646\\u0646\\u062f \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u0634\\u0648\\u06cc\\u06cc \\u0648 \\u0646\\u0638\\u06cc\\u0631 \\u0622\\u0646) \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0645\\u062c\\u0627\\u0632 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u0627\\u06cc\\u0646 \\u0645\\u0646\\u0638\\u0648\\u0631 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc \\u0645\\u062c\\u0627\\u0632 \\u0622\\u0646 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u062f. \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u06cc\\u0627 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0627\\u0632 \\u0628\\u06cc\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0631\\u0641\\u062a.<br \\/>\\u0627\\u06af\\u0631 \\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u062f\\u0641\\u062a\\u0631\\u0647\\u0627 \\u0648 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0646\\u06cc\\u0627\\u0632 \\u0628\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631 \\u062f\\u0627\\u0631\\u06cc\\u062f\\u060c \\u0628\\u0647 \\u0628\\u062e\\u0634 \\u0631\\u0648\\u0634 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u062f\\u0631 \\u0627\\u062f\\u0627\\u0645\\u0647 \\u0647\\u0645\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0645\\u0631\\u0627\\u062c\\u0639\\u0647 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>\\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0628\\u0631\\u0627\\u06cc \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062e\\u0627\\u0646\\u06af\\u06cc \\u0633\\u0646\\u06af\\u06cc\\u0646 \\u06cc\\u0627 \\u0628\\u0632\\u0631\\u06af \\u0645\\u0627\\u0646\\u0646\\u062f \\u06cc\\u062e\\u0686\\u0627\\u0644 \\u0645\\u0639\\u0645\\u0648\\u0644\\u06cc \\u0648 \\u0633\\u0627\\u06cc\\u062f\\u200c\\u0628\\u0627\\u06cc\\u200c\\u0633\\u0627\\u06cc\\u062f\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u200c\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0638\\u0631\\u0641\\u200c\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u0627\\u062c\\u0627\\u0642 \\u06af\\u0627\\u0632 \\u0648 \\u0641\\u0631\\u062a\\u0648\\u06a9\\u0627\\u0631\\u060c \\u067e\\u06cc\\u0627\\u0646\\u0648\\u060c \\u0645\\u06cc\\u0632 \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646 \\u060c\\u06a9\\u0648\\u0644\\u0631 \\u06af\\u0627\\u0632\\u06cc \\u060c \\u06a9\\u0648\\u0644\\u0631\\u0622\\u0628\\u06cc \\u060c\\u0645\\u0628\\u0644\\u0645\\u0627\\u0646 \\u0627\\u062f\\u0627\\u0631\\u06cc \\u0648 \\u063a\\u06cc\\u0631 \\u0627\\u062f\\u0627\\u0631\\u06cc\\u060c \\u06a9\\u062a\\u0627\\u0628\\u062e\\u0627\\u0646\\u0647\\u060c \\u0645\\u06cc\\u0632 \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646\\u060c \\u0645\\u06cc\\u0632 \\u06a9\\u0627\\u0645\\u067e\\u06cc\\u0648\\u062a\\u0631\\u060c \\u0645\\u06cc\\u0632 \\u062c\\u0644\\u0648\\u0645\\u0628\\u0644\\u06cc\\u060c \\u0645\\u06cc\\u0632 \\u0628\\u0631\\u0634\\u060c \\u0645\\u06cc\\u0632 \\u0646\\u0627\\u0647\\u0627\\u0631\\u062e\\u0648\\u0631\\u06cc \\u060c \\u0635\\u0646\\u062f\\u0644\\u06cc \\u0645\\u0627\\u0633\\u0627\\u0698\\u0648\\u0631\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0628\\u0627\\u0632\\u06cc \\u0628\\u0632\\u0631\\u06af\\u060c \\u062a\\u0631\\u062f\\u0645\\u06cc\\u0644\\u060c \\u0645\\u0648\\u062a\\u0648\\u0631\\u0628\\u0631\\u0642\\u060c \\u067e\\u0631\\u06cc\\u0646\\u062a\\u0631 \\u0648 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u06a9\\u067e\\u06cc \\u062d\\u062c\\u06cc\\u0645 \\u0648 \\u0627\\u06cc\\u0633\\u062a\\u0627\\u062f\\u0647 \\u0648 \\u0633\\u0627\\u06cc\\u0631 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647\\u200c\\u0647\\u0627\\u06cc \\u062d\\u062c\\u06cc\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0647\\u200c\\u0635\\u0648\\u0631\\u062a \\u067e\\u0633\\u200c\\u06a9\\u0631\\u0627\\u06cc\\u0647 (\\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0645\\u0631\\u0633\\u0648\\u0644\\u0647) \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/><br \\/>\\u0644\\u0637\\u0641\\u0627 \\u0628\\u0647 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0632\\u06cc\\u0631 \\u062f\\u0642\\u062a \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u06cc\\u062f:<br \\/><br \\/>- \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u062a\\u0646\\u0647\\u0627 \\u0645\\u0633\\u0648\\u0648\\u0644 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0627\\u0632 \\u06a9\\u0631\\u062f\\u0646 \\u062c\\u0639\\u0628\\u0647 \\u0648 \\u0646\\u0635\\u0628 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u0634\\u0648\\u0646\\u062f (\\u0645\\u0627\\u0646\\u0646\\u062f \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u0634\\u0648\\u06cc\\u06cc \\u0648 \\u0646\\u0638\\u06cc\\u0631 \\u0622\\u0646) \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0645\\u062c\\u0627\\u0632 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u0627\\u06cc\\u0646 \\u0645\\u0646\\u0638\\u0648\\u0631 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc \\u0645\\u062c\\u0627\\u0632 \\u0622\\u0646 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u062f. \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u06cc\\u0627 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0627\\u0632 \\u0628\\u06cc\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0631\\u0641\\u062a.<br \\/>- \\u0631\\u0648\\u0634 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u062a\\u0646\\u0647\\u0627 \\u0648\\u06cc\\u0698\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u0628\\u0632\\u0631\\u06af \\u0627\\u0633\\u062a \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u060c \\u0631\\u0648\\u0634 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u067e\\u06cc\\u062f\\u0627 \\u062e\\u0648\\u0627\\u0647\\u062f \\u06a9\\u0631\\u062f \\u0648 \\u062f\\u0633\\u062a\\u200c\\u06a9\\u0645 1 \\u0631\\u0648\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0631\\u0627 \\u0628\\u0647 \\u062a\\u0639\\u0648\\u06cc\\u0642 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0627\\u0646\\u062f\\u0627\\u062e\\u062a.<br \\/><br \\/>\\u0645\\u0631\\u0633\\u0648\\u0644\\u0627\\u062a \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u0646\\u0632\\u062f\\u06cc\\u06a9 \\u062a\\u0627 \\u06f2\\u06f4 \\u0633\\u0627\\u0639\\u062a\\u060c \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062f\\u0648\\u0631 \\u06f4\\u06f8 \\u0633\\u0627\\u0639\\u062a \\u0648 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062e\\u06cc\\u0644\\u06cc \\u062f\\u0648\\u0631 \\u062a\\u0627 \\u06f7\\u06f2 \\u0633\\u0627\\u0639\\u062a \\u062a\\u0648\\u0633\\u0637 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062e\\u0648\\u0627\\u0647\\u0646\\u062f \\u0634\\u062f. \\u062f\\u0641\\u062a\\u0631\\u0647\\u0627 \\u0648 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0628\\u0627\\u0631\\u0628\\u0631\\u06cc \\u0628\\u0647 \\u0627\\u06cc\\u0646 \\u0634\\u0631\\u062d \\u0627\\u0633\\u062a:<br \\/><br \\/>\\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 (\\u0648 \\u0634\\u0647\\u0631\\u0647\\u0627\\u06cc \\u0646\\u0632\\u062f\\u06cc\\u06a9 \\u0628\\u0647 \\u0622\\u0646\\u0647\\u0627):<br \\/><br \\/>\\u0622\\u0628\\u0627\\u062f\\u0627\\u0646 - \\u0622\\u0628\\u06cc\\u06a9 - \\u0622\\u0628\\u0627\\u062f\\u0647 - \\u0622\\u0632\\u0627\\u062f\\u0634\\u0647\\u0631 - \\u0622\\u0633\\u062a\\u0627\\u0631\\u0627 \\u2013 \\u0622\\u0633\\u062a\\u0627\\u0646\\u0647 (\\u0627\\u0631\\u0627\\u06a9) - \\u0622\\u0633\\u062a\\u0627\\u0646\\u0647 \\u0627\\u0634\\u0631\\u0641\\u06cc\\u0647 - \\u0622\\u0634\\u062e\\u0627\\u0646\\u0647 ( \\u0628\\u062c\\u0646\\u0648\\u0631\\u062f) - \\u0622\\u0642\\u0627\\u062c\\u0627\\u0631\\u06cc - \\u0622\\u0642 \\u0642\\u0644\\u0627 - \\u0622\\u0645\\u0644 - \\u0627\\u0628\\u0647\\u0631 - \\u0627\\u0628\\u0631\\u06a9\\u0648\\u0647 - \\u0627\\u0631\\u0627\\u06a9 - \\u0627\\u0631\\u062f\\u06a9\\u0627\\u0646 - \\u0627\\u0631\\u062f\\u0628\\u06cc\\u0644 - \\u0627\\u0632\\u0646\\u0627 - \\u0627\\u0631\\u0633\\u0646\\u062c\\u0627\\u0646 - \\u0627\\u0633\\u0627\\u0644\\u0645 - \\u0627\\u0633\\u062f\\u0622\\u0628\\u0627\\u062f - \\u0627\\u0644\\u06cc\\u06af\\u0648\\u062f\\u0631\\u0632 - \\u0627\\u0646\\u062f\\u06cc\\u0645\\u0634\\u06a9 - \\u0627\\u0645\\u0644\\u0634 - \\u0627\\u0647\\u0631\\u0645 - \\u0627\\u0647\\u0648\\u0627\\u0632 - \\u0627\\u0631\\u0648\\u0645\\u06cc\\u0647 - \\u0627\\u0645\\u06cc\\u062f\\u06cc\\u0647 - \\u0627\\u062f\\u06cc\\u0645\\u06cc (\\u0632\\u0627\\u0628\\u0644) - \\u0627\\u0633\\u0644\\u0627\\u0645\\u200c\\u0622\\u0628\\u0627\\u062f \\u063a\\u0631\\u0628 - \\u0627\\u0633\\u0641\\u0631\\u0627\\u06cc\\u0646 - \\u0627\\u0634\\u0646\\u0648\\u06cc\\u0647 - \\u0627\\u0635\\u0641\\u0647\\u0627\\u0646 \\u0648 \\u062d\\u0648\\u0645\\u0647 - \\u0627\\u0642\\u0644\\u06cc\\u062f - \\u0627\\u06cc\\u0630\\u0647 - \\u0627\\u06cc\\u0644\\u0627\\u0645 - \\u0627\\u06cc\\u0648\\u0627\\u0646\\u200c\\u063a\\u0631\\u0628 - \\u0628\\u0627\\u0628\\u0644\\u0633\\u0631 - \\u0628\\u0627\\u0628\\u0644 - \\u0628\\u0627\\u063a\\u0645\\u0644\\u06a9 - \\u0628\\u0627\\u0646\\u0647 - \\u0628\\u0631\\u0627\\u0632\\u062c\\u0627\\u0646 - \\u0628\\u0631\\u0648\\u062c\\u0631\\u062f - \\u0628\\u0631\\u0648\\u062c\\u0646 - \\u0628\\u062c\\u0646\\u0648\\u0631\\u062f - \\u0628\\u0645 - \\u0628\\u0646\\u0627\\u0628 - \\u0628\\u0646\\u062f\\u0631 \\u0627\\u0645\\u0627\\u0645\\u200c\\u062e\\u0645\\u06cc\\u0646\\u06cc (\\u0633\\u0631\\u0628\\u0646\\u062f\\u0631) - \\u0628\\u0646\\u062f\\u0631 \\u0627\\u0646\\u0632\\u0644\\u06cc - \\u0628\\u0646\\u062f\\u0631\\u062a\\u0631\\u06a9\\u0645\\u0646 - \\u0628\\u0646\\u062f\\u0631\\u0639\\u0628\\u0627\\u0633 - \\u0628\\u0648\\u0627\\u0646\\u0627\\u062a (\\u0633\\u0648\\u0631\\u06cc\\u0627\\u0646) - \\u0628\\u0648\\u0634\\u0647\\u0631 - \\u0628\\u0648\\u06a9\\u0627\\u0646 - \\u0628\\u0647\\u0634\\u0647\\u0631 - \\u0628\\u06cc\\u0631\\u062c\\u0646\\u062f - \\u0628\\u06cc\\u062c\\u0627\\u0631 - \\u0628\\u0647\\u0628\\u0647\\u0627\\u0646 - \\u067e\\u0627\\u0633\\u0627\\u0631\\u06af\\u0627\\u062f - \\u067e\\u0627\\u0648\\u0647 - \\u067e\\u0631\\u0647\\u200c\\u0633\\u0631 - \\u067e\\u0644\\u062f\\u062e\\u062a\\u0631 - \\u067e\\u06cc\\u0631\\u0627\\u0646\\u0634\\u0647\\u0631 - \\u062a\\u0627\\u06a9\\u0633\\u062a\\u0627\\u0646 - \\u062a\\u0627\\u0644\\u0634 - \\u062a\\u0631\\u0628\\u062a \\u062d\\u06cc\\u062f\\u0631\\u06cc\\u0647 - \\u062a\\u0628\\u0631\\u06cc\\u0632 - \\u062a\\u0646\\u06a9\\u0627\\u0628\\u0646 - \\u062a\\u0648\\u06cc\\u0633\\u0631\\u06a9\\u0627\\u0646 - \\u062d\\u0645\\u06cc\\u062f\\u06cc\\u0647 - \\u062c\\u063a\\u062a\\u0627\\u06cc - \\u062c\\u0644\\u0641\\u0627 - \\u062c\\u0645 - \\u062c\\u0648\\u0627\\u0646\\u0631\\u0648\\u062f - \\u062c\\u0648\\u06cc\\u0646 - \\u062c\\u0648\\u06cc\\u0628\\u0627\\u0631 - \\u062c\\u0647\\u0631\\u0645 - \\u062c\\u06cc\\u0631\\u0641\\u062a - \\u0686\\u0627\\u0644\\u062f\\u0631\\u0627\\u0646 - \\u0686\\u0627\\u0644\\u0648\\u0633 - \\u062e\\u0627\\u0634 - \\u062e\\u0631\\u0645 \\u0622\\u0628\\u0627\\u062f - \\u062e\\u0631\\u0645 \\u0628\\u06cc\\u062f(\\u062f\\u0647\\u0628\\u06cc\\u062f) - \\u062e\\u0631\\u0645\\u062f\\u0631\\u0647 \\u2013 \\u062e\\u0631\\u0645\\u0634\\u0647\\u0631 - \\u062e\\u0645\\u06cc\\u0646 - \\u062e\\u0645\\u06cc\\u0646\\u06cc \\u0634\\u0647\\u0631 \\u2013 \\u062e\\u0646\\u062f\\u0627\\u0628 (\\u0627\\u0631\\u0627\\u06a9) - \\u062e\\u0648\\u0631\\u0645\\u0648\\u062c - \\u062e\\u0648\\u06cc - \\u062f\\u0627\\u0631\\u0627\\u0628 - \\u062f\\u0627\\u0645\\u063a\\u0627\\u0646 - \\u062f\\u0632\\u0641\\u0648\\u0644 - \\u062f\\u0634\\u062a \\u0645\\u0631\\u063a\\u0627\\u0628 - \\u062f\\u0648\\u0631\\u0648\\u062f - \\u062f\\u0644\\u06cc\\u062c\\u0627\\u0646 - \\u062f\\u0647\\u062f\\u0634\\u062a - \\u062f\\u0631\\u0647 \\u0634\\u0647\\u0631 - \\u062f\\u06cc\\u0648\\u0627\\u0646\\u062f\\u0631\\u0647 - \\u0631\\u0627\\u0645\\u0633\\u0631 - \\u0631\\u0627\\u0645\\u0634\\u06cc\\u0631 - \\u0631\\u0627\\u0645\\u0647\\u0631\\u0645\\u0632 - \\u0631\\u0634\\u062a - \\u0631\\u0641\\u0633\\u0646\\u062c\\u0627\\u0646 - \\u0631\\u0648\\u0627\\u0646\\u0633\\u0631 - \\u0631\\u0648\\u062f\\u0633\\u0631 - \\u0631\\u0648\\u0645\\u0634\\u06a9\\u0627\\u0646 - \\u0632\\u0627\\u0628\\u0644 \\u0648 \\u0632\\u0647\\u06a9 - \\u0632\\u0627\\u0647\\u062f\\u0627\\u0646 - \\u0632\\u0646\\u062c\\u0627\\u0646 - \\u0633\\u0627\\u0631\\u06cc - \\u0633\\u0627\\u0648\\u0647 - \\u0633\\u0628\\u0632\\u0648\\u0627\\u0631 - \\u0633\\u0631\\u0627\\u0628 - \\u0633\\u0631\\u067e\\u0644 \\u0630\\u0647\\u0627\\u0628 - \\u0633\\u0631\\u062f\\u0634\\u062a - \\u0633\\u0631\\u0648\\u0633\\u062a\\u0627\\u0646 - \\u0633\\u0639\\u0627\\u062f\\u062a \\u0634\\u0647\\u0631 - \\u0633\\u0642\\u0632 - \\u0633\\u0644\\u0637\\u0627\\u0646\\u06cc\\u0647 - \\u0633\\u0644\\u0645\\u0627\\u0633 - \\u0633\\u0645\\u0646\\u0627\\u0646 - \\u0633\\u0646\\u0642\\u0631\\u06a9\\u0644\\u06cc\\u0627\\u06cc\\u06cc - \\u0633\\u0646\\u0646\\u062f\\u062c - \\u0633\\u0648\\u0633\\u0646\\u06af\\u0631\\u062f - \\u0633\\u06cc\\u0631\\u062c\\u0627\\u0646 - \\u0633\\u06cc\\u0648\\u0646\\u062f - \\u0634\\u0627\\u062f\\u06af\\u0627\\u0646 - \\u0634\\u0627\\u0632\\u0646\\u062f - \\u0634\\u0627\\u0647\\u0631\\u0648\\u062f - \\u0634\\u0627\\u0647\\u06cc\\u0646 \\u0634\\u0647\\u0631 - \\u0634\\u0648\\u0634 - \\u0634\\u0648\\u0634\\u062a\\u0631 - \\u0634\\u0647\\u0631\\u0636\\u0627 - \\u0634\\u0647\\u0631\\u06a9\\u0631\\u062f - \\u0634\\u06cc\\u0631\\u0627\\u0632 - \\u0634\\u06cc\\u0631\\u0648\\u0627\\u0646 - \\u0635\\u0627\\u0626\\u06cc\\u0646 \\u0642\\u0644\\u0639\\u0647 - \\u0635\\u062d\\u0646\\u0647 - \\u0635\\u0648\\u0645\\u0639\\u0647 \\u0633\\u0631\\u0627 - \\u0639\\u0633\\u0644\\u0648\\u06cc\\u0647 - (\\u0645\\u0646\\u0637\\u0642\\u0647 \\u0648\\u06cc\\u0698\\u0647 \\u0627\\u0646\\u0631\\u0698\\u06cc \\u067e\\u0627\\u0631\\u0633) - \\u0639\\u0644\\u06cc\\u200c\\u0622\\u0628\\u0627\\u062f \\u06a9\\u062a\\u0648\\u0644 - \\u0641\\u0627\\u0645\\u0646\\u06cc\\u0646 - \\u0641\\u0633\\u0627 - \\u0641\\u0631\\u0645\\u0647\\u06cc\\u0646 (\\u0627\\u0631\\u0627\\u06a9) - \\u0641\\u0631\\u06cc\\u062f\\u0648\\u0646\\u06a9\\u0646\\u0627\\u0631 - \\u0641\\u0644\\u0627\\u0648\\u0631\\u062c\\u0627\\u0646 - \\u0641\\u0648\\u0644\\u0627\\u062f\\u0634\\u0647\\u0631 \\u0648 \\u0630\\u0648\\u0628 \\u0622\\u0647\\u0646 - \\u0641\\u0648\\u0645\\u0646 \\u2013 \\u0642\\u0627\\u062f\\u0631\\u0622\\u0628\\u0627\\u062f (\\u0633\\u0639\\u0627\\u062f\\u062a \\u0634\\u0647\\u0631) - \\u0642\\u0627\\u0626\\u0645 \\u0634\\u0647\\u0631 - \\u0642\\u0634\\u0645 - \\u0642\\u0631\\u0648\\u0647 - \\u0642\\u0632\\u0648\\u06cc\\u0646 - \\u0642\\u0635\\u0631\\u0634\\u06cc\\u0631\\u06cc\\u0646 - \\u0642\\u0645 - \\u0642\\u0648\\u0686\\u0627\\u0646 - \\u06a9\\u0627\\u0632\\u0631\\u0648\\u0646 - \\u06a9\\u0627\\u0634\\u0627\\u0646 - \\u06a9\\u0627\\u0634\\u0645\\u0631 - \\u06a9\\u0627\\u0645\\u06cc\\u0627\\u0631\\u0627\\u0646 - \\u06a9\\u0631\\u062f\\u06a9\\u0648\\u06cc - \\u06a9\\u0631\\u0645\\u0627\\u0646 - \\u06a9\\u0631\\u0645\\u0627\\u0646\\u0634\\u0627\\u0647 - \\u06a9\\u0644\\u0627\\u0686\\u0627\\u06cc \\u2013 \\u06a9\\u0645\\u06cc\\u062c\\u0627\\u0646 (\\u0627\\u0631\\u0627\\u06a9) - \\u06a9\\u0646\\u06af\\u0627\\u0648\\u0631 - \\u06a9\\u0646\\u06af\\u0627\\u0646 - \\u06a9\\u0647\\u0646\\u0648\\u062c - \\u06a9\\u0648\\u0647\\u062f\\u0634\\u062a - \\u06af\\u0627\\u0644\\u06cc\\u06a9\\u0634 - \\u06af\\u0686\\u0633\\u0627\\u0631\\u0627\\u0646 - \\u06af\\u0631\\u06af\\u0627\\u0646 - \\u06af\\u0644\\u067e\\u0627\\u06cc\\u06af\\u0627\\u0646 - \\u06af\\u0646\\u0628\\u062f\\u06a9\\u0627\\u0648\\u0648\\u0633 - \\u06af\\u06cc\\u0644\\u0627\\u0646 \\u063a\\u0631\\u0628 - \\u0644\\u0627\\u0631 - \\u0644\\u0627\\u0644\\u062c\\u06cc\\u0646 - \\u0644\\u0627\\u0647\\u06cc\\u062c\\u0627\\u0646 - \\u0644\\u0631\\u062f\\u06af\\u0627\\u0646 - \\u0644\\u0646\\u06af\\u0631\\u0648\\u062f - \\u0644\\u0648\\u0634\\u0627\\u0646 - \\u0644\\u06cc\\u0633\\u0627\\u0631 - \\u0645\\u0627\\u06a9\\u0648 - \\u0645\\u0627\\u0647\\u0634\\u0647\\u0631 - \\u0645\\u0628\\u0627\\u0631\\u06a9\\u0647 - \\u0645\\u062d\\u0644\\u0627\\u062a - \\u0645\\u062d\\u0645\\u0648\\u062f\\u0622\\u0628\\u0627\\u062f - \\u0645\\u0631\\u0627\\u063a\\u0647 - \\u0645\\u0631\\u0646\\u062f - \\u0645\\u0631\\u0648\\u062f\\u0634\\u062a - \\u0645\\u0631\\u06cc\\u0648\\u0627\\u0646 - \\u0645\\u0633\\u062c\\u062f \\u0633\\u0644\\u06cc\\u0645\\u0627\\u0646 - \\u0645\\u0634\\u0647\\u062f - \\u0645\\u0644\\u0627\\u06cc\\u0631 - \\u0645\\u0644\\u06a9\\u0627\\u0646 - \\u0645\\u0646\\u062c\\u06cc\\u0644 - \\u0645\\u0647\\u0627\\u0628\\u0627\\u062f \\u2013 \\u0645\\u0647\\u0627\\u062c\\u0631\\u0627\\u0646 (\\u0627\\u0631\\u0627\\u06a9) - \\u0645\\u0647\\u0631\\u0627\\u0646 - \\u0645\\u06cc\\u0627\\u0646\\u062f\\u0648\\u0622\\u0628 - \\u0645\\u06cc\\u0627\\u0646\\u06a9\\u0648\\u0647 - \\u0645\\u06cc\\u0627\\u0646\\u0647 - \\u0645\\u06cc\\u0628\\u062f - \\u0645\\u06cc\\u0646\\u0648\\u062f\\u0634\\u062a - \\u0645\\u06cc\\u0644\\u0627\\u062c\\u0631\\u062f (\\u0627\\u0631\\u0627\\u06a9) - \\u0646\\u062c\\u0641 \\u0622\\u0628\\u0627\\u062f - \\u0646\\u0631\\u0627\\u0642 - \\u0646\\u0638\\u0631\\u0622\\u0628\\u0627\\u062f - \\u0646\\u0642\\u0627\\u0628 - \\u0646\\u0642\\u062f\\u0647 - \\u0646\\u06a9\\u0627 - \\u0646\\u0648\\u0634\\u0647\\u0631 - \\u0646\\u0648\\u0631 - \\u0646\\u0648\\u0631\\u0622\\u0628\\u0627\\u062f \\u0644\\u0631\\u0633\\u062a\\u0627\\u0646 - \\u0646\\u0647\\u0628\\u0646\\u062f\\u0627\\u0646 - \\u0646\\u06cc\\u0634\\u0627\\u0628\\u0648\\u0631 - \\u0647\\u0627\\u062f\\u06cc \\u0634\\u0647\\u0631 - \\u0647\\u0627\\u0645\\u0648\\u0646 - \\u0647\\u0631\\u0633\\u06cc\\u0646 - \\u0647\\u0634\\u062a\\u200c\\u067e\\u0631 - \\u0647\\u0634\\u062a\\u06af\\u0631\\u062f - \\u0647\\u0641\\u062a\\u06a9\\u0644 - \\u0647\\u0645\\u062f\\u0627\\u0646 - \\u0647\\u0646\\u062f\\u06cc\\u062c\\u0627\\u0646 - \\u0647\\u0648\\u06cc\\u0632\\u0647 - \\u0647\\u06cc\\u0631\\u0645\\u0646\\u062f - \\u0647\\u06cc\\u062f\\u062c - \\u06cc\\u0627\\u0633\\u0648\\u062c - \\u06cc\\u0632\\u062f<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 19:43:57\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2018-10-03 20:03:22\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2018-10-03 20:02:33\",\"publish_up\":\"2018-10-03 19:43:57\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":3,\"ordering\":\"4\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"1\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(9, 2, 1, '', '2018-10-03 20:04:07', 105, 9223, '047b6a345405d6424506cc7da4d1676eff05791b', '{\"id\":2,\"asset_id\":\"94\",\"title\":\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\",\"alias\":\"\\u062a\\u0645\\u0627\\u0633-\\u0628\\u0627-\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\",\"introtext\":\"<p style=\\\"text-align: justify;\\\">\\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0641\\u0642\\u0637 \\u06cc\\u06a9 \\u0645\\u062a\\u0646 \\u0622\\u0632\\u0645\\u0627\\u06cc\\u0634\\u06cc \\u0627\\u0633\\u062a...<\\/p>\\r\\n<p style=\\\"text-align: justify;\\\"><br \\/>\\u06a9\\u0627\\u0631\\u0628\\u0631 \\u06af\\u0631\\u0627\\u0645\\u06cc\\u060c \\u0644\\u0637\\u0641\\u0627\\u064b \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0633\\u0648\\u0627\\u0644 \\u06cc\\u0627 \\u0627\\u0628\\u0647\\u0627\\u0645\\u06cc\\u060c \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u06cc\\u0627 \\u062a\\u0645\\u0627\\u0633 \\u062a\\u0644\\u0641\\u0646\\u06cc \\u0628\\u0627 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0628\\u062e\\u0634 \\u067e\\u0631\\u0633\\u0634\\u200f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u062f\\u0627\\u0648\\u0644 \\u0631\\u0627 \\u0645\\u0644\\u0627\\u062d\\u0638\\u0647 \\u0641\\u0631\\u0645\\u0627\\u06cc\\u06cc\\u062f \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u067e\\u0627\\u0633\\u062e \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0646\\u06cc\\u0627\\u0641\\u062a\\u06cc\\u062f\\u060c \\u0628\\u0627 \\u0645\\u0627 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f.<br \\/>\\u0631\\u0648\\u0632\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062f\\u0631 \\u0633\\u0627\\u0644 \\u062c\\u0627\\u0631\\u06cc \\u0628\\u0647 \\u062f\\u0644\\u06cc\\u0644 \\u062a\\u0639\\u0637\\u06cc\\u0644\\u06cc\\u060c \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0647\\u06cc\\u0686\\u200c\\u06af\\u0648\\u0646\\u0647 \\u067e\\u0627\\u0633\\u062e\\u06af\\u0648\\u06cc\\u06cc\\u060c \\u0633\\u0631\\u0648\\u06cc\\u0633\\u200c\\u062f\\u0647\\u06cc \\u0648 \\u062e\\u062f\\u0645\\u0627\\u062a\\u06cc \\u0646\\u062f\\u0627\\u0631\\u062f\\u060c \\u0628\\u0647 \\u0634\\u0631\\u062d \\u0632\\u06cc\\u0631 \\u0627\\u0633\\u062a:<br \\/><br \\/>\\u00a0\\u00a0\\u00a0 \\u06f1\\u06f3 \\u0641\\u0631\\u0648\\u0631\\u062f\\u06cc\\u0646<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f1\\u06f4 \\u062e\\u0631\\u062f\\u0627\\u062f<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f2\\u06f8 \\u0634\\u0647\\u0631\\u06cc\\u0648\\u0631 (\\u062a\\u0627\\u0633\\u0648\\u0639\\u0627)<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f2\\u06f9 \\u0634\\u0647\\u0631\\u06cc\\u0648\\u0631 (\\u0639\\u0627\\u0634\\u0648\\u0631\\u0627)<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f8 \\u0622\\u0628\\u0627\\u0646 (\\u0627\\u0631\\u0628\\u0639\\u06cc\\u0646)<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f1\\u06f6 \\u0622\\u0628\\u0627\\u0646 (\\u0631\\u062d\\u0644\\u062a \\u062d\\u0636\\u0631\\u062a \\u0631\\u0633\\u0648\\u0644 \\u0627\\u06a9\\u0631\\u0645)<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f2\\u06f2 \\u0628\\u0647\\u0645\\u0646<br \\/><br \\/>\\u062a\\u0644\\u0641\\u0646 \\u062a\\u0645\\u0627\\u0633 \\u0648 \\u0641\\u06a9\\u0633: 000000000 \\u0648 00000000 (\\u067e\\u0627\\u0633\\u062e\\u06af\\u0648\\u06cc\\u06cc \\u06f2\\u06f4 \\u0633\\u0627\\u0639\\u062a\\u0647\\u060c \\u0667 \\u0631\\u0648\\u0632 \\u0647\\u0641\\u062a\\u0647)<br \\/>\\u0631\\u0633\\u06cc\\u062f\\u06af\\u06cc \\u0628\\u0647 \\u0627\\u0646\\u062a\\u0642\\u0627\\u062f\\u0647\\u0627<br \\/><br \\/>\\u0645\\u0634\\u062a\\u0631\\u06cc \\u06af\\u0631\\u0627\\u0645\\u06cc\\u060c \\u0627\\u06af\\u0631 \\u0627\\u0646\\u062a\\u0642\\u0627\\u062f \\u06cc\\u0627 \\u0634\\u06a9\\u0627\\u06cc\\u062a\\u06cc \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062f\\u0627\\u0631\\u06cc\\u062f \\u0628\\u0631\\u0627\\u06cc \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u067e\\u0627\\u0633\\u062e \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u060c \\u0644\\u0637\\u0641\\u0627 \\u0628\\u0647 \\u0622\\u062f\\u0631\\u0633 complaint@test.com \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>\\u062f\\u0641\\u062a\\u0631 \\u0645\\u0631\\u06a9\\u0632\\u06cc:<br \\/><br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u062a\\u0647\\u0631\\u0627\\u0646 - \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 - \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 <br \\/>\\u0645\\u0631\\u06a9\\u0632 \\u0627\\u0645\\u0648\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646:<br \\/><br \\/>\\u0644\\u0637\\u0641\\u0627\\u064b \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u0648 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0622\\u0646 \\u0628\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u067e\\u0633\\u062a\\u060c \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0647 \\u0635\\u0646\\u062f\\u0648\\u0642 \\u067e\\u0633\\u062a\\u06cc 000000000\\u0627\\u0631\\u0633\\u0627\\u0644 \\u0646\\u0645\\u0627\\u06cc\\u06cc\\u062f.<br \\/>\\u00a0<br \\/><br \\/>\\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634:cs@test.com<br \\/>\\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634:cc@test.com<br \\/>\\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0633\\u0627\\u0632\\u0645\\u0627\\u0646\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647:info@test.com<br \\/>\\u062a\\u0648\\u062c\\u0647 \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u06cc\\u062f \\u06a9\\u0647 000000000000 \\u0648 000000000000 \\u062a\\u0646\\u0647\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0622\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u0627\\u0646 \\u0648 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u062e\\u0648\\u062f \\u067e\\u06cc\\u0627\\u0645\\u06a9 (\\u0627\\u0633 \\u0627\\u0645 \\u0627\\u0633) \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f. \\u0628\\u0646\\u0627\\u0628\\u0631\\u0627\\u06cc\\u0646 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u067e\\u06cc\\u0627\\u0645\\u06a9 \\u062a\\u062d\\u062a \\u0639\\u0646\\u0648\\u0627\\u0646 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0628\\u0627 \\u0647\\u0631 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u062f\\u06cc\\u06af\\u0631\\u06cc \\u062a\\u062e\\u0644\\u0641 \\u0648 \\u0633\\u0648\\u0621 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0646\\u0627\\u0645 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0686\\u0646\\u06cc\\u0646 \\u067e\\u06cc\\u0627\\u0645\\u06a9\\u06cc\\u060c \\u0644\\u0637\\u0641\\u0627\\u064b \\u062c\\u0647\\u062a \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u0622\\u0646 \\u0631\\u0627 \\u0628\\u0647 info@test.com \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0647\\u06cc\\u062f.<br \\/>\\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 000000000000 \\u0648 000000000000\\u060c \\u0633\\u0627\\u0645\\u0627\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u067e\\u06cc\\u0627\\u0645\\u06a9 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0648\\u0636\\u0639\\u06cc\\u062a \\u067e\\u0631\\u062f\\u0627\\u0632\\u0634 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u06cc\\u0627 \\u0631\\u0648\\u06cc\\u062f\\u0627\\u062f\\u0647\\u0627\\u060c \\u062e\\u062f\\u0645\\u0627\\u062a \\u0648 \\u0633\\u0631\\u0648\\u06cc\\u0633\\u200c\\u0647\\u0627\\u06cc \\u0648\\u06cc\\u0698\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0631\\u0627 \\u0628\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u0627\\u0646 \\u0645\\u06cc\\u200c\\u0631\\u0633\\u0627\\u0646\\u062f \\u0648 \\u0631\\u0648\\u0634\\u0646 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u067e\\u06cc\\u0627\\u0645\\u200c\\u0647\\u0627\\u06cc \\u0634\\u0645\\u0627 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0627\\u06cc\\u0646 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u0648\\u062c\\u0648\\u062f \\u0646\\u062f\\u0627\\u0631\\u062f.<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 19:53:46\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2018-10-03 20:04:07\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2018-10-03 20:03:34\",\"publish_up\":\"2018-10-03 19:53:46\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":2,\"ordering\":\"3\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"0\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(11, 4, 1, '', '2018-10-03 20:05:07', 105, 107160, '30b7c1b42e5135a466d1648364944100b5dd1584', '{\"id\":4,\"asset_id\":\"96\",\"title\":\"\\u0631\\u0648\\u06cc\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627\",\"alias\":\"\\u0631\\u0648\\u06cc\\u0647\\u200c\\u0647\\u0627\\u06cc-\\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646-\\u06a9\\u0627\\u0644\\u0627\",\"introtext\":\"<p style=\\\"text-align: justify;\\\">\\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0641\\u0642\\u0637 \\u06cc\\u06a9 \\u0645\\u062a\\u0646 \\u0622\\u0632\\u0645\\u0627\\u06cc\\u0634\\u06cc \\u0627\\u0633\\u062a....<\\/p>\\r\\n<p style=\\\"text-align: justify;\\\">\\u0622\\u0633\\u0648\\u062f\\u06af\\u06cc \\u062e\\u0627\\u0637\\u0631 \\u0648 \\u0631\\u0636\\u0627\\u06cc\\u062a \\u0645\\u0646\\u062f\\u06cc \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0647\\u0645\\u0648\\u0627\\u0631\\u0647 \\u0627\\u0632 \\u0627\\u0644\\u0648\\u06cc\\u062a\\u200f\\u200c\\u0647\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0628\\u0648\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0631\\u0627\\u0633\\u062a\\u0627 \\u0645\\u06cc\\u200f\\u200c\\u06a9\\u0648\\u0634\\u062f \\u062a\\u0627 \\u0647\\u0631 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062f\\u0631 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0645\\u0637\\u0644\\u0648\\u0628 \\u0648 \\u0645\\u0648\\u0631\\u062f \\u0627\\u0646\\u062a\\u0638\\u0627\\u0631 \\u0628\\u0647 \\u062f\\u0633\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0628\\u0631\\u0633\\u062f. \\u0628\\u0627 \\u0648\\u062c\\u0648\\u062f \\u0627\\u06cc\\u0646 \\u0645\\u0645\\u06a9\\u0646 \\u0627\\u0633\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u062d\\u062a\\u0631\\u0645 \\u067e\\u0633 \\u0627\\u0632 \\u062e\\u0631\\u06cc\\u062f\\u060c \\u0628\\u0627 \\u0645\\u0633\\u0627\\u06cc\\u0644\\u06cc \\u0631\\u0648\\u0628\\u0631\\u0648 \\u0634\\u0648\\u0646\\u062f \\u06a9\\u0647 \\u062f\\u0631\\u0686\\u0646\\u06cc\\u0646 \\u0645\\u0648\\u0627\\u0631\\u062f\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a\\u06cc \\u062f\\u0631 \\u0686\\u0627\\u0631\\u0686\\u0648\\u0628 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u062f\\u0631 \\u0646\\u0638\\u0631 \\u06af\\u0631\\u0641\\u062a\\u0647 \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a. \\u0628\\u0627 \\u062a\\u0648\\u062c\\u0647 \\u0628\\u0647 \\u06af\\u0633\\u062a\\u0631\\u062f\\u06af\\u06cc \\u06af\\u0631\\u0648\\u0647\\u200c\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0627\\u0631\\u0627\\u06cc\\u0647 \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0648\\u0628\\u200c\\u0633\\u0627\\u06cc\\u062a \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u06a9\\u0644\\u06cc\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\\u06cc \\u06a9\\u0647 \\u0628\\u0627\\u06cc\\u062f \\u0627\\u0632 \\u0646\\u0638\\u0631 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0633\\u0627\\u0644\\u0645 \\u0628\\u0647 \\u062f\\u0633\\u062a \\u0645\\u0635\\u0631\\u0641 \\u06a9\\u0646\\u0646\\u062f\\u0647 \\u0628\\u0631\\u0633\\u0646\\u062f )\\u0645\\u0627\\u0646\\u0646\\u062f \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u06af\\u0631\\u0648\\u0647\\u200c \\u0641\\u0631\\u0647\\u0646\\u06af \\u0648 \\u0647\\u0646\\u0631\\u060c \\u0648\\u0631\\u0632\\u0634 \\u0648 \\u0633\\u0631\\u06af\\u0631\\u0645\\u06cc\\u060c \\u067e\\u0648\\u0634\\u0627\\u06a9 \\u0648 \\u06a9\\u0641\\u0634\\u060c \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062e\\u0627\\u0646\\u06af\\u06cc \\u063a\\u06cc\\u0631\\u0628\\u0631\\u0642\\u06cc\\u060c \\u0627\\u0633\\u0628\\u0627\\u0628\\u200c\\u0628\\u0627\\u0632\\u06cc\\u060c \\u0639\\u0637\\u0631 \\u0648 \\u0627\\u062f\\u06a9\\u0644\\u0646\\u060c \\u0632\\u06cc\\u0648\\u0631\\u0622\\u0644\\u0627\\u062a \\u0648 \\u0627\\u06a9\\u0633\\u0633\\u0648\\u0631\\u06cc\\u060c \\u0644\\u0648\\u0627\\u0632\\u0645 \\u0622\\u0631\\u0627\\u06cc\\u0634\\u06cc \\u0648 \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a \\u0648 \\u0645\\u0631\\u0627\\u0642\\u0628\\u062a\\u060c \\u0644\\u0648\\u0627\\u0632\\u0645 \\u0634\\u062e\\u0635\\u06cc \\u0628\\u0631\\u0642\\u06cc \\u0648 \\u063a\\u06cc\\u0631\\u0628\\u0631\\u0642\\u06cc\\u060c \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u0645\\u0635\\u0631\\u0641\\u06cc \\u0645\\u0627\\u0646\\u0646\\u062f \\u06a9\\u0627\\u0631\\u062a\\u0631\\u06cc\\u062c \\u0648 \\u062c\\u0648\\u0647\\u0631 \\u0686\\u0627\\u067e\\u06af\\u0631 \\u0648 \\u0642\\u0637\\u0639\\u0627\\u062a \\u062f\\u0627\\u062e\\u0644\\u06cc \\u06a9\\u0627\\u0645\\u067e\\u06cc\\u0648\\u062a\\u0631 \\u0645\\u0627\\u0646\\u0646\\u062f \\u06a9\\u0627\\u0631\\u062a \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9\\u060c \\u0645\\u0627\\u062f\\u0631\\u0628\\u0631\\u062f\\u060c \\u067e\\u0631\\u062f\\u0627\\u0632\\u0646\\u062f\\u0647 \\u0648 \\u0646\\u0638\\u0627\\u06cc\\u0631 \\u0622\\u0646\\u060c \\u06af\\u0631\\u0648\\u0647 \\u0641\\u0631\\u0634\\u060c \\u0644\\u0648\\u0627\\u0632\\u0645 \\u0645\\u0635\\u0631\\u0641\\u06cc \\u062e\\u0648\\u062f\\u0631\\u0648 \\u0648 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062d\\u06cc\\u0648\\u0627\\u0646\\u0627\\u062a \\u062e\\u0627\\u0646\\u06af\\u06cc) \\u062f\\u0627\\u0631\\u0627\\u06cc \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0627\\u0635\\u0627\\u0644\\u062a \\u0648 \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0647\\u0633\\u062a\\u0646\\u062f \\u0648 \\u0645\\u0634\\u0645\\u0648\\u0644 7 \\u0631\\u0648\\u0632 \\u0645\\u0647\\u0644\\u062a \\u062a\\u0633\\u062a \\u0648 \\u0628\\u0627\\u0632\\u06af\\u0634\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0646\\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0627\\u0642\\u0644\\u0627\\u0645\\u06cc \\u06a9\\u0647 \\u0628\\u0647 \\u0639\\u0646\\u0648\\u0627\\u0646 \\u0647\\u062f\\u06cc\\u0647\\u200c \\u0627\\u0632 \\u0637\\u0631\\u0641 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0648 \\u062f\\u0631 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0641\\u0631\\u0648\\u0634 \\u0628\\u0627 \\u0645\\u0628\\u0644\\u063a \\u0635\\u0641\\u0631 \\u0631\\u06cc\\u0627\\u0644 \\u062f\\u0631\\u062c \\u0634\\u062f\\u0647\\u200c\\u0627\\u0646\\u062f\\u060c \\u0645\\u0634\\u0645\\u0648\\u0644 7 \\u0631\\u0648\\u0632 \\u0636\\u0645\\u0627\\u0646\\u062a \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0646\\u06cc\\u0633\\u062a\\u0646\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u0631 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\\u06cc \\u06a9\\u0647 \\u0646\\u06cc\\u0627\\u0632 \\u0628\\u0647 \\u0645\\u0647\\u0644\\u062a \\u062a\\u0633\\u062a \\u062f\\u0627\\u0631\\u0646\\u062f\\u060c \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 7 \\u0631\\u0648\\u0632 \\u0641\\u0631\\u0635\\u062a \\u0628\\u0631\\u0627\\u06cc \\u0628\\u0627\\u0632\\u06af\\u0634\\u062a \\u062f\\u0631\\u0646\\u0638\\u0631 \\u06af\\u0631\\u0641\\u062a\\u0647 \\u0627\\u0633\\u062a.<br \\/>\\u0644\\u0637\\u0641\\u0627\\u064b \\u062a\\u0648\\u062c\\u0647 \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u06cc\\u062f:<br \\/><br \\/>- \\u0628\\u0627\\u0632 \\u06a9\\u0631\\u062f\\u0646 \\u062c\\u0639\\u0628\\u0647 \\u0648 \\u0646\\u0635\\u0628 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u0634\\u0648\\u0646\\u062f (\\u0645\\u0627\\u0646\\u0646\\u062f \\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0638\\u0631\\u0641\\u0634\\u0648\\u06cc\\u06cc\\u060c \\u06cc\\u062e\\u0686\\u0627\\u0644\\u060c \\u0641\\u0631\\u06cc\\u0632\\u0631\\u060c \\u0622\\u0628\\u0633\\u0631\\u062f\\u06a9\\u0646\\u060c \\u0645\\u0627\\u06cc\\u06a9\\u0631\\u0648\\u0648\\u06cc\\u0648 \\u0648 \\u0646\\u0638\\u06cc\\u0631 \\u0622\\u0646) \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0635\\u0627\\u0628 \\u0645\\u062c\\u0627\\u0632 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u0627\\u06cc\\u0646 \\u0645\\u0646\\u0638\\u0648\\u0631 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a \\u0645\\u0631\\u0628\\u0648\\u0637 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc \\u0645\\u062c\\u0627\\u0632 \\u0622\\u0646 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f. \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u06cc\\u0627 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0627\\u0632 \\u0628\\u06cc\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0631\\u0641\\u062a.<br \\/><br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u062e\\u0631\\u06cc\\u062f \\u0627\\u0639\\u062a\\u0628\\u0627\\u0631\\u06cc (\\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u06a9\\u062f \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u06cc\\u0627 \\u0648\\u0648\\u0686\\u0631) \\u067e\\u0633 \\u0627\\u0632 \\u0646\\u0647\\u0627\\u06cc\\u06cc\\u200c\\u0634\\u062f\\u0646 \\u0633\\u0628\\u062f\\u060c \\u0627\\u0632 \\u0646\\u0638\\u0631 \\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0639\\u0645\\u0627\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u062f\\u0631 \\u0633\\u0628\\u062f \\u062e\\u0631\\u06cc\\u062f\\u060c \\u0648 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0645\\u0628\\u0644\\u063a \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0628\\u0647 \\u062f\\u0644\\u0627\\u06cc\\u0644 \\u0627\\u0646\\u0635\\u0631\\u0627\\u0641 \\u0627\\u0632 \\u062e\\u0631\\u06cc\\u062f\\u060c \\u062d\\u0630\\u0641 \\u06cc\\u0627 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u06a9\\u0627\\u0644\\u0627 \\u06cc\\u0627 \\u062a\\u0639\\u062f\\u0627\\u062f \\u06a9\\u0627\\u0644\\u0627 \\u0648\\u062c\\u0648\\u062f \\u0646\\u062f\\u0627\\u0631\\u062f \\u0648 \\u0627\\u06af\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u062a\\u063a\\u06cc\\u06cc\\u0631\\u06cc \\u0631\\u0627 \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u062f\\u060c \\u0648\\u0648\\u0686\\u0631 \\u06cc\\u0627 \\u06a9\\u062f \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0628\\u0627\\u0637\\u0644 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f \\u0648 \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0628\\u0631\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u0645\\u0628\\u0644\\u063a \\u0622\\u0646 \\u0648\\u062c\\u0648\\u062f \\u0646\\u062f\\u0627\\u0631\\u062f.<br \\/><br \\/>- \\u0627\\u0632 \\u0622\\u0646\\u062c\\u0627 \\u06a9\\u0647 \\u0641\\u0631\\u0648\\u0634 \\u062d\\u0648\\u0627\\u0644\\u0647 \\u062e\\u0648\\u062f\\u0631\\u0648 \\u0648 \\u0646\\u0647 \\u062e\\u0648\\u062f \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647\\u060c \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0635\\u0648\\u0631\\u062a \\u0645\\u06cc\\u200c\\u06af\\u06cc\\u0631\\u062f\\u060c \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u062e\\u0648\\u062f\\u0631\\u0648 \\u0645\\u0634\\u0645\\u0648\\u0644 \\u0647\\u06cc\\u0686\\u200c\\u06cc\\u06a9 \\u0627\\u0632 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u062f\\u0631\\u062c \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0646\\u06cc\\u0633\\u062a.<br \\/><br \\/>- \\u0628\\u0647 \\u062f\\u0644\\u06cc\\u0644 \\u0645\\u0627\\u0647\\u06cc\\u062a \\u0645\\u062a\\u0641\\u0627\\u0648\\u062a \\u06a9\\u0627\\u0631\\u062a \\u0647\\u062f\\u06cc\\u0647\\u060c \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u06a9\\u0627\\u0631\\u062a \\u0647\\u062f\\u06cc\\u0647 \\u0645\\u0634\\u0645\\u0648\\u0644 \\u0647\\u06cc\\u0686\\u200c\\u06cc\\u06a9 \\u0627\\u0632 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u062f\\u0631\\u062c \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0646\\u06cc\\u0633\\u062a.<br \\/>\\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627<br \\/>\\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 7 \\u0631\\u0648\\u0632 \\u0636\\u0645\\u0627\\u0646\\u062a \\u0628\\u0627\\u0632\\u06af\\u0634\\u062a \\u0686\\u0647 \\u0634\\u0631\\u0627\\u06cc\\u0637\\u06cc \\u062f\\u0627\\u0631\\u062f\\u061f<br \\/>\\u0627\\u06af\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u0634\\u062f\\u0647\\u060c \\u0627\\u06cc\\u0631\\u0627\\u062f \\u06cc\\u0627 \\u0627\\u0634\\u06a9\\u0627\\u0644 \\u0641\\u0646\\u06cc \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u062f.<br \\/><br \\/>- \\u0627\\u0634\\u06a9\\u0627\\u0644 \\u0648 \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0641\\u0646\\u06cc \\u0628\\u0627\\u06cc\\u062f \\u062d\\u062f\\u0627\\u06a9\\u062b\\u0631 \\u062a\\u0627 7 \\u0631\\u0648\\u0632 \\u067e\\u0633 \\u0627\\u0632 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0627\\u062f\\u0647 \\u0634\\u0648\\u062f.<br \\/>- \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u0648 \\u062c\\u0639\\u0628\\u0647 \\u0627\\u0635\\u0644\\u06cc \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u062a\\u0627 \\u067e\\u0627\\u06cc\\u0627\\u0646 7 \\u0631\\u0648\\u0632 \\u0645\\u0647\\u0644\\u062a \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647\\u060c \\u0646\\u06af\\u0647\\u062f\\u0627\\u0631\\u06cc \\u0634\\u0648\\u062f \\u0648 \\u0627\\u0632 \\u062f\\u0648\\u0631 \\u0631\\u06cc\\u062e\\u062a\\u0646 \\u0622\\u0646 \\u062c\\u062f\\u0627\\u064b \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc \\u0634\\u0648\\u062f.<br \\/>- \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0627\\u06cc\\u0646 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u062a\\u0646\\u0647\\u0627 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u0627\\u0645\\u06a9\\u0627\\u0646\\u200c\\u067e\\u0630\\u06cc\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u06cc\\u0627 \\u062c\\u0639\\u0628\\u0647 \\u0627\\u0635\\u0644\\u06cc \\u062e\\u0648\\u062f \\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0647 \\u0634\\u0648\\u062f.<br \\/>- \\u0628\\u0631\\u0686\\u0633\\u0628\\u200c\\u0632\\u062f\\u0646 \\u06cc\\u0627 \\u0646\\u0648\\u0634\\u062a\\u0646 \\u062a\\u0648\\u0636\\u06cc\\u062d\\u0627\\u062a\\u060c \\u0622\\u062f\\u0631\\u0633 \\u06cc\\u0627 \\u0647\\u0631 \\u0645\\u0648\\u0631\\u062f \\u062f\\u06cc\\u06af\\u0631\\u06cc \\u0631\\u0648\\u06cc \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u06cc\\u0627 \\u062c\\u0639\\u0628\\u0647 \\u0627\\u0635\\u0644\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u06cc\\u0627 \\u067e\\u0627\\u0631\\u0647 \\u0648 \\u0645\\u062e\\u062f\\u0648\\u0634 \\u06a9\\u0631\\u062f\\u0646 \\u0622\\u0646\\u060c \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0636\\u0645\\u0627\\u0646\\u062a \\u0628\\u0627\\u0632\\u06af\\u0634\\u062a \\u0631\\u0627 \\u0627\\u0632 \\u0628\\u06cc\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0631\\u062f.<br \\/>- \\u0627\\u06cc\\u0646 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u0627\\u0634\\u06a9\\u0627\\u0644\\u200f\\u200f\\u200c\\u0647\\u0627\\u06cc \\u0641\\u0646\\u06cc \\u0648 \\u0638\\u0627\\u0647\\u0631\\u06cc (\\u0634\\u06a9\\u0633\\u062a\\u06af\\u06cc\\u060c \\u062e\\u0637 \\u0648 \\u062e\\u0634 \\u0648 \\u0645\\u0627\\u0646\\u0646\\u062f \\u0622\\u0646 \\u0631\\u0648\\u06cc \\u0628\\u062f\\u0646\\u0647 \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u0642\\u0637\\u0639\\u0627\\u062a \\u062a\\u0632\\u0626\\u06cc\\u0646\\u06cc) \\u06a9\\u0647 \\u062f\\u0631 \\u0627\\u062b\\u0631 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0646\\u0627\\u062f\\u0631\\u0633\\u062a \\u06a9\\u0627\\u0631\\u0628\\u0631 \\u0627\\u0632 \\u06a9\\u0627\\u0644\\u0627 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u0634\\u0648\\u062f\\u060c \\u0631\\u0627 \\u0634\\u0627\\u0645\\u0644 \\u0646\\u0645\\u06cc\\u200f\\u200f\\u200c\\u0634\\u0648\\u062f. \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0646\\u0627\\u062f\\u0631\\u0633\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u0645\\u0648\\u0627\\u0631\\u062f\\u06cc \\u0645\\u0627\\u0646\\u0646\\u062f \\u062d\\u0645\\u0644 \\u0648 \\u0646\\u0642\\u0644 \\u0648 \\u062c\\u0627\\u0628\\u062c\\u0627\\u06cc\\u06cc\\u060c \\u0646\\u0635\\u0628 \\u0648 \\u0631\\u0627\\u0647\\u200c\\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc\\u060c \\u062a\\u0646\\u0638\\u06cc\\u0645\\u0627\\u062a\\u060c \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f \\u063a\\u06cc\\u0631\\u0645\\u0639\\u0645\\u0648\\u0644\\u060c \\u0646\\u06af\\u0647\\u062f\\u0627\\u0631\\u06cc \\u0648 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647\\u200c\\u06cc \\u063a\\u06cc\\u0631 \\u0648 \\u0645\\u062a\\u0641\\u0627\\u0648\\u062a \\u0628\\u0627 \\u062a\\u0648\\u0635\\u06cc\\u0647 \\u0633\\u0627\\u0632\\u0646\\u062f\\u0647 \\u06a9\\u0627\\u0644\\u0627 (\\u0642\\u06cc\\u062f \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u062f\\u0641\\u062a\\u0631\\u0686\\u0647 \\u0631\\u0627\\u0647\\u0646\\u0645\\u0627\\u06cc \\u06a9\\u0627\\u0644\\u0627) \\u0631\\u0627 \\u0634\\u0627\\u0645\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<br \\/>\\u0627\\u06af\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0632 \\u0646\\u0638\\u0631 \\u0645\\u0634\\u062e\\u0635\\u0627\\u062a \\u06cc\\u0627 \\u0638\\u0627\\u0647\\u0631 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0628\\u0627 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0648\\u0628\\u200c\\u0633\\u0627\\u06cc\\u062a \\u0645\\u063a\\u0627\\u06cc\\u0631\\u062a \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0627\\u06af\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u0634\\u062f\\u0647\\u060c \\u0622\\u0633\\u06cc\\u0628 \\u062f\\u06cc\\u062f\\u06af\\u06cc \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0648 \\u0638\\u0627\\u0647\\u0631\\u06cc \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0627\\u06af\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0627\\u0632 \\u062e\\u0631\\u06cc\\u062f \\u062e\\u0648\\u062f \\u0645\\u0646\\u0635\\u0631\\u0641 \\u0634\\u0648\\u062f.<br \\/>\\u0627\\u06af\\u0631 \\u062f\\u0631 \\u0627\\u062b\\u0631 \\u062d\\u0645\\u0644 \\u0648 \\u0646\\u0642\\u0644\\u060c \\u0622\\u0633\\u06cc\\u0628 \\u062f\\u06cc\\u062f\\u06af\\u06cc \\u0627\\u06cc\\u062c\\u0627\\u062f \\u0634\\u062f\\u0647 \\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0636\\u0648\\u0627\\u0628\\u0637 \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0622\\u0631\\u0627\\u06cc\\u0634\\u06cc \\u0648 \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a\\u06cc<br \\/><br \\/>- \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0647\\u0631 \\u0645\\u062d\\u0635\\u0648\\u0644 \\u0622\\u0631\\u0627\\u06cc\\u0634\\u06cc \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a\\u06cc \\u062f\\u0631 \\u0648\\u0628\\u200c\\u0633\\u0627\\u06cc\\u062a \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0635\\u0631\\u0641\\u0627\\u064b \\u0628\\u0631\\u0627\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u200c\\u0631\\u0633\\u0627\\u0646\\u06cc \\u0627\\u0633\\u062a \\u0648 \\u062c\\u0646\\u0628\\u0647 \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0646\\u062f\\u0627\\u0631\\u062f. \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0628\\u0627\\u06cc\\u062f \\u0642\\u0628\\u0644 \\u0627\\u0632 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0645\\u0648\\u0627\\u062f \\u0622\\u0631\\u0627\\u06cc\\u0634\\u06cc \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a\\u06cc \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u06a9\\u0633\\u0628 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0648 \\u0627\\u062e\\u0630 \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0627\\u0632 \\u0645\\u062a\\u062e\\u0635\\u0635 \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u06a9\\u0646\\u062f. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646\\u060c \\u0646\\u0638\\u0631\\u0627\\u062a\\u06cc \\u06a9\\u0647 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u0627\\u0646 \\u062f\\u0631 \\u062e\\u0635\\u0648\\u0635 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0648\\u0628\\u00ad\\u200c\\u0633\\u0627\\u06cc\\u062a \\u062f\\u0631\\u062c \\u06a9\\u0631\\u062f\\u0647\\u200c\\u0627\\u0646\\u062f\\u060c \\u062a\\u062c\\u0631\\u0628\\u0647 \\u06cc\\u0627 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0634\\u062e\\u0635\\u06cc \\u0627\\u0641\\u0631\\u0627\\u062f \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0622\\u0646\\u200c\\u0647\\u0627 \\u0648 \\u062f\\u06cc\\u062c\\u06cc\\u00ad\\u200c\\u06a9\\u0627\\u0644\\u0627 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u0627\\u06cc\\u062c\\u0627\\u062f \\u0646\\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u062f\\u0631\\u0633\\u062a\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0641\\u0631\\u0627\\u0647\\u0645 \\u0634\\u062f\\u0647 \\u0631\\u0648\\u06cc \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0646\\u062f\\u0627\\u0631\\u062f \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a \\u0622\\u0646 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a \\u062a\\u0648\\u0644\\u06cc\\u062f\\u06a9\\u0646\\u0646\\u062f\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u0633\\u062a.<br \\/>- \\u062f\\u0631\\u0635\\u0648\\u0631\\u062a \\u0639\\u062f\\u0645 \\u0622\\u06af\\u0627\\u0647\\u06cc\\u060c \\u0627\\u0637\\u0644\\u0627\\u0639 \\u0648 \\u0646\\u0627\\u062a\\u0648\\u0627\\u0646\\u06cc \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0622\\u0631\\u0627\\u06cc\\u0634\\u06cc \\u0648 \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a\\u06cc \\u0648 \\u06cc\\u0627 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u062e\\u0633\\u0627\\u0631\\u062a \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u062e\\u0648\\u062f \\u06cc\\u0627 \\u0645\\u062d\\u0635\\u0648\\u0644\\u060c \\u062a\\u0645\\u0627\\u0645\\u06cc \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u00ad\\u200c\\u0647\\u0627\\u06cc \\u0622\\u0646 \\u0628\\u0631 \\u0639\\u0647\\u062f\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0627\\u0633\\u062a \\u0648 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u062e\\u0635\\u0648\\u0635 \\u0647\\u06cc\\u0686\\u06af\\u0648\\u0646\\u0647 \\u062a\\u0639\\u0647\\u062f\\u06cc \\u0646\\u062e\\u0648\\u0627\\u0647\\u062f \\u062f\\u0627\\u0634\\u062a.<br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0645\\u0639\\u06cc\\u0648\\u0628\\u200c\\u0628\\u0648\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0645\\u0631\\u062c\\u0648\\u0639\\u06cc \\u062a\\u0648\\u0633\\u0637 \\u0634\\u0631\\u06a9\\u062a \\u062a\\u0627\\u0645\\u06cc\\u0646 \\u06cc\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f\\u06a9\\u0646\\u0646\\u062f\\u0647\\u060c \\u062d\\u062f\\u0627\\u06a9\\u062b\\u0631 \\u062a\\u0627 \\u06cc\\u06a9 \\u0645\\u0627\\u0647 \\u0627\\u0632 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631\\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0647\\u0645\\u0627\\u0647\\u0646\\u06af\\u06cc \\u0628\\u0631\\u06af\\u0634\\u062a \\u0648 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u0628\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0648\\u062c\\u0648\\u062f \\u062f\\u0627\\u0631\\u062f.<br \\/>- \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u0639\\u0648\\u0627\\u0631\\u0636 \\u062c\\u0633\\u0645\\u06cc \\u0648 \\u0628\\u06cc\\u0645\\u0627\\u0631\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0622\\u0631\\u0627\\u06cc\\u0634\\u06cc \\u0648 \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a\\u06cc (\\u0627\\u0632 \\u0642\\u0628\\u06cc\\u0644 \\u062d\\u0633\\u0627\\u0633\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u067e\\u0648\\u0633\\u062a\\u06cc\\u060c \\u062c\\u0631\\u0627\\u062d\\u0627\\u062a \\u0648 ...) \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a \\u0648 \\u067e\\u0627\\u0633\\u062e\\u06af\\u0648\\u06cc\\u06cc \\u0646\\u062f\\u0627\\u0631\\u062f. \\u0627\\u0646\\u062c\\u0627\\u0645 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0644\\u0627\\u0632\\u0645 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0648 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0634\\u0631\\u06a9\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 (\\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc\\u200c\\u0647\\u0627 \\u0648 \\u062a\\u0627\\u0645\\u06cc\\u0646\\u200c\\u06a9\\u0646\\u0646\\u062f\\u06af\\u0627\\u0646 \\u0631\\u0633\\u0645\\u06cc \\u06a9\\u0627\\u0644\\u0627) \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f.<br \\/>\\u0636\\u0648\\u0627\\u0628\\u0637 \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u0634\\u062e\\u0635\\u06cc \\u0648 \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a \\u0648 \\u0645\\u0631\\u0627\\u0642\\u0628\\u062a\\u060c \\u0644\\u0648\\u0627\\u0632\\u0645 \\u0628\\u062f\\u0646\\u0633\\u0627\\u0632\\u06cc \\u0648 \\u0633\\u0646\\u062c\\u0634 \\u0633\\u0644\\u0627\\u0645\\u062a<br \\/><br \\/>- \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0627\\u06cc\\u0646 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0635\\u0631\\u0641\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u200c\\u0631\\u0633\\u0627\\u0646\\u06cc \\u0627\\u0633\\u062a \\u0648 \\u062c\\u0646\\u0628\\u0647 \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0646\\u062f\\u0627\\u0631\\u062f. \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0628\\u0627\\u06cc\\u062f \\u0642\\u0628\\u0644 \\u0627\\u0632 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647\\u060c \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u06a9\\u0633\\u0628 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0648 \\u0627\\u062e\\u0630 \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0627\\u0632 \\u0645\\u062a\\u062e\\u0635\\u0635 \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u06a9\\u0646\\u062f. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646\\u060c \\u0646\\u0638\\u0631\\u0627\\u062a\\u06cc \\u06a9\\u0647 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u0627\\u0646 \\u062f\\u0631 \\u062e\\u0635\\u0648\\u0635 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0648\\u0628\\u200c\\u0633\\u0627\\u06cc\\u062a \\u062f\\u0631\\u062c \\u06a9\\u0631\\u062f\\u0647\\u200c\\u0627\\u0646\\u062f\\u060c \\u062a\\u062c\\u0631\\u0628\\u0647 \\u06cc\\u0627 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0634\\u062e\\u0635\\u06cc \\u0627\\u0641\\u0631\\u0627\\u062f \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0622\\u0646\\u200c\\u0647\\u0627 \\u0648 \\u062f\\u06cc\\u062c\\u06cc\\u200c\\u200c\\u06a9\\u0627\\u0644\\u0627 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u0627\\u06cc\\u062c\\u0627\\u062f \\u0646\\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f.<br \\/>- \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u062f\\u0631\\u0633\\u062a\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0641\\u0631\\u0627\\u0647\\u0645 \\u0634\\u062f\\u0647 \\u0631\\u0648\\u06cc \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0646\\u062f\\u0627\\u0631\\u062f \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a \\u0622\\u0646 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a \\u062a\\u0648\\u0644\\u06cc\\u062f\\u06a9\\u0646\\u0646\\u062f\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u0633\\u062a.<br \\/>- \\u062f\\u0631\\u0635\\u0648\\u0631\\u062a \\u0639\\u062f\\u0645 \\u0622\\u06af\\u0627\\u0647\\u06cc\\u060c \\u0627\\u0637\\u0644\\u0627\\u0639 \\u0648 \\u0646\\u0627\\u062a\\u0648\\u0627\\u0646\\u06cc \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0627\\u06cc\\u0646 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u06cc\\u0627 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u062e\\u0633\\u0627\\u0631\\u062a \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u062e\\u0648\\u062f \\u06cc\\u0627 \\u0645\\u062d\\u0635\\u0648\\u0644\\u060c \\u062a\\u0645\\u0627\\u0645\\u06cc \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u200c\\u0647\\u0627\\u06cc \\u0622\\u0646 \\u0628\\u0631 \\u0639\\u0647\\u062f\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0627\\u0633\\u062a \\u0648 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u062e\\u0635\\u0648\\u0635 \\u0647\\u06cc\\u0686\\u06af\\u0648\\u0646\\u0647 \\u062a\\u0639\\u0647\\u062f\\u06cc \\u0646\\u062e\\u0648\\u0627\\u0647\\u062f \\u062f\\u0627\\u0634\\u062a.<br \\/>- \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u0639\\u0648\\u0627\\u0631\\u0636 \\u062c\\u0633\\u0645\\u06cc \\u0648 \\u0628\\u06cc\\u0645\\u0627\\u0631\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0627\\u06cc\\u0646 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a \\u0648 \\u067e\\u0627\\u0633\\u062e\\u06af\\u0648\\u06cc\\u06cc \\u0646\\u062f\\u0627\\u0631\\u062f. \\u0627\\u0646\\u062c\\u0627\\u0645 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0644\\u0627\\u0632\\u0645 \\u0628\\u0627\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0648 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0634\\u0631\\u06a9\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 (\\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc\\u200c\\u0647\\u0627 \\u0648 \\u062a\\u0627\\u0645\\u06cc\\u0646\\u200c\\u06a9\\u0646\\u0646\\u062f\\u06af\\u0627\\u0646 \\u0631\\u0633\\u0645\\u06cc \\u06a9\\u0627\\u0644\\u0627) \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f.<br \\/>\\u0636\\u0648\\u0627\\u0628\\u0637 \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634 \\u067e\\u0648\\u0634\\u0627\\u06a9 \\u0648 \\u06a9\\u0641\\u0634<br \\/><br \\/>- \\u0628\\u0647 \\u062f\\u0644\\u06cc\\u0644 \\u0631\\u0639\\u0627\\u06cc\\u062a \\u0646\\u06a9\\u0627\\u062a \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a\\u06cc \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0648 \\u0637\\u0628\\u06cc\\u0639\\u062a \\u062e\\u0627\\u0635 \\u0641\\u0631\\u0648\\u0634 \\u0627\\u06cc\\u0646\\u06af\\u0648\\u0646\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u060c \\u0627\\u06cc\\u0646 \\u06af\\u0631\\u0648\\u0647 \\u0634\\u0627\\u0645\\u0644 \\u0645\\u0647\\u0644\\u062a \\u062a\\u0633\\u062a 7 \\u0631\\u0648\\u0632\\u0647 \\u0646\\u06cc\\u0633\\u062a\\u0646\\u062f. \\u0628\\u0646\\u0627\\u0628\\u0631\\u0627\\u06cc\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06cc\\u0627 \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0633\\u0627\\u06cc\\u0632 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u06cc\\u200c\\u067e\\u0630\\u06cc\\u0631\\u062f \\u062f\\u0631 \\u0627\\u0648\\u0644\\u06cc\\u0646 \\u0641\\u0631\\u0635\\u062a \\u0648 \\u062d\\u062f\\u0627\\u06a9\\u062b\\u0631 \\u062a\\u0627 6 \\u0633\\u0627\\u0639\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u06a9\\u0627\\u0644\\u0627\\u060c \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0628\\u0627 \\u0630\\u06a9\\u0631 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\\u060c \\u0628\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0647\\u062f.<br \\/>- \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0633\\u0627\\u06cc\\u0632 \\u062a\\u0646\\u0647\\u0627 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u067e\\u0630\\u06cc\\u0631\\u0641\\u062a\\u0647 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f \\u06a9\\u0647 \\u06a9\\u0641\\u0634 \\u06cc\\u0627 \\u067e\\u0648\\u0634\\u0627\\u06a9 \\u062a\\u0646\\u0647\\u0627 \\u062a\\u0633\\u062a \\u0634\\u062f\\u0647 \\u0628\\u0627\\u0634\\u0646\\u062f \\u0648 \\u062f\\u0631 \\u0648\\u0636\\u0639\\u06cc\\u062a \\u0627\\u0648\\u0644\\u06cc\\u0647 \\u0648 \\u0646\\u0648 \\u0628\\u0627\\u0634\\u0646\\u062f\\u060c \\u0648 \\u0631\\u0648\\u06cc \\u067e\\u0648\\u0634\\u0627\\u06a9 \\u0647\\u06cc\\u0686\\u06af\\u0648\\u0646\\u0647 \\u0622\\u062b\\u0627\\u0631 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0631 \\u0645\\u0627\\u0646\\u0646\\u062f \\u0644\\u06a9\\u0647\\u060c \\u0631\\u0646\\u06af\\u200c\\u067e\\u0631\\u06cc\\u062f\\u06af\\u06cc \\u06cc\\u0627 \\u0628\\u0648\\u06cc \\u0639\\u0637\\u0631 \\u0648 \\u0628\\u062f\\u0646 \\u0648\\u062c\\u0648\\u062f \\u0646\\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u062f\\u060c \\u0648 \\u0645\\u0627\\u0631\\u06a9\\u060c \\u062f\\u06a9\\u0645\\u0647 \\u0648 \\u0633\\u0627\\u06cc\\u0631 \\u0645\\u0644\\u062d\\u0642\\u0627\\u062a \\u062c\\u062f\\u0627 \\u0646\\u0634\\u062f\\u0647 \\u0628\\u0627\\u0634\\u062f. (\\u062a\\u0648\\u062c\\u0647 \\u0634\\u0648\\u062f \\u0644\\u0628\\u0627\\u0633 \\u0632\\u06cc\\u0631\\u060c \\u0645\\u0627\\u06cc\\u0648 \\u0648 \\u0644\\u0628\\u0627\\u0633 \\u06a9\\u0648\\u062f\\u06a9 \\u0648 \\u0646\\u0648\\u0632\\u0627\\u062f \\u0634\\u0627\\u0645\\u0644 \\u0628\\u0631\\u06af\\u0634\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0646\\u0645\\u06cc\\u0634\\u0648\\u0646\\u062f)<br \\/>\\u0636\\u0648\\u0627\\u0628\\u0637 \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u06af\\u0631\\u0648\\u0647 \\u0641\\u0631\\u0634<br \\/><br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0648\\u0633\\u0637 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631 \\u062d\\u0636\\u0648\\u0631 \\u0645\\u0627\\u0645\\u0648\\u0631 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634\\u060c \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0631\\u0631\\u0633\\u06cc \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0645\\u0634\\u06a9\\u0644 \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644\\u200c\\u06af\\u0631\\u0641\\u062a\\u0646 \\u0622\\u0646 \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc \\u06a9\\u0646\\u062f. \\u0628\\u062f\\u06cc\\u0647\\u06cc \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0628\\u0647 \\u0645\\u0646\\u0632\\u0644\\u0647 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0622\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0648\\u062f.<br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0627\\u06cc\\u0631\\u0627\\u062f \\u062f\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u067e\\u0633\\u062a \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062f\\u0627\\u062f\\u0647 \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a\\u060c \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u0648\\u0638\\u0641 \\u0627\\u0633\\u062a \\u0647\\u0645\\u0627\\u0646 \\u0631\\u0648\\u0632 \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u0622\\u0646 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u06a9\\u0646\\u062f. \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a\\u06cc \\u0627\\u0632 \\u0637\\u0631\\u0641 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062a\\u0646\\u0647\\u0627 \\u067e\\u0633 \\u0627\\u0632 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0648 \\u0627\\u0639\\u0644\\u0627\\u0645 \\u0646\\u0638\\u0631 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u062f\\u06cc\\u062c\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0634\\u0631\\u06a9\\u062a \\u062a\\u0627\\u0645\\u06cc\\u0646 \\u06a9\\u0646\\u0646\\u062f\\u0647 \\u0642\\u0627\\u0628\\u0644 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0648\\u062f.<br \\/>\\u0636\\u0648\\u0627\\u0628\\u0637 \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u0627\\u0633\\u06a9\\u0648\\u062a\\u0631 \\u0628\\u0631\\u0642\\u06cc<br \\/><br \\/>\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u0628\\u0631\\u0648\\u0632 \\u0622\\u0633\\u06cc\\u0628 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0628\\u0647 \\u0645\\u0635\\u0631\\u0641 \\u06a9\\u0646\\u0646\\u062f\\u0647 \\u0645\\u0627\\u0646\\u0646\\u062f \\u0635\\u062f\\u0645\\u0627\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u062a\\u0635\\u0627\\u062f\\u0641 \\u0648 \\u06cc\\u0627 \\u0622\\u062a\\u0634 \\u0633\\u0648\\u0632\\u06cc \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647\\u060c \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a \\u0648 \\u067e\\u0627\\u0633\\u062e\\u06af\\u0648\\u06cc\\u06cc \\u0646\\u062f\\u0627\\u0631\\u062f.<br \\/>\\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0628\\u0627 \\u0622\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0632 \\u0627\\u06cc\\u0646\\u06a9\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062f\\u0631 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0632\\u06cc\\u0631 \\u0628\\u0627\\u0637\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f\\u060c \\u0627\\u06cc\\u0646 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0631\\u0627 \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f:<br \\/>- \\u0645\\u0634\\u06a9\\u0644\\u0627\\u062a \\u0648 \\u0622\\u0633\\u06cc\\u0628 \\u0647\\u0627\\u06cc \\u0627\\u06cc\\u062c\\u0627\\u062f \\u0634\\u062f\\u0647 \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u0645\\u0631\\u0627\\u0642\\u0628\\u062a \\u0646\\u0627\\u0645\\u0646\\u0627\\u0633\\u0628\\u060c \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0646\\u0627\\u0635\\u062d\\u06cc\\u062d \\u0648 \\u0633\\u0648\\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0648 \\u06cc\\u0627 \\u0639\\u0645\\u0644\\u06cc\\u0627\\u062a \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0628\\u0631\\u062e\\u0644\\u0627\\u0641 \\u062f\\u0633\\u062a\\u0648\\u0631\\u0627\\u0644\\u0639\\u0645\\u0644 \\u0647\\u0627\\u06cc \\u0645\\u0646\\u062f\\u0631\\u062c\\u0647 \\u062f\\u0631 \\u062f\\u0641\\u062a\\u0631\\u0686\\u0647 \\u0631\\u0627\\u0647\\u0646\\u0645\\u0627\\u06cc \\u0645\\u0634\\u062a\\u0631\\u06cc<br \\/>- \\u062a\\u0639\\u0645\\u06cc\\u0631\\u0627\\u062a \\u0635\\u0648\\u0631\\u062a \\u06af\\u0631\\u0641\\u062a\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0634\\u062e\\u0635 \\u06cc\\u0627 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0628\\u0647 \\u062c\\u0632 \\u0634\\u0631\\u06a9\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u06a9\\u0646\\u0646\\u062f\\u0647<br \\/>- \\u062a\\u063a\\u06cc\\u06cc\\u0631\\u0627\\u062a \\u0648 \\u06cc\\u0627 \\u062f\\u0633\\u062a\\u06a9\\u0627\\u0631\\u06cc \\u0635\\u0648\\u0631\\u062a \\u06af\\u0631\\u0641\\u062a\\u0647 \\u062f\\u0631 \\u0647\\u0631 \\u0628\\u062e\\u0634\\u06cc \\u0627\\u0632 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0627\\u0639\\u0645 \\u0627\\u0632 \\u0627\\u0644\\u06a9\\u062a\\u0631\\u06cc\\u06a9\\u06cc \\u06cc\\u0627 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc<br \\/>- \\u0622\\u0633\\u06cc\\u0628 \\u0647\\u0627\\u06cc \\u0648\\u0627\\u0631\\u062f\\u0647 \\u0646\\u0627\\u0634\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0632 \\u0628\\u0631\\u062e\\u0648\\u0631\\u062f \\u0628\\u0627 \\u062c\\u0633\\u0645 \\u0633\\u062e\\u062a\\u060c \\u0645\\u0627\\u06cc\\u0639\\u0627\\u062a\\u060c \\u0634\\u0646 \\u0648 \\u062e\\u0627\\u06a9 \\u0648 ...<br \\/>- \\u0639\\u062f\\u0645 \\u062a\\u0637\\u0627\\u0628\\u0642 \\u0646\\u0627\\u0645 \\u0648 \\u0633\\u0631\\u06cc\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0627 \\u0646\\u0627\\u0645 \\u0648 \\u0633\\u0631\\u06cc\\u0627\\u0644 \\u062f\\u0631\\u062c \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647<br \\/>\\u0636\\u0648\\u0627\\u0628\\u0637 \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u062f\\u0648\\u0686\\u0631\\u062e\\u0647<br \\/><br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0648\\u0633\\u0637 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0627\\u06a9\\u0633\\u067e\\u0631\\u0633 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631 \\u062d\\u0636\\u0648\\u0631 \\u0645\\u0627\\u0645\\u0648\\u0631 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634\\u060c \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0631\\u0631\\u0633\\u06cc \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0645\\u0634\\u06a9\\u0644 \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644\\u200c\\u06af\\u0631\\u0641\\u062a\\u0646 \\u0622\\u0646 \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc \\u06a9\\u0646\\u062f. \\u0628\\u062f\\u06cc\\u0647\\u06cc \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06af\\u0631\\u0641\\u062a\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0628\\u0647 \\u0645\\u0646\\u0632\\u0644\\u0647 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0633\\u0644\\u0627\\u0645\\u062a \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0622\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0648\\u062f \\u0648 \\u062f\\u0631 \\u0647\\u06cc\\u0686 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0645\\u0631\\u062c\\u0648\\u0639 \\u0646\\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0627\\u06cc\\u0631\\u0627\\u062f \\u062f\\u0631 \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u067e\\u0633\\u062a \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062f\\u0627\\u062f\\u0647 \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a\\u060c \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u0648\\u0638\\u0641 \\u0627\\u0633\\u062a \\u0647\\u0645\\u0627\\u0646 \\u0631\\u0648\\u0632 \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u0622\\u0646 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u06a9\\u0646\\u062f. \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a\\u06cc \\u0627\\u0632 \\u0637\\u0631\\u0641 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062a\\u0646\\u0647\\u0627 \\u067e\\u0633 \\u0627\\u0632 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0648 \\u0627\\u0639\\u0644\\u0627\\u0645 \\u0646\\u0638\\u0631 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u062f\\u06cc\\u062c\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0634\\u0631\\u06a9\\u062a \\u062a\\u0627\\u0645\\u06cc\\u0646 \\u06a9\\u0646\\u0646\\u062f\\u0647 \\u0642\\u0627\\u0628\\u0644 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0648\\u062f.<br \\/>\\u0636\\u0648\\u0627\\u0628\\u0637 \\u0648 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u0645\\u0648\\u0627\\u062f \\u062e\\u0648\\u0631\\u0627\\u06a9\\u06cc<br \\/><br \\/>- \\u06a9\\u0644\\u06cc\\u0647\\u200c\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a\\u06cc \\u06a9\\u0647 \\u062f\\u0631 \\u062e\\u0635\\u0648\\u0635 \\u0647\\u0631\\u06cc\\u06a9 \\u0627\\u0632 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u062e\\u0648\\u0631\\u0627\\u06a9\\u06cc \\u062f\\u0631 \\u0635\\u0641\\u062d\\u0647\\u200c\\u06cc \\u0645\\u0631\\u0628\\u0648\\u0637\\u200c\\u0634\\u0627\\u0646 \\u062f\\u0631\\u062c \\u0634\\u062f\\u0647\\u200c\\u0627\\u0633\\u062a\\u060c \\u0627\\u0632 \\u0642\\u0628\\u06cc\\u0644 \\u062a\\u0635\\u0648\\u06cc\\u0631 \\u0648 \\u0647\\u0631\\u06cc\\u06a9 \\u0627\\u0632 \\u0645\\u0634\\u062e\\u0635\\u0627\\u062a \\u0630\\u06a9\\u0631\\u0634\\u062f\\u0647\\u060c \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639 \\u0634\\u0645\\u0627 \\u0648 \\u0628\\u0631\\u06af\\u0631\\u0641\\u062a\\u0647 \\u0627\\u0632 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0645\\u0646\\u062f\\u0631\\u062c \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u0633\\u062a \\u0648 \\u0627\\u0632 \\u0622\\u0646\\u200c\\u062c\\u0627 \\u06a9\\u0647 \\u0645\\u0646\\u0634\\u0627\\u0621 \\u0627\\u06cc\\u0646 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a\\u060c \\u062a\\u0648\\u0644\\u06cc\\u062f\\u06a9\\u0646\\u0646\\u062f\\u0647 \\u0648 \\u06cc\\u0627 \\u0648\\u0627\\u0631\\u062f\\u06a9\\u0646\\u0646\\u062f\\u0647\\u200c\\u06cc \\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u0627\\u06cc\\u0646 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u0633\\u062a\\u060c \\u00ab\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u00bb \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u0627\\u0632 \\u0627\\u06cc\\u0646 \\u062d\\u06cc\\u062b \\u0628\\u0631\\u0639\\u0647\\u062f\\u0647 \\u0646\\u062f\\u0627\\u0631\\u062f\\u060c \\u0647\\u0645\\u200c\\u0686\\u0646\\u06cc\\u0646\\u060c \\u0627\\u06cc\\u0646 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0646\\u0628\\u0627\\u06cc\\u062f \\u0628\\u0647\\u200c\\u0639\\u0646\\u0648\\u0627\\u0646 \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0628\\u0647\\u200c\\u062d\\u0633\\u0627\\u0628 \\u0622\\u06cc\\u0646\\u062f.<br \\/>- \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0646\\u06af\\u0647\\u200c\\u062f\\u0627\\u0631\\u06cc\\u060c \\u062d\\u0645\\u0644\\u060c \\u0648 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u062e\\u0648\\u0631\\u0627\\u06a9\\u06cc \\u0628\\u0647\\u200c\\u06af\\u0648\\u0646\\u0647\\u200c\\u0627\\u06cc \\u0627\\u200c\\u0633\\u062a \\u06a9\\u0647 \\u0627\\u06cc\\u0646 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627 \\u062a\\u0627 \\u0632\\u0645\\u0627\\u0646\\u06cc \\u06a9\\u0647 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0627\\u0646\\u0642\\u0636\\u0627\\u0621 \\u0645\\u0635\\u0631\\u0641\\u200c\\u0634\\u0627\\u0646 \\u0641\\u0631\\u0627\\u0646\\u0631\\u0633\\u06cc\\u062f\\u0647\\u200c\\u0628\\u0627\\u0634\\u062f\\u060c \\u0642\\u0627\\u0628\\u0644\\u06cc\\u062a \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647\\u200c\\u06cc \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062d\\u0641\\u0638 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u0646\\u062f\\u061b \\u0628\\u0647\\u200c\\u0647\\u0645\\u06cc\\u0646 \\u0645\\u0646\\u0638\\u0648\\u0631\\u060c \\u0631\\u0648\\u06cc\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0628\\u062e\\u0634 \\u0628\\u0627 \\u062f\\u06cc\\u06af\\u0631 \\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u00ab\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u00bb \\u0645\\u062a\\u0641\\u0627\\u0648\\u062a \\u0627\\u0633\\u062a.<br \\/>- \\u0686\\u0646\\u0627\\u0646\\u200c\\u0686\\u0647 \\u062a\\u0627 \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u0627\\u0632 \\u062e\\u0631\\u06cc\\u062f\\u062a\\u0627\\u0646 \\u0645\\u0646\\u0635\\u0631\\u0641 \\u0634\\u062f\\u06cc\\u062f\\u060c \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u062f\\u0631 \\u0627\\u0633\\u0631\\u0639 \\u0648\\u0642\\u062a \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647\\u200c\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0648\\u0627\\u062d\\u062f \\u062e\\u062f\\u0645\\u0627\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u0627 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f\\u060c \\u0648 \\u0645\\u0631\\u0627\\u062a\\u0628 \\u0631\\u0627 \\u0628\\u0627 \\u0630\\u06a9\\u0631 \\u0634\\u0645\\u0627\\u0631\\u0647\\u200c\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u062a\\u0627\\u0646 \\u0627\\u0637\\u0644\\u0627\\u0639\\u200c\\u0631\\u0633\\u0627\\u0646\\u06cc \\u06a9\\u0646\\u06cc\\u062f\\u061b \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a\\u060c \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0633\\u0641\\u0627\\u0631\\u0634\\u200c\\u062a\\u0627\\u0646 \\u0631\\u0627 \\u0644\\u063a\\u0648 \\u06a9\\u0646\\u06cc\\u062f\\u060c \\u0648 \\u06cc\\u0627 \\u0622\\u0646 \\u0631\\u0627 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u062f\\u0647\\u06cc\\u062f.<br \\/>- \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u06a9\\u0631\\u062f\\u0647\\u200c\\u0627\\u06cc\\u062f \\u062d\\u062a\\u0645\\u0627\\u064b \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u0645\\u0636\\u0627\\u0621 \\u0631\\u0633\\u06cc\\u062f \\u062a\\u062d\\u0648\\u06cc\\u0644\\u060c \\u0622\\u0646 \\u0631\\u0627 \\u0628\\u0647\\u200c\\u062f\\u0642\\u062a \\u0628\\u0631\\u0631\\u0633\\u06cc \\u06a9\\u0646\\u06cc\\u062f \\u0648\\u060c \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0628\\u0647\\u200c\\u0647\\u0631 \\u0639\\u0644\\u062a \\u0627\\u0632 \\u062e\\u0631\\u06cc\\u062f \\u0645\\u0646\\u0635\\u0631\\u0641 \\u0634\\u062f\\u0647\\u200c\\u0627\\u06cc\\u062f \\u0648 \\u062a\\u0645\\u0627\\u06cc\\u0644\\u06cc \\u0628\\u0647 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0646\\u062f\\u0627\\u0631\\u06cc\\u062f\\u060c \\u0648 \\u06cc\\u0627 \\u0627\\u0634\\u06a9\\u0627\\u0644\\u06cc \\u062f\\u0631 \\u06a9\\u0627\\u0644\\u0627 \\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u06cc\\u062f (\\u0645\\u062b\\u0644\\u0627\\u064b \\u0645\\u063a\\u0627\\u06cc\\u0631\\u062a\\u06cc \\u0645\\u06cc\\u0627\\u0646 \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0647\\u200c\\u0634\\u0645\\u0627 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f \\u0648 \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062f\\u0627\\u062f\\u0647\\u200c\\u0627\\u06cc\\u062f \\u0648\\u062c\\u0648\\u062f \\u062f\\u0627\\u0631\\u062f)\\u060c \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644\\u200c\\u06af\\u0631\\u0641\\u062a\\u0646 \\u0622\\u0646 \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc\\u060c \\u0648 \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0645\\u0631\\u062c\\u0648\\u0639 \\u06a9\\u0646\\u06cc\\u062f\\u061b \\u0633\\u067e\\u0633 \\u0628\\u0627 \\u0648\\u0627\\u062d\\u062f \\u062e\\u062f\\u0645\\u0627\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u0627 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f \\u062a\\u0627 \\u0631\\u0627\\u0647\\u0646\\u0645\\u0627\\u06cc\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0644\\u0627\\u0632\\u0645 \\u0628\\u0647\\u200c\\u0634\\u0645\\u0627 \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u0648\\u062f.<br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0686\\u0646\\u0627\\u0646\\u00ad\\u0686\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062a\\u062d\\u0648\\u06cc\\u0644\\u200c\\u0634\\u062f\\u0647 \\u0627\\u0634\\u06a9\\u0627\\u0644 \\u0648 \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f\\u06cc \\u062f\\u0627\\u0631\\u062f (\\u0645\\u062b\\u0644\\u0627\\u064b \\u0645\\u063a\\u0627\\u06cc\\u0631\\u062a\\u06cc \\u0645\\u06cc\\u0627\\u0646 \\u0622\\u0646\\u200c\\u0686\\u0647 \\u062e\\u0631\\u06cc\\u062f\\u0647\\u200c\\u0627\\u06cc\\u062f \\u0648 \\u0622\\u0646\\u200c\\u0686\\u0647 \\u0628\\u0647\\u200c\\u0634\\u0645\\u0627 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0634\\u062f\\u0647\\u200c\\u0627\\u0633\\u062a \\u0648\\u062c\\u0648\\u062f \\u062f\\u0627\\u0631\\u062f)\\u060c \\u062a\\u0646\\u0647\\u0627 (\\u06f2\\u06f4) \\u0633\\u0627\\u0639\\u062a \\u062c\\u0647\\u062a \\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0648\\u0627\\u062d\\u062f \\u062e\\u062f\\u0645\\u0627\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u0627 \\u062c\\u0647\\u062a \\u06a9\\u0633\\u0628 \\u0631\\u0627\\u0647\\u0646\\u0645\\u0627\\u06cc\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0644\\u0627\\u0632\\u0645 \\u0648\\u060c \\u0627\\u062d\\u06cc\\u0627\\u0646\\u0627\\u064b\\u060c \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u06a9\\u0627\\u0644\\u0627 \\u0641\\u0631\\u0635\\u062a \\u062f\\u0627\\u0631\\u06cc\\u062f\\u061b \\u062f\\u0631 \\u0647\\u0631 \\u0635\\u0648\\u0631\\u062a\\u060c \\u0644\\u0637\\u0641\\u0627\\u064b \\u062a\\u0627 \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0648\\u0627\\u062d\\u062f \\u062e\\u062f\\u0645\\u0627\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u0627 \\u0627\\u0632 \\u0645\\u0631\\u062c\\u0648\\u0639\\u200c\\u06a9\\u0631\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062c\\u062f\\u0627\\u064b \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc \\u0641\\u0631\\u0645\\u0627\\u06cc\\u06cc\\u062f. (\\u0644\\u0637\\u0641\\u0627\\u064b \\u0628\\u0647\\u200c\\u062e\\u0627\\u0637\\u0631 \\u062f\\u0627\\u0634\\u062a\\u0647\\u200c\\u0628\\u0627\\u0634\\u06cc\\u062f \\u06a9\\u0647 \\u0627\\u06af\\u0631 \\u0627\\u0634\\u06a9\\u0627\\u0644 \\u0648 \\u06cc\\u0627 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u06a9\\u0627\\u0644\\u0627(\\u0645\\u062b\\u0644\\u0627\\u064b \\u0648\\u062c\\u0648\\u062f \\u0645\\u063a\\u0627\\u06cc\\u0631\\u062a) \\u0627\\u0632 \\u0631\\u0648\\u06cc \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0642\\u0627\\u0628\\u0644\\u200c\\u062a\\u0634\\u062e\\u06cc\\u0635 \\u0628\\u0627\\u0634\\u062f\\u060c \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0648 \\u0645\\u0631\\u062c\\u0648\\u0639 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0646\\u0647\\u0627 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u0645\\u0642\\u062f\\u0648\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u0622\\u0646 \\u0647\\u06cc\\u0686\\u200c\\u06af\\u0648\\u0646\\u0647 \\u062a\\u063a\\u06cc\\u06cc\\u0631\\u06cc \\u0646\\u06a9\\u0631\\u062f\\u0647\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0634\\u0631\\u0627\\u06cc\\u0637 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647<br \\/><br \\/>\\u0628\\u0647 \\u0645\\u0646\\u0638\\u0648\\u0631 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u062e\\u062f\\u0645\\u0627\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc\\u060c \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0636\\u0645\\u0627\\u0646\\u062a\\u200c\\u0646\\u0627\\u0645\\u0647 \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f \\u0648 \\u0636\\u0645\\u0627\\u0646\\u062a\\u200c\\u0646\\u0627\\u0645\\u0647 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u062e\\u0631\\u06cc\\u062f \\u06cc\\u0627 \\u0645\\u062f\\u062a \\u0627\\u0639\\u062a\\u0628\\u0627\\u0631 \\u0648 \\u0645\\u0634\\u062e\\u0635\\u0627\\u062a \\u0648 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u0633\\u0631\\u06cc\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u0641\\u0627\\u0642\\u062f \\u0627\\u0639\\u062a\\u0628\\u0627\\u0631 \\u0627\\u0633\\u062a.<br \\/>\\u0636\\u0645\\u0627\\u0646\\u062a \\u0641\\u0642\\u0637 \\u0634\\u0627\\u0645\\u0644 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0627\\u0635\\u0644\\u06cc \\u0628\\u0648\\u062f\\u0647 \\u0648 \\u0634\\u0627\\u0645\\u0644 \\u0633\\u0627\\u06cc\\u0631 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0647\\u0627\\u06cc \\u0645\\u062a\\u0635\\u0644 \\u0628\\u0647 \\u0622\\u0646 \\u0648 \\u0642\\u0637\\u0639\\u0627\\u062a \\u062c\\u0627\\u0646\\u0628\\u06cc \\u0648 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u0645\\u0635\\u0631\\u0641\\u06cc \\u0627\\u0632 \\u0642\\u0628\\u06cc\\u0644 \\u06a9\\u0627\\u0648\\u0631 \\u060c \\u0634\\u0627\\u0631\\u0698\\u0631 \\u060c \\u0647\\u0646\\u062f\\u0632\\u0641\\u0631\\u06cc \\u060c \\u0647\\u062f\\u0641\\u0648\\u0646 \\u060c \\u0628\\u0627\\u062a\\u0631\\u06cc \\u060c \\u06a9\\u0627\\u0631\\u062a \\u062d\\u0627\\u0641\\u0638\\u0647 \\u0648 \\u062f\\u06cc\\u06af\\u0631 \\u0645\\u062a\\u0639\\u0644\\u0642\\u0627\\u062a \\u0646\\u0645\\u06cc \\u0634\\u0648\\u062f.<br \\/>\\u0627\\u0646\\u062a\\u0642\\u0627\\u0644 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u062c\\u0647\\u062a \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u062e\\u062f\\u0645\\u0627\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0628\\u0647 \\u0645\\u0631\\u06a9\\u0632 \\u062e\\u062f\\u0645\\u0627\\u062a \\u0648 \\u0628\\u0631\\u06af\\u0634\\u062a \\u0622\\u0646 \\u0628\\u0631\\u0639\\u0647\\u062f\\u0647 \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0627\\u0633\\u062a \\u0648 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0628\\u0627\\u06cc\\u062f \\u062f\\u0631 \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u0648 \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u0627\\u0635\\u0644\\u06cc \\u062e\\u0648\\u062f \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0634\\u0648\\u062f \\u062a\\u0627 \\u0634\\u0627\\u0645\\u0644 \\u062e\\u062f\\u0645\\u0627\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u06af\\u0631\\u062f\\u062f.<br \\/>\\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0634\\u0631\\u06a9\\u062a \\u0645\\u062d\\u062f\\u0648\\u062f \\u0628\\u0647 \\u0628\\u0631\\u0637\\u0631\\u0641 \\u06a9\\u0631\\u062f\\u0646 \\u0627\\u0634\\u06a9\\u0627\\u0644\\u0627\\u062a \\u0633\\u062e\\u062a \\u0627\\u0641\\u0632\\u0627\\u0631\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u062a\\u062d\\u062a \\u067e\\u0648\\u0634\\u0634 \\u0636\\u0645\\u0627\\u0646\\u062a \\u0627\\u0633\\u062a. \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0639\\u0645\\u0644\\u06cc\\u0627\\u062a \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631\\u06cc \\u0627\\u0632 \\u062c\\u0645\\u0644\\u0647 \\u0646\\u0635\\u0628\\u060c \\u0627\\u0631\\u062a\\u0642\\u0627 \\u0648 \\u06cc\\u0627 \\u0639\\u06cc\\u0628 \\u06cc\\u0627\\u0628\\u06cc \\u0633\\u06cc\\u0633\\u062a\\u0645 \\u0639\\u0627\\u0645\\u0644\\u060c \\u0631\\u06cc\\u06a9\\u0627\\u0648\\u0631\\u06cc\\u060c \\u0646\\u0635\\u0628 \\u062f\\u0631\\u0627\\u06cc\\u0648\\u0631\\u060c \\u0648\\u06cc\\u0631\\u0648\\u0633 \\u06cc\\u0627\\u0628\\u06cc\\u060c \\u0628\\u0627\\u0632\\u06cc\\u0627\\u0628\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a\\u060c Registration\\u060c \\u062a\\u0647\\u06cc\\u0647 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646 \\u0627\\u0632 \\u0641\\u0627\\u06cc\\u0644\\u0647\\u0627\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632\\u060c \\u0628\\u0627\\u0632\\u06cc\\u0627\\u0628\\u06cc \\u0631\\u0645\\u0632 \\u0639\\u0628\\u0648\\u0631 \\u0633\\u06cc\\u0633\\u062a\\u0645\\u060cSetup , \\u0627\\u0631\\u062a\\u0642\\u0627\\u0621\\u060c \\u062a\\u0646\\u0638\\u06cc\\u0645 \\u06cc\\u0627 \\u0646\\u0635\\u0628 \\u0648 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u0634\\u0627\\u0645\\u0644 \\u0636\\u0645\\u0627\\u0646\\u062a \\u0646\\u0628\\u0648\\u062f\\u0647 \\u0648 \\u062f\\u0631\\u0635\\u0648\\u0631\\u062a \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u0634\\u0645\\u0648\\u0644 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0645\\u06cc \\u0634\\u0648\\u062f.<br \\/>\\u062a\\u0639\\u062f\\u0627\\u062f \\u067e\\u06cc\\u06a9\\u0633\\u0644 \\u0633\\u0648\\u062e\\u062a\\u0647 \\u06a9\\u0645\\u062a\\u0631 \\u0627\\u0632 3 \\u0639\\u062f\\u062f \\u062f\\u0631 \\u062d\\u062f \\u0627\\u0633\\u062a\\u0627\\u0646\\u062f\\u0627\\u0631\\u062f \\u0628\\u06cc\\u0646 \\u0627\\u0644\\u0645\\u0644\\u0644\\u06cc \\u0628\\u0648\\u062f\\u0647 \\u0648 \\u0627\\u0632 3 \\u0639\\u062f\\u062f \\u0628\\u0647 \\u0628\\u0627\\u0644\\u0627 \\u0634\\u0627\\u0645\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0635\\u0641\\u062d\\u0647 \\u0646\\u0645\\u0627\\u06cc\\u0634 \\u0645\\u06cc \\u0634\\u0648\\u062f.<br \\/>\\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0628\\u0627 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u06a9\\u0627\\u0631\\u062a \\u0636\\u0645\\u0627\\u0646\\u062a \\u06a9\\u0647 \\u062f\\u0631 \\u0622\\u0646 \\u0645\\u0634\\u062e\\u0635\\u0627\\u062a \\u06a9\\u0627\\u0644\\u0627\\u060c \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0634\\u0631\\u0648\\u0639 \\u0648 \\u0645\\u062f\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062f\\u0631\\u062c \\u0634\\u062f\\u0647 \\u0648 \\u0645\\u0644\\u0635\\u0642 \\u0628\\u0647 \\u0647\\u0648\\u0644\\u0648\\u06af\\u0631\\u0627\\u0645 \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f\\u060c \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0622\\u0646 \\u0631\\u0627 \\u067e\\u0630\\u06cc\\u0631\\u0641\\u062a\\u0647 \\u0648 \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0627 \\u0638\\u0627\\u0647\\u0631 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u0633\\u0627\\u0644\\u0645 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0646\\u0645\\u0648\\u062f\\u0647 \\u0627\\u0633\\u062a.<br \\/>\\u062f\\u0631 \\u0637\\u0648\\u0644 \\u0642\\u0631\\u0627\\u0631\\u062f\\u0627\\u062f \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0686\\u0646\\u0627\\u0646\\u0686\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0645\\u0639\\u06cc\\u0648\\u0628 \\u062f\\u06cc\\u06af\\u0631 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0646\\u0634\\u0648\\u062f\\u060c \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0647\\u0645 \\u0631\\u062f\\u06cc\\u0641 \\u062c\\u0627\\u06cc\\u06af\\u0632\\u06cc\\u0646 \\u0648 \\u06cc\\u0627 \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0645\\u0627 \\u0628\\u0647 \\u0627\\u0644\\u062a\\u0641\\u0627\\u0648\\u062a\\u060c \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u0628\\u0627 \\u0645\\u062f\\u0644 \\u0628\\u0627\\u0644\\u0627\\u062a\\u0631 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0645\\u06cc\\u06af\\u0631\\u062f\\u062f.<br \\/>\\u0635\\u0627\\u062d\\u0628 \\u0642\\u0637\\u0639\\u0647 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u0647 \\u0627\\u0648 \\u0627\\u0639\\u0645 \\u0627\\u0632 \\u06a9\\u0627\\u0631\\u067e\\u0631\\u062f\\u0627\\u0632 \\u06cc\\u0627 \\u067e\\u06cc\\u06a9 \\u0645\\u0648\\u062a\\u0648\\u0631\\u06cc \\u0648 \\u063a\\u06cc\\u0631\\u0647 \\u062f\\u0631 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u062a\\u062d\\u0648\\u06cc\\u0644\\u200c\\u06af\\u0631\\u0641\\u062a\\u0646 \\u0642\\u0637\\u0639\\u0647 \\u0645\\u0648\\u0638\\u0641 \\u0628\\u0647 \\u062a\\u0633\\u062a \\u0638\\u0627\\u0647\\u0631\\u06cc \\u0648 \\u062f\\u0642\\u062a \\u062f\\u0631 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0627\\u0628\\u0637\\u0627\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u0646\\u062f. \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0647\\u06cc\\u0686 \\u06af\\u0648\\u0646\\u0647 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0627\\u0628\\u0637\\u0627\\u0644 \\u0628\\u0648\\u062c\\u0648\\u062f \\u0622\\u0645\\u062f\\u0647 \\u0628\\u0647 \\u0639\\u0647\\u062f\\u0647 \\u0645\\u0631\\u06a9\\u0632 \\u062e\\u062f\\u0645\\u0627\\u062a \\u0646\\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u062a\\u062d\\u0648\\u06cc\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0647 \\u062f\\u0641\\u062a\\u0631 \\u062e\\u062f\\u0645\\u0627\\u062a \\u0628\\u0647 \\u0645\\u0646\\u0632\\u0644\\u0647 \\u0639\\u062f\\u0645 \\u0646\\u06cc\\u0627\\u0632 \\u0628\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u0631\\u0631\\u0648\\u06cc \\u0647\\u0627\\u0631\\u062f \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0648 \\u067e\\u0630\\u06cc\\u0631\\u0641\\u062a\\u0646 \\u062a\\u0645\\u0627\\u0645\\u06cc \\u0645\\u0648\\u0627\\u0631\\u062f \\u0630\\u06a9\\u0631 \\u0634\\u062f\\u0647 \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u0635\\u062d\\u06cc\\u062d \\u06a9\\u0627\\u0644\\u0627 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0628\\u0639\\u0647\\u062f\\u0647 \\u0641\\u0631\\u0633\\u062a\\u0646\\u062f\\u0647 \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f \\u0648 \\u062a\\u0648\\u0635\\u06cc\\u0647 \\u0645\\u06cc \\u06af\\u0631\\u062f\\u062f \\u062d\\u062a\\u06cc \\u0627\\u0644\\u0645\\u0642\\u062f\\u0648\\u0631 \\u0627\\u0632 \\u0628\\u0633\\u062a\\u0647 \\u0628\\u0646\\u062f\\u06cc \\u0627\\u0635\\u0644\\u06cc \\u0628\\u062f\\u0648\\u0646 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062c\\u0627\\u0646\\u0628\\u06cc \\u0648 \\u0645\\u0644\\u062d\\u0642\\u0627\\u062a \\u062c\\u0647\\u062a \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u06af\\u0631\\u062f\\u062f. \\u0628\\u062f\\u06cc\\u0647\\u06cc \\u0627\\u0633\\u062a \\u0635\\u062f\\u0645\\u0627\\u062a \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u0646\\u0627 \\u0635\\u062d\\u06cc\\u062d \\u0628\\u0639\\u0647\\u062f\\u0647 \\u0641\\u0631\\u0633\\u062a\\u0646\\u062f\\u0647 \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0645\\u0648\\u0627\\u0631\\u062f \\u0627\\u0628\\u0637\\u0627\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc<br \\/><br \\/>\\u062f\\u0633\\u062a\\u06af\\u0627\\u0647\\u06cc \\u06a9\\u0647 \\u06a9\\u0627\\u0631\\u062a \\u0636\\u0645\\u0627\\u0646\\u062a\\u060c \\u0628\\u0631 \\u0686\\u0633\\u0628 \\u0647\\u0648\\u0644\\u0648\\u06af\\u0631\\u0627\\u0645 \\u06cc\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u0633\\u0631\\u06cc\\u0627\\u0644 \\u0622\\u0646 \\u0645\\u062e\\u062f\\u0648\\u0634 \\u0634\\u062f\\u0647 \\u0648 \\u06cc\\u0627 \\u0628\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u0633\\u0631\\u06cc\\u0627\\u0644 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0645\\u0637\\u0627\\u0628\\u0642\\u062a \\u0646\\u062f\\u0627\\u0631\\u062f \\u0634\\u0627\\u0645\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0646\\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0636\\u0645\\u0627\\u0646\\u062a \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647\\u060c \\u0645\\u062d\\u062f\\u0648\\u062f \\u0628\\u0647 \\u0639\\u06cc\\u0648\\u0628 \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u0633\\u0627\\u062e\\u062a \\u0628\\u0648\\u062f\\u0647 \\u0648 \\u0634\\u0627\\u0645\\u0644 \\u0627\\u06cc\\u0631\\u0627\\u062f\\u0627\\u062a \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u0628\\u0644\\u0627\\u06cc\\u0627\\u06cc \\u0637\\u0628\\u06cc\\u0639\\u06cc \\u06cc\\u0627 \\u062d\\u0648\\u0627\\u062f\\u062b \\u063a\\u06cc\\u0631 \\u0645\\u062a\\u0631\\u0642\\u0628\\u0647\\u060c \\u0636\\u0631\\u0628\\u0647, \\u0622\\u062a\\u0634\\u060c \\u0646\\u0641\\u0648\\u0630 \\u0645\\u0627\\u06cc\\u0639\\u0627\\u062a \\u06cc\\u0627 \\u0645\\u0648\\u0627\\u062f \\u0634\\u06cc\\u0645\\u06cc\\u0627\\u06cc\\u06cc\\u060c \\u0634\\u06a9\\u0633\\u062a\\u06af\\u06cc\\u060c \\u062e\\u0631\\u0627\\u0634\\u06cc\\u062f\\u06af\\u06cc\\u060c \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0634\\u06a9\\u0644\\u060c \\u0632\\u0646\\u06af \\u0632\\u062f\\u06af\\u06cc\\u060c \\u0646\\u0648\\u0633\\u0627\\u0646\\u0627\\u062a \\u0628\\u0631\\u0642 \\u06cc\\u0627 \\u0639\\u06cc\\u0648\\u0628 \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0628\\u0647 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u062f\\u0631 \\u0645\\u062d\\u06cc\\u0637 \\u0647\\u0627\\u06cc \\u0622\\u0644\\u0648\\u062f\\u0647 \\u0648 \\u067e\\u0631 \\u06af\\u0631\\u062f\\u0648\\u063a\\u0628\\u0627\\u0631 \\u060c \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u062f\\u0631 \\u0642\\u0637\\u0639\\u0627\\u062a \\u060c \\u0642\\u0637\\u0639 \\u0648 \\u0648\\u0635\\u0644 \\u0627\\u062a\\u0635\\u0627\\u0644\\u0627\\u062a \\u062f\\u0631 \\u062d\\u06cc\\u0646 \\u0631\\u0648\\u0634\\u0646 \\u0628\\u0648\\u062f\\u0646 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u060c\\u0635\\u062f\\u0645\\u0627\\u062a \\u062d\\u06cc\\u0646 \\u0639\\u0645\\u0644, \\u0622\\u0633\\u06cc\\u0628 \\u062f\\u06cc\\u062f\\u06af\\u06cc \\u06a9\\u0627\\u0646\\u06a9\\u062a\\u0648\\u0631 \\u0648 \\u06a9\\u0627\\u0628\\u0644 \\u0648 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0646\\u0627\\u062f\\u0631\\u0633\\u062a \\u0627\\u0632 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0648 \\u0627\\u062a\\u0635\\u0627\\u0644 \\u067e\\u0648\\u0631\\u062a\\u0647\\u0627\\u06cc \\u0648\\u0631\\u0648\\u062f\\u06cc \\u0648 \\u062e\\u0631\\u0648\\u062c\\u06cc \\u0628\\u0647 \\u0628\\u0631\\u0642 \\u0634\\u0647\\u0631\\u060c \\u0628\\u06a9\\u0627\\u0631\\u06af\\u06cc\\u0631\\u06cc \\u0622\\u062f\\u0627\\u067e\\u062a\\u0648\\u0631\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0641\\u0631\\u0642\\u0647 \\u060c\\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0646\\u0627\\u062f\\u0631\\u0633\\u062a (\\u0639\\u062f\\u0645 \\u0631\\u0639\\u0627\\u06cc\\u062a \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0645\\u0646\\u062f\\u0631\\u062c \\u062f\\u0631 \\u062f\\u0633\\u062a\\u0648\\u0631\\u0627\\u0644\\u0639\\u0645\\u0644 \\u0646\\u06af\\u0647\\u062f\\u0627\\u0631\\u06cc \\u0648 \\u06a9\\u0627\\u0631\\u06a9\\u0631\\u062f)\\u060c \\u062f\\u0633\\u062a\\u06a9\\u0627\\u0631\\u06cc\\u060c \\u062a\\u0646\\u0638\\u06cc\\u0645 \\u06cc\\u0627 \\u062a\\u0639\\u0645\\u06cc\\u0631 \\u062a\\u0648\\u0633\\u0637 \\u0627\\u0641\\u0631\\u0627\\u062f \\u063a\\u06cc\\u0631 \\u0645\\u062c\\u0627\\u0632 \\u0646\\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 Root \\u060c \\u0628\\u06a9\\u0627\\u0631\\u06af\\u06cc\\u0631\\u06cc \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0648 \\u06cc\\u0627 \\u0622\\u0644\\u0648\\u062f\\u06af\\u06cc \\u0628\\u0647 \\u0648\\u06cc\\u0631\\u0648\\u0633 \\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0645\\u067e\\u06cc\\u0648\\u062a\\u0631\\u06cc\\u060c \\u0628\\u0646\\u0627\\u0628\\u0631 \\u062a\\u0634\\u062e\\u06cc\\u0635 \\u0645\\u062a\\u062e\\u0635\\u0635\\u06cc\\u0646 \\u0634\\u0631\\u06a9\\u062a\\u060c \\u0642\\u0633\\u0645\\u062a \\u0647\\u0627\\u06cc \\u0622\\u0633\\u06cc\\u0628 \\u062f\\u06cc\\u062f\\u0647 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0631\\u0627 \\u0627\\u0632 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062e\\u0627\\u0631\\u062c \\u0645\\u06cc \\u0633\\u0627\\u0632\\u062f.<br \\/>\\u0635\\u062f\\u0645\\u0627\\u062a\\u06cc \\u0647\\u0645\\u0686\\u0648\\u0646 \\u0634\\u06a9\\u0633\\u062a\\u06af\\u06cc \\u0635\\u0641\\u062d\\u0647 \\u0646\\u0645\\u0627\\u06cc\\u0634 \\u0648 \\u0642\\u0627\\u0628 \\u067e\\u0634\\u062a \\u0622\\u0646 \\u0648 \\u06cc\\u0627 \\u0627\\u062b\\u0631\\u0627\\u062a \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0636\\u0631\\u0628\\u0647 \\u0628\\u0631\\u0631\\u0648\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u06a9\\u0647 \\u0647\\u0646\\u06af\\u0627\\u0645 \\u0627\\u0646\\u062a\\u0642\\u0627\\u0644 \\u062a\\u0648\\u0633\\u0637 \\u067e\\u0633\\u062a \\u060c \\u067e\\u06cc\\u06a9 \\u060c\\u0634\\u0631\\u06a9\\u062a \\u0647\\u0627\\u06cc \\u062d\\u0645\\u0644 \\u0648 \\u0646\\u0642\\u0644 \\u0648.... \\u067e\\u062f\\u06cc\\u062f \\u0622\\u06cc\\u062f \\u062d\\u062a\\u06cc \\u0627\\u06af\\u0631 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0642\\u0628\\u0644 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0645\\u0644\\u0627 \\u0633\\u0627\\u0644\\u0645 \\u0628\\u0648\\u062f\\u0647 \\u0628\\u0627\\u0634\\u062f\\u060c \\u0622\\u0646 \\u0631\\u0627 \\u0627\\u0632 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062e\\u0627\\u0631\\u062c \\u062e\\u0648\\u0627\\u0647\\u062f \\u0633\\u0627\\u062e\\u062a.<br \\/>\\u0634\\u0631\\u06a9\\u062a \\u0647\\u06cc\\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0630\\u062e\\u06cc\\u0631\\u0647 \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0647\\u0627 \\u0642\\u0628\\u0644 \\u0627\\u0632 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0648 \\u06cc\\u0627 \\u062f\\u0631 \\u0645\\u0631\\u0627\\u062d\\u0644 \\u062a\\u0639\\u0645\\u06cc\\u0631 \\u0648 \\u062c\\u0627\\u06cc\\u06af\\u0632\\u06cc\\u0646\\u06cc \\u0646\\u062f\\u0627\\u0631\\u062f. \\u0644\\u0630\\u0627 \\u067e\\u06cc\\u0634\\u0646\\u0647\\u0627\\u062f \\u0645\\u06cc \\u0634\\u0648\\u062f \\u0647\\u0645\\u0648\\u0627\\u0631\\u0647 \\u0648 \\u0628\\u062e\\u0635\\u0648\\u0635 \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0628\\u0647 \\u0645\\u0631\\u06a9\\u0632 \\u0627\\u0632 \\u062a\\u0645\\u0627\\u0645\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u062e\\u0648\\u062f \\u0646\\u0633\\u062e\\u0647 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646 \\u062a\\u0647\\u06cc\\u0647 \\u0646\\u0645\\u0627\\u06cc\\u06cc\\u062f.<br \\/>\\u0622\\u0633\\u06cc\\u0628 \\u0647\\u0627\\u06cc \\u0646\\u0627\\u0634\\u06cc \\u0627\\u0632 \\u0646\\u0642\\u0635 \\u0641\\u0646\\u06cc \\u0630\\u0627\\u062a\\u06cc \\u0648\\u0633\\u06cc\\u0644\\u0647 \\u060c \\u0645\\u0648\\u0627\\u062f \\u0628\\u06a9\\u0627\\u0631 \\u0631\\u0641\\u062a\\u0647 \\u062f\\u0631 \\u0622\\u0646 \\u0648 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u062a\\u0648\\u0644\\u06cc\\u062f\\u060c \\u062a\\u0627 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0642\\u06cc\\u062f \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u06a9\\u0627\\u0631\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0634\\u0627\\u0645\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u062c\\u0647\\u062a \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0648\\u06cc\\u0698\\u06af\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u060c \\u0646\\u06af\\u0647\\u062f\\u0627\\u0631\\u06cc \\u0631\\u0633\\u06cc\\u062f \\u062e\\u062f\\u0645\\u0627\\u062a\\u060c \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc\\u0633\\u062a\\u061b \\u0632\\u06cc\\u0631\\u0627 \\u062f\\u0627\\u0631\\u0646\\u062f\\u0647 \\u06cc \\u0622\\u0646\\u060c \\u0635\\u0627\\u062d\\u0628 \\u06a9\\u0627\\u0644\\u0627 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u0647 \\u06cc \\u0648\\u06cc \\u0645\\u062d\\u0633\\u0648\\u0628 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<br \\/>\\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646\\u060c \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0647\\u06cc\\u0686 \\u06af\\u0648\\u0646\\u0647 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u062a\\u0647\\u06cc\\u0647 \\u0646\\u0633\\u062e\\u0647 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646 \\u0646\\u062f\\u0627\\u0631\\u062f \\u0648 \\u062d\\u0641\\u0638 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0634\\u062e\\u0635\\u06cc\\u060c \\u0645\\u0634\\u06a9\\u0644\\u0627\\u062a \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631\\u06cc \\u0648 \\u06cc\\u0627 \\u0633\\u06cc\\u0633\\u062a\\u0645 \\u0639\\u0627\\u0645\\u0644 \\u0628\\u0631\\u0639\\u0647\\u062f\\u0647 \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u0627\\u0646 \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f.<br \\/>\\u062a\\u0634\\u062e\\u06cc\\u0635 \\u062f\\u0631\\u0633\\u062a \\u0639\\u06cc\\u0648\\u0628 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0628\\u0631\\u0639\\u0647\\u062f\\u0647 \\u06cc \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0645\\u0631\\u0627\\u06a9\\u0632 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0633\\u062a.<br \\/>\\u0628\\u0631\\u0631\\u0633\\u06cc \\u062a\\u0637\\u0627\\u0628\\u0642 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0628\\u0627 \\u0648\\u0636\\u0639\\u06cc\\u062a \\u0641\\u0639\\u0644\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631 \\u0637\\u0648\\u0644 \\u062f\\u0648\\u0631\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc\\u060c \\u0635\\u0631\\u0641\\u0627 \\u0628\\u0647 \\u0639\\u0647\\u062f\\u0647 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633 \\u0627\\u06cc\\u0646 \\u062f\\u0641\\u062a\\u0631 \\u0627\\u0633\\u062a.<br \\/>\\u0627\\u0634\\u06a9\\u0627\\u0644\\u0627\\u062a \\u0638\\u0627\\u0647\\u0631\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0627\\u0632 \\u062c\\u0645\\u0644\\u0647 \\u062e\\u0637 \\u0648 \\u062e\\u0634\\u060c \\u0634\\u06a9\\u0633\\u062a\\u06af\\u06cc \\u0648 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0631\\u0646\\u06af \\u0628\\u062f\\u0646\\u0647 \\u062f\\u0631 \\u0632\\u0645\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0628\\u0627 \\u0647\\u0645\\u0627\\u0647\\u0646\\u06af\\u06cc \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062b\\u0628\\u062a \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<br \\/>\\u062f\\u0631 \\u0632\\u0645\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647\\u060c \\u0627\\u0631\\u0627\\u0626\\u0647 \\u06a9\\u0627\\u0631\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc \\u0627\\u0633\\u062a. \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u062a\\u0639\\u0645\\u06cc\\u0631\\u0627\\u062a \\u0637\\u0628\\u0642 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0627\\u0632 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u0627\\u0634\\u06a9\\u0627\\u0644\\u0627\\u062a \\u0646\\u0631\\u0645\\u200c\\u0627\\u0641\\u0632\\u0627\\u0631\\u06cc \\u0645\\u0634\\u0645\\u0648\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0646\\u06cc\\u0633\\u062a \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0646\\u0635\\u0628 \\u0647\\u0631 \\u06af\\u0648\\u0646\\u0647 \\u0646\\u0631\\u0645\\u200c\\u0627\\u0641\\u0632\\u0627\\u0631\\u060c \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0622\\u0646 \\u0637\\u0628\\u0642 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0627\\u0632 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u0647\\u0631 \\u06af\\u0648\\u0646\\u0647 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u062f\\u0631 \\u06a9\\u0627\\u0631\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc\\u060c \\u0648 \\u06cc\\u0627 \\u0633\\u0631\\u06cc\\u0627\\u0644 \\u0645\\u0646\\u062f\\u0631\\u062c \\u0631\\u0648\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0648 \\u06cc\\u0627 \\u062f\\u0627\\u062e\\u0644 \\u0622\\u0646\\u060c \\u0645\\u0648\\u062c\\u0628 \\u0627\\u0628\\u0637\\u0627\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u062a\\u0639\\u0645\\u06cc\\u0631 \\u0648 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u062a\\u0648\\u0633\\u0637 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u063a\\u06cc\\u0631 \\u0627\\u0632 \\u062e\\u062f\\u0645\\u0627\\u062a \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0645\\u0648\\u062c\\u0628 \\u0627\\u0628\\u0637\\u0627\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0645\\u0648\\u0631\\u062f \\u0646\\u0638\\u0631 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u0639\\u0645\\u0644\\u06cc\\u0627\\u062a \\u0631\\u0648\\u062a \\u06a9\\u0631\\u062f\\u0646 (Root) \\u0648 \\u0646\\u0635\\u0628 \\u0631\\u0627\\u0645\\u200c\\u0647\\u0627\\u06cc \\u063a\\u06cc\\u0631\\u0631\\u0633\\u0645\\u06cc \\u0631\\u0648\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0648 \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0639\\u0645\\u0644 \\u0642\\u0641\\u0644\\u06af\\u0634\\u0627\\u06cc\\u06cc \\u0631\\u0648\\u06cc \\u0631\\u0627\\u0647\\u200c\\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 (Unlock-Bootloader) \\u0628\\u0647 \\u062f\\u0644\\u06cc\\u0644 \\u0627\\u06cc\\u0646\\u06a9\\u0647 \\u0645\\u0648\\u062c\\u0628 \\u06a9\\u0627\\u0647\\u0634 \\u0636\\u0631\\u06cc\\u0628 \\u0627\\u06cc\\u0645\\u0646\\u06cc \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0648 \\u0627\\u0641\\u0632\\u0627\\u06cc\\u0634 \\u0627\\u0645\\u06a9\\u0627\\u0646 Brick \\u0634\\u062f\\u0646 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0645\\u06cc\\u200c\\u06af\\u0631\\u062f\\u062f \\u0645\\u0648\\u062c\\u0628 \\u0627\\u0628\\u0637\\u0627\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f \\u0648 \\u0647\\u0632\\u06cc\\u0646\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0622\\u0646 \\u0627\\u0632 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>\\u062f\\u0631 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u060c \\u0686\\u0646\\u0627\\u0646\\u0686\\u0647 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u062e\\u0633\\u0627\\u0631\\u062a \\u062f\\u06cc\\u062f\\u0647 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u0639\\u0645\\u06cc\\u0631 \\u0628\\u0627\\u0634\\u062f \\u062a\\u0639\\u0645\\u06cc\\u0631 \\u06af\\u0631\\u062f\\u06cc\\u062f\\u0647 \\u0648 \\u062f\\u0631 \\u063a\\u06cc\\u0631 \\u0627\\u06cc\\u0646\\u0635\\u0648\\u0631\\u062a \\u0628\\u0631 \\u0627\\u0633\\u0627\\u0633 \\u062a\\u0634\\u062e\\u06cc\\u0635 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633 \\u0641\\u0646\\u06cc \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u067e\\u0633 \\u0627\\u0632 \\u06a9\\u0633\\u0631 \\u0627\\u0633\\u062a\\u0647\\u0644\\u0627\\u06a9 \\u0627\\u0632\\u062a\\u0627\\u0631\\u06cc\\u062e \\u0634\\u0631\\u0648\\u0639 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0627\\u0642\\u062f\\u0627\\u0645 \\u0645\\u06cc \\u0634\\u0648\\u062f. ( 29 % \\u0628\\u0647 \\u0639\\u0644\\u0627\\u0648\\u0647 2 % \\u0627\\u0633\\u062a\\u0647\\u0644\\u0627\\u06a9 \\u0645\\u0627\\u0647\\u0627\\u0646\\u0647 )<br \\/>\\u0644\\u0637\\u0641\\u0627 \\u062f\\u0631 \\u062d\\u0641\\u0638 \\u06a9\\u0644\\u0645\\u0647 \\u0639\\u0628\\u0648\\u0631 \\u0627\\u0645\\u0646\\u06cc\\u062a\\u06cc \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u06a9\\u0648\\u0634\\u0627 \\u0628\\u0627\\u0634\\u06cc\\u062f \\u0632\\u06cc\\u0631\\u0627 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0641\\u0631\\u0627\\u0645\\u0648\\u0634 \\u0646\\u0645\\u0648\\u062f\\u0646 \\u0622\\u0646 \\u0646\\u0627\\u06af\\u0632\\u06cc\\u0631 \\u0628\\u0647 \\u0627\\u0632 \\u062f\\u0633\\u062a \\u062f\\u0627\\u062f\\u0646 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u062e\\u0648\\u062f \\u0645\\u06cc \\u0628\\u0627\\u0634\\u06cc\\u062f \\u0648 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0647\\u06cc\\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0645\\u062d\\u0635\\u0648\\u0644\\u060c \\u067e\\u0627\\u06a9 \\u0634\\u062f\\u0646 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0648 \\u0641\\u0631\\u0627\\u0645\\u0648\\u0634 \\u0646\\u0645\\u0648\\u062f\\u0646 \\u06a9\\u0644\\u0645\\u0647 \\u0639\\u0628\\u0648\\u0631 \\u0627\\u0645\\u0646\\u06cc\\u062a\\u06cc \\u0646\\u062f\\u0627\\u0631\\u062f.<br \\/>\\u0636\\u0645\\u0627\\u0646\\u062a\\u200c\\u0646\\u0627\\u0645\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0634\\u0645\\u0627 \\u062f\\u0631 \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0632\\u06cc\\u0631 \\u0627\\u0632 \\u062f\\u0631\\u062c\\u0647 \\u0627\\u0639\\u062a\\u0628\\u0627\\u0631 \\u0633\\u0627\\u0642\\u0637 \\u0627\\u0633\\u062a:<br \\/><br \\/>\\u06f1. \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u060c \\u0646\\u06af\\u0647\\u062f\\u0627\\u0631\\u06cc \\u0648 \\u06a9\\u0627\\u0631\\u06a9\\u0631\\u062f \\u062a\\u0627 \\u0635\\u062d\\u06cc\\u062d \\u0648 \\u062e\\u0627\\u0631\\u062c \\u0633\\u0627\\u062e\\u062a\\u0646 \\u0645\\u062d\\u0635\\u0648\\u0644 \\u0627\\u0632 \\u0634\\u06a9\\u0644 \\u0639\\u0627\\u062f\\u06cc<br \\/>\\u06f2. \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u062f\\u0633\\u062a\\u06a9\\u0627\\u0631\\u06cc \\u0648 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u0628\\u0647 \\u0633\\u0631\\u0648\\u06cc\\u0633 \\u060c \\u062a\\u0639\\u0645\\u06cc\\u0631 \\u0628\\u0627 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u062a\\u0648\\u0633\\u0637 \\u0627\\u0641\\u0631\\u0627\\u062f \\u063a\\u06cc\\u0631 \\u0645\\u062c\\u0627\\u0632<br \\/>\\u06f3. \\u062e\\u0631\\u0627\\u0628\\u06cc \\u0628\\u0647 \\u062f\\u0644\\u06cc\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062c\\u0627\\u0646\\u0628\\u06cc \\u0648 \\u0628\\u0627\\u062a\\u0631\\u06cc \\u063a\\u06cc\\u0631 \\u0627\\u0635\\u0644 \\u0648 \\u062a\\u0623\\u06cc\\u06cc\\u062f \\u0646\\u0634\\u062f\\u0647 \\u0627\\u0632 \\u0633\\u0648\\u06cc \\u0634\\u0631\\u06a9\\u062a<br \\/>\\u06f4. \\u0645\\u062e\\u062f\\u0648\\u0634 \\u0634\\u062f\\u0646 \\u06cc\\u0627 \\u062f\\u0633\\u062a\\u06a9\\u0627\\u0631\\u06cc \\u062a\\u0627\\u0631\\u06cc\\u062e \\u06cc\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u0633\\u0631\\u06cc\\u0627\\u0644 (IMEI) \\u062f\\u0631 \\u06a9\\u0627\\u0631\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0648 \\u06cc\\u0627 \\u062f\\u0631 \\u06af\\u0648\\u0634\\u06cc<br \\/>\\u06f5. \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0636\\u0631\\u0628\\u0647 \\u062e\\u0648\\u0631\\u062f\\u06af\\u06cc \\u0648 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\\u06cc\\u0639\\u0627\\u062a \\u0648 \\u0631\\u0637\\u0648\\u0628\\u062a \\u0648 \\u0633\\u0631\\u0642\\u062a<br \\/>\\u06f6. \\u0646\\u0635\\u0628 \\u0647\\u0631 \\u06af\\u0648\\u0646\\u0647 \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631 \\u0648 \\u0628\\u0631\\u0646\\u0627\\u0645\\u0647 \\u062a\\u0623\\u06cc\\u06cc\\u062f \\u0646\\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0634\\u0631\\u06a9\\u062a<br \\/><br \\/>\\u0642\\u0628\\u0644 \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u0628\\u0631\\u0627\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a \\u060c \\u0644\\u0637\\u0641\\u0627 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0634\\u062e\\u0635\\u06cc \\u0634\\u0627\\u0645\\u0644 \\u062f\\u0641\\u062a\\u0631 \\u062a\\u0644\\u0641\\u0646 \\u060c \\u067e\\u06cc\\u0627\\u0645\\u06a9\\u0647\\u0627\\u06cc \\u06a9\\u0648\\u062a\\u0627\\u0647 \\u060c \\u0639\\u06a9\\u0633 \\u0648 \\u0641\\u06cc\\u0644\\u0645 \\u0631\\u0627 \\u0627\\u0632 \\u0622\\u0646 \\u067e\\u0627\\u06a9 \\u0646\\u0645\\u0627\\u06cc\\u06cc\\u062f. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0633\\u06cc\\u0645 \\u06a9\\u0627\\u0631\\u062a \\u0648 \\u06a9\\u0627\\u0631\\u062a \\u062d\\u0627\\u0641\\u0638\\u0647 \\u0631\\u0627 \\u0646\\u06cc\\u0632 \\u0627\\u0632 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u062e\\u0627\\u0631\\u062c \\u0646\\u0645\\u0627\\u06cc\\u06cc\\u062f . \\u062e\\u062f\\u0645\\u0627\\u062a \\u062f\\u0631 \\u062e\\u0635\\u0648\\u0635 \\u0646\\u06af\\u0647\\u062f\\u0627\\u0631\\u06cc \\u0648 \\u0628\\u0627\\u0632\\u06cc\\u0627\\u0628\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0648 \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u06a9\\u0627\\u0631\\u062a\\u0647\\u0627 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u0646\\u062e\\u0648\\u0627\\u0647\\u062f \\u062f\\u0627\\u0634\\u062a.<br \\/>\\u0645\\u062f\\u0627\\u0631\\u06a9 \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u062c\\u0647\\u062a \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc:<br \\/><br \\/>\\u06f1 - \\u0627\\u0635\\u0644 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u062e\\u0631\\u06cc\\u062f<br \\/>\\u06f2 - \\u0627\\u0635\\u0644 \\u06a9\\u0627\\u0631\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc<br \\/>\\u06f3 - \\u062c\\u0639\\u0628\\u0647 \\u062f\\u0633\\u062a\\u06af\\u0627\\u0647<br \\/>\\u00a0<br \\/>\\u00a0<br \\/>\\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0686\\u0637\\u0648\\u0631 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0646\\u06cc\\u062f\\u061f<br \\/><br \\/>- \\u0644\\u0637\\u0641\\u0627\\u064b \\u0642\\u0628\\u0644 \\u0627\\u0632 \\u0647\\u0631 \\u0627\\u0642\\u062f\\u0627\\u0645\\u06cc \\u0628\\u0627 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f.<br \\/>- \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u062f\\u0648\\u0646 \\u0647\\u0645\\u0627\\u0647\\u0646\\u06af\\u06cc \\u0628\\u0627 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062c\\u062f\\u0627\\u064b\\u060c \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc \\u06a9\\u0646\\u06cc\\u062f.<br \\/>- \\u0628\\u0631\\u0627\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644\\u060c \\u0628\\u0627\\u06cc\\u062f \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u062c\\u0639\\u0628\\u0647 \\u06cc\\u0627 \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u0627\\u0635\\u0644\\u06cc \\u062e\\u0648\\u062f \\u0628\\u0647 \\u200f\\u062e\\u0648\\u0628\\u06cc \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u0634\\u0648\\u062f \\u0648 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062c\\u0627\\u0646\\u0628\\u06cc \\u0648 \\u0647\\u0645\\u0647 \\u0627\\u0642\\u0644\\u0627\\u0645 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0645\\u0627\\u0646\\u0646\\u062f \\u06a9\\u0627\\u0628\\u0644\\u060c \\u0631\\u06cc\\u0645\\u0648\\u062a\\u060c \\u0628\\u0627\\u0637\\u0631\\u06cc\\u060c \\u062f\\u0641\\u062a\\u0631\\u0686\\u0647 \\u0631\\u0627\\u0647\\u0646\\u0645\\u0627\\u060c \\u06a9\\u0627\\u0631\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc\\u060c \\u06a9\\u0627\\u0631\\u062a \\u0628\\u06cc\\u0645\\u0647\\u060c \\u0628\\u0646\\u062f \\u0648 \\u0642\\u0637\\u0639\\u0627\\u062a \\u0628\\u0633\\u062a\\u0647\\u200c\\u0628\\u0646\\u062f\\u06cc \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0627\\u0635\\u0644\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0634\\u0648\\u062f.<br \\/>- \\u0628\\u0631\\u0686\\u0633\\u0628\\u200c\\u0632\\u062f\\u0646 \\u06cc\\u0627 \\u0646\\u0648\\u0634\\u062a\\u0646 \\u062a\\u0648\\u0636\\u06cc\\u062d\\u0627\\u062a\\u060c \\u0622\\u062f\\u0631\\u0633 \\u06cc\\u0627 \\u0647\\u0631 \\u0645\\u0648\\u0631\\u062f \\u062f\\u06cc\\u06af\\u0631\\u06cc \\u0631\\u0648\\u06cc \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u06cc\\u0627 \\u062c\\u0639\\u0628\\u0647 \\u0627\\u0635\\u0644\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u06cc\\u0627 \\u067e\\u0627\\u0631\\u0647 \\u0648 \\u0645\\u062e\\u062f\\u0648\\u0634 \\u06a9\\u0631\\u062f\\u0646 \\u0622\\u0646\\u060c \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0636\\u0645\\u0627\\u0646\\u062a \\u0628\\u0627\\u0632\\u06af\\u0634\\u062a \\u0631\\u0627 \\u0627\\u0632 \\u0628\\u06cc\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0631\\u062f. (\\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0644\\u0632\\u0648\\u0645\\u060c \\u062a\\u0648\\u0636\\u06cc\\u062d\\u0627\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u067e\\u0634\\u062a \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u062e\\u0631\\u06cc\\u062f \\u06cc\\u0627 \\u0642\\u0637\\u0639\\u0647 \\u06a9\\u0627\\u063a\\u0630 \\u062c\\u062f\\u0627\\u06af\\u0627\\u0646\\u0647\\u200c\\u0627\\u06cc \\u0628\\u0646\\u0648\\u06cc\\u0633\\u06cc\\u062f.)<br \\/>-\\u062f\\u0631\\u0635\\u0648\\u0631\\u062a \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0628\\u0627 \\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632\\u060c \\u0639\\u06a9\\u0633 \\u0648 \\u062a\\u0635\\u0648\\u06cc\\u0631\\u06cc \\u0627\\u0632 \\u0631\\u0633\\u06cc\\u062f \\u067e\\u0633\\u062a\\u06cc \\u062a\\u0647\\u06cc\\u0647 \\u0648 \\u0628\\u0647 \\u0622\\u062f\\u0631\\u0633 services@test.com \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>\\u0627\\u06af\\u0631 \\u06a9\\u0627\\u0644\\u0627 \\u0647\\u062f\\u06cc\\u0647 \\u0628\\u0648\\u062f\\u0647 \\u0648 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0628\\u0647 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u060c \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0646\\u0634\\u062f\\u0647 \\u0628\\u0627\\u0634\\u062f\\u060c \\u0627\\u0632 \\u067e\\u06cc\\u0634 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0634\\u062f\\u0647\\u060c \\u067e\\u0631\\u06cc\\u0646\\u062a \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f \\u06cc\\u0627 \\u0627\\u06cc\\u0646\\u06a9\\u0647 \\u06a9\\u062f \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0648 \\u0645\\u0634\\u062e\\u0635\\u0627\\u062a \\u062e\\u0631\\u06cc\\u062f \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0631\\u0648\\u06cc \\u06a9\\u0627\\u063a\\u0630 \\u062c\\u062f\\u0627\\u06af\\u0627\\u0646\\u0647\\u200c\\u0627\\u06cc \\u0628\\u0646\\u0648\\u06cc\\u0633\\u06cc\\u062f.<br \\/>- \\u0627\\u06af\\u0631 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0627\\u0631\\u0627\\u06cc \\u0631\\u0645\\u0632 \\u0639\\u0628\\u0648\\u0631 (Password)\\u060c \\u0622\\u06cc \\u062f\\u06cc\\u060c \\u0627\\u067e\\u0644 \\u0622\\u06cc \\u062f\\u06cc (id)\\u06cc\\u0627 \\u0627\\u0644\\u06af\\u0648 (pattern) \\u0627\\u0633\\u062a\\u060c \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0628\\u0631\\u062f\\u0627\\u0634\\u062a\\u0647 \\u0634\\u0648\\u062f\\u060c \\u062a\\u0627 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u062a\\u0633\\u062a \\u0622\\u0646 \\u0631\\u0627 \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u0646\\u062f.<br \\/>\\u00a0<br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0633\\u0627\\u06a9\\u0646 \\u0633\\u0627\\u06cc\\u0631 \\u0634\\u0647\\u0631\\u0647\\u0627 \\u0647\\u0633\\u062a\\u06cc\\u062f\\u060c \\u0628\\u0631\\u0627\\u06cc \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u0627\\u0632 \\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0627\\u0632\\u0645 \\u0628\\u0647 \\u0630\\u06a9\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0647\\u0632\\u06cc\\u0646\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0647 \\u063a\\u06cc\\u0631 \\u0627\\u0632 \\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632 \\u0628\\u0647 \\u0639\\u0647\\u062f\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0627\\u0633\\u062a \\u0648 \\u0634\\u0631\\u06a9\\u062a \\u062a\\u0639\\u0647\\u062f\\u06cc \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u0627\\u06cc\\u0646 \\u0647\\u0632\\u06cc\\u0646\\u0647\\u200c\\u0647\\u0627 \\u0646\\u062f\\u0627\\u0631\\u062f. \\u0648\\u0644\\u06cc \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u067e\\u0633\\u062a \\u067e\\u06cc\\u0634\\u062a\\u0627\\u0632 \\u0628\\u0627 \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631 \\u0648 \\u0642\\u0628\\u0636 \\u0634\\u0631\\u06a9\\u062a \\u067e\\u0633\\u062a \\u0628\\u0631 \\u0627\\u0633\\u0627\\u0633 \\u062a\\u0639\\u0631\\u0641\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0634\\u0631\\u06a9\\u062a \\u067e\\u0633\\u062a \\u0648 \\u0637\\u0628\\u0642 \\u0642\\u0648\\u0627\\u0646\\u06cc\\u0646 \\u0648 \\u062f\\u0633\\u062a\\u0648\\u0631\\u0627\\u0644\\u0639\\u0645\\u0644\\u200c\\u0647\\u0627\\u06cc \\u0634\\u0631\\u06a9\\u062a\\u060c \\u067e\\u0633 \\u0627\\u0632 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0628\\u0647 \\u062d\\u0633\\u0627\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0648\\u0627\\u0631\\u06cc\\u0632 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<br \\/>\\u00a0<br \\/>\\u0627\\u0632 \\u0622\\u0646\\u062c\\u0627 \\u06a9\\u0647 \\u0648\\u0627\\u0631\\u06cc\\u0632 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644\\u060c \\u0645\\u0646\\u0648\\u0637 \\u0628\\u0647 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0631\\u0633\\u06cc\\u062f \\u067e\\u0633\\u062a\\u06cc \\u0627\\u0633\\u062a\\u060c \\u0628\\u0631\\u0627\\u06cc \\u0627\\u0637\\u0645\\u06cc\\u0646\\u0627\\u0646 \\u0639\\u06a9\\u0633 \\u0648 \\u062a\\u0635\\u0648\\u06cc\\u0631\\u06cc \\u0627\\u0632 \\u0631\\u0633\\u06cc\\u062f \\u062a\\u0647\\u06cc\\u0647 \\u0648 \\u0622\\u0646 \\u0631\\u0627 \\u0628\\u0647 \\u0622\\u062f\\u0631\\u0633 services@test.com \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>\\u00a0<br \\/>- \\u0627\\u06af\\u0631 \\u0633\\u0627\\u06a9\\u0646 \\u062a\\u0647\\u0631\\u0627\\u0646 \\u0647\\u0633\\u062a\\u06cc\\u062f\\u060c \\u0628\\u0631\\u0627\\u06cc \\u0647\\u0645\\u0627\\u0647\\u0646\\u06af\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644 \\u067e\\u06cc\\u06a9 \\u0628\\u0631\\u0627\\u06cc \\u062a\\u062d\\u0648\\u06cc\\u0644\\u200c\\u06af\\u0631\\u0641\\u062a\\u0646 \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0628\\u0627 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f.<br \\/>- \\u0627\\u0632 \\u0646\\u0648\\u0634\\u062a\\u0646 \\u0622\\u062f\\u0631\\u0633 \\u0631\\u0648\\u06cc \\u062c\\u0639\\u0628\\u0647 \\u06cc\\u0627 \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u0627\\u0635\\u0644\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u060c \\u062c\\u062f\\u0627\\u064b \\u062e\\u0648\\u062f\\u062f\\u0627\\u0631\\u06cc \\u06a9\\u0646\\u06cc\\u062f \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0644\\u0632\\u0648\\u0645 \\u060c \\u062c\\u0639\\u0628\\u0647 \\u0627\\u0635\\u0644\\u06cc \\u0645\\u062d\\u0635\\u0648\\u0644 \\u0631\\u0627 \\u062f\\u0631\\u0648\\u0646 \\u06a9\\u0627\\u0631\\u062a\\u0646 \\u062f\\u06cc\\u06af\\u0631\\u06cc \\u06af\\u0630\\u0627\\u0634\\u062a\\u0647\\u060c \\u0622\\u0646 \\u0631\\u0627 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>- \\u0628\\u0633\\u062a\\u0647 \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0628\\u0647 \\u0622\\u062f\\u0631\\u0633 \\u0632\\u06cc\\u0631 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>\\u00a0<br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u062a\\u0647\\u0631\\u0627\\u0646 - \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 <br \\/>\\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0686\\u0637\\u0648\\u0631 \\u0645\\u062d\\u0627\\u0633\\u0628\\u0647 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f\\u061f<br \\/><br \\/>- \\u0627\\u06af\\u0631 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0641\\u0646\\u06cc\\u060c \\u0648\\u062c\\u0648\\u062f \\u0645\\u063a\\u0627\\u06cc\\u0631\\u062a \\u0641\\u0646\\u06cc \\u06cc\\u0627 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u06cc\\u0627 \\u0622\\u0633\\u06cc\\u0628 \\u062f\\u06cc\\u062f\\u06af\\u06cc \\u0638\\u0627\\u0647\\u0631\\u06cc\\u060c \\u0628\\u0647 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0628\\u0631\\u0633\\u062f\\u060c \\u0647\\u0632\\u06cc\\u0646\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0628\\u0647 \\u0639\\u0647\\u062f\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0633\\u062a.<br \\/>- \\u0628\\u0631\\u0627\\u06cc \\u0648\\u0627\\u0631\\u06cc\\u0632 \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u067e\\u0633\\u062a \\u0628\\u0647 \\u062d\\u0633\\u0627\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u060c \\u0642\\u0628\\u0636 \\u067e\\u0633\\u062a\\u06cc \\u0628\\u0627 \\u0645\\u0647\\u0631 \\u0634\\u0631\\u06a9\\u062a \\u067e\\u0633\\u062a \\u0628\\u0627\\u06cc\\u062f \\u0647\\u0645\\u0631\\u0627\\u0647 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0647 \\u0634\\u0631\\u06a9\\u062a \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0634\\u0648\\u062f.\\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u062a\\u0635\\u0648\\u06cc\\u0631\\u06cc \\u0627\\u0632 \\u0631\\u0633\\u06cc\\u062f \\u062a\\u0647\\u06cc\\u0647 \\u0648 \\u0628\\u0647 \\u0622\\u062f\\u0631\\u0633 services@test.com .\\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0634\\u0648\\u062f<br \\/>- \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0646\\u0635\\u0631\\u0627\\u0641 \\u0627\\u0632 \\u062e\\u0631\\u06cc\\u062f\\u060c \\u06cc\\u0627 \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0646\\u0634\\u062f\\u0646 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u06cc\\u0627 \\u0645\\u063a\\u0627\\u06cc\\u0631\\u062a \\u062a\\u0648\\u0633\\u0637 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0647\\u0632\\u06cc\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0648 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0645\\u062c\\u062f\\u062f \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0628\\u0647 \\u0639\\u0647\\u062f\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0648\\u062f.<br \\/>\\u067e\\u0633 \\u0627\\u0632 \\u0631\\u0633\\u06cc\\u062f\\u0646 \\u0648 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0648\\u0633\\u0637 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u060c \\u0631\\u0648\\u0646\\u062f \\u0631\\u0633\\u06cc\\u062f\\u06af\\u06cc \\u0628\\u0647 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0686\\u06af\\u0648\\u0646\\u0647 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0648\\u062f\\u061f<br \\/><br \\/>-\\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u06cc\\u0631\\u0627\\u062f\\u0647\\u0627\\u06cc \\u0627\\u0639\\u0644\\u0627\\u0645 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0631\\u0627 \\u0628\\u0631\\u0631\\u0633\\u06cc \\u0648 \\u06a9\\u0646\\u062a\\u0631\\u0644 \\u0645\\u06cc\\u200c\\u200f\\u06a9\\u0646\\u0646\\u062f. \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u062a\\u0627\\u06cc\\u06cc\\u062f \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0648 \\u0622\\u0633\\u06cc\\u0628 \\u0641\\u06cc\\u0632\\u06cc\\u06a9\\u06cc \\u062a\\u0648\\u0633\\u0637 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u0647 \\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0628\\u0627\\u0634\\u062f\\u060c \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f \\u0648 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u06cc\\u062a\\u0648\\u0627\\u0646\\u062f \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0628\\u0627 \\u0645\\u062f\\u0644 \\u062f\\u06cc\\u06af\\u0631 \\u062c\\u0627\\u06cc\\u06af\\u0632\\u06cc\\u0646 \\u06a9\\u0646\\u062f\\u060c \\u0648\\u0644\\u06cc \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u0647\\u060c \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0646\\u0628\\u0627\\u0634\\u062f\\u060c \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0648\\u062c\\u0648\\u062f \\u0646\\u062f\\u0627\\u0631\\u062f \\u0648 \\u0645\\u0628\\u0644\\u063a \\u0628\\u0647 \\u062d\\u0633\\u0627\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u0631\\u062c\\u0648\\u0639 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f.<br \\/>\\u0644\\u0627\\u0632\\u0645 \\u0628\\u0647 \\u0630\\u06a9\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u06a9\\u0627\\u0644\\u0627 \\u0645\\u0646\\u0648\\u0637 \\u0648 \\u0645\\u0634\\u0631\\u0648\\u0637 \\u0628\\u0647 \\u0645\\u0648\\u062c\\u0648\\u062f \\u0628\\u0648\\u062f\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0627\\u0646\\u0628\\u0627\\u0631 \\u0634\\u0631\\u06a9\\u062a \\u0627\\u0633\\u062a. \\u0627\\u06af\\u0631 \\u062f\\u0631 \\u0632\\u0645\\u0627\\u0646 \\u0631\\u0633\\u06cc\\u062f\\u06af\\u06cc \\u0648 \\u0637\\u06cc \\u0645\\u0631\\u0627\\u062d\\u0644 \\u062a\\u0633\\u062a \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u06cc \\u0648 \\u0627\\u0642\\u062f\\u0627\\u0645\\u0627\\u062a \\u0644\\u0627\\u0632\\u0645 \\u0628\\u0631\\u0627\\u06cc \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u06a9\\u0627\\u0644\\u0627\\u060c \\u0645\\u0648\\u062c\\u0648\\u062f\\u06cc \\u0622\\u0646 \\u0628\\u0647 \\u0627\\u062a\\u0645\\u0627\\u0645 \\u0628\\u0631\\u0633\\u062f\\u061b \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0628\\u0646\\u0627 \\u0628\\u0647 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062f\\u06cc\\u06af\\u0631\\u06cc \\u0631\\u0627 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f \\u0648 \\u06cc\\u0627 \\u0648\\u062c\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0645\\u0631\\u062c\\u0648\\u0639\\u06cc \\u0631\\u0627 \\u0628\\u0647 \\u062d\\u0633\\u0627\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0648\\u0627\\u0631\\u06cc\\u0632 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f. \\u0628\\u062f\\u06cc\\u0647\\u06cc \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062f\\u06cc\\u06af\\u0631\\u060c \\u062a\\u0641\\u0627\\u0648\\u062a \\u0642\\u06cc\\u0645\\u062a \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062c\\u062f\\u06cc\\u062f \\u0628\\u0627 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0645\\u0631\\u062c\\u0648\\u0639\\u06cc (\\u0645\\u0628\\u0644\\u063a \\u062f\\u0631\\u062c \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631) \\u0645\\u062d\\u0627\\u0633\\u0628\\u0647 \\u0648 \\u0642\\u0628\\u0644 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u062a\\u0633\\u0648\\u06cc\\u0647 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u06af\\u0631\\u0627\\u0646\\u200c\\u062a\\u0631\\u060c \\u0645\\u0634\\u062a\\u0631\\u06cc \\u062a\\u0641\\u0627\\u0648\\u062a \\u0631\\u0627 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0627\\u0631\\u0632\\u0627\\u0646\\u200c\\u062a\\u0631\\u060c \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062a\\u0641\\u0627\\u0648\\u062a \\u0631\\u0627 \\u0628\\u0647 \\u062d\\u0633\\u0627\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0648\\u0627\\u0631\\u06cc\\u0632 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f.<br \\/>- \\u0627\\u062a\\u0645\\u0627\\u0645 \\u0645\\u0648\\u062c\\u0648\\u062f\\u06cc \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u06cc\\u0627 \\u062a\\u063a\\u06cc\\u06cc\\u0631\\u0627\\u062a \\u0642\\u06cc\\u0645\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0645\\u0631\\u0627\\u062d\\u0644 \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u0648 \\u0645\\u0631\\u062c\\u0648\\u0639\\u06cc\\u060c \\u0628\\u0647 \\u0647\\u06cc\\u0686 \\u0639\\u0646\\u0648\\u0627\\u0646 \\u062d\\u0642\\u06cc \\u0631\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0627\\u06cc\\u062c\\u0627\\u062f \\u0646\\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f \\u0648 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062f\\u0631 \\u0642\\u0628\\u0627\\u0644 \\u062a\\u0647\\u06cc\\u0647 \\u0647\\u0645\\u0627\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u06cc\\u0627 \\u062a\\u063a\\u06cc\\u06cc\\u0631\\u0627\\u062a \\u0642\\u06cc\\u0645\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0647\\u06cc\\u0686\\u200c\\u06af\\u0648\\u0646\\u0647 \\u062a\\u0639\\u0647\\u062f\\u06cc \\u0646\\u062f\\u0627\\u0634\\u062a\\u0647 \\u0648 \\u0641\\u0642\\u0637 \\u062a\\u0639\\u0647\\u062f \\u0628\\u0627\\u0632\\u067e\\u0631\\u062f\\u0627\\u062e\\u062a \\u0648\\u062c\\u0647 \\u06a9\\u0627\\u0644\\u0627 -\\u062f\\u0631\\u062c \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0641\\u0627\\u06a9\\u062a\\u0648\\u0631- \\u0628\\u0647 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u067e\\u0630\\u06cc\\u0631\\u062f.<br \\/>- \\u067e\\u0633 \\u0627\\u0632 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0648 \\u067e\\u0630\\u06cc\\u0631\\u0634 \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0648\\u0633\\u0637 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0628\\u0633\\u062a\\u0647 \\u0628\\u0647 \\u0646\\u0648\\u0639 \\u0645\\u062d\\u0635\\u0648\\u0644 \\u0648 \\u0645\\u0634\\u06a9\\u0644 \\u0627\\u0639\\u0644\\u0627\\u0645 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u060c \\u062a\\u0633\\u062a \\u0648 \\u0627\\u0639\\u0644\\u0627\\u0645 \\u0646\\u0638\\u0631 \\u0646\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u060c \\u0628\\u0647 \\u0637\\u0648\\u0631 \\u0645\\u06cc\\u0627\\u0646\\u06af\\u06cc\\u0646 48 \\u0633\\u0627\\u0639\\u062a \\u06a9\\u0627\\u0631\\u06cc \\u0632\\u0645\\u0627\\u0646 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0631\\u062f.<br \\/>- \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0641\\u0646\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0628\\u0631\\u0627\\u06cc \\u062a\\u0633\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\\u060c \\u0645\\u0644\\u0632\\u0645 \\u0628\\u0647 \\u0631\\u0639\\u0627\\u06cc\\u062a \\u0627\\u0633\\u062a\\u0627\\u0646\\u062f\\u0627\\u0631\\u062f\\u0647\\u0627 \\u0648 \\u062f\\u0633\\u062a\\u0648\\u0631\\u0627\\u0644\\u0639\\u0645\\u0644\\u200c\\u0647\\u0627 \\u0648 \\u0631\\u0648\\u06cc\\u0647\\u200c\\u0647\\u0627\\u06cc \\u0627\\u0628\\u0644\\u0627\\u063a \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0634\\u0631\\u06a9\\u062a\\u200c\\u0647\\u0627\\u06cc \\u062a\\u0648\\u0644\\u06cc\\u062f \\u06a9\\u0646\\u0646\\u062f\\u0647 \\u0648 \\u06cc\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062c\\u0627\\u0632 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0648 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0633\\u0627\\u06cc\\u062a \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0647\\u0633\\u062a\\u0646\\u062f\\u060c \\u0644\\u0630\\u0627 \\u0639\\u0644\\u06cc\\u0631\\u063a\\u0645 \\u062a\\u0635\\u0648\\u0631 \\u0622\\u0646\\u200c\\u06a9\\u0647 \\u062a\\u0633\\u062a \\u06a9\\u0627\\u0644\\u0627 (\\u062d\\u062a\\u06cc \\u0628\\u0631\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u062f\\u0647\\u0627\\u06cc \\u062e\\u06cc\\u0644\\u06cc \\u0622\\u0634\\u06a9\\u0627\\u0631) \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u062f \\u062e\\u06cc\\u0644\\u06cc \\u0633\\u0631\\u06cc\\u0639 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u0648\\u062f\\u060c \\u0648\\u0644\\u06cc \\u062f\\u0631 \\u0639\\u0645\\u0644 \\u0631\\u0639\\u0627\\u06cc\\u062a \\u0631\\u0648\\u06cc\\u0647\\u200c\\u0647\\u0627\\u06cc \\u062a\\u0633\\u062a \\u0632\\u0645\\u0627\\u0646\\u200c\\u0628\\u0631 \\u0627\\u0633\\u062a \\u0648 \\u062f\\u0631 \\u0645\\u0648\\u0627\\u0631\\u062f\\u06cc \\u0646\\u06cc\\u0627\\u0632 \\u0628\\u0647 \\u0647\\u0645\\u0627\\u0647\\u0646\\u06af\\u06cc \\u0628\\u0627 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062c\\u0627\\u0632 \\u0622\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0627\\u0631\\u062f. \\u0628\\u0647 \\u0647\\u0645\\u06cc\\u0646 \\u0639\\u0644\\u062a \\u0632\\u0645\\u0627\\u0646 \\u0627\\u0639\\u0644\\u0627\\u0645 \\u0646\\u0638\\u0631 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u06cc \\u0628\\u0631\\u0627\\u06cc \\u062a\\u0639\\u0648\\u06cc\\u0636 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0647 \\u0637\\u0648\\u0631 \\u0645\\u06cc\\u0627\\u0646\\u06af\\u06cc\\u0646 48 \\u0633\\u0627\\u0639\\u062a \\u06a9\\u0627\\u0631\\u06cc \\u062f\\u0631 \\u0646\\u0638\\u0631 \\u06af\\u0631\\u0641\\u062a\\u0647 \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a\\u060c \\u0648\\u0644\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u062a\\u0645\\u0627\\u0645 \\u062a\\u0644\\u0627\\u0634 \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0628\\u06a9\\u0627\\u0631 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0628\\u0633\\u062a \\u062a\\u0627 \\u0633\\u0631\\u0639\\u062a \\u062a\\u0633\\u062a \\u0648 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u06cc \\u0631\\u0627 \\u0627\\u0641\\u0632\\u0627\\u06cc\\u0634 \\u062f\\u0627\\u062f\\u0647\\u060c \\u062f\\u0631 \\u06a9\\u0648\\u062a\\u0627\\u0647\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0632\\u0645\\u0627\\u0646 \\u0645\\u0645\\u06a9\\u0646 \\u0628\\u0647 \\u0646\\u06cc\\u0627\\u0632 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u062d\\u062a\\u0631\\u0645 \\u067e\\u0627\\u0633\\u062e \\u062f\\u0647\\u062f.<br \\/>- \\u0627\\u0632 \\u0647\\u0646\\u06af\\u0627\\u0645\\u06cc \\u06a9\\u0647 \\u0648\\u0636\\u0639\\u06cc\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u062f\\u0631 \\u0648\\u0627\\u062d\\u062f \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u060c \\u0645\\u0634\\u062e\\u0635 \\u0634\\u0648\\u062f\\u060c \\u0627\\u06af\\u0631 \\u0646\\u06cc\\u0627\\u0632 \\u0628\\u0647 \\u0627\\u0633\\u062a\\u0631\\u062f\\u0627\\u062f \\u0648\\u062c\\u0647 \\u0628\\u0627\\u0634\\u062f\\u060c \\u062d\\u062f\\u0627\\u06a9\\u062b\\u0631 \\u062a\\u0627 48 \\u0633\\u0627\\u0639\\u062a \\u06a9\\u0627\\u0631\\u06cc \\u0645\\u0628\\u0644\\u063a \\u0628\\u0647 \\u062d\\u0633\\u0627\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0648\\u0627\\u0631\\u06cc\\u0632 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0634\\u062f.<br \\/>- \\u0645\\u0644\\u0627\\u06a9 \\u0639\\u0645\\u0644 \\u0648 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u0634\\u0631\\u06a9\\u062a\\u060c \\u0646\\u0638\\u0631 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0641\\u0646\\u06cc \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc \\u0648 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0633\\u062a.<br \\/>\\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0686\\u0637\\u0648\\u0631 \\u0628\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0647\\u06cc\\u062f\\u061f<br \\/><br \\/>\\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u06cc\\u06a9\\u06cc \\u0627\\u0632 \\u0631\\u0648\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0631\\u060c \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0647\\u06cc\\u062f:<br \\/>\\u00a0<br \\/>- \\u0628\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u062a\\u0644\\u0641\\u0646 00000000 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 (\\u062f\\u0627\\u062e\\u0644\\u06cc 2) \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f.<br \\/>- \\u06cc\\u0627 \\u067e\\u06cc\\u0627\\u0645 \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062f\\u0631 \\u0635\\u0641\\u062d\\u0647 \\\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\\\" \\u0628\\u0627 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u0645\\u0648\\u0636\\u0648\\u0639 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u060c \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>- \\u06cc\\u0627 \\u0628\\u0647 cs@test.com \\u0628\\u0627 \\u0630\\u06a9\\u0631 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\\u060c \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0628\\u0632\\u0646\\u06cc\\u062f.<br \\/>\\u00a0<br \\/>\\u062a\\u0648\\u062c\\u0647: \\u062c\\u0647\\u062a \\u0631\\u0633\\u06cc\\u062f\\u06af\\u06cc \\u0628\\u0647 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a\\u060c \\u0630\\u06a9\\u0631 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062f\\u0631 \\u0647\\u0631 \\u06cc\\u06a9 \\u0627\\u0632 \\u0631\\u0648\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0628\\u0627\\u0644\\u0627 \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc \\u0627\\u0633\\u062a.<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 20:00:48\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2018-10-03 20:05:07\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2018-10-03 20:04:45\",\"publish_up\":\"2018-10-03 20:00:48\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":2,\"ordering\":\"1\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"0\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(12, 5, 1, '', '2018-10-03 20:05:17', 105, 12179, 'cf345dfd11405baeb7c24767792680c9696328d3', '{\"id\":5,\"asset_id\":\"97\",\"title\":\"\\u062a\\u0636\\u0645\\u06cc\\u0646 \\u0627\\u0635\\u0627\\u0644\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0627\\u0635\\u0644\\u06cc\",\"alias\":\"\\u062a\\u0636\\u0645\\u06cc\\u0646-\\u0627\\u0635\\u0627\\u0644\\u062a-\\u06a9\\u0627\\u0644\\u0627-\\u0648-\\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc-\\u0627\\u0635\\u0644\\u06cc\",\"introtext\":\"<p style=\\\"text-align: justify;\\\">\\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0641\\u0642\\u0637 \\u06cc\\u06a9 \\u0645\\u062a\\u0646 \\u0622\\u0632\\u0645\\u0627\\u06cc\\u0634\\u06cc \\u0627\\u0633\\u062a....<\\/p>\\r\\n<p style=\\\"text-align: justify;\\\">\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u061b \\u0641\\u0642\\u0637 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u0627\\u0635\\u0644\\u06cc<br \\/><br \\/>\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0635\\u0627\\u0644\\u062a \\u0647\\u0645\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc\\u0634 \\u0631\\u0627 \\u062a\\u0636\\u0645\\u06cc\\u0646 \\u0648 \\u0647\\u0645\\u06c0 \\u0622\\u0646\\u200c\\u0647\\u0627 \\u0631\\u0627 \\u0628\\u0627 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0627\\u0635\\u0644\\u06cc \\u0648 \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0639\\u0631\\u0636\\u0647 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f. \\u0627\\u0632 \\u0622\\u0646\\u062c\\u0627 \\u06a9\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0628\\u0631\\u0627\\u06cc \\u062a\\u0627\\u0645\\u06cc\\u0646 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0648\\u0628\\u200c\\u0633\\u0627\\u06cc\\u062a\\u060c \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0627 \\u0634\\u0631\\u06a9\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0648 \\u0648\\u0627\\u0631\\u062f\\u06a9\\u0646\\u0646\\u062f\\u06af\\u0627\\u0646 \\u0631\\u0633\\u0645\\u06cc \\u0648 \\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u0647\\u0645\\u06a9\\u0627\\u0631\\u06cc \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f\\u060c \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u0646\\u062f \\u0645\\u0637\\u0645\\u0626\\u0646 \\u0628\\u0627\\u0634\\u0646\\u062f \\u06a9\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062f\\u0627\\u0631\\u0627\\u06cc \\u0647\\u0648\\u0644\\u0648\\u06af\\u0631\\u0627\\u0645 \\u0648 \\u0628\\u0631\\u0686\\u0633\\u0628 \\u0645\\u0639\\u062a\\u0628\\u0631 \\u06a9\\u0647 \\u0647\\u06cc\\u0686\\u06af\\u0648\\u0646\\u0647 \\u062f\\u062e\\u0644 \\u0648 \\u062a\\u0635\\u0631\\u0641\\u06cc \\u062f\\u0631 \\u0622\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0646\\u06af\\u0631\\u0641\\u062a\\u0647 \\u0648 \\u0627\\u0632 \\u0645\\u062c\\u0627\\u0631\\u06cc \\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0634\\u0648\\u0631 \\u0634\\u062f\\u0647\\u200c\\u0627\\u0633\\u062a\\u060c \\u0631\\u0627 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631\\u06cc \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u0646\\u062f. \\u0634\\u0631\\u06a9\\u062a\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062f\\u0627\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0644\\u0627\\u0632\\u0645 \\u0628\\u0631\\u0627\\u06cc \\u0648\\u0627\\u0631\\u062f\\u0627\\u062a \\u0631\\u0633\\u0645\\u06cc \\u0646\\u06cc\\u0633\\u062a\\u0646\\u062f \\u0648 \\u06cc\\u0627 \\u0645\\u062c\\u0648\\u0632 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u06cc \\u0631\\u0633\\u0645\\u06cc \\u0646\\u062f\\u0627\\u0631\\u0646\\u062f \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0648\\u0627\\u0631\\u062f\\u0627\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0646\\u062f\\u0627\\u0631\\u0646\\u062f \\u0648 \\u0641\\u0639\\u0627\\u0644\\u06cc\\u062a \\u0622\\u0646\\u200c\\u0647\\u0627 \\u063a\\u06cc\\u0631\\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u0645\\u062d\\u0633\\u0648\\u0628 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f. \\u0630\\u06a9\\u0631 \\u0627\\u06cc\\u0646 \\u0646\\u06a9\\u062a\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646\\u062c\\u0627 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u06a9\\u0634\\u0648\\u0631 \\u0633\\u0627\\u0632\\u0646\\u062f\\u0647 \\u0631\\u0648\\u06cc \\u0627\\u0635\\u0627\\u0644\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u062a\\u0627\\u062b\\u06cc\\u0631\\u06cc \\u0646\\u062f\\u0627\\u0631\\u062f \\u0648 \\u0627\\u06cc\\u0646 \\u0628\\u0631\\u0646\\u062f \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u06a9\\u06cc\\u0641\\u06cc\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u062a\\u0639\\u06cc\\u06cc\\u0646 \\u0645\\u06cc\\u200f\\u200c\\u06a9\\u0646\\u062f. \\u0628\\u0631\\u0627\\u06cc \\u0646\\u0645\\u0648\\u0646\\u0647 \\u062f\\u0631 \\u062d\\u0627\\u0644 \\u062d\\u0627\\u0636\\u0631 \\u0628\\u0633\\u06cc\\u0627\\u0631\\u06cc \\u0627\\u0632 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u0645\\u0648\\u062c\\u0648\\u062f \\u062f\\u0631 \\u0628\\u0627\\u0632\\u0627\\u0631 \\u0627\\u06cc\\u0631\\u0627\\u0646 \\u0648 \\u0633\\u0627\\u06cc\\u0631 \\u06a9\\u0634\\u0648\\u0631\\u0647\\u0627 \\u0633\\u0627\\u062e\\u062a \\u0686\\u06cc\\u0646 \\u0647\\u0633\\u062a\\u0646\\u062f \\u0648 \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0647 \\u062f\\u0644\\u06cc\\u0644 \\u062e\\u0637 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0627\\u0631\\u0632\\u0627\\u0646\\u200f\\u200c\\u062a\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u06a9\\u0634\\u0648\\u0631 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0634\\u062f\\u0647\\u200c\\u0627\\u0646\\u062f.<br \\/>\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u061b \\u0641\\u0642\\u0637 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0627\\u0635\\u0644\\u06cc<br \\/><br \\/>\\u0634\\u0631\\u06a9\\u062a\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0641 \\u0648\\u0632\\u0627\\u0631\\u062a \\u0635\\u0646\\u0639\\u062a\\u060c \\u0645\\u0639\\u062f\\u0646 \\u0648 \\u062a\\u062c\\u0627\\u0631\\u062a \\u0628\\u0647 \\u0639\\u0646\\u0648\\u0627\\u0646 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u0646\\u062f\\u06af\\u0627\\u0646 \\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u062f\\u0631 \\u06a9\\u0634\\u0648\\u0631 \\u0641\\u0639\\u0627\\u0644\\u06cc\\u062a \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u0646\\u062f \\u0648 \\u0627\\u0633\\u0627\\u0645\\u06cc \\u0622\\u0646\\u0647\\u0627 \\u062f\\u0631 \\u0633\\u0627\\u06cc\\u062a \\u0627\\u06cc\\u0646 \\u0648\\u0632\\u0627\\u0631\\u062a\\u200c\\u062e\\u0627\\u0646\\u0647 \\u0630\\u06a9\\u0631 \\u0634\\u062f\\u0647\\u060c \\u0628\\u0627\\u06cc\\u062f \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0648 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0646\\u06cc\\u0632 \\u0627\\u0631\\u0627\\u0626\\u0647 \\u06a9\\u0646\\u0646\\u062f. \\u0628\\u0646\\u0627\\u0628\\u0631\\u0627\\u06cc\\u0646 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0627\\u06cc\\u0646\\u06af\\u0648\\u0646\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u200c\\u0647\\u0627\\u060c \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0645\\u062d\\u0633\\u0648\\u0628 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u062f. \\u0628\\u0647 \\u0627\\u06cc\\u0646 \\u062a\\u0631\\u062a\\u06cc\\u0628 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646\\u06cc \\u06a9\\u0647 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0628\\u06cc\\u200c\\u0646\\u0627\\u0645 \\u0648 \\u0646\\u0634\\u0627\\u0646 \\u0622\\u0646\\u0647\\u0627 \\u0631\\u0627 \\u0633\\u0631\\u062f\\u0631\\u06af\\u0645 \\u06a9\\u0631\\u062f\\u0647 \\u0627\\u0633\\u062a\\u060c \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u0646\\u062f \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc\\u200c\\u0647\\u0627\\u06cc \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0631\\u0627 \\u0627\\u0632 \\u0646\\u0627\\u0645\\u0639\\u062a\\u0628\\u0631 \\u0634\\u0646\\u0627\\u0633\\u0627\\u06cc\\u06cc \\u06a9\\u0646\\u0646\\u062f. \\u062a\\u0645\\u0627\\u0645\\u06cc \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062f\\u0631 \\u0648\\u0628\\u200c\\u0633\\u0627\\u06cc\\u062a \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0645\\u0627\\u06cc\\u0646\\u062f\\u06af\\u0627\\u0646 \\u0631\\u0633\\u0645\\u06cc \\u0622\\u0646 \\u0628\\u0631\\u0646\\u062f \\u062f\\u0631 \\u0627\\u06cc\\u0631\\u0627\\u0646 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0634\\u062f\\u0647\\u200c\\u0627\\u0646\\u062f \\u0648 \\u0628\\u0627 \\u0627\\u062e\\u0630 \\u0645\\u062c\\u0648\\u0632\\u0647\\u0627\\u06cc \\u0644\\u0627\\u0632\\u0645\\u060c \\u0627\\u0632 \\u0645\\u0628\\u0627\\u062f\\u06cc \\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0634\\u0648\\u0631 \\u0634\\u062f\\u0647\\u200c\\u0627\\u0646\\u062f. \\u0644\\u0627\\u0632\\u0645 \\u0628\\u0647 \\u0630\\u06a9\\u0631 \\u0627\\u0633\\u062a \\u06a9\\u0644\\u06cc\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc \\u0645\\u0634\\u0645\\u0648\\u0644 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u067e\\u0633 \\u0627\\u0632 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0628\\u0647 \\u062e\\u0631\\u06cc\\u062f\\u0627\\u0631 \\u0648 \\u0639\\u062f\\u0645 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0645\\u0647\\u0644\\u062a 7 \\u0631\\u0648\\u0632 \\u0636\\u0645\\u0627\\u0646\\u062a \\u0628\\u0627\\u0632\\u06af\\u0634\\u062a\\u060c \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u0628\\u0627 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0627\\u06cc\\u0631\\u0627\\u062f \\u0648 \\u0627\\u0634\\u06a9\\u0627\\u0644 \\u0627\\u0639\\u0645 \\u0627\\u0632 \\u0646\\u0631\\u0645\\u200c\\u0627\\u0641\\u0632\\u0627\\u0631\\u06cc \\u0648 \\u0633\\u062e\\u062a\\u200c\\u0627\\u0641\\u0632\\u0627\\u0631\\u06cc \\u0648 \\u0633\\u0627\\u06cc\\u0631 \\u0645\\u0648\\u0627\\u0631\\u062f \\u0645\\u0648\\u0627\\u062c\\u0647 \\u0634\\u0648\\u0646\\u062f\\u060c \\u0628\\u0631\\u0631\\u0633\\u06cc \\u0645\\u0633\\u0627\\u0644\\u0647 \\u062f\\u0631 \\u062d\\u0648\\u0632\\u0647 \\u0635\\u0644\\u0627\\u062d\\u06cc\\u062a \\u0634\\u0631\\u06a9\\u062a \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc\\u200c\\u06a9\\u0646\\u0646\\u062f\\u0647 \\u0645\\u0631\\u0628\\u0648\\u0637 \\u0627\\u0633\\u062a \\u0648 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0647\\u06cc\\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u0633\\u0626\\u0648\\u0644\\u06cc\\u062a\\u06cc \\u0646\\u0633\\u0628\\u062a \\u0628\\u0647 \\u0645\\u0634\\u06a9\\u0644\\u0627\\u062a \\u0645\\u0632\\u0628\\u0648\\u0631 \\u0646\\u062e\\u0648\\u0627\\u0647\\u062f \\u062f\\u0627\\u0634\\u062a. \\u0628\\u0646\\u0627\\u0628\\u0631\\u0627\\u06cc\\u0646 \\u06a9\\u0644\\u06cc\\u0647 \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062f\\u0631 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0631\\u0636\\u0647 \\u0645\\u06cc\\u200c\\u0634\\u0648\\u0646\\u062f \\u0627\\u0635\\u0644\\u06cc \\u0647\\u0633\\u062a\\u0646\\u062f \\u0648 \\u0628\\u0647 \\u0647\\u06cc\\u0686 \\u0639\\u0646\\u0648\\u0627\\u0646 \\u06a9\\u0627\\u0644\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u06a9\\u0631\\u062f\\u0647 \\u0648 \\u06cc\\u0627 \\u063a\\u06cc\\u0631\\u0627\\u0635\\u0644\\u06cc \\u062f\\u0631 \\u0633\\u0627\\u06cc\\u062a \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0628\\u0647 \\u0641\\u0631\\u0648\\u0634 \\u0646\\u0645\\u06cc\\u200c\\u0631\\u0633\\u062f. \\u0627\\u0632 \\u0627\\u06cc\\u0646 \\u0631\\u0648 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0635\\u0644 \\u0628\\u0648\\u062f\\u0646 \\u0647\\u0645\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0645\\u0648\\u062c\\u0648\\u062f \\u062f\\u0631 \\u0648\\u0628\\u200c\\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627 \\u062a\\u0636\\u0645\\u06cc\\u0646 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f.<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 20:02:29\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2018-10-03 20:05:17\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2018-10-03 20:05:09\",\"publish_up\":\"2018-10-03 20:02:29\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":2,\"ordering\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"0\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\"}', 0),
(196, 22, 1, '', '2019-04-06 07:36:54', 105, 5380, '55e10ec32a7ff40e2513562169735f6d5dabe902', '{\"id\":22,\"asset_id\":167,\"title\":\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\",\"alias\":\"\\u062a\\u0645\\u0627\\u0633-\\u0628\\u0627-\\u0645\\u0627\",\"introtext\":\"<p>\\u062c\\u0647\\u062a \\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0648\\u0627\\u062d\\u062f \\u0641\\u0631\\u0648\\u0634 \\u0648 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0628\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 09356426227 \\u062a\\u0645\\u0627\\u0633\\u00a0 \\u0648 \\u06cc\\u0627 \\u067e\\u06cc\\u0627\\u0645 \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0628\\u0647 \\u0627\\u06cc\\u0645\\u06cc\\u0644 yousefi.data@gmail.com \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0646\\u0645\\u0627\\u0626\\u06cc\\u062f.<\\/p>\\r\\n<p>\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0633\\u0627\\u0632\\u06cc \\u06a9\\u0647 \\u0628\\u0647 \\u0628\\u0631\\u0631\\u0633\\u06cc \\u0622\\u0646 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0634\\u0631\\u06a9\\u062a \\u062f\\u0646\\u06cc\\u0627\\u06cc \\u0641\\u0646 \\u0622\\u0648\\u0631\\u06cc \\u0622\\u06a9\\u0627\\u0645 \\u0628\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u062b\\u0628\\u062a \\u06f4\\u06f3\\u06f1\\u06f9 \\u0648 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u0646\\u0638\\u0627\\u0645 \\u0635\\u0646\\u0641\\u06cc \\u0631\\u0627\\u06cc\\u0627\\u0646\\u0647 \\u0627\\u06cc\\u00a0\\u06f3\\u06f4\\u06f0\\u06f1\\u06f0\\u06f1\\u06f6\\u06f3 \\u062a\\u0647\\u06cc\\u0647 \\u0648 \\u0628\\u0631\\u0646\\u0627\\u0645\\u0647 \\u0646\\u0648\\u06cc\\u0633\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a. \\u0628\\u0647 \\u062f\\u0646\\u0628\\u0627\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0645\\u06a9\\u0631\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u062f\\u0631 \\u062e\\u0635\\u0648\\u0635 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0648 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u0648 \\u0628\\u0627 \\u062a\\u0648\\u062c\\u0647 \\u0628\\u0647 \\u0639\\u062f\\u0645 \\u0648\\u062c\\u0648\\u062f \\u06cc\\u06a9 \\u0633\\u06cc\\u0633\\u062a\\u0645 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0633\\u0627\\u0632 \\u062c\\u0627\\u0645\\u0639 \\u0648 \\u0628\\u062f\\u0648\\u0646 \\u0646\\u0642\\u0635 \\u06a9\\u0647 \\u062a\\u0645\\u0627\\u0645 \\u0646\\u06cc\\u0627\\u0632 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u0631\\u0627 \\u0645\\u0631\\u062a\\u0641\\u0639 \\u0646\\u0645\\u0627\\u06cc\\u062f \\u0628\\u0631 \\u0622\\u0646 \\u0634\\u062f\\u06cc\\u0645 \\u06a9\\u0647 \\u0627\\u06cc\\u0646 \\u0633\\u06cc\\u0633\\u062a\\u0645 \\u0631\\u0627 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0648 \\u067e\\u06cc\\u0627\\u062f\\u0647 \\u0633\\u0627\\u0632\\u06cc \\u06a9\\u0646\\u06cc\\u0645. \\u0633\\u06cc\\u0633\\u062a\\u0645 \\u067e\\u06cc\\u0634 \\u0631\\u0648 \\u062d\\u0627\\u0635\\u0644 \\u062a\\u0644\\u0627\\u0634 19 \\u0645\\u0627\\u0647 \\u06a9\\u0627\\u0631 \\u0633\\u062e\\u062a \\u062f\\u0631 \\u062c\\u0647\\u062a \\u0628\\u0631\\u0622\\u0648\\u0631\\u062f\\u0646 \\u0646\\u06cc\\u0627\\u0632\\u0647\\u0627\\u06cc \\u0634\\u0645\\u0627 \\u0639\\u0632\\u06cc\\u0632\\u0627\\u0646 \\u0627\\u0633\\u062a. <br \\/>\\u0634\\u0631\\u06a9\\u062a \\u062f\\u0646\\u06cc\\u0627\\u06cc \\u0641\\u0646 \\u0622\\u0648\\u0631\\u06cc \\u0622\\u06a9\\u0627\\u0645\\u060c \\u0641\\u0631\\u0648\\u0634 \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631 \\u0631\\u0627 \\u0622\\u063a\\u0627\\u0632 \\u062a\\u0639\\u0647\\u062f \\u062f\\u0627\\u0646\\u0633\\u062a\\u0647 \\u0648 \\u0628\\u0627 \\u0627\\u0631\\u0627\\u0626\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc \\u0645\\u062a\\u0645\\u0627\\u06cc\\u0632 \\u062f\\u0631 \\u0637\\u0648\\u0644 \\u0645\\u0633\\u06cc\\u0631 \\u0645\\u0648\\u0641\\u0642\\u06cc\\u062a \\u062f\\u0631 \\u06a9\\u0646\\u0627\\u0631 \\u0634\\u0645\\u0627 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0645\\u0627\\u0646\\u062f.<br \\/><br \\/><\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"2\",\"created\":\"2019-04-06 07:36:54\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2019-04-06 07:36:54\",\"modified_by\":null,\"checked_out\":null,\"checked_out_time\":null,\"publish_up\":\"2019-04-06 07:36:54\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":1,\"ordering\":null,\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":null,\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', 0),
(197, 22, 1, '', '2019-04-06 07:38:17', 105, 5522, 'a5d05ee14e19979934ac6cb3cbcbcf4ea7b8e4a3', '{\"id\":22,\"asset_id\":\"167\",\"title\":\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\",\"alias\":\"\\u062a\\u0645\\u0627\\u0633-\\u0628\\u0627-\\u0645\\u0627\",\"introtext\":\"<p><span style=\\\"font-size: 12pt;\\\">\\u062c\\u0647\\u062a \\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0648\\u0627\\u062d\\u062f \\u0641\\u0631\\u0648\\u0634 \\u0648 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0628\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 09356426227 \\u062a\\u0645\\u0627\\u0633\\u00a0 \\u0648 \\u06cc\\u0627 \\u067e\\u06cc\\u0627\\u0645 \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0628\\u0647 \\u0627\\u06cc\\u0645\\u06cc\\u0644 yousefi.data@gmail.com \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0646\\u0645\\u0627\\u0626\\u06cc\\u062f.<\\/span><\\/p>\\r\\n<p><span style=\\\"font-size: 12pt;\\\">\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0633\\u0627\\u0632\\u06cc \\u06a9\\u0647 \\u0628\\u0647 \\u0628\\u0631\\u0631\\u0633\\u06cc \\u0622\\u0646 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0634\\u0631\\u06a9\\u062a \\u062f\\u0646\\u06cc\\u0627\\u06cc \\u0641\\u0646 \\u0622\\u0648\\u0631\\u06cc \\u0622\\u06a9\\u0627\\u0645 \\u0628\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u062b\\u0628\\u062a \\u06f4\\u06f3\\u06f1\\u06f9 \\u0648 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u0646\\u0638\\u0627\\u0645 \\u0635\\u0646\\u0641\\u06cc \\u0631\\u0627\\u06cc\\u0627\\u0646\\u0647 \\u0627\\u06cc\\u00a0\\u06f3\\u06f4\\u06f0\\u06f1\\u06f0\\u06f1\\u06f6\\u06f3 \\u062a\\u0647\\u06cc\\u0647 \\u0648 \\u0628\\u0631\\u0646\\u0627\\u0645\\u0647 \\u0646\\u0648\\u06cc\\u0633\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a. \\u0628\\u0647 \\u062f\\u0646\\u0628\\u0627\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0645\\u06a9\\u0631\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u062f\\u0631 \\u062e\\u0635\\u0648\\u0635 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0648 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u0648 \\u0628\\u0627 \\u062a\\u0648\\u062c\\u0647 \\u0628\\u0647 \\u0639\\u062f\\u0645 \\u0648\\u062c\\u0648\\u062f \\u06cc\\u06a9 \\u0633\\u06cc\\u0633\\u062a\\u0645 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0633\\u0627\\u0632 \\u062c\\u0627\\u0645\\u0639 \\u0648 \\u0628\\u062f\\u0648\\u0646 \\u0646\\u0642\\u0635 \\u06a9\\u0647 \\u062a\\u0645\\u0627\\u0645 \\u0646\\u06cc\\u0627\\u0632 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u0631\\u0627 \\u0645\\u0631\\u062a\\u0641\\u0639 \\u0646\\u0645\\u0627\\u06cc\\u062f \\u0628\\u0631 \\u0622\\u0646 \\u0634\\u062f\\u06cc\\u0645 \\u06a9\\u0647 \\u0627\\u06cc\\u0646 \\u0633\\u06cc\\u0633\\u062a\\u0645 \\u0631\\u0627 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0648 \\u067e\\u06cc\\u0627\\u062f\\u0647 \\u0633\\u0627\\u0632\\u06cc \\u06a9\\u0646\\u06cc\\u0645. \\u0633\\u06cc\\u0633\\u062a\\u0645 \\u067e\\u06cc\\u0634 \\u0631\\u0648 \\u062d\\u0627\\u0635\\u0644 \\u062a\\u0644\\u0627\\u0634 19 \\u0645\\u0627\\u0647 \\u06a9\\u0627\\u0631 \\u0633\\u062e\\u062a \\u062f\\u0631 \\u062c\\u0647\\u062a \\u0628\\u0631\\u0622\\u0648\\u0631\\u062f\\u0646 \\u0646\\u06cc\\u0627\\u0632\\u0647\\u0627\\u06cc \\u0634\\u0645\\u0627 \\u0639\\u0632\\u06cc\\u0632\\u0627\\u0646 \\u0627\\u0633\\u062a. <\\/span><br \\/><span style=\\\"font-size: 12pt;\\\">\\u0634\\u0631\\u06a9\\u062a \\u062f\\u0646\\u06cc\\u0627\\u06cc \\u0641\\u0646 \\u0622\\u0648\\u0631\\u06cc \\u0622\\u06a9\\u0627\\u0645\\u060c \\u0641\\u0631\\u0648\\u0634 \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631 \\u0631\\u0627 \\u0622\\u063a\\u0627\\u0632 \\u062a\\u0639\\u0647\\u062f \\u062f\\u0627\\u0646\\u0633\\u062a\\u0647 \\u0648 \\u0628\\u0627 \\u0627\\u0631\\u0627\\u0626\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc \\u0645\\u062a\\u0645\\u0627\\u06cc\\u0632 \\u062f\\u0631 \\u0637\\u0648\\u0644 \\u0645\\u0633\\u06cc\\u0631 \\u0645\\u0648\\u0641\\u0642\\u06cc\\u062a \\u062f\\u0631 \\u06a9\\u0646\\u0627\\u0631 \\u0634\\u0645\\u0627 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0645\\u0627\\u0646\\u062f.<\\/span><br \\/><br \\/><\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"2\",\"created\":\"2019-04-06 07:36:54\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2019-04-06 07:38:17\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2019-04-06 07:38:11\",\"publish_up\":\"2019-04-06 07:36:54\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":2,\"ordering\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"1\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', 0),
(198, 22, 1, '', '2019-04-06 07:38:30', 105, 5522, '315eaaf748a2d8d79064595a70cbdc124b1f8058', '{\"id\":22,\"asset_id\":\"167\",\"title\":\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\",\"alias\":\"\\u062a\\u0645\\u0627\\u0633-\\u0628\\u0627-\\u0645\\u0627\",\"introtext\":\"<p><span style=\\\"font-size: 10pt;\\\">\\u062c\\u0647\\u062a \\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0648\\u0627\\u062d\\u062f \\u0641\\u0631\\u0648\\u0634 \\u0648 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0628\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 09356426227 \\u062a\\u0645\\u0627\\u0633\\u00a0 \\u0648 \\u06cc\\u0627 \\u067e\\u06cc\\u0627\\u0645 \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0628\\u0647 \\u0627\\u06cc\\u0645\\u06cc\\u0644 yousefi.data@gmail.com \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0646\\u0645\\u0627\\u0626\\u06cc\\u062f.<\\/span><\\/p>\\r\\n<p><span style=\\\"font-size: 10pt;\\\">\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0633\\u0627\\u0632\\u06cc \\u06a9\\u0647 \\u0628\\u0647 \\u0628\\u0631\\u0631\\u0633\\u06cc \\u0622\\u0646 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0634\\u0631\\u06a9\\u062a \\u062f\\u0646\\u06cc\\u0627\\u06cc \\u0641\\u0646 \\u0622\\u0648\\u0631\\u06cc \\u0622\\u06a9\\u0627\\u0645 \\u0628\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u062b\\u0628\\u062a \\u06f4\\u06f3\\u06f1\\u06f9 \\u0648 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u0646\\u0638\\u0627\\u0645 \\u0635\\u0646\\u0641\\u06cc \\u0631\\u0627\\u06cc\\u0627\\u0646\\u0647 \\u0627\\u06cc\\u00a0\\u06f3\\u06f4\\u06f0\\u06f1\\u06f0\\u06f1\\u06f6\\u06f3 \\u062a\\u0647\\u06cc\\u0647 \\u0648 \\u0628\\u0631\\u0646\\u0627\\u0645\\u0647 \\u0646\\u0648\\u06cc\\u0633\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a. \\u0628\\u0647 \\u062f\\u0646\\u0628\\u0627\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0645\\u06a9\\u0631\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u062f\\u0631 \\u062e\\u0635\\u0648\\u0635 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0648 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u0648 \\u0628\\u0627 \\u062a\\u0648\\u062c\\u0647 \\u0628\\u0647 \\u0639\\u062f\\u0645 \\u0648\\u062c\\u0648\\u062f \\u06cc\\u06a9 \\u0633\\u06cc\\u0633\\u062a\\u0645 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0633\\u0627\\u0632 \\u062c\\u0627\\u0645\\u0639 \\u0648 \\u0628\\u062f\\u0648\\u0646 \\u0646\\u0642\\u0635 \\u06a9\\u0647 \\u062a\\u0645\\u0627\\u0645 \\u0646\\u06cc\\u0627\\u0632 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u0631\\u0627 \\u0645\\u0631\\u062a\\u0641\\u0639 \\u0646\\u0645\\u0627\\u06cc\\u062f \\u0628\\u0631 \\u0622\\u0646 \\u0634\\u062f\\u06cc\\u0645 \\u06a9\\u0647 \\u0627\\u06cc\\u0646 \\u0633\\u06cc\\u0633\\u062a\\u0645 \\u0631\\u0627 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0648 \\u067e\\u06cc\\u0627\\u062f\\u0647 \\u0633\\u0627\\u0632\\u06cc \\u06a9\\u0646\\u06cc\\u0645. \\u0633\\u06cc\\u0633\\u062a\\u0645 \\u067e\\u06cc\\u0634 \\u0631\\u0648 \\u062d\\u0627\\u0635\\u0644 \\u062a\\u0644\\u0627\\u0634 19 \\u0645\\u0627\\u0647 \\u06a9\\u0627\\u0631 \\u0633\\u062e\\u062a \\u062f\\u0631 \\u062c\\u0647\\u062a \\u0628\\u0631\\u0622\\u0648\\u0631\\u062f\\u0646 \\u0646\\u06cc\\u0627\\u0632\\u0647\\u0627\\u06cc \\u0634\\u0645\\u0627 \\u0639\\u0632\\u06cc\\u0632\\u0627\\u0646 \\u0627\\u0633\\u062a. <\\/span><br \\/><span style=\\\"font-size: 10pt;\\\">\\u0634\\u0631\\u06a9\\u062a \\u062f\\u0646\\u06cc\\u0627\\u06cc \\u0641\\u0646 \\u0622\\u0648\\u0631\\u06cc \\u0622\\u06a9\\u0627\\u0645\\u060c \\u0641\\u0631\\u0648\\u0634 \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631 \\u0631\\u0627 \\u0622\\u063a\\u0627\\u0632 \\u062a\\u0639\\u0647\\u062f \\u062f\\u0627\\u0646\\u0633\\u062a\\u0647 \\u0648 \\u0628\\u0627 \\u0627\\u0631\\u0627\\u0626\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc \\u0645\\u062a\\u0645\\u0627\\u06cc\\u0632 \\u062f\\u0631 \\u0637\\u0648\\u0644 \\u0645\\u0633\\u06cc\\u0631 \\u0645\\u0648\\u0641\\u0642\\u06cc\\u062a \\u062f\\u0631 \\u06a9\\u0646\\u0627\\u0631 \\u0634\\u0645\\u0627 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0645\\u0627\\u0646\\u062f.<\\/span><br \\/><br \\/><\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"2\",\"created\":\"2019-04-06 07:36:54\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2019-04-06 07:38:30\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2019-04-06 07:38:17\",\"publish_up\":\"2019-04-06 07:36:54\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":3,\"ordering\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"2\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', 0),
(199, 22, 1, '', '2019-04-07 07:00:27', 105, 5626, '710a34edf9c2fadf92eeca8442bc5cfd56e2d512', '{\"id\":22,\"asset_id\":\"167\",\"title\":\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\",\"alias\":\"\\u062a\\u0645\\u0627\\u0633-\\u0628\\u0627-\\u0645\\u0627\",\"introtext\":\"<p><span style=\\\"font-size: 10pt;\\\">\\u062c\\u0647\\u062a \\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0648\\u0627\\u062d\\u062f \\u0641\\u0631\\u0648\\u0634 \\u0648 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0628\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 09356426227 (\\u06cc\\u0648\\u0633\\u0641\\u06cc) \\u062a\\u0645\\u0627\\u0633\\u00a0 \\u0648 \\u06cc\\u0627 \\u067e\\u06cc\\u0627\\u0645 \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0628\\u0647 \\u0627\\u06cc\\u0645\\u06cc\\u0644 yousefi.data@gmail.com \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0646\\u0645\\u0627\\u0626\\u06cc\\u062f.<\\/span><\\/p>\\r\\n<p><span style=\\\"font-size: 10pt;\\\"><strong>\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0633\\u0627\\u0632\\u06cc<\\/strong> \\u06a9\\u0647 \\u0628\\u0647 \\u0628\\u0631\\u0631\\u0633\\u06cc \\u0622\\u0646 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a\\u06cc\\u062f \\u062a\\u0648\\u0633\\u0637 \\u0634\\u0631\\u06a9\\u062a \\u062f\\u0646\\u06cc\\u0627\\u06cc \\u0641\\u0646 \\u0622\\u0648\\u0631\\u06cc \\u0622\\u06a9\\u0627\\u0645 \\u0628\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u062b\\u0628\\u062a \\u06f4\\u06f3\\u06f1\\u06f9 \\u0648 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u0646\\u0638\\u0627\\u0645 \\u0635\\u0646\\u0641\\u06cc \\u0631\\u0627\\u06cc\\u0627\\u0646\\u0647 \\u0627\\u06cc\\u00a0\\u06f3\\u06f4\\u06f0\\u06f1\\u06f0\\u06f1\\u06f6\\u06f3 \\u062a\\u0647\\u06cc\\u0647 \\u0648 <strong>\\u0628\\u0631\\u0646\\u0627\\u0645\\u0647 \\u0646\\u0648\\u06cc\\u0633\\u06cc<\\/strong> \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a. \\u0628\\u0647 \\u062f\\u0646\\u0628\\u0627\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0645\\u06a9\\u0631\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u062f\\u0631 \\u062e\\u0635\\u0648\\u0635 \\u0637<strong>\\u0631\\u0627\\u062d\\u06cc \\u0648 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc<\\/strong> \\u0648 \\u0628\\u0627 \\u062a\\u0648\\u062c\\u0647 \\u0628\\u0647 \\u0639\\u062f\\u0645 \\u0648\\u062c\\u0648\\u062f \\u06cc\\u06a9 \\u0633\\u06cc\\u0633\\u062a\\u0645 <strong>\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0633\\u0627\\u0632<\\/strong> \\u062c\\u0627\\u0645\\u0639 \\u0648 \\u0628\\u062f\\u0648\\u0646 \\u0646\\u0642\\u0635 \\u06a9\\u0647 \\u062a\\u0645\\u0627\\u0645 \\u0646\\u06cc\\u0627\\u0632 \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u0631\\u0627 \\u0645\\u0631\\u062a\\u0641\\u0639 \\u0646\\u0645\\u0627\\u06cc\\u062f \\u0628\\u0631 \\u0622\\u0646 \\u0634\\u062f\\u06cc\\u0645 \\u06a9\\u0647 \\u0627\\u06cc\\u0646 \\u0633\\u06cc\\u0633\\u062a\\u0645 \\u0631\\u0627 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0648 \\u067e\\u06cc\\u0627\\u062f\\u0647 \\u0633\\u0627\\u0632\\u06cc \\u06a9\\u0646\\u06cc\\u0645. \\u0633\\u06cc\\u0633\\u062a\\u0645 \\u067e\\u06cc\\u0634 \\u0631\\u0648 \\u062d\\u0627\\u0635\\u0644 \\u062a\\u0644\\u0627\\u0634 9 \\u0645\\u0627\\u0647 \\u06a9\\u0627\\u0631 \\u0633\\u062e\\u062a \\u062f\\u0631 \\u062c\\u0647\\u062a \\u0628\\u0631\\u0622\\u0648\\u0631\\u062f\\u0646 \\u0646\\u06cc\\u0627\\u0632\\u0647\\u0627\\u06cc \\u0634\\u0645\\u0627 \\u0639\\u0632\\u06cc\\u0632\\u0627\\u0646 \\u0627\\u0633\\u062a. <\\/span><br \\/><span style=\\\"font-size: 10pt;\\\">\\u0634\\u0631\\u06a9\\u062a \\u062f\\u0646\\u06cc\\u0627\\u06cc \\u0641\\u0646 \\u0622\\u0648\\u0631\\u06cc \\u0622\\u06a9\\u0627\\u0645\\u060c \\u0641\\u0631\\u0648\\u0634 \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631 \\u0631\\u0627 \\u0622\\u063a\\u0627\\u0632 \\u062a\\u0639\\u0647\\u062f \\u062f\\u0627\\u0646\\u0633\\u062a\\u0647 \\u0648 \\u0628\\u0627 \\u0627\\u0631\\u0627\\u0626\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc \\u0645\\u062a\\u0645\\u0627\\u06cc\\u0632 \\u062f\\u0631 \\u0637\\u0648\\u0644 \\u0645\\u0633\\u06cc\\u0631 \\u0645\\u0648\\u0641\\u0642\\u06cc\\u062a \\u062f\\u0631 \\u06a9\\u0646\\u0627\\u0631 \\u0634\\u0645\\u0627 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0645\\u0627\\u0646\\u062f.<\\/span><br \\/><br \\/><\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"2\",\"created\":\"2019-04-06 07:36:54\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2019-04-07 07:00:27\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2019-04-07 06:59:20\",\"publish_up\":\"2019-04-06 07:36:54\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":4,\"ordering\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"6\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', 0),
(253, 22, 1, '', '2020-05-23 14:32:49', 105, 2014, 'f0fb7931581d8eef7df3bc7210aa2ccfb764bb28', '{\"id\":22,\"asset_id\":\"167\",\"title\":\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\",\"alias\":\"\\u062a\\u0645\\u0627\\u0633-\\u0628\\u0627-\\u0645\\u0627\",\"introtext\":\"<p>site: https:\\/\\/joomstar.ir<\\/p>\\r\\n<p><a title=\\\"yousefi.data@gmail.com\\\" href=\\\"mailto:yousefi.data@gmail.com\\\">email: yousefi.data@gmail.com<\\/a><\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"2\",\"created\":\"2019-04-06 07:36:54\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2020-05-23 14:32:49\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2020-05-23 14:31:03\",\"publish_up\":\"2019-04-06 07:36:54\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":5,\"ordering\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"50\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', 0),
(254, 22, 1, '', '2020-05-23 14:32:58', 105, 1974, '3554b2847c9afcae463abb4121177432df5514c9', '{\"id\":22,\"asset_id\":\"167\",\"title\":\"Contact Us\",\"alias\":\"\\u062a\\u0645\\u0627\\u0633-\\u0628\\u0627-\\u0645\\u0627\",\"introtext\":\"<p>site: https:\\/\\/joomstar.ir<\\/p>\\r\\n<p><a title=\\\"yousefi.data@gmail.com\\\" href=\\\"mailto:yousefi.data@gmail.com\\\">email: yousefi.data@gmail.com<\\/a><\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"2\",\"created\":\"2019-04-06 07:36:54\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2020-05-23 14:32:58\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2020-05-23 14:32:49\",\"publish_up\":\"2019-04-06 07:36:54\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":6,\"ordering\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"50\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', 0),
(255, 22, 1, '', '2020-05-23 14:33:58', 105, 2081, '334fb532cd732f6fc4be9299ee12537244d3647f', '{\"id\":22,\"asset_id\":\"167\",\"title\":\"Contact Us\",\"alias\":\"\\u062a\\u0645\\u0627\\u0633-\\u0628\\u0627-\\u0645\\u0627\",\"introtext\":\"<p>site: <a title=\\\"IRjoomstar\\\" href=\\\"https:\\/\\/joomstar.ir\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">https:\\/\\/joomstar.ir<\\/a><\\/p>\\r\\n<p>email: <a title=\\\"yousefi.data@gmail.com\\\" href=\\\"mailto: yousefi.data@gmail.com\\\">yousefi.data@gmail.com<\\/a><\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"2\",\"created\":\"2019-04-06 07:36:54\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2020-05-23 14:33:58\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2020-05-23 14:32:58\",\"publish_up\":\"2019-04-06 07:36:54\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":7,\"ordering\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"51\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(256, 5, 1, '', '2020-05-23 14:35:33', 105, 2092, 'a6be0c7afc75a61a3f2b858c0adb7be181bc60e8', '{\"id\":5,\"asset_id\":\"97\",\"title\":\"\\u062a\\u0636\\u0645\\u06cc\\u0646 \\u0627\\u0635\\u0627\\u0644\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0648 \\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc \\u0627\\u0635\\u0644\\u06cc\",\"alias\":\"\\u062a\\u0636\\u0645\\u06cc\\u0646-\\u0627\\u0635\\u0627\\u0644\\u062a-\\u06a9\\u0627\\u0644\\u0627-\\u0648-\\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc-\\u0627\\u0635\\u0644\\u06cc\",\"introtext\":\"<p>ytytd<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 20:02:29\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2020-05-23 14:35:33\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2020-05-23 14:35:27\",\"publish_up\":\"2018-10-03 20:02:29\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":3,\"ordering\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"82\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', 0),
(257, 5, 1, '', '2020-05-23 14:36:42', 105, 13779, '269e1148980e7f6d544b7f9adbaf1c1253c1a677', '{\"id\":5,\"asset_id\":\"97\",\"title\":\"guarantee\",\"alias\":\"guarantee\",\"introtext\":\"<p style=\\\"text-align: justify;\\\"><span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>. <span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 20:02:29\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2020-05-23 14:36:42\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2020-05-23 14:35:33\",\"publish_up\":\"2018-10-03 20:02:29\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":4,\"ordering\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"83\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', 0),
(258, 4, 1, '', '2020-05-23 14:37:23', 105, 13809, '5bfbde913fcf2b93fc52a43b3c0e8d5ca21a3c02', '{\"id\":4,\"asset_id\":\"96\",\"title\":\"7 days warranty returned\",\"alias\":\"7-days-warranty-returned\",\"introtext\":\"<p style=\\\"text-align: justify;\\\"><span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>. <span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 20:00:48\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2020-05-23 14:37:23\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2020-05-23 14:36:49\",\"publish_up\":\"2018-10-03 20:00:48\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":3,\"ordering\":\"1\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"80\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(259, 1, 1, '', '2020-05-23 14:38:18', 105, 13907, 'e69b946f9702539e78fddba16f08c183299706d3', '{\"id\":1,\"asset_id\":\"92\",\"title\":\"\\u0631\\u0648\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644\",\"alias\":\"\\u0631\\u0648\\u0634\\u200c\\u0647\\u0627\\u06cc-\\u0627\\u0631\\u0633\\u0627\\u0644\",\"introtext\":\"<p style=\\\"text-align: justify;\\\"><span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>. <span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 19:43:57\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2020-05-23 14:38:18\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2020-05-23 14:38:14\",\"publish_up\":\"2018-10-03 19:43:57\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":4,\"ordering\":\"4\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"93\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', 0),
(260, 1, 1, '', '2020-05-23 14:39:11', 105, 13787, '3dc9ba2b752259b3070fbcfec936ae9460fc5d30', '{\"id\":1,\"asset_id\":\"92\",\"title\":\"fast delivery\",\"alias\":\"fast-delivery\",\"introtext\":\"<p style=\\\"text-align: justify;\\\"><span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>. <span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 19:43:57\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2020-05-23 14:39:11\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2020-05-23 14:38:18\",\"publish_up\":\"2018-10-03 19:43:57\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":5,\"ordering\":\"4\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"94\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', 0),
(261, 2, 1, '', '2020-05-23 14:39:55', 105, 9104, '9440d0367f7c177f259b3baaf41dc12080b1c17a', '{\"id\":2,\"asset_id\":\"94\",\"title\":\"24 hour support\",\"alias\":\"24-hour-support\",\"introtext\":\"<p style=\\\"text-align: justify;\\\">\\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0641\\u0642\\u0637 \\u06cc\\u06a9 \\u0645\\u062a\\u0646 \\u0622\\u0632\\u0645\\u0627\\u06cc\\u0634\\u06cc \\u0627\\u0633\\u062a...<\\/p>\\r\\n<p style=\\\"text-align: justify;\\\"><br \\/>\\u06a9\\u0627\\u0631\\u0628\\u0631 \\u06af\\u0631\\u0627\\u0645\\u06cc\\u060c \\u0644\\u0637\\u0641\\u0627\\u064b \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u0648\\u062c\\u0648\\u062f \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u0633\\u0648\\u0627\\u0644 \\u06cc\\u0627 \\u0627\\u0628\\u0647\\u0627\\u0645\\u06cc\\u060c \\u067e\\u06cc\\u0634 \\u0627\\u0632 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u06cc\\u0627 \\u062a\\u0645\\u0627\\u0633 \\u062a\\u0644\\u0641\\u0646\\u06cc \\u0628\\u0627 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0628\\u062e\\u0634 \\u067e\\u0631\\u0633\\u0634\\u200f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u062f\\u0627\\u0648\\u0644 \\u0631\\u0627 \\u0645\\u0644\\u0627\\u062d\\u0638\\u0647 \\u0641\\u0631\\u0645\\u0627\\u06cc\\u06cc\\u062f \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u06a9\\u0647 \\u067e\\u0627\\u0633\\u062e \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0646\\u06cc\\u0627\\u0641\\u062a\\u06cc\\u062f\\u060c \\u0628\\u0627 \\u0645\\u0627 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f.<br \\/>\\u0631\\u0648\\u0632\\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u062f\\u0631 \\u0633\\u0627\\u0644 \\u062c\\u0627\\u0631\\u06cc \\u0628\\u0647 \\u062f\\u0644\\u06cc\\u0644 \\u062a\\u0639\\u0637\\u06cc\\u0644\\u06cc\\u060c \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0647\\u06cc\\u0686\\u200c\\u06af\\u0648\\u0646\\u0647 \\u067e\\u0627\\u0633\\u062e\\u06af\\u0648\\u06cc\\u06cc\\u060c \\u0633\\u0631\\u0648\\u06cc\\u0633\\u200c\\u062f\\u0647\\u06cc \\u0648 \\u062e\\u062f\\u0645\\u0627\\u062a\\u06cc \\u0646\\u062f\\u0627\\u0631\\u062f\\u060c \\u0628\\u0647 \\u0634\\u0631\\u062d \\u0632\\u06cc\\u0631 \\u0627\\u0633\\u062a:<br \\/><br \\/>\\u00a0\\u00a0\\u00a0 \\u06f1\\u06f3 \\u0641\\u0631\\u0648\\u0631\\u062f\\u06cc\\u0646<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f1\\u06f4 \\u062e\\u0631\\u062f\\u0627\\u062f<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f2\\u06f8 \\u0634\\u0647\\u0631\\u06cc\\u0648\\u0631 (\\u062a\\u0627\\u0633\\u0648\\u0639\\u0627)<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f2\\u06f9 \\u0634\\u0647\\u0631\\u06cc\\u0648\\u0631 (\\u0639\\u0627\\u0634\\u0648\\u0631\\u0627)<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f8 \\u0622\\u0628\\u0627\\u0646 (\\u0627\\u0631\\u0628\\u0639\\u06cc\\u0646)<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f1\\u06f6 \\u0622\\u0628\\u0627\\u0646 (\\u0631\\u062d\\u0644\\u062a \\u062d\\u0636\\u0631\\u062a \\u0631\\u0633\\u0648\\u0644 \\u0627\\u06a9\\u0631\\u0645)<br \\/>\\u00a0\\u00a0\\u00a0 \\u06f2\\u06f2 \\u0628\\u0647\\u0645\\u0646<br \\/><br \\/>\\u062a\\u0644\\u0641\\u0646 \\u062a\\u0645\\u0627\\u0633 \\u0648 \\u0641\\u06a9\\u0633: 000000000 \\u0648 00000000 (\\u067e\\u0627\\u0633\\u062e\\u06af\\u0648\\u06cc\\u06cc \\u06f2\\u06f4 \\u0633\\u0627\\u0639\\u062a\\u0647\\u060c \\u0667 \\u0631\\u0648\\u0632 \\u0647\\u0641\\u062a\\u0647)<br \\/>\\u0631\\u0633\\u06cc\\u062f\\u06af\\u06cc \\u0628\\u0647 \\u0627\\u0646\\u062a\\u0642\\u0627\\u062f\\u0647\\u0627<br \\/><br \\/>\\u0645\\u0634\\u062a\\u0631\\u06cc \\u06af\\u0631\\u0627\\u0645\\u06cc\\u060c \\u0627\\u06af\\u0631 \\u0627\\u0646\\u062a\\u0642\\u0627\\u062f \\u06cc\\u0627 \\u0634\\u06a9\\u0627\\u06cc\\u062a\\u06cc \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u062f\\u0627\\u0631\\u06cc\\u062f \\u0628\\u0631\\u0627\\u06cc \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u067e\\u0627\\u0633\\u062e \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u060c \\u0644\\u0637\\u0641\\u0627 \\u0628\\u0647 \\u0622\\u062f\\u0631\\u0633 complaint@test.com \\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0646\\u06cc\\u062f.<br \\/>\\u062f\\u0641\\u062a\\u0631 \\u0645\\u0631\\u06a9\\u0632\\u06cc:<br \\/><br \\/>\\u0627\\u0633\\u062a\\u0627\\u0646 \\u062a\\u0647\\u0631\\u0627\\u0646 - \\u0634\\u0647\\u0631 \\u062a\\u0647\\u0631\\u0627\\u0646 - \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 <br \\/>\\u0645\\u0631\\u06a9\\u0632 \\u0627\\u0645\\u0648\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646:<br \\/><br \\/>\\u0644\\u0637\\u0641\\u0627\\u064b \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u0628\\u0627\\u0632\\u06af\\u0631\\u062f\\u0627\\u0646\\u062f\\u0646 \\u0648 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0622\\u0646 \\u0628\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u067e\\u0633\\u062a\\u060c \\u062a\\u0646\\u0647\\u0627 \\u0628\\u0647 \\u0635\\u0646\\u062f\\u0648\\u0642 \\u067e\\u0633\\u062a\\u06cc 000000000\\u0627\\u0631\\u0633\\u0627\\u0644 \\u0646\\u0645\\u0627\\u06cc\\u06cc\\u062f.<br \\/>\\u00a0<br \\/><br \\/>\\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u062e\\u062f\\u0645\\u0627\\u062a \\u067e\\u0633 \\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634:cs@test.com<br \\/>\\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634:cc@test.com<br \\/>\\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0633\\u0627\\u0632\\u0645\\u0627\\u0646\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647:info@test.com<br \\/>\\u062a\\u0648\\u062c\\u0647 \\u062f\\u0627\\u0634\\u062a\\u0647 \\u0628\\u0627\\u0634\\u06cc\\u062f \\u06a9\\u0647 000000000000 \\u0648 000000000000 \\u062a\\u0646\\u0647\\u0627 \\u0634\\u0645\\u0627\\u0631\\u0647\\u200c\\u0647\\u0627\\u06cc\\u06cc \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0622\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u0627\\u0646 \\u0648 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u062e\\u0648\\u062f \\u067e\\u06cc\\u0627\\u0645\\u06a9 (\\u0627\\u0633 \\u0627\\u0645 \\u0627\\u0633) \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u06cc\\u200c\\u06a9\\u0646\\u062f. \\u0628\\u0646\\u0627\\u0628\\u0631\\u0627\\u06cc\\u0646 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0647\\u0631\\u06af\\u0648\\u0646\\u0647 \\u067e\\u06cc\\u0627\\u0645\\u06a9 \\u062a\\u062d\\u062a \\u0639\\u0646\\u0648\\u0627\\u0646 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u060c \\u0628\\u0627 \\u0647\\u0631 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u062f\\u06cc\\u06af\\u0631\\u06cc \\u062a\\u062e\\u0644\\u0641 \\u0648 \\u0633\\u0648\\u0621 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0646\\u0627\\u0645 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0686\\u0646\\u06cc\\u0646 \\u067e\\u06cc\\u0627\\u0645\\u06a9\\u06cc\\u060c \\u0644\\u0637\\u0641\\u0627\\u064b \\u062c\\u0647\\u062a \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0642\\u0627\\u0646\\u0648\\u0646\\u06cc \\u0622\\u0646 \\u0631\\u0627 \\u0628\\u0647 info@test.com \\u0627\\u0637\\u0644\\u0627\\u0639 \\u062f\\u0647\\u06cc\\u062f.<br \\/>\\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 000000000000 \\u0648 000000000000\\u060c \\u0633\\u0627\\u0645\\u0627\\u0646\\u0647 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u067e\\u06cc\\u0627\\u0645\\u06a9 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0648\\u0636\\u0639\\u06cc\\u062a \\u067e\\u0631\\u062f\\u0627\\u0632\\u0634 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u06cc\\u0627 \\u0631\\u0648\\u06cc\\u062f\\u0627\\u062f\\u0647\\u0627\\u060c \\u062e\\u062f\\u0645\\u0627\\u062a \\u0648 \\u0633\\u0631\\u0648\\u06cc\\u0633\\u200c\\u0647\\u0627\\u06cc \\u0648\\u06cc\\u0698\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0631\\u0627 \\u0628\\u0647 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u0627\\u0646 \\u0645\\u06cc\\u200c\\u0631\\u0633\\u0627\\u0646\\u062f \\u0648 \\u0631\\u0648\\u0634\\u0646 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u0627\\u0645\\u06a9\\u0627\\u0646 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u067e\\u06cc\\u0627\\u0645\\u200c\\u0647\\u0627\\u06cc \\u0634\\u0645\\u0627 \\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0627\\u06cc\\u0646 \\u0634\\u0645\\u0627\\u0631\\u0647 \\u0648\\u062c\\u0648\\u062f \\u0646\\u062f\\u0627\\u0631\\u062f.<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 19:53:46\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2020-05-23 14:39:55\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2020-05-23 14:39:38\",\"publish_up\":\"2018-10-03 19:53:46\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":3,\"ordering\":\"3\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"90\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(262, 2, 1, '', '2020-05-23 14:40:15', 105, 13791, 'cec317871b23515e2ef5e5c0dfcbc6fbf24540af', '{\"id\":2,\"asset_id\":\"94\",\"title\":\"24 hour support\",\"alias\":\"24-hour-support\",\"introtext\":\"<p style=\\\"text-align: justify;\\\"><span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>. <span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<span class=\\\"tlid-translation translation\\\" lang=\\\"en\\\"><span class=\\\"\\\" title=\\\"\\\">This is an example<\\/span><\\/span>.\\u00a0<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"33\",\"created\":\"2018-10-03 19:53:46\",\"created_by\":\"105\",\"created_by_alias\":\"\",\"modified\":\"2020-05-23 14:40:15\",\"modified_by\":\"105\",\"checked_out\":\"105\",\"checked_out_time\":\"2020-05-23 14:40:10\",\"publish_up\":\"2018-10-03 19:53:46\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":4,\"ordering\":\"3\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"90\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', 0),
(263, 33, 5, '', '2020-05-23 14:43:18', 105, 633, 'c2e65aa03da6b10c76a447cbdf777a58a50ece20', '{\"id\":33,\"asset_id\":\"91\",\"parent_id\":\"1\",\"lft\":\"11\",\"rgt\":\"12\",\"level\":\"1\",\"path\":\"\\u0636\\u0645\\u0627\\u0646\\u062a-\\u062e\\u0631\\u06cc\\u062f\",\"extension\":\"com_content\",\"title\":\"guarantee\",\"alias\":\"guarantee\",\"note\":\"\",\"description\":\"\",\"published\":\"1\",\"checked_out\":\"105\",\"checked_out_time\":\"2020-05-23 14:43:07\",\"access\":\"1\",\"params\":\"{\\\"category_layout\\\":\\\"\\\",\\\"image\\\":\\\"\\\",\\\"image_alt\\\":\\\"\\\"}\",\"metadesc\":\"\",\"metakey\":\"\",\"metadata\":\"{\\\"author\\\":\\\"\\\",\\\"robots\\\":\\\"\\\"}\",\"created_user_id\":\"105\",\"created_time\":\"2018-10-03 23:13:02\",\"modified_user_id\":\"105\",\"modified_time\":\"2020-05-23 14:43:18\",\"hits\":\"0\",\"language\":\"*\",\"version\":\"1\"}', 0);

-- --------------------------------------------------------

--
-- Table structure for table `#__updates`
--

CREATE TABLE `#__updates` (
  `update_id` int(11) NOT NULL,
  `update_site_id` int(11) DEFAULT 0,
  `extension_id` int(11) DEFAULT 0,
  `name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `element` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `folder` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `client_id` tinyint(3) DEFAULT 0,
  `version` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `data` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `detailsurl` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `infourl` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `extra_query` varchar(1000) COLLATE utf8mb4_unicode_ci DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Available Updates';

-- --------------------------------------------------------

--
-- Table structure for table `#__update_sites`
--

CREATE TABLE `#__update_sites` (
  `update_site_id` int(11) NOT NULL,
  `name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `location` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `enabled` int(11) DEFAULT 0,
  `last_check_timestamp` bigint(20) DEFAULT 0,
  `extra_query` varchar(1000) COLLATE utf8mb4_unicode_ci DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Update Sites';

--
-- Dumping data for table `#__update_sites`
--

INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`, `extra_query`) VALUES
(1, 'Joomla! Core', 'collection', 'https://update.joomla.org/core/list.xml', 1, 1618496734, ''),
(2, 'Accredited Joomla! Translations', 'collection', 'https://update.joomla.org/language/translationlist_3.xml', 0, 0, ''),
(3, 'Joomla! Update Component Update Site', 'extension', 'https://update.joomla.org/core/extensions/com_joomlaupdate.xml', 1, 1618496806, ''),
(5, 'JM Slideshow Responsive', 'extension', 'http://extensions.joomlaman.com/jmslideshow/update.xml', 0, 0, ''),
(6, 'JF Mobile Menu', 'extension', 'https://updates.joomforest.net/extensions/jf_mobilemenu.xml', 1, 1618496808, '');

-- --------------------------------------------------------

--
-- Table structure for table `#__update_sites_extensions`
--

CREATE TABLE `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT 0,
  `extension_id` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Links extensions to update sites';

--
-- Dumping data for table `#__update_sites_extensions`
--

INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES
(1, 700),
(2, 802),
(3, 28),
(5, 10012),
(6, 10018);

-- --------------------------------------------------------

--
-- Table structure for table `#__usergroups`
--

CREATE TABLE `#__usergroups` (
  `id` int(10) UNSIGNED NOT NULL COMMENT 'Primary Key',
  `parent_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set rgt.',
  `title` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__usergroups`
--

INSERT INTO `#__usergroups` (`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES
(1, 0, 1, 20, 'Public'),
(2, 1, 10, 17, 'Registered'),
(3, 2, 11, 16, 'Author'),
(4, 3, 12, 15, 'Editor'),
(5, 4, 13, 14, 'Publisher'),
(6, 1, 4, 9, 'Manager'),
(7, 6, 5, 8, 'Administrator'),
(8, 1, 18, 19, 'Super Users'),
(9, 1, 2, 3, 'Guest'),
(10, 7, 6, 7, 'دمو فروشگاه');

-- --------------------------------------------------------

--
-- Table structure for table `#__users`
--

CREATE TABLE `#__users` (
  `id` int(11) NOT NULL,
  `name` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `username` varchar(150) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `password` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `block` tinyint(4) NOT NULL DEFAULT 0,
  `sendEmail` tinyint(4) DEFAULT 0,
  `registerDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activation` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `params` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `lastResetTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Date of last password reset',
  `resetCount` int(11) NOT NULL DEFAULT 0 COMMENT 'Count of password resets since lastResetTime',
  `otpKey` varchar(1000) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Two factor authentication encrypted keys',
  `otep` varchar(1000) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'One time emergency passwords',
  `requireReset` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'Require user to reset password on next login'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;



--
-- Table structure for table `#__user_keys`
--

CREATE TABLE `#__user_keys` (
  `id` int(10) UNSIGNED NOT NULL,
  `user_id` varchar(150) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `series` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `invalid` tinyint(4) NOT NULL,
  `time` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `uastring` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__user_notes`
--

CREATE TABLE `#__user_notes` (
  `id` int(10) UNSIGNED NOT NULL,
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `catid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `subject` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `body` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `checked_out` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) UNSIGNED NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__user_profiles`
--

CREATE TABLE `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `profile_value` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Simple user profile storage table';

-- --------------------------------------------------------

--
-- Table structure for table `#__user_usergroup_map`
--

CREATE TABLE `#__user_usergroup_map` (
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'Foreign Key to #__users.id',
  `group_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'Foreign Key to #__usergroups.id'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


-- --------------------------------------------------------

--
-- Table structure for table `#__utf8_conversion`
--

CREATE TABLE `#__utf8_conversion` (
  `converted` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__utf8_conversion`
--

INSERT INTO `#__utf8_conversion` (`converted`) VALUES
(5);

-- --------------------------------------------------------

--
-- Table structure for table `#__viewlevels`
--

CREATE TABLE `#__viewlevels` (
  `id` int(10) UNSIGNED NOT NULL COMMENT 'Primary Key',
  `title` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `rules` varchar(5120) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'JSON encoded access control.'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__viewlevels`
--

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES
(1, 'Public', 0, '[1]'),
(2, 'Registered', 2, '[6,2,8]'),
(3, 'Special', 3, '[6,3,8]'),
(5, 'Guest', 1, '[9]'),
(6, 'Super Users', 4, '[8]');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `#__action_logs`
--
ALTER TABLE `#__action_logs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_user_id` (`user_id`),
  ADD KEY `idx_user_id_logdate` (`user_id`,`log_date`),
  ADD KEY `idx_user_id_extension` (`user_id`,`extension`),
  ADD KEY `idx_extension_item_id` (`extension`,`item_id`);

--
-- Indexes for table `#__action_logs_extensions`
--
ALTER TABLE `#__action_logs_extensions`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__action_logs_users`
--
ALTER TABLE `#__action_logs_users`
  ADD PRIMARY KEY (`user_id`),
  ADD KEY `idx_notify` (`notify`);

--
-- Indexes for table `#__action_log_config`
--
ALTER TABLE `#__action_log_config`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__assets`
--
ALTER TABLE `#__assets`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `idx_asset_name` (`name`),
  ADD KEY `idx_lft_rgt` (`lft`,`rgt`),
  ADD KEY `idx_parent_id` (`parent_id`);

--
-- Indexes for table `#__associations`
--
ALTER TABLE `#__associations`
  ADD PRIMARY KEY (`context`,`id`),
  ADD KEY `idx_key` (`key`);

--
-- Indexes for table `#__banners`
--
ALTER TABLE `#__banners`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_state` (`state`),
  ADD KEY `idx_own_prefix` (`own_prefix`),
  ADD KEY `idx_banner_catid` (`catid`),
  ADD KEY `idx_language` (`language`),
  ADD KEY `idx_metakey_prefix` (`metakey_prefix`(100));

--
-- Indexes for table `#__banner_clients`
--
ALTER TABLE `#__banner_clients`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_own_prefix` (`own_prefix`),
  ADD KEY `idx_metakey_prefix` (`metakey_prefix`(100));

--
-- Indexes for table `#__banner_tracks`
--
ALTER TABLE `#__banner_tracks`
  ADD PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  ADD KEY `idx_track_date` (`track_date`),
  ADD KEY `idx_track_type` (`track_type`),
  ADD KEY `idx_banner_id` (`banner_id`);

--
-- Indexes for table `#__categories`
--
ALTER TABLE `#__categories`
  ADD PRIMARY KEY (`id`),
  ADD KEY `cat_idx` (`extension`,`published`,`access`),
  ADD KEY `idx_access` (`access`),
  ADD KEY `idx_checkout` (`checked_out`),
  ADD KEY `idx_left_right` (`lft`,`rgt`),
  ADD KEY `idx_language` (`language`),
  ADD KEY `idx_path` (`path`(100)),
  ADD KEY `idx_alias` (`alias`(100));

--
-- Indexes for table `#__contact_details`
--
ALTER TABLE `#__contact_details`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_access` (`access`),
  ADD KEY `idx_checkout` (`checked_out`),
  ADD KEY `idx_state` (`published`),
  ADD KEY `idx_catid` (`catid`),
  ADD KEY `idx_createdby` (`created_by`),
  ADD KEY `idx_featured_catid` (`featured`,`catid`),
  ADD KEY `idx_language` (`language`),
  ADD KEY `idx_xreference` (`xreference`);

--
-- Indexes for table `#__content`
--
ALTER TABLE `#__content`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_access` (`access`),
  ADD KEY `idx_checkout` (`checked_out`),
  ADD KEY `idx_state` (`state`),
  ADD KEY `idx_catid` (`catid`),
  ADD KEY `idx_createdby` (`created_by`),
  ADD KEY `idx_featured_catid` (`featured`,`catid`),
  ADD KEY `idx_language` (`language`),
  ADD KEY `idx_xreference` (`xreference`),
  ADD KEY `idx_alias` (`alias`(191));

--
-- Indexes for table `#__contentitem_tag_map`
--
ALTER TABLE `#__contentitem_tag_map`
  ADD UNIQUE KEY `uc_ItemnameTagid` (`type_id`,`content_item_id`,`tag_id`),
  ADD KEY `idx_tag_type` (`tag_id`,`type_id`),
  ADD KEY `idx_date_id` (`tag_date`,`tag_id`),
  ADD KEY `idx_core_content_id` (`core_content_id`);

--
-- Indexes for table `#__content_frontpage`
--
ALTER TABLE `#__content_frontpage`
  ADD PRIMARY KEY (`content_id`);

--
-- Indexes for table `#__content_rating`
--
ALTER TABLE `#__content_rating`
  ADD PRIMARY KEY (`content_id`);

--
-- Indexes for table `#__content_types`
--
ALTER TABLE `#__content_types`
  ADD PRIMARY KEY (`type_id`),
  ADD KEY `idx_alias` (`type_alias`(100));

--
-- Indexes for table `#__extensions`
--
ALTER TABLE `#__extensions`
  ADD PRIMARY KEY (`extension_id`),
  ADD KEY `element_clientid` (`element`,`client_id`),
  ADD KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  ADD KEY `extension` (`type`,`element`,`folder`,`client_id`);

--
-- Indexes for table `#__fields`
--
ALTER TABLE `#__fields`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_checkout` (`checked_out`),
  ADD KEY `idx_state` (`state`),
  ADD KEY `idx_created_user_id` (`created_user_id`),
  ADD KEY `idx_access` (`access`),
  ADD KEY `idx_language` (`language`),
  ADD KEY `idx_context` (`context`(191));

--
-- Indexes for table `#__fields_categories`
--
ALTER TABLE `#__fields_categories`
  ADD PRIMARY KEY (`field_id`,`category_id`);

--
-- Indexes for table `#__fields_groups`
--
ALTER TABLE `#__fields_groups`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_checkout` (`checked_out`),
  ADD KEY `idx_state` (`state`),
  ADD KEY `idx_created_by` (`created_by`),
  ADD KEY `idx_access` (`access`),
  ADD KEY `idx_language` (`language`),
  ADD KEY `idx_context` (`context`(191));

--
-- Indexes for table `#__fields_values`
--
ALTER TABLE `#__fields_values`
  ADD KEY `idx_field_id` (`field_id`),
  ADD KEY `idx_item_id` (`item_id`(191));

--
-- Indexes for table `#__finder_filters`
--
ALTER TABLE `#__finder_filters`
  ADD PRIMARY KEY (`filter_id`);

--
-- Indexes for table `#__finder_links`
--
ALTER TABLE `#__finder_links`
  ADD PRIMARY KEY (`link_id`),
  ADD KEY `idx_type` (`type_id`),
  ADD KEY `idx_md5` (`md5sum`),
  ADD KEY `idx_url` (`url`(75)),
  ADD KEY `idx_published_list` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`list_price`),
  ADD KEY `idx_published_sale` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`sale_price`),
  ADD KEY `idx_title` (`title`(100));

--
-- Indexes for table `#__finder_links_terms0`
--
ALTER TABLE `#__finder_links_terms0`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_links_terms1`
--
ALTER TABLE `#__finder_links_terms1`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_links_terms2`
--
ALTER TABLE `#__finder_links_terms2`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_links_terms3`
--
ALTER TABLE `#__finder_links_terms3`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_links_terms4`
--
ALTER TABLE `#__finder_links_terms4`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_links_terms5`
--
ALTER TABLE `#__finder_links_terms5`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_links_terms6`
--
ALTER TABLE `#__finder_links_terms6`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_links_terms7`
--
ALTER TABLE `#__finder_links_terms7`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_links_terms8`
--
ALTER TABLE `#__finder_links_terms8`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_links_terms9`
--
ALTER TABLE `#__finder_links_terms9`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_links_termsa`
--
ALTER TABLE `#__finder_links_termsa`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_links_termsb`
--
ALTER TABLE `#__finder_links_termsb`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_links_termsc`
--
ALTER TABLE `#__finder_links_termsc`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_links_termsd`
--
ALTER TABLE `#__finder_links_termsd`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_links_termse`
--
ALTER TABLE `#__finder_links_termse`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_links_termsf`
--
ALTER TABLE `#__finder_links_termsf`
  ADD PRIMARY KEY (`link_id`,`term_id`),
  ADD KEY `idx_term_weight` (`term_id`,`weight`),
  ADD KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`);

--
-- Indexes for table `#__finder_taxonomy`
--
ALTER TABLE `#__finder_taxonomy`
  ADD PRIMARY KEY (`id`),
  ADD KEY `parent_id` (`parent_id`),
  ADD KEY `state` (`state`),
  ADD KEY `ordering` (`ordering`),
  ADD KEY `access` (`access`),
  ADD KEY `idx_parent_published` (`parent_id`,`state`,`access`);

--
-- Indexes for table `#__finder_taxonomy_map`
--
ALTER TABLE `#__finder_taxonomy_map`
  ADD PRIMARY KEY (`link_id`,`node_id`),
  ADD KEY `link_id` (`link_id`),
  ADD KEY `node_id` (`node_id`);

--
-- Indexes for table `#__finder_terms`
--
ALTER TABLE `#__finder_terms`
  ADD PRIMARY KEY (`term_id`),
  ADD UNIQUE KEY `idx_term` (`term`),
  ADD KEY `idx_term_phrase` (`term`,`phrase`),
  ADD KEY `idx_stem_phrase` (`stem`,`phrase`),
  ADD KEY `idx_soundex_phrase` (`soundex`,`phrase`);

--
-- Indexes for table `#__finder_terms_common`
--
ALTER TABLE `#__finder_terms_common`
  ADD KEY `idx_word_lang` (`term`,`language`),
  ADD KEY `idx_lang` (`language`);

--
-- Indexes for table `#__finder_tokens`
--
ALTER TABLE `#__finder_tokens`
  ADD KEY `idx_word` (`term`),
  ADD KEY `idx_context` (`context`);

--
-- Indexes for table `#__finder_tokens_aggregate`
--
ALTER TABLE `#__finder_tokens_aggregate`
  ADD KEY `token` (`term`),
  ADD KEY `keyword_id` (`term_id`);

--
-- Indexes for table `#__finder_types`
--
ALTER TABLE `#__finder_types`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `title` (`title`);

--
-- Indexes for table `#__jstar_shop_amazings`
--
ALTER TABLE `#__jstar_shop_amazings`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_bankmsg`
--
ALTER TABLE `#__jstar_shop_bankmsg`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_cits`
--
ALTER TABLE `#__jstar_shop_cits`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_comments`
--
ALTER TABLE `#__jstar_shop_comments`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_coupons`
--
ALTER TABLE `#__jstar_shop_coupons`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_coupon_users`
--
ALTER TABLE `#__jstar_shop_coupon_users`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_customfields`
--
ALTER TABLE `#__jstar_shop_customfields`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_feilds_products`
--
ALTER TABLE `#__jstar_shop_feilds_products`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_gifts`
--
ALTER TABLE `#__jstar_shop_gifts`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_group_fields`
--
ALTER TABLE `#__jstar_shop_group_fields`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_interests`
--
ALTER TABLE `#__jstar_shop_interests`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_multicosts`
--
ALTER TABLE `#__jstar_shop_multicosts`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_orders`
--
ALTER TABLE `#__jstar_shop_orders`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_order_details`
--
ALTER TABLE `#__jstar_shop_order_details`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_payks`
--
ALTER TABLE `#__jstar_shop_payks`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_payks_orders`
--
ALTER TABLE `#__jstar_shop_payks_orders`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `factor` (`factor`);

--
-- Indexes for table `#__jstar_shop_posts`
--
ALTER TABLE `#__jstar_shop_posts`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_price_categories`
--
ALTER TABLE `#__jstar_shop_price_categories`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_products`
--
ALTER TABLE `#__jstar_shop_products`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_recommends`
--
ALTER TABLE `#__jstar_shop_recommends`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_similars`
--
ALTER TABLE `#__jstar_shop_similars`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__jstar_shop_users`
--
ALTER TABLE `#__jstar_shop_users`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__languages`
--
ALTER TABLE `#__languages`
  ADD PRIMARY KEY (`lang_id`),
  ADD UNIQUE KEY `idx_sef` (`sef`),
  ADD UNIQUE KEY `idx_langcode` (`lang_code`),
  ADD KEY `idx_access` (`access`),
  ADD KEY `idx_ordering` (`ordering`);

--
-- Indexes for table `#__menu`
--
ALTER TABLE `#__menu`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`(100),`language`),
  ADD KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  ADD KEY `idx_menutype` (`menutype`),
  ADD KEY `idx_left_right` (`lft`,`rgt`),
  ADD KEY `idx_language` (`language`),
  ADD KEY `idx_alias` (`alias`(100)),
  ADD KEY `idx_path` (`path`(100));

--
-- Indexes for table `#__menu_types`
--
ALTER TABLE `#__menu_types`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `idx_menutype` (`menutype`);

--
-- Indexes for table `#__messages`
--
ALTER TABLE `#__messages`
  ADD PRIMARY KEY (`message_id`),
  ADD KEY `useridto_state` (`user_id_to`,`state`);

--
-- Indexes for table `#__messages_cfg`
--
ALTER TABLE `#__messages_cfg`
  ADD UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`);

--
-- Indexes for table `#__modules`
--
ALTER TABLE `#__modules`
  ADD PRIMARY KEY (`id`),
  ADD KEY `published` (`published`,`access`),
  ADD KEY `newsfeeds` (`module`,`published`),
  ADD KEY `idx_language` (`language`);

--
-- Indexes for table `#__modules_menu`
--
ALTER TABLE `#__modules_menu`
  ADD PRIMARY KEY (`moduleid`,`menuid`);

--
-- Indexes for table `#__newsfeeds`
--
ALTER TABLE `#__newsfeeds`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_access` (`access`),
  ADD KEY `idx_checkout` (`checked_out`),
  ADD KEY `idx_state` (`published`),
  ADD KEY `idx_catid` (`catid`),
  ADD KEY `idx_createdby` (`created_by`),
  ADD KEY `idx_language` (`language`),
  ADD KEY `idx_xreference` (`xreference`);

--
-- Indexes for table `#__overrider`
--
ALTER TABLE `#__overrider`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__postinstall_messages`
--
ALTER TABLE `#__postinstall_messages`
  ADD PRIMARY KEY (`postinstall_message_id`);

--
-- Indexes for table `#__privacy_consents`
--
ALTER TABLE `#__privacy_consents`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_user_id` (`user_id`);

--
-- Indexes for table `#__privacy_requests`
--
ALTER TABLE `#__privacy_requests`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `#__redirect_links`
--
ALTER TABLE `#__redirect_links`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_link_modifed` (`modified_date`),
  ADD KEY `idx_old_url` (`old_url`(100));

--
-- Indexes for table `#__schemas`
--
ALTER TABLE `#__schemas`
  ADD PRIMARY KEY (`extension_id`,`version_id`);

--
-- Indexes for table `#__session`
--
ALTER TABLE `#__session`
  ADD PRIMARY KEY (`session_id`),
  ADD KEY `userid` (`userid`),
  ADD KEY `time` (`time`),
  ADD KEY `client_id_guest` (`client_id`,`guest`);

--
-- Indexes for table `#__tags`
--
ALTER TABLE `#__tags`
  ADD PRIMARY KEY (`id`),
  ADD KEY `tag_idx` (`published`,`access`),
  ADD KEY `idx_access` (`access`),
  ADD KEY `idx_checkout` (`checked_out`),
  ADD KEY `idx_left_right` (`lft`,`rgt`),
  ADD KEY `idx_language` (`language`),
  ADD KEY `idx_path` (`path`(100)),
  ADD KEY `idx_alias` (`alias`(100));

--
-- Indexes for table `#__template_styles`
--
ALTER TABLE `#__template_styles`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_template` (`template`),
  ADD KEY `idx_client_id` (`client_id`),
  ADD KEY `idx_client_id_home` (`client_id`,`home`);

--
-- Indexes for table `#__ucm_base`
--
ALTER TABLE `#__ucm_base`
  ADD PRIMARY KEY (`ucm_id`),
  ADD KEY `idx_ucm_item_id` (`ucm_item_id`),
  ADD KEY `idx_ucm_type_id` (`ucm_type_id`),
  ADD KEY `idx_ucm_language_id` (`ucm_language_id`);

--
-- Indexes for table `#__ucm_content`
--
ALTER TABLE `#__ucm_content`
  ADD PRIMARY KEY (`core_content_id`),
  ADD KEY `tag_idx` (`core_state`,`core_access`),
  ADD KEY `idx_access` (`core_access`),
  ADD KEY `idx_language` (`core_language`),
  ADD KEY `idx_modified_time` (`core_modified_time`),
  ADD KEY `idx_created_time` (`core_created_time`),
  ADD KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  ADD KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  ADD KEY `idx_core_created_user_id` (`core_created_user_id`),
  ADD KEY `idx_core_type_id` (`core_type_id`),
  ADD KEY `idx_alias` (`core_alias`(100)),
  ADD KEY `idx_title` (`core_title`(100)),
  ADD KEY `idx_content_type` (`core_type_alias`(100));

--
-- Indexes for table `#__ucm_history`
--
ALTER TABLE `#__ucm_history`
  ADD PRIMARY KEY (`version_id`),
  ADD KEY `idx_ucm_item_id` (`ucm_type_id`,`ucm_item_id`),
  ADD KEY `idx_save_date` (`save_date`);

--
-- Indexes for table `#__updates`
--
ALTER TABLE `#__updates`
  ADD PRIMARY KEY (`update_id`);

--
-- Indexes for table `#__update_sites`
--
ALTER TABLE `#__update_sites`
  ADD PRIMARY KEY (`update_site_id`);

--
-- Indexes for table `#__update_sites_extensions`
--
ALTER TABLE `#__update_sites_extensions`
  ADD PRIMARY KEY (`update_site_id`,`extension_id`);

--
-- Indexes for table `#__usergroups`
--
ALTER TABLE `#__usergroups`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  ADD KEY `idx_usergroup_title_lookup` (`title`),
  ADD KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  ADD KEY `idx_usergroup_nested_set_lookup` (`lft`,`rgt`) USING BTREE;

--
-- Indexes for table `#__users`
--
ALTER TABLE `#__users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `idx_username` (`username`),
  ADD KEY `idx_block` (`block`),
  ADD KEY `email` (`email`),
  ADD KEY `idx_name` (`name`(100));

--
-- Indexes for table `#__user_keys`
--
ALTER TABLE `#__user_keys`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `series` (`series`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `#__user_notes`
--
ALTER TABLE `#__user_notes`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx_user_id` (`user_id`),
  ADD KEY `idx_category_id` (`catid`);

--
-- Indexes for table `#__user_profiles`
--
ALTER TABLE `#__user_profiles`
  ADD UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`);

--
-- Indexes for table `#__user_usergroup_map`
--
ALTER TABLE `#__user_usergroup_map`
  ADD PRIMARY KEY (`user_id`,`group_id`);

--
-- Indexes for table `#__viewlevels`
--
ALTER TABLE `#__viewlevels`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `idx_assetgroup_title_lookup` (`title`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `#__action_logs`
--
ALTER TABLE `#__action_logs`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__action_logs_extensions`
--
ALTER TABLE `#__action_logs_extensions`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=19;

--
-- AUTO_INCREMENT for table `#__action_log_config`
--
ALTER TABLE `#__action_log_config`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=20;

--
-- AUTO_INCREMENT for table `#__assets`
--
ALTER TABLE `#__assets`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'Primary Key', AUTO_INCREMENT=176;

--
-- AUTO_INCREMENT for table `#__banners`
--
ALTER TABLE `#__banners`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__banner_clients`
--
ALTER TABLE `#__banner_clients`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__categories`
--
ALTER TABLE `#__categories`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=59;

--
-- AUTO_INCREMENT for table `#__contact_details`
--
ALTER TABLE `#__contact_details`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__content`
--
ALTER TABLE `#__content`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=23;

--
-- AUTO_INCREMENT for table `#__content_types`
--
ALTER TABLE `#__content_types`
  MODIFY `type_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;

--
-- AUTO_INCREMENT for table `#__extensions`
--
ALTER TABLE `#__extensions`
  MODIFY `extension_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10026;

--
-- AUTO_INCREMENT for table `#__fields`
--
ALTER TABLE `#__fields`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__fields_groups`
--
ALTER TABLE `#__fields_groups`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__finder_filters`
--
ALTER TABLE `#__finder_filters`
  MODIFY `filter_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__finder_links`
--
ALTER TABLE `#__finder_links`
  MODIFY `link_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__finder_taxonomy`
--
ALTER TABLE `#__finder_taxonomy`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `#__finder_terms`
--
ALTER TABLE `#__finder_terms`
  MODIFY `term_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__finder_types`
--
ALTER TABLE `#__finder_types`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__jstar_shop_amazings`
--
ALTER TABLE `#__jstar_shop_amazings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `#__jstar_shop_bankmsg`
--
ALTER TABLE `#__jstar_shop_bankmsg`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__jstar_shop_cits`
--
ALTER TABLE `#__jstar_shop_cits`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=422;

--
-- AUTO_INCREMENT for table `#__jstar_shop_comments`
--
ALTER TABLE `#__jstar_shop_comments`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `#__jstar_shop_coupons`
--
ALTER TABLE `#__jstar_shop_coupons`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `#__jstar_shop_coupon_users`
--
ALTER TABLE `#__jstar_shop_coupon_users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__jstar_shop_customfields`
--
ALTER TABLE `#__jstar_shop_customfields`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=46;

--
-- AUTO_INCREMENT for table `#__jstar_shop_feilds_products`
--
ALTER TABLE `#__jstar_shop_feilds_products`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1589;

--
-- AUTO_INCREMENT for table `#__jstar_shop_gifts`
--
ALTER TABLE `#__jstar_shop_gifts`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `#__jstar_shop_group_fields`
--
ALTER TABLE `#__jstar_shop_group_fields`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT for table `#__jstar_shop_interests`
--
ALTER TABLE `#__jstar_shop_interests`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=47;

--
-- AUTO_INCREMENT for table `#__jstar_shop_multicosts`
--
ALTER TABLE `#__jstar_shop_multicosts`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=72;

--
-- AUTO_INCREMENT for table `#__jstar_shop_orders`
--
ALTER TABLE `#__jstar_shop_orders`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=142;

--
-- AUTO_INCREMENT for table `#__jstar_shop_order_details`
--
ALTER TABLE `#__jstar_shop_order_details`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=125;

--
-- AUTO_INCREMENT for table `#__jstar_shop_payks`
--
ALTER TABLE `#__jstar_shop_payks`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `#__jstar_shop_payks_orders`
--
ALTER TABLE `#__jstar_shop_payks_orders`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=29;

--
-- AUTO_INCREMENT for table `#__jstar_shop_posts`
--
ALTER TABLE `#__jstar_shop_posts`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=23;

--
-- AUTO_INCREMENT for table `#__jstar_shop_price_categories`
--
ALTER TABLE `#__jstar_shop_price_categories`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__jstar_shop_products`
--
ALTER TABLE `#__jstar_shop_products`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=34;

--
-- AUTO_INCREMENT for table `#__jstar_shop_recommends`
--
ALTER TABLE `#__jstar_shop_recommends`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__jstar_shop_similars`
--
ALTER TABLE `#__jstar_shop_similars`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `#__jstar_shop_users`
--
ALTER TABLE `#__jstar_shop_users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=25;

--
-- AUTO_INCREMENT for table `#__languages`
--
ALTER TABLE `#__languages`
  MODIFY `lang_id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `#__menu`
--
ALTER TABLE `#__menu`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=195;

--
-- AUTO_INCREMENT for table `#__menu_types`
--
ALTER TABLE `#__menu_types`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `#__messages`
--
ALTER TABLE `#__messages`
  MODIFY `message_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=24;

--
-- AUTO_INCREMENT for table `#__modules`
--
ALTER TABLE `#__modules`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=116;

--
-- AUTO_INCREMENT for table `#__newsfeeds`
--
ALTER TABLE `#__newsfeeds`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__overrider`
--
ALTER TABLE `#__overrider`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key';

--
-- AUTO_INCREMENT for table `#__postinstall_messages`
--
ALTER TABLE `#__postinstall_messages`
  MODIFY `postinstall_message_id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;

--
-- AUTO_INCREMENT for table `#__privacy_consents`
--
ALTER TABLE `#__privacy_consents`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__privacy_requests`
--
ALTER TABLE `#__privacy_requests`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__redirect_links`
--
ALTER TABLE `#__redirect_links`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__tags`
--
ALTER TABLE `#__tags`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `#__template_styles`
--
ALTER TABLE `#__template_styles`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT for table `#__ucm_content`
--
ALTER TABLE `#__ucm_content`
  MODIFY `core_content_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__ucm_history`
--
ALTER TABLE `#__ucm_history`
  MODIFY `version_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=264;

--
-- AUTO_INCREMENT for table `#__updates`
--
ALTER TABLE `#__updates`
  MODIFY `update_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3167;

--
-- AUTO_INCREMENT for table `#__update_sites`
--
ALTER TABLE `#__update_sites`
  MODIFY `update_site_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `#__usergroups`
--
ALTER TABLE `#__usergroups`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'Primary Key', AUTO_INCREMENT=11;

--
-- AUTO_INCREMENT for table `#__users`
--
ALTER TABLE `#__users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=130;

--
-- AUTO_INCREMENT for table `#__user_keys`
--
ALTER TABLE `#__user_keys`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__user_notes`
--
ALTER TABLE `#__user_notes`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `#__viewlevels`
--
ALTER TABLE `#__viewlevels`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'Primary Key', AUTO_INCREMENT=7;
COMMIT;